webpackJsonp([100],{

/***/ 1085:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawAssistancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_member_edit_flyz_edit_flyz__ = __webpack_require__(530);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_member_add_flyz_add_flyz__ = __webpack_require__(515);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_member_show_flyz_show_flyz__ = __webpack_require__(531);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_member_login_login__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the LawAssistancePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawAssistancePage = /** @class */ (function () {
    function LawAssistancePage(navCtrl, navParams, appService, appUtil, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.platform = 'ios';
        this.token = localStorage.getItem('changchun.token');
        this.hasmore = true;
        this.flyzs = [];
        this.params = {
            type: 0,
            page: 1,
            size: 10,
            lawyer_id: -1,
            title: '',
            lawyer_name: '',
            token: localStorage.getItem('changchun.token')
        };
        if (this.appUtil.isPlatform('ios'))
            this.platform = 'ios';
        else if (this.appUtil.isPlatform('android'))
            this.platform = 'android';
        //else if(this.appUtil.isPlatform('windows'))this.platform = 'windows';
    }
    LawAssistancePage.prototype.ionViewDidLoad = function () {
        //检测登录状态
        if (this.checkLogin()) {
            //列表初始化
            this.getFlyzList();
        }
    };
    /**
     * 校验用户登录状态
     */
    LawAssistancePage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
            return true;
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                            _this.navCtrl.pop();
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    /**
     * 登录模态框
     * @param myEvent
     */
    LawAssistancePage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 获取法律援助列表
     */
    LawAssistancePage.prototype.getFlyzList = function () {
        var _this = this;
        this.params.token = localStorage.getItem('changchun.token');
        this.flyzs = JSON.parse(localStorage.getItem('changchun.flyzs')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFlyzList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    // console.log("获取Flyz异常");
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
            _this.flyzs = d;
            _this.params.page += 1;
            localStorage.setItem('changchun.flyzs', JSON.stringify(d));
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    LawAssistancePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getFlyzList();
    };
    //下拉刷新方法
    LawAssistancePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    LawAssistancePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFlyzList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.flyzs = _this.flyzs.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    LawAssistancePage.prototype.trackByFlyzList = function (index, city) {
        return city.id;
    };
    LawAssistancePage.prototype.testSwipe = function (item) {
    };
    LawAssistancePage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     *
     * @param index
     * @param record_id
     */
    LawAssistancePage.prototype.deleteFlyz = function (slidingItem, index, record_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        var token = this.token;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此信息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deleteFlyz, //1.url
                        {
                            token: token,
                            right_id: record_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    //跳转至登录页面
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    // console.log("未知返回参数");
                                    _this.appService.alert('网络繁忙，请稍候重试');
                                }
                            }
                            else {
                                _this.appService.alert('网络繁忙，请稍候重试');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    //Modal打开login
    LawAssistancePage.prototype.openFlyzModal = function (id, myEvent) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFlyz, //1.url
            {
                token: this.token,
                right_id: id
            }, //2.params
            function (//2.params
                d) {
                if (d != null) {
                    if (d.errcode == -2) {
                        _this.appService.alert(d.errmsg);
                    }
                    else if (d.errcode == -1) {
                        //跳转至登录页面
                        _this.appUtil.remindLogin();
                    }
                    else {
                        if (!(d.status_value === '0' || d.status_value === '3')) {
                            _this.presentShowFlyzModal(d);
                        }
                        else {
                            _this.presentEditFlyzModal(d);
                        }
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            } //3.callback function
            );
        }
        else {
            this.appUtil.remindLogin();
        }
    };
    /**
     *
     * @param d 编辑
     * @param myEvent
     */
    LawAssistancePage.prototype.presentEditFlyzModal = function (d, myEvent) {
        var _this = this;
        var editFlyzModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_member_edit_flyz_edit_flyz__["a" /* EditFlyzComponent */], d);
        editFlyzModal.onDidDismiss(function (data) {
            // console.log("data:",data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        editFlyzModal.present({
            ev: myEvent
        });
    };
    /**
   *
   * @param d 查看
   * @param myEvent
   */
    LawAssistancePage.prototype.presentShowFlyzModal = function (d, myEvent) {
        var showFlyzModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__components_member_show_flyz_show_flyz__["a" /* ShowFlyzComponent */], d);
        /*showFlyzModal.onDidDismiss(data => {
          // console.log("data:",data);
          if(data!=null&&data!='undefined'){
            if(data.success==='1'){//成功后的回调,刷新列表
              this.initList();
            }
          }
        });*/
        showFlyzModal.present({
            ev: myEvent
        });
    };
    /**
     * 新增法律援助
     * @param myEvent
     */
    LawAssistancePage.prototype.addFlyz = function (myEvent) {
        var _this = this;
        var showFlyzModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_member_add_flyz_add_flyz__["a" /* AddFlyzComponent */]);
        showFlyzModal.onDidDismiss(function (data) {
            // console.log("data:",data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        showFlyzModal.present({
            ev: myEvent
        });
    };
    LawAssistancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-assistance',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-assistance\law-assistance.html"*/'<!--\n\n  Generated template for the SlFlyzPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>法律援助</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="addFlyz($event)">\n\n        <ion-icon name="md-add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<!-- <div [ngClass]="{\'row\':true, \n\n                    \'bar\': true, \n\n                    \'bar-subheader\': true,\n\n                    \'bar-subheader-ios\': platform===\'ios\'\n\n                  }">\n\n  <ion-icon class="ion-icon-subIcon-left" name="md-clipboard"></ion-icon>\n\n  <span class="ion-icon-subIcon-middle textCtrl-title">法律援助</span>\n\n  <ion-icon (click)="addFlyz($event)" class="ion-icon-subIcon-right" name="md-add"></ion-icon>\n\n</div> -->\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <div *ngIf=\'flyzs==undefined||flyzs==null||flyzs.length==0||flyzs.length==underfind\'>\n\n      <p style="text-align:center;margin-top:20%" class="textCtrl-content">暂无相关数据</p>\n\n    </div>\n\n    <ng-container *ngIf=\'!(flyzs==undefined||flyzs==null||flyzs.length==0||flyzs.length==underfind)\'>\n\n      <ng-container *ngFor="let flyz of flyzs; let i=index; trackBy: trackByFlyzList">\n\n        <ion-card (click)="openFlyzModal(flyz.id,$event)" #ionCardItem>\n\n          <ion-card-header>\n\n            <span class="textCtrl-content" style="color:black !important;">{{flyz.dispute_type}}</span>\n\n            <span class="appraise-time textCtrl-content" style="float:right;">{{flyz.create_time}}</span>\n\n          </ion-card-header>\n\n\n\n          <ion-card-content>\n\n            <ion-item no-padding>\n\n              <p [innerHTML]="assembleHTML(flyz.content)" class="textCtrl-content"></p>\n\n            </ion-item>\n\n          </ion-card-content>\n\n\n\n          <ng-container *ngIf=\'!(flyz.status_value==="0"||flyz.status_value==="3")\'>\n\n            <!-- <ion-card-content>\n\n                    <ion-item no-padding>\n\n                      <p class="textCtrl-content"><span>回复：</span>{{flyz.reply_content|toTextareaPipe}}</p>\n\n                    </ion-item>\n\n                </ion-card-content> -->\n\n            <ion-row>\n\n              <ion-col col-9>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-reply-icon" name="checkmark-circle"></ion-icon>\n\n                  <div><span class="is-reply-span textCtrl-content">{{flyz.status}}&nbsp;&nbsp;</span><span\n\n                      class="appraise-time textCtrl-content">{{flyz.accept_time}}</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-3>\n\n                <button ion-button icon-left clear small>\n\n                  <!-- <ion-icon name="text"></ion-icon>\n\n                      <div>4 Comments</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n          <ng-container *ngIf=\'(flyz.status_value==="0"||flyz.status_value==="3")\'>\n\n            <ion-row>\n\n              <ion-col col-4>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-not-reply-icon" name="close-circle"></ion-icon>\n\n                  <div><span class="is-not-reply-span textCtrl-content">{{flyz.status}}</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-1 offset-7>\n\n                <button (click)="deleteFlyz(ionCardItem,i,flyz.id,$event)"\n\n                  style="right: 18px;bottom: 0px;top: 7px;font-size:1.6rem;" ion-button clear small>\n\n                  <ion-icon name="ios-trash-outline"></ion-icon>\n\n                  <!-- <div>删除</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n        </ion-card>\n\n      </ng-container>\n\n    </ng-container>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-assistance\law-assistance.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], LawAssistancePage);
    return LawAssistancePage;
}());

//# sourceMappingURL=law-assistance.js.map

/***/ }),

/***/ 944:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawAssistancePageModule", function() { return LawAssistancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_assistance__ = __webpack_require__(1085);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawAssistancePageModule = /** @class */ (function () {
    function LawAssistancePageModule() {
    }
    LawAssistancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_assistance__["a" /* LawAssistancePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_assistance__["a" /* LawAssistancePage */]),
            ],
        })
    ], LawAssistancePageModule);
    return LawAssistancePageModule;
}());

//# sourceMappingURL=law-assistance.module.js.map

/***/ })

});
//# sourceMappingURL=100.js.map