webpackJsonp([101],{

/***/ 1083:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawAdvisoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_add_flzx_add_flzx__ = __webpack_require__(514);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_show_flzx_show_flzx__ = __webpack_require__(528);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_edit_flzx_edit_flzx__ = __webpack_require__(529);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_member_login_login__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the LawAdvisoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawAdvisoryPage = /** @class */ (function () {
    function LawAdvisoryPage(navCtrl, navParams, appService, appUtil, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.platform = 'ios';
        this.token = null;
        this.hasmore = true;
        this.flzxs = [];
        this.params = {
            type: 0,
            page: 1,
            size: 10,
            lawyer_id: -1,
            title: '',
            lawyer_name: '',
            token: localStorage.getItem('changchun.token')
        };
        if (this.appUtil.isPlatform('ios'))
            this.platform = 'ios';
        else if (this.appUtil.isPlatform('android'))
            this.platform = 'android';
    }
    LawAdvisoryPage.prototype.ionViewDidLoad = function () {
        //检测登录状态
        if (this.checkLogin()) {
            //列表初始化
            this.getFlzxList();
        }
    };
    LawAdvisoryPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     * 校验用户登录状态
     */
    LawAdvisoryPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
            return true;
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                            _this.navCtrl.pop();
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    /**
     * 登录模态框
     * @param myEvent
     */
    LawAdvisoryPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 法律咨询列表
     */
    LawAdvisoryPage.prototype.getFlzxList = function () {
        var _this = this;
        this.flzxs = JSON.parse(localStorage.getItem('changchun.flzxs')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getFlzxList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    // console.log("获取Flzx异常");
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.flzxs = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.flzxs', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    LawAdvisoryPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getFlzxList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    LawAdvisoryPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    LawAdvisoryPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getFlzxList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.flzxs = _this.flzxs.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param city
     */
    LawAdvisoryPage.prototype.trackByFlzxList = function (index, city) {
        return city.id;
    };
    /**
     * 删除咨询信息
     * @param index
     * @param record_id
     */
    LawAdvisoryPage.prototype.deleteFlzx = function (slidingItem, index, record_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        var token = this.token;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此信息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.deleteFlzx, //1.url
                        {
                            token: token,
                            message_id: record_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    //跳转至登录页面
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络异常，请稍候重试');
                                }
                            }
                            else {
                                _this.appService.alert('网络异常，请稍候重试');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    //Modal打开login
    LawAdvisoryPage.prototype.openFlzxModal = function (id, myEvent) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getFlzx, //1.url
            {
                token: this.token,
                message_id: id
            }, //2.params
            function (//2.params
                d) {
                if (d != null) {
                    if (d.errcode == -2) {
                        _this.appService.alert(d.errmsg);
                    }
                    else if (d.errcode == -1) {
                        //跳转至登录页面
                        _this.appUtil.remindLogin();
                    }
                    else {
                        if (d[0].is_reply == true) {
                            _this.presentShowFlzxModal(d[0]);
                        }
                        else {
                            _this.presentEditFlzxModal(d[0]);
                        }
                    }
                }
                else {
                    _this.appService.alert('网络异常，请稍候重试');
                }
            } //3.callback function
            );
        }
        else {
            this.appUtil.remindLogin();
        }
    };
    /**
     * 编辑
     * @param d
     * @param myEvent
     */
    LawAdvisoryPage.prototype.presentEditFlzxModal = function (d, myEvent) {
        var _this = this;
        var editFlzxModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_edit_flzx_edit_flzx__["a" /* EditFlzxComponent */], d);
        editFlzxModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        editFlzxModal.present({
            ev: myEvent
        });
    };
    /**
     * 查看
     * @param d
     * @param myEvent
     */
    LawAdvisoryPage.prototype.presentShowFlzxModal = function (d, myEvent) {
        var _this = this;
        var showFlzxModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_show_flzx_show_flzx__["a" /* ShowFlzxComponent */], d);
        showFlzxModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        showFlzxModal.present({
            ev: myEvent
        });
    };
    /**
     * 新增法律咨询
     * @param myEvent
     */
    LawAdvisoryPage.prototype.addFlzx = function (myEvent) {
        var _this = this;
        var showFlzxModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_add_flzx_add_flzx__["a" /* AddFlzxComponent */]);
        showFlzxModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        showFlzxModal.present({
            ev: myEvent
        });
    };
    LawAdvisoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-advisory',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-advisory\law-advisory.html"*/'<!--\n\n  Generated template for the SlFlzxPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>劳动法律服务</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="addFlzx($event)">\n\n        <ion-icon name="md-add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<!-- <div [ngClass]="{\'row\':true, \n\n                  \'bar\': true, \n\n                  \'bar-subheader\': true,\n\n                  \'bar-subheader-ios\': platform===\'ios\'\n\n                }">\n\n  <ion-icon class="ion-icon-subIcon-left" name="md-clipboard"></ion-icon>\n\n  <span class="ion-icon-subIcon-middle textCtrl-title">法律咨询</span>\n\n  <ion-icon (click)="addFlzx($event)" class="ion-icon-subIcon-right" name="md-add"></ion-icon>\n\n</div> -->\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <div *ngIf=\'flzxs==undefined||flzxs==null||flzxs.length==0||flzxs.length==underfind\'>\n\n      <p style="text-align:center;margin-top:20%" class="textCtrl-content">暂无相关数据</p>\n\n      \n\n    </div>\n\n    <ng-container *ngIf=\'!(flzxs==undefined||flzxs==null||flzxs.length==0||flzxs.length==underfind)\'>\n\n\n\n      <ng-container *ngFor="let flzx of flzxs; let i=index; trackBy: trackByFlzxList">\n\n        <ion-card (click)="openFlzxModal(flzx.id,$event)" #ionCardItem>\n\n          <ion-card-header>\n\n            <span class="textCtrl-title">{{flzx.dispute_type}}</span>\n\n            <span class="appraise-time textCtrl-content">{{flzx.create_time}}</span>\n\n          </ion-card-header>\n\n\n\n          <ion-card-content [class.card-custom]="flzx.is_reply">\n\n            <ion-item no-padding>\n\n              <p [innerHTML]="assembleHTML(flzx.content)" class="textCtrl-content"></p>\n\n            </ion-item>\n\n          </ion-card-content>\n\n\n\n          <ng-container *ngIf="flzx.is_reply">\n\n            <ion-card-content>\n\n              <ion-item no-padding>\n\n                <p [innerHTML]="assembleHTML(flzx.reply_content)" class="textCtrl-content"><span>回复：</span></p>\n\n              </ion-item>\n\n            </ion-card-content>\n\n            <ion-row>\n\n              <ion-col col-9>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-reply-icon" name="checkmark-circle"></ion-icon>\n\n                  <div><span class="is-reply-span textCtrl-content">回复时间：&nbsp;&nbsp;</span><span class="appraise-time textCtrl-content">{{flzx.reply_time}}</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-3>\n\n                <button ion-button icon-left clear small>\n\n                  <!-- <ion-icon name="text"></ion-icon>\n\n                    <div>4 Comments</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n          <ng-container *ngIf="!flzx.is_reply">\n\n            <ion-row>\n\n              <ion-col col-4>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-not-reply-icon" name="close-circle"></ion-icon>\n\n                  <div><span class="is-not-reply-span textCtrl-content">尚未回复</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-1 offset-7>\n\n                <button (click)="deleteFlzx(ionCardItem,i,flzx.id,$event)" style="right: 18px;bottom: 0px;top: 7px;font-size:1.6rem;"\n\n                  ion-button clear small>\n\n                  <ion-icon name="ios-trash-outline"></ion-icon>\n\n                  <!-- <div>删除</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n        </ion-card>\n\n      </ng-container>\n\n    </ng-container>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-advisory\law-advisory.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_6__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], LawAdvisoryPage);
    return LawAdvisoryPage;
}());

//# sourceMappingURL=law-advisory.js.map

/***/ }),

/***/ 942:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawAdvisoryPageModule", function() { return LawAdvisoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_advisory__ = __webpack_require__(1083);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LawAdvisoryPageModule = /** @class */ (function () {
    function LawAdvisoryPageModule() {
    }
    LawAdvisoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_advisory__["a" /* LawAdvisoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_advisory__["a" /* LawAdvisoryPage */]),
            ],
        })
    ], LawAdvisoryPageModule);
    return LawAdvisoryPageModule;
}());

//# sourceMappingURL=law-advisory.module.js.map

/***/ })

});
//# sourceMappingURL=101.js.map