webpackJsonp([104],{

/***/ 1080:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JianbuPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the JianbuPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var JianbuPage = /** @class */ (function () {
    function JianbuPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.step_number = 6666;
    }
    JianbuPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad JianbuPage');
        this.appService.alert("请您到微信小程序中同步微信运动步数！");
        this.getInfo();
    };
    /**
     * 获取信息
     */
    JianbuPage.prototype.getInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getCurrentStep, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.step_number = d.step_number;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 历史数据
     */
    JianbuPage.prototype.toHistoryStep = function () {
        this.navCtrl.push('HistoryStepPage');
    };
    /**
     * 单位个人步数排行
     */
    JianbuPage.prototype.enterPersonalStepRank = function () {
        this.navCtrl.push('StepRankPage', { type: 1 });
    };
    /**
     * 全市个人步数排行
     */
    JianbuPage.prototype.cityStepRank = function () {
        this.navCtrl.push('StepRankPage', { type: 2 });
    };
    /**
     * 全市单位步数排行
     */
    JianbuPage.prototype.enterStepRank = function () {
        this.navCtrl.push('StepRankPage', { type: 3 });
    };
    /**
     * 各城区县区开发区各产业步数排行
     */
    JianbuPage.prototype.otherStepRank = function () {
        this.navCtrl.push('StepRankPage', { type: 4 });
    };
    JianbuPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-jianbu',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\jianbu\jianbu.html"*/'<!--\n\n  Generated template for the JianbuPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>健步走</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="item item-icon-right"\n\n    style="height:30%;background: url(assets/imgs/66.png) no-repeat;background-size: 100% 100%;">\n\n    <div class="circle">\n\n      <h3 style="text-align:center;font-size:3rem;margin-top:20px;color:white">{{step_number}}</h3>\n\n      <h3 style="text-align:center;color:white">当天步数</h3>\n\n    </div>\n\n    <div class="history_style" style="color:white" (click)="toHistoryStep()">历史数据</div>\n\n  </ion-item>\n\n\n\n\n\n  <button ion-item class="item" (click)="enterPersonalStepRank()">\n\n    <span class="textCtrl-title">单位个人步数即时排行</span>\n\n  </button>\n\n  <button ion-item class="item" (click)="cityStepRank()">\n\n    <span class="textCtrl-title">全市个人步数排行</span>\n\n  </button>\n\n  <button ion-item class="item" (click)="enterStepRank()">\n\n    <span class="textCtrl-title">全市单位步数排行</span>\n\n  </button>\n\n  <button ion-item class="item" (click)="otherStepRank()">\n\n    <span class="textCtrl-title">各城区县区开发区各产业步数排行</span>\n\n  </button>\n\n\n\n\n\n</ion-content>\n\n<!-- <ion-content>\n\n  <ion-item style="border:none;">\n\n    <ion-avatar item-left>\n\n      <img src="../assets/imgs/dati.png">\n\n    </ion-avatar>\n\n    <h3 style="font-size:1.4rem;margin-bottom:10px;">某某</h3>\n\n    <p class="jifen">\n\n      <img src="../assets/imgs/heart.png">\n\n      6666积分</p>\n\n    <p style="font-size:1.2rem;float:right;color:green">第666666名</p>\n\n  </ion-item>\n\n\n\n  <ion-list style="padding:0 10px 0 10px">\n\n    <ion-item style="background:#c8c7cc;border:none;margin-top:5%;border-radius:10px">\n\n      <div>\n\n        <p style="display:inline-block;width:15%;">排名</p>\n\n        <p style="display:inline-block;width:40%;">用户</p>\n\n        <p style="display:inline-block;margin-left:10%;">积分成绩</p>\n\n      </div>\n\n    </ion-item>\n\n\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n    <ion-item style="border-top:none;">\n\n      <div>\n\n        <span style="display:inline-block;width:15%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n        </span>\n\n        <span style="display:inline-block;width:40%;">\n\n          <img style="width:25px;height:25px;border-radius:50%;vertical-align:middle" src="../assets/imgs/dati.png">\n\n          <span>user_name</span>\n\n        </span>\n\n        <span style="display:inline-block;margin-left:10%;">1000</span>\n\n      </div>\n\n    </ion-item>\n\n\n\n\n\n\n\n\n\n  </ion-list>\n\n</ion-content> -->'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\jianbu\jianbu.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */]])
    ], JianbuPage);
    return JianbuPage;
}());

//# sourceMappingURL=jianbu.js.map

/***/ }),

/***/ 939:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "JianbuPageModule", function() { return JianbuPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__jianbu__ = __webpack_require__(1080);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var JianbuPageModule = /** @class */ (function () {
    function JianbuPageModule() {
    }
    JianbuPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__jianbu__["a" /* JianbuPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__jianbu__["a" /* JianbuPage */]),
            ],
        })
    ], JianbuPageModule);
    return JianbuPageModule;
}());

//# sourceMappingURL=jianbu.module.js.map

/***/ })

});
//# sourceMappingURL=104.js.map