webpackJsonp([105],{

/***/ 1079:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InsurancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the InsurancePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InsurancePage = /** @class */ (function () {
    function InsurancePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.type = "1";
        this.hasmore = true;
        this.subsidyInfo = [];
        this.size = 0;
        this.info = {
            amount: '',
            pay_amount: '',
            begin_date: '',
            end_date: '',
            subsidy_amount: ''
        };
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token')
        };
    }
    InsurancePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad InsurancePage');
    };
    InsurancePage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.initList();
    };
    /**
     * 获取列表
     */
    InsurancePage.prototype.getList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getSubsidyInfoList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.subsidyInfo = d;
                    _this.size = d.length;
                    _this.params.page += 1;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    InsurancePage.prototype.initList = function () {
        var _this = this;
        this.params.page = 1;
        this.hasmore = true;
        //列表初始化
        setTimeout(function () {
            _this.getList();
        }, 1000);
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    InsurancePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    InsurancePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getSubsidyInfoList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.subsidyInfo = _this.subsidyInfo.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    InsurancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-insurance',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\insurance\insurance.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>我的补贴</ion-title>\n\n  </ion-navbar>\n\n\n\n\n\n  <!-- <ion-segment [(ngModel)]="type" mode="md">\n\n    <ion-segment-button value="1">\n\n      <div class="textCtrl-content">补贴清单</div>\n\n    </ion-segment-button>\n\n    <ion-segment-button value="2">\n\n      <div class="textCtrl-content">到账日期</div>\n\n    </ion-segment-button>\n\n  </ion-segment> -->\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-item *ngIf="subsidyInfo == [] || subsidyInfo.length == 0" style="padding-left:0;">\n\n    <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无互助保障活动信息</p>\n\n  </ion-item>\n\n\n\n  <ion-list style="padding:1.4rem;" no-lines>\n\n    <ion-item class="hzbz_item" *ngFor="let info of subsidyInfo">\n\n      <ion-label>\n\n        <h3>{{info.project_name}}</h3>\n\n        <p>给付金额：{{info.pay_amount}}元</p>\n\n        <p>给付日期：{{info.pay_time}}</p>\n\n        <p *ngIf="info.pay_status == 1">给付状态：成功</p>\n\n        <p *ngIf="info.pay_status == 0">给付状态：失败</p>\n\n      </ion-label>\n\n    </ion-item>\n\n    <!-- <ion-item class="hzbz_item">\n\n      <ion-label>\n\n        <h3>保障活动名称：在职意外</h3>\n\n        <p>补贴金额：2000元</p>\n\n        <p>补贴日期：2018-08-01</p>\n\n      </ion-label>\n\n    </ion-item>\n\n    <ion-item class="hzbz_item">\n\n      <ion-label>\n\n        <h3>保障活动名称：住院保费</h3>\n\n        <p>补贴金额：1500元</p>\n\n        <p>补贴日期：2019-08-01</p>\n\n      </ion-label>\n\n    </ion-item> -->\n\n  </ion-list>\n\n  <!-- <section [ngSwitch]="type">\n\n    <ion-item style="padding-left:0;display:none;">\n\n      <h3 style="font-size: 1.6rem; font-weight: bold;text-align:center;">您还没有参加任何医疗互助活动</h3>\n\n    </ion-item>\n\n\n\n    <ion-list *ngSwitchCase="1" style="padding:1.4rem;" no-lines>\n\n      <ion-item class="hzbz_item">\n\n        <ion-label>\n\n          <h3>保障活动名称：住院津贴</h3>\n\n          <p>补贴金额：1000元</p>\n\n          <p>补贴日期：2017-08-01</p>\n\n        </ion-label>\n\n      </ion-item>\n\n      <ion-item class="hzbz_item">\n\n        <ion-label>\n\n          <h3>保障活动名称：在职意外</h3>\n\n          <p>补贴金额：1000元</p>\n\n          <p>补贴日期：2017-08-01</p>\n\n        </ion-label>\n\n      </ion-item>\n\n      <ion-item class="hzbz_item">\n\n        <ion-label>\n\n          <h3>保障活动名称：住院保费</h3>\n\n          <p>补贴金额：1000元</p>\n\n          <p>补贴日期：2017-08-01</p>\n\n        </ion-label>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <section [ngSwitch]="type">\n\n    <ion-list *ngSwitchCase="2">\n\n      <ion-item class="item-content textCtrl-content" style="margin-top:15px;border-top:none;">\n\n        <ion-label>总费用</ion-label>\n\n        <ion-input name="amount" [(ngModel)]="info.amount" #amount="ngModel" type="text" placeholder="0.00" required>\n\n        </ion-input>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content textCtrl-content" style="margin-top:15px;border-top:none;">\n\n        <ion-label>自付金额</ion-label>\n\n        <ion-input name="pay_amount" [(ngModel)]="info.pay_amount" #pay_amount="ngModel" type="text" placeholder="0.00"\n\n          required></ion-input>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content textCtrl-content" style="margin-top:15px;border-top:none;">\n\n        <ion-label>住院开始时间</ion-label>\n\n        <ion-datetime name="begin_date" [(ngModel)]="info.begin_date" #begin_date="ngModel" displayFormat="../../../YYYY">\n\n        </ion-datetime>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content textCtrl-content" style="margin-top:15px;border-top:none;">\n\n        <ion-label>住院结束时间</ion-label>\n\n        <ion-datetime name="end_date" [(ngModel)]="info.end_date" #end_date="ngModel" displayFormat="../../../YYYY">\n\n        </ion-datetime>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content textCtrl-content" style="margin-top:15px;border-top:none;">\n\n        <ion-label>住院补贴金额</ion-label>\n\n        <ion-input name="subsidy_amount" [(ngModel)]="info.subsidy_amount" #subsidy_amount="ngModel" type="text"\n\n          placeholder="0.00" required></ion-input>\n\n      </ion-item>\n\n\n\n      <ion-footer no-border>\n\n        <ion-toolbar>\n\n          <button ion-button block button-positive >计算到账日期</button>\n\n        </ion-toolbar>\n\n      </ion-footer>\n\n      \n\n    </ion-list>\n\n  </section> -->\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\insurance\insurance.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */]])
    ], InsurancePage);
    return InsurancePage;
}());

//# sourceMappingURL=insurance.js.map

/***/ }),

/***/ 938:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InsurancePageModule", function() { return InsurancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__insurance__ = __webpack_require__(1079);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InsurancePageModule = /** @class */ (function () {
    function InsurancePageModule() {
    }
    InsurancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__insurance__["a" /* InsurancePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__insurance__["a" /* InsurancePage */]),
            ],
        })
    ], InsurancePageModule);
    return InsurancePageModule;
}());

//# sourceMappingURL=insurance.module.js.map

/***/ })

});
//# sourceMappingURL=105.js.map