webpackJsonp([107],{

/***/ 1077:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InclusiveServicesPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


/**
 * Generated class for the InclusiveServicesPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InclusiveServicesPage = /** @class */ (function () {
    function InclusiveServicesPage(toastCtrl, navCtrl, navParams) {
        var _this = this;
        this.toastCtrl = toastCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        try {
            window["WeChat"].onResp(function (e) {
                console.log(e);
                if ((e["errCode"] == -6 && (e["pluginType"] == "Share" || e["pluginType"] == "WXLaunchMiniProgram" || e["pluginType"] == "Auth")) || e["errCode"] == -1 && (e["pluginType"] == "Pay")) {
                    _this.presentToast("签名错误、未注册APPID、项目设置APPID不正确、注册的APPID与设置的不匹配、其他异常等");
                }
                //登录反馈
                if (e["errCode"] == -4 && e["pluginType"] == "Auth") {
                    _this.presentToast("登录被拒绝！");
                }
                if (e["errCode"] == 0 && e["pluginType"] == "Auth") {
                    _this.presentToast("登录成功");
                }
                //支付反馈
                if (e["errCode"] == -2 && e["pluginType"] == "Pay") {
                    _this.presentToast("无需处理。发生场景：用户不支付了，点击取消，返回APP。");
                }
                if (e["errCode"] == 0 && e["pluginType"] == "Pay") {
                    _this.presentToast("展示支付成功的界面！");
                }
                //分享反馈
                if (e["errCode"] == 0 && e["pluginType"] == "Share") {
                    _this.presentToast("用户已经完成分享了，无法判断是成功分享，还是取消的分享！");
                }
                //打开小程序反馈
                if (e["errCode"] == -3 && e["pluginType"] == "WXLaunchMiniProgram") {
                    _this.presentToast("小程序启动失败 （错误码:-3)");
                }
            });
        }
        catch (e) {
            console.warn("请在Android 或者ios 上运行");
        }
    }
    InclusiveServicesPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad InclusiveServicesPage');
    };
    InclusiveServicesPage.prototype.skipApplets = function (type) {
        var _this = this;
        var userName = "";
        if (type == 1) {
            userName = "gh_a3d6f321ff0d";
        }
        else if (type == 2) {
            userName = "gh_48bf1c16e97d";
        }
        else if (type == 3) {
            userName = "gh_3d10645caa3c";
        }
        else if (type == 4) {
            userName = "gh_7bacea55fb6a"; //长春工会便民服务
        }
        else if (type == 5) {
            userName = "gh_7bacea55fb6a"; //长春工会
        }
        else if (type == 6) {
            userName = "gh_31d0493dcb5c";
        }
        var path = "";
        if (type == 4) {
            path = "/pages/home/convenient-services/convenient-services"; //便民服务跳转小程序指定路径页面
        }
        var option = {
            userName: userName,
            path: path,
            miniprogramType: 0 // 环境  0正式版  1开发版  2体验版
        };
        window["WeChat"].openMiniProgram(option, function (res) {
            //请求成功的反馈
            console.log("正确信息", JSON.stringify(res));
        }, function (error) {
            console.log("filed");
            console.log(error["msg"]);
            //错误反馈
            _this.presentToast(error["msg"]);
        });
    };
    InclusiveServicesPage.prototype.presentToast = function (str) {
        var toast = this.toastCtrl.create({
            message: str,
            showCloseButton: true,
            closeButtonText: "ok"
        });
        toast.present().then(function (r) {
        });
    };
    InclusiveServicesPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-inclusive-services',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\inclusive-services\inclusive-services.html"*/'<!--\n\n  Generated template for the InclusiveServicesPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>阵地服务一张网</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="item item-icon-right"\n\n    style="height:30%;background: url(assets/imgs/yzw.jpg) no-repeat;background-size: 100% 100%;">\n\n  </ion-item>\n\n  <ion-grid style="text-align:center;background:white;margin-top: 30rpx;">\n\n    <!-- <ion-row>\n\n      <ion-col (click)="skipApplets(5)" style="border-right:  1px solid #cccccc;">\n\n        <img src="assets/imgs/logo.png" alt="" class="tub">\n\n        <p class="tub_word">长春工会 </p>\n\n      </ion-col>\n\n      <ion-col (click)="skipApplets(4)" style="border-right:  1px solid #cccccc;">\n\n        <img src="assets/imgs/function-convenient-services.svg" alt="" class="tub">\n\n        <p class="tub_word">便民服务 </p>\n\n      </ion-col>\n\n      <ion-col (click)="skipApplets(6)" >\n\n        <img src="assets/imgs/gysh.jpg" alt="" class="tub2">\n\n        <p class="tub_word">九商专区 </p>\n\n      </ion-col>\n\n    </ion-row> -->\n\n    <ion-row style="margin-top: 10px;">\n\n      <ion-col (click)="skipApplets(3)" style="border-right:  1px solid #cccccc;">\n\n        <img src="assets/imgs/function-culture.svg" alt="" class="tub">\n\n         <p class="tub_word">工人文化宫 </p>\n\n      </ion-col>\n\n      <ion-col (click)="skipApplets(1)" style="border-right:  1px solid #cccccc;">\n\n        <img src="assets/imgs/function-sports.svg" alt="" class="tub">\n\n        <p class="tub_word">工人体育馆</p>\n\n      </ion-col>\n\n      <ion-col (click)="skipApplets(2)">\n\n        <img src="assets/imgs/function-film.svg" alt="" class="tub">\n\n        <p class="tub_word">工人影剧院</p>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\inclusive-services\inclusive-services.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], InclusiveServicesPage);
    return InclusiveServicesPage;
}());

//# sourceMappingURL=inclusive-services.js.map

/***/ }),

/***/ 936:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InclusiveServicesPageModule", function() { return InclusiveServicesPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__inclusive_services__ = __webpack_require__(1077);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InclusiveServicesPageModule = /** @class */ (function () {
    function InclusiveServicesPageModule() {
    }
    InclusiveServicesPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__inclusive_services__["a" /* InclusiveServicesPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__inclusive_services__["a" /* InclusiveServicesPage */]),
            ],
        })
    ], InclusiveServicesPageModule);
    return InclusiveServicesPageModule;
}());

//# sourceMappingURL=inclusive-services.module.js.map

/***/ })

});
//# sourceMappingURL=107.js.map