webpackJsonp([108],{

/***/ 1091:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IdentifyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_login_login__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the IdentifyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var IdentifyPage = /** @class */ (function () {
    function IdentifyPage(navCtrl, viewCtrl, alertCtrl, modalCtrl, appService, navParams) {
        this.navCtrl = navCtrl;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.navParams = navParams;
        this.token = localStorage.getItem('changchun.token') || null;
        this.sms_sended = false;
        this.submit_disabled = false;
        this.code_show = ''; //展示验证码
        this.code_input = ''; //用户输入的验证码
        this.code_time = ''; //生成验证码的时间
        this.verifyCodeTips = "发送短信验证码"; //发送验证码按钮名
        this.disable = false; //短信验证码按钮是否可用
        this.verification_key = ''; //存入redis的key，code_time+code_show.toUpperCase()的md5值
        this.send_code_mobile = '';
        this.countdown = 90;
        this.is_authorization = 0;
        this.user = JSON.parse(localStorage.getItem('changchun.user'));
        this.info = {
            name: '',
            id_card: '',
            phone: '',
            bank_card: '',
            sms_code: '',
            time_mobile: '',
            rnd: ''
        };
    }
    /**
     * 加载页面生命周期
     */
    IdentifyPage.prototype.ionViewDidLoad = function () {
    };
    /**
     * 进入页面生命周期
     */
    IdentifyPage.prototype.ionViewWillEnter = function () {
        if (this.checkLogin()) {
            this.info.name = this.user.name;
            this.info.id_card = this.user.id_card;
            this.info.bank_card = this.user.jing_card;
            this.is_authorization = this.user.is_authorization;
            if (this.is_authorization != 1) {
                this.info.phone = this.user.phone;
                this.createCode();
            }
            else {
                this.info.phone = this.user.send_mobile;
                this.info.bank_card = this.user.send_member_card;
                this.info.name = this.user.send_name;
            }
        }
    };
    /**
     * 创建验证码
     */
    IdentifyPage.prototype.createCode = function () {
        var codeLength = 4; //验证码长度
        //所有候选组成验证码的字符，当然也可以用中文的
        var selectChar = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
            'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
        ]; //数字字母验证码，需要时可替换
        // var selectChar: any[] = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9]; //纯数字验证码，需要时可替换
        var codeRandom = "";
        for (var i = 0; i < codeLength; i++) {
            var codeIndex = Math.floor(Math.random() * 62); //数字字母验证码，需要时可替换
            // var codeIndex = Math.floor(Math.random() * 10); //纯数字验证码，需要时可替换
            codeRandom += selectChar[codeIndex]; //生成4位验证码
        }
        this.code_show = codeRandom;
        this.code_time = new Date().getTime().toString();
        this.verification_key = hex_md5(this.code_time + (this.code_show.toUpperCase()));
    };
    /**
     * 验证二维码
     */
    IdentifyPage.prototype.verifyCode = function () {
        var code_input = this.code_input.toUpperCase();
        var code_show = this.code_show.toUpperCase();
        if (code_input != code_show) {
            this.appService.alert('验证码输入错误！');
            return false;
        }
        else {
            return true;
        }
    };
    /**
     * 检查登录
     */
    IdentifyPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = window.localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            for (var i = 0; i < localStorage.length; i++) {
                                if (localStorage.key(i) != 'changchun.isFirstLogin') {
                                    localStorage.removeItem(localStorage.key(i));
                                }
                            }
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    /**
     * 打开登录模态框
     * @param myEvent 点击事件
     */
    IdentifyPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 提交验证
     *
     */
    IdentifyPage.prototype.onSubmit = function () {
        var _this = this;
        if (this.checkLogin()) {
            if (this.info.name == '') {
                this.appService.alert('请填写姓名');
                return;
            }
            if (this.info.name.length > 32) {
                this.appService.alert('姓名不能超过32个字！');
                return;
            }
            if (this.info.bank_card == '') {
                this.appService.alert('请填写银联卡号');
                return;
            }
            if (!this.info.bank_card.startsWith("62")) {
                this.appService.alert('只有62开头的银行卡号，才能成功发放优惠券，请重新填写！');
                return;
            }
            if (this.info.bank_card.length < 11 || this.info.bank_card.length > 22) {
                this.appService.alert('银联卡号格式不正确！');
                return;
            }
            if (this.sms_sended == false && this.code_input == '') {
                this.appService.alert('请填写图片验证码！');
                return;
            }
            if (this.info.phone == '') {
                this.appService.alert('请填写银联预留手机号');
                return;
            }
            if (this.info.phone.length != 11) {
                this.appService.alert('手机号必须为11位！');
                return;
            }
            if (this.sms_sended == false) {
                this.appService.alert('请先获取短信验证码！');
                return;
            }
            if (this.info.sms_code == '') {
                this.appService.alert('请填写短信验证码');
                return;
            }
            if (this.info.sms_code != this.info.rnd) {
                this.appService.alert("短信验证码错误，请重新输入");
                return;
            }
            if (this.send_code_mobile != '' && this.send_code_mobile != this.info.phone) {
                this.appService.alert('检测到填写的手机号发生了改变，请重新获取并填写图片验证码和短信验证码');
                return;
            }
            this.submit_disabled = true;
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.BankAuthentication, {
                aaa: "aa",
                token: localStorage.getItem('changchun.token'),
                name: this.info.name,
                cert_no: this.info.id_card,
                member_card: this.info.bank_card,
                mobile: this.info.phone,
                password: this.info.sms_code,
                time_mobile: this.info.time_mobile
            }, function (d) {
                if (d != null) {
                    _this.submit_disabled = false;
                    if (d.errcode == -1) {
                        _this.remindLogin();
                    }
                    else if (d.errcode == 0) {
                        _this.appService.alert(d.errmsg);
                        _this.user.is_authorization = 1;
                        _this.user.send_name = _this.info.name;
                        _this.user.send_cert_no = _this.info.id_card;
                        _this.user.send_mobile = _this.info.phone;
                        _this.user.send_member_card = _this.info.bank_card;
                        localStorage.setItem('changchun.user', JSON.stringify(_this.user));
                        _this.dismissModal();
                    }
                    else {
                        _this.appService.alert(d.errmsg);
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            });
        }
    };
    /**
     * 关闭模态框
     * @param data 是否有回传数据
     */
    IdentifyPage.prototype.dismissModal = function (data) {
        if (data == undefined) {
            this.viewCtrl.dismiss();
        }
        else {
            this.viewCtrl.dismiss(data);
        }
    };
    /**
     * 弹出登录提示
     */
    IdentifyPage.prototype.remindLogin = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '您还没有登录，是否现在登录',
            buttons: [
                {
                    text: '稍后登录',
                    role: 'cancel',
                    handler: function () {
                    }
                },
                {
                    text: '现在登录',
                    handler: function () {
                        for (var i = 0; i < localStorage.length; i++) {
                            if (localStorage.key(i) != 'jilinapp_jl.isFirstLogin') {
                                localStorage.removeItem(localStorage.key(i));
                            }
                        }
                        _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_login_login__["a" /* LoginComponent */]).present();
                    }
                }
            ]
        });
        alert.present();
    };
    /**
     * 发送短信验证码
     */
    IdentifyPage.prototype.getSmsCode = function () {
        var _this = this;
        //发送验证码成功后开始倒计时
        if (this.info.phone == '') {
            this.appService.alert('请填写手机号');
            return;
        }
        if (this.info.phone.length != 11) {
            this.appService.alert('手机号必须为11位！');
            return;
        }
        if (this.code_input == '') {
            this.appService.alert("请填写图片验证码");
            return;
        }
        if (!this.verifyCode()) {
            return;
        }
        var key = hex_md5(this.code_time + (this.code_input.toUpperCase()));
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getSms, {
            mobile: this.info.phone
        }, function (rs) {
            if (rs.errcode == 0) {
                _this.appService.alert(rs.errmsg);
                _this.send_code_mobile = _this.info.phone;
                _this.info.time_mobile = rs.time_mobile;
                _this.disable = true;
                _this.sms_sended = true;
                _this.info.rnd = rs.rnd;
                _this.settime();
            }
            else {
                _this.appService.alert(rs.errmsg);
                _this.createCode();
            }
        });
    };
    /**
     * 短信验证码倒计时
     */
    IdentifyPage.prototype.settime = function () {
        var _this = this;
        if (this.countdown == 1) {
            this.countdown = 90;
            this.verifyCodeTips = "发送短信验证码";
            this.disable = false;
            return;
        }
        else {
            this.countdown--;
        }
        this.verifyCodeTips = "重新获取(" + this.countdown + ")";
        setTimeout(function () {
            _this.verifyCodeTips = "重新获取(" + _this.countdown + ")";
            _this.settime();
        }, 1000);
    };
    IdentifyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-identify',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\identify\identify.html"*/'<!--\n\n  Generated template for the IdentifyPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n      <ion-buttons start>\n\n        <button ion-button icon-only (click)="dismissModal()">\n\n          返回\n\n        </button>\n\n      </ion-buttons>\n\n      <ion-title>实名认证</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <form method="post" content-type="application/x-www-from-urlencoded" #identify_form="ngForm">\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <span style="font-size:inherit;">\n\n          <font style="color:red">*</font>姓名\n\n        </span>\n\n        <input [(ngModel)]="info.name" name="name" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;color:black;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization==1">\n\n        <span style="font-size:inherit;">\n\n          姓名\n\n        </span>\n\n        <input readonly [(ngModel)]="info.name" name="name" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n        <span style="font-size:inherit;">\n\n          身份证号\n\n        </span>\n\n          <p style="float:right;">{{info.id_card.slice(0, 6) + \'********\' + info.id_card.slice(14)}}</p>\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <span style="font-size:inherit;">\n\n          <font style="color:red">*</font>银联卡号\n\n        </span>\n\n        <!-- <input [(ngModel)]="info.bank_card" readonly name="bank_card" pattern="" required\n\n          style="text-align:right;float:right;border:none;width:70%;color:black;" /> -->\n\n          <p style="float:right;">{{\'62**********\' + info.bank_card.slice(info.bank_card.length-4)}}</p>\n\n      </ion-item>\n\n      <!-- <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <span style="font-size:inherit;">\n\n          <font style="color:red;font-size:1.2rem;">提示：请绑定62开头的同名银联卡进行实名认证<br>吉工e站实名认证的银行卡要与云闪付付款卡一致</font>\n\n        </span>\n\n      </ion-item> -->\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization==1">\n\n        <span style="font-size:inherit;">\n\n          银联卡号\n\n        </span>\n\n        <p style="float:right;">{{\'62**********\' + info.bank_card.slice(info.bank_card.length-4)}}</p>\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <ion-input type="text" placeholder="请输入图片验证码" required clearInput name="code_input" maxlength="4"\n\n          style="display: inline-block; width:50%;color:black;" [(ngModel)]="code_input">\n\n        </ion-input>\n\n        <ion-input type="text" (click)="createCode()" readonly name="code" [(ngModel)]="code_show"\n\n          style="max-width:20%;text-align:right;padding-right:0px;padding-top:0px;border-top:1px solid #999;border-bottom:1px solid #999;transform:rotate(-9deg);margin:7px 0px;border-left-width:0px;border-right-width:0px;border-radius:0px;color:black;">\n\n        </ion-input>\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <span style="font-size:inherit;">\n\n          <font style="color:red">*</font>银联手机号\n\n        </span>\n\n        <input [(ngModel)]="info.phone" name="phone" pattern="" required maxlength="11"\n\n          style="text-align:right;float:right;border:none;width:60%;color:black;" />\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <span style="font-size:inherit;">\n\n          <font style="color:red;font-size:1.2rem;">提示：请填写所填卡号对应的“银行预留号码”</font>\n\n        </span>\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization==1">\n\n        <span style="font-size:inherit;">\n\n          银联手机号\n\n        </span>\n\n        <p style="float:right;">{{info.phone.slice(0, 3) + \'****\' + info.phone.slice(7)}}</p>\n\n      </ion-item>\n\n      <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px" *ngIf="is_authorization!=1">\n\n        <ion-input type="number" style="display: inline-block; max-width:70%;color:black;" placeholder="请输入短信验证码" required clearInput [(ngModel)]="info.sms_code"\n\n          name="verification_code">\n\n        </ion-input>\n\n      </ion-item>\n\n      <button ion-button type="button" (click)="getSmsCode()" [disabled]="(info.phone.length!=11 || code_input.length!=4 || disable)" \n\n          class="input-button" style="position:relative;top:-45px;right: 20px;" *ngIf="is_authorization!=1">{{verifyCodeTips}}</button>\n\n      <!-- <a *ngIf="is_authorization==1" style="font-size:12px;float:right;margin-top:5%;margin-right:5%;" class="button button-clear button-positive"\n\n          (click)="presentAttentionModal()">更换已认证银行卡信息</a> -->\n\n      <button style="width:98%;margin-top:10px;margin-left:1%;" *ngIf="is_authorization==1" ion-button block color="primary" (click)="presentAttentionModal()">更换已认证银行卡信息</button>\n\n      <button style="width:98%;margin-top:10px;margin-left:1%;" *ngIf="is_authorization==1" ion-button block color="primary" (click)="goHistory()">查看历史认证信息</button>\n\n      \n\n    </form>\n\n  </ion-content>\n\n  <ion-footer no-border>\n\n      <ion-toolbar *ngIf="is_authorization!=1">\n\n        <button ion-button block color="primary" [disabled]="(info.phone.length!=11 || info.bank_card.length<11 || info.bank_card.length>22 || info.sms_code.length!=4 || !sms_sended || submit_disabled)" (click)="onSubmit()">提交</button>\n\n      </ion-toolbar>\n\n    </ion-footer>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\identify\identify.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"]])
    ], IdentifyPage);
    return IdentifyPage;
}());

//# sourceMappingURL=identify.js.map

/***/ }),

/***/ 950:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "IdentifyPageModule", function() { return IdentifyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__identify__ = __webpack_require__(1091);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var IdentifyPageModule = /** @class */ (function () {
    function IdentifyPageModule() {
    }
    IdentifyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__identify__["a" /* IdentifyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__identify__["a" /* IdentifyPage */]),
            ],
        })
    ], IdentifyPageModule);
    return IdentifyPageModule;
}());

//# sourceMappingURL=identify.module.js.map

/***/ })

});
//# sourceMappingURL=108.js.map