webpackJsonp([112],{

/***/ 1073:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HrActivityDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the HrActivityDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HrActivityDetailPage = /** @class */ (function () {
    function HrActivityDetailPage(navCtrl, navParams, sanitizer, appUtil, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.appService = appService;
        this.activityInfo = [];
        this.record_id = this.navParams.get('record_id');
        console.log("record_id", this.record_id);
    }
    // ionViewDidLoad() {
    //   console.log('ionViewDidLoad ActivityDetailPage');
    //   this.getActivityInfo();
    // }
    HrActivityDetailPage.prototype.ionViewWillEnter = function () {
        this.getActivityInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    HrActivityDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 获取活动详情
     */
    HrActivityDetailPage.prototype.getActivityInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getHrActivityInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.activityInfo = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    HrActivityDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-hr-activity-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-activity-detail\hr-activity-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{activityInfo.name}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动名称\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动开始时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.start_time}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动结束时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.ent_time}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      区域\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.area}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      详细地址\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.address}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      个人费用(元)\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.person_payment}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位费用(元)\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{activityInfo.ent_payment}}</p>\n\n  </ion-item>\n\n\n\n\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      活动内容\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(activityInfo.desc)"></div>\n\n  </ion-item>\n\n\n\n</ion-content>\n\n\n\n\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-activity-detail\hr-activity-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], HrActivityDetailPage);
    return HrActivityDetailPage;
}());

//# sourceMappingURL=hr-activity-detail.js.map

/***/ }),

/***/ 932:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HrActivityDetailPageModule", function() { return HrActivityDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__hr_activity_detail__ = __webpack_require__(1073);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HrActivityDetailPageModule = /** @class */ (function () {
    function HrActivityDetailPageModule() {
    }
    HrActivityDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__hr_activity_detail__["a" /* HrActivityDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__hr_activity_detail__["a" /* HrActivityDetailPage */]),
            ],
        })
    ], HrActivityDetailPageModule);
    return HrActivityDetailPageModule;
}());

//# sourceMappingURL=hr-activity-detail.module.js.map

/***/ })

});
//# sourceMappingURL=112.js.map