webpackJsonp([113],{

/***/ 1071:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomemakingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_add_homemaking_add_homemaking__ = __webpack_require__(512);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the HomemakingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HomemakingPage = /** @class */ (function () {
    function HomemakingPage(navCtrl, navParams, popoverCtrl, appUtil, appService, modalCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.popoverCtrl = popoverCtrl;
        this.appUtil = appUtil;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.housekeepList = [];
        this.type = "1";
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token')
        };
    }
    HomemakingPage.prototype.ionViewWillEnter = function () {
        this.initList();
    };
    HomemakingPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HomemakingPage');
        // this.initList();
    };
    /**
     * 加载家政请求信息
     */
    HomemakingPage.prototype.getHouseKeepList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getHousekeepList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.housekeepList = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 删除家政请求
     */
    HomemakingPage.prototype.delete = function (id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.deleteHomemakingInfo, {
            token: localStorage.getItem('changchun.token'),
            record_id: id
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.initList();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 详情页
     */
    HomemakingPage.prototype.toDetail = function (id, status) {
        console.log("status:" + status);
        this.navCtrl.push('HomemakingDetailPage', { record_id: id, status: status });
    };
    /**
     * 更多弹窗
     * @param myEvent
     */
    HomemakingPage.prototype.addInfo = function (myEvent) {
        var _this = this;
        var addHomemaking = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_add_homemaking_add_homemaking__["a" /* AddHomemakingComponent */]);
        addHomemaking.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                // this.viewCtrl.dismiss({ 'success': '1' });
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        addHomemaking.present({
            ev: myEvent
        });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    HomemakingPage.prototype.initList = function () {
        var _this = this;
        this.params.page = 1;
        this.hasmore = true;
        setTimeout(function () {
            _this.getHouseKeepList();
        }, 1000);
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    HomemakingPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
    * 上滑加载更多
    * @param infiniteScroll
    */
    HomemakingPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getHousekeepList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.housekeepList = _this.housekeepList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    HomemakingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-homemaking',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\homemaking\homemaking.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>家政请求</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="addInfo($event)">\n\n        <ion-icon name="more"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-item style="padding-left:0;border:none;" *ngIf="housekeepList.length == 0">\n\n    <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无家政请求信息</p>\n\n  </ion-item>\n\n  \n\n  <ion-list style="padding:0 10px 0 10px">\n\n    <ion-item-sliding #slidingItem *ngFor="let housekeep of housekeepList">\n\n      <ion-item style="padding-left:10px;" (click)="toDetail(housekeep.id,housekeep.status_value)">\n\n        <h3 class="textCtrl-title" style="margin-top:2px;">{{housekeep.title}}</h3>\n\n        <span style="font-size:1.2rem;color:black;display:inherit;">工作地点：{{housekeep.area}}</span>\n\n        <span style="font-size:1.2rem;color:black">工作时长：{{housekeep.day_work_time}}小时</span>\n\n        <span\n\n          style="float:right;font-size:1.4rem;border:0.55px solid #E13A3E;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">{{housekeep.status}}</span>\n\n      </ion-item>\n\n      <ion-item-options *ngIf="housekeep.status_value != \'1\'" side="right">\n\n        <button style="background-color: #f53d3d" ion-button expandable (click)="delete(housekeep.id)">\n\n          删除\n\n        </button>\n\n      </ion-item-options>\n\n    </ion-item-sliding>\n\n  </ion-list>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\homemaking\homemaking.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PopoverController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], HomemakingPage);
    return HomemakingPage;
}());

//# sourceMappingURL=homemaking.js.map

/***/ }),

/***/ 930:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomemakingPageModule", function() { return HomemakingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homemaking__ = __webpack_require__(1071);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HomemakingPageModule = /** @class */ (function () {
    function HomemakingPageModule() {
    }
    HomemakingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homemaking__["a" /* HomemakingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__homemaking__["a" /* HomemakingPage */]),
            ],
        })
    ], HomemakingPageModule);
    return HomemakingPageModule;
}());

//# sourceMappingURL=homemaking.module.js.map

/***/ })

});
//# sourceMappingURL=113.js.map