webpackJsonp([117],{

/***/ 1072:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return GoodsDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the GoodsDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var GoodsDetailPage = /** @class */ (function () {
    function GoodsDetailPage(navParams, navCtrl, appService, appUtil) {
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.goods_id = this.navParams.get("goods_id");
        this.token = localStorage.getItem('changchun.token');
        this.address = null; //默认地址信息
        this.goods = {}; //商品信息
        this.params = {
            token: this.token,
            goods_id: this.goods_id
        };
    }
    GoodsDetailPage.prototype.ionViewDidLoad = function () {
    };
    GoodsDetailPage.prototype.ionViewWillEnter = function () {
        this.getGoodsDetail();
    };
    /**兑换 */
    GoodsDetailPage.prototype.convert = function (goods_id, type) {
        var _this = this;
        if (type == 1) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.convertCoupon, this.params, function (d) {
                if (d.errcode === 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            });
        }
        else if (type == 2) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.convertCinameCode, this.params, function (d) {
                if (d.errcode === 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            });
        }
        else if (type == 3) {
            if (this.address == null) {
                this.appService.alert("请先添加默认地址后再兑换！");
                return;
            }
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.convertMail, this.params, function (d) {
                if (d.errcode === 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    return;
                }
            });
        }
    };
    GoodsDetailPage.prototype.goAddress = function () {
        this.navCtrl.push('MySettingAddressPage');
    };
    /**获取默认地址 */
    GoodsDetailPage.prototype.getDefaultAddress = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDefaultAddress, { token: this.token }, function (d) {
            if (d.errcode == 1) {
                _this.address = d.data;
            }
            else if (d.errcode == -2) {
                _this.address = null;
                _this.appService.alert(d.errmsg);
            }
            else {
                _this.address = null;
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**获取商品详情 */
    GoodsDetailPage.prototype.getGoodsDetail = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getIntegralGoodsDetail, { token: this.token, goods_id: this.goods_id }, function (d) {
            if (d.errcode == 1) {
                _this.goods = d.data;
                if (_this.goods.integral_goods_type == 3) {
                    _this.getDefaultAddress();
                }
                for (var i = 0; i < _this.goods.goods_photos.length; i++) {
                    if (_this.goods.goods_photos[i].url != null && _this.goods.goods_photos[i].url != '') {
                        _this.goods.goods_photos[i].url = __WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].imghost_weblingwu + _this.goods.goods_photos[i].url + "&token=" + _this.token;
                    }
                }
            }
            else if (d.errcode == -2) {
                _this.appService.alert(d.errmsg);
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 校验用户是否登录
    */
    GoodsDetailPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
  * 文本处理
  * @param strHTML
  */
    GoodsDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    GoodsDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-goods-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\goods-detail\goods-detail.html"*/'<!--\n\n  Generated template for the GoodsDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>商品详情</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <div style="color:#666666;">\n\n    <!-- <ion-slides pager>\n\n      <ion-slide *ngFor="let photo of goods.goods_photos">\n\n        <img  src="assets/imgs/shafa.png" alt="无">\n\n      </ion-slide>\n\n    </ion-slides> -->\n\n   <div>\n\n      <p text-wrap >商品名称：{{goods.integral_goods_name}}</p>\n\n      <p text-wrap >商品类别：{{goods.integral_goods_type_name}}</p>\n\n      <p text-wrap >商品描述：<span [innerHTML]="assembleHTML(goods.integral_goods_describe)"></span></p>\n\n    </div>\n\n    <ion-list *ngIf="goods.integral_goods_type == 3"  no-lines >         \n\n      <ion-item  (click)="goAddress()" *ngIf="address != null">\n\n        <div item-start ><ion-icon name="ios-pin-outline"></ion-icon></div>\n\n        <div class="info">\n\n          <p style="font-szie:13px;">{{address.address_city}}</p>\n\n          <h5 style="color: black;">{{address.address}}</h5>\n\n          <span style="color:black;font-size: 14px;">{{address.name}}</span>&nbsp;<span style="color:black;font-size: 14px;">{{address.mobile}}</span>    \n\n        </div>\n\n        <div item-end>></div>\n\n      </ion-item>\n\n      <div *ngIf="address == null" style="text-align: center;">\n\n        <img src="assets/imgs/add_picture.jpg"  style="width:80%;"\n\n        (click)="goAddress()">\n\n        <p style="text-align:center;">添加地址信息</p>  \n\n      </div>\n\n      <div style="text-align:center;padding:5px 0px" *ngFor="let photo of goods.goods_photos">\n\n        <img  src="{{photo.url}}" alt="无">\n\n      </div>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n<ion-footer no-border style="text-align: center;">\n\n    <button  style="font-size:14px;background-color:#E13A3E;color:white;width: 90%;" (click)="convert(goods.id,goods.integral_goods_type)" ion-button clear >立即兑换</button>\n\n</ion-footer>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\goods-detail\goods-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], GoodsDetailPage);
    return GoodsDetailPage;
}());

//# sourceMappingURL=goods-detail.js.map

/***/ }),

/***/ 931:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "GoodsDetailPageModule", function() { return GoodsDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__goods_detail__ = __webpack_require__(1072);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var GoodsDetailPageModule = /** @class */ (function () {
    function GoodsDetailPageModule() {
    }
    GoodsDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__goods_detail__["a" /* GoodsDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__goods_detail__["a" /* GoodsDetailPage */]),
            ],
        })
    ], GoodsDetailPageModule);
    return GoodsDetailPageModule;
}());

//# sourceMappingURL=goods-detail.module.js.map

/***/ })

});
//# sourceMappingURL=117.js.map