webpackJsonp([124],{

/***/ 1059:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CheckPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular_navigation_view_controller__ = __webpack_require__(9);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CheckPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CheckPage = /** @class */ (function () {
    function CheckPage(viewCtrl, modalCtrl, alertCtrl, appService, navCtrl, navParams, appUtil) {
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.appService = appService;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appUtil = appUtil;
        this.user = {
            name: '',
            cert_no: ''
        };
        this.info = {
            org_id: '',
            org_name: '',
            ent_id: '',
            ent_name: ''
        };
        this.type = this.navParams.get('type');
        if (this.type == 2) {
            this.info.ent_id = this.navParams.get('to_ent_id');
            this.info.ent_name = this.navParams.get('to_ent_name');
            this.info.org_id = this.navParams.get('to_org_id');
            this.info.org_name = this.navParams.get('to_org_name');
        }
    }
    CheckPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad CheckPage');
    };
    /**
     * 会员校验
     * @param checkForm
     */
    CheckPage.prototype.onSubmit = function (checkForm) {
        var _this = this;
        var gender = 0;
        if (parseInt(this.user.cert_no.substr(16, 1)) % 2 == 1) {
            gender = 1;
        }
        else {
            gender = 2;
        }
        if (!this.appUtil.verifyIdCard(this.user.cert_no)) {
            this.appService.alert('请正确填写身份证号！');
            return;
        }
        if (!this.verifyName(this.user.name)) {
            this.appService.alert('请输入真实姓名！');
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.check, //1.url
        {
            name: this.user.name,
            cert_no: this.user.cert_no,
            gender: gender
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    if (_this.type == 2) {
                        _this.navCtrl.push('JoinPage', {
                            name: _this.user.name,
                            certificate_num: _this.user.cert_no,
                            type: _this.type,
                            to_ent_id: _this.info.ent_id,
                            to_ent_name: _this.info.ent_name,
                            to_org_id: _this.info.org_id,
                            to_org_name: _this.info.org_name
                        });
                    }
                    else {
                        _this.navCtrl.push('JoinPage', {
                            name: _this.user.name,
                            certificate_num: _this.user.cert_no
                        });
                    }
                }
                else {
                    _this.appService.alert(d.errmsg);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 验证姓名正则表达式
     * @param name
     */
    CheckPage.prototype.verifyName = function (name) {
        var pass = true;
        if (!/^[\u4E00-\u9FFF\u00B7]+$/i.test(name)) {
            pass = false;
        }
        return pass;
    };
    CheckPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-check',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\check\check.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>查一查是否已采集</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <form method="post" content-type="application/x-www-from-urlencoded" #check_form="ngForm"\n\n    (ngSubmit)="onSubmit(check_form)">\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">姓名</span>\n\n      <input pattern="" placeholder="请填写真实姓名" [(ngModel)]="user.name" maxlength="32" name="name"\n\n        style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n    <ion-item class="textCtrl-content" style="padding-left:16px;padding-right:16px">\n\n      <span class="input-label">身份证号</span>\n\n      <input pattern="" placeholder="请填写真实身份证号" maxlength="18" [(ngModel)]="user.cert_no" name="cert_no"\n\n        style="text-align:right;float:right;border:none" required />\n\n    </ion-item>\n\n\n\n\n\n    <!-- <ion-item>\n\n      <div style="margin-left:2px;margin-right:2px">\n\n        <p class="content textCtrl-content" style="text-align:center">入会须知</p>\n\n        <p class="desc">长春市总工会欢迎您。</p>\n\n        <p class="desc">以工资收入为主要生活来源的体力劳动者和脑力劳动者，均有依法参加和组织工会的权利。</p>\n\n        <p class="desc">您若自愿加入工会组织，请提供相关信息。我们将尽快安排工作人员与您联系，帮助您进一步了解和掌握中国工会的性质、基本职责、根本任务以及会员享有的权利和应尽义务，办理网上登记入会的相关手续。</p>\n\n        <p class="desc">您提交的留言，我们将有专人及时处理并回复。为确保我们的服务质量，请您务必详细、准确地填写姓名和联系方式等信息。</p>\n\n        <p class="desc">吉林省总工会竭诚为每一名会员提供热情周到的服务。</p>\n\n      </div>\n\n    </ion-item> -->\n\n\n\n    <div style="height: 2.4em;margin-left:2px;margin-right:2px">\n\n      <button type="submit" ion-button block color="primary" [disabled]="!check_form.valid">\n\n        查询\n\n      </button>\n\n    </div>\n\n\n\n  </form>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\check\check.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular_navigation_view_controller__["a" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */]])
    ], CheckPage);
    return CheckPage;
}());

//# sourceMappingURL=check.js.map

/***/ }),

/***/ 918:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CheckPageModule", function() { return CheckPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__check__ = __webpack_require__(1059);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CheckPageModule = /** @class */ (function () {
    function CheckPageModule() {
    }
    CheckPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__check__["a" /* CheckPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__check__["a" /* CheckPage */]),
            ],
        })
    ], CheckPageModule);
    return CheckPageModule;
}());

//# sourceMappingURL=check.module.js.map

/***/ })

});
//# sourceMappingURL=124.js.map