webpackJsonp([127],{

/***/ 1056:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ChatDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ChatDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ChatDetailPage = /** @class */ (function () {
    function ChatDetailPage(navCtrl, navParams, appService, appUtil, sanitizer, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.sanitizer = sanitizer;
        this.modalCtrl = modalCtrl;
        this.userInfo = JSON.parse(localStorage.getItem('changchun.tuoDanPersonalInfo'));
        this.messageInfoList = [];
        this.messageInfo = [];
        this.params = {
            message_id: this.record_id,
            token: localStorage.getItem('changchun.token'),
            content: ''
        };
        this.record_id = this.navParams.get('record_id');
        console.log("userinfoId------->" + this.userInfo.id);
    }
    ChatDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ChatDetailPage');
        this.getMessageInfo();
        this.getMessageInfoList();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    ChatDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 详情信息页
     */
    ChatDetailPage.prototype.toDetail = function (id) {
        this.navCtrl.push('TdFriendInfoDetailPage', { record_id: id });
    };
    /**
     * 取消关注
     * @param friend_id
     */
    ChatDetailPage.prototype.cancelAttention = function (friend_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.cancelAttention, { friend_id: friend_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.getMessageInfo();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 关注
     * @param friend_id
     */
    ChatDetailPage.prototype.attention = function (friend_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.attention, { friend_id: friend_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.getMessageInfo();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取留言详情列表
     */
    ChatDetailPage.prototype.getMessageInfoList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMsgListList, { message_id: this.record_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.messageInfoList = d;
                    console.log('this.messageInfo', _this.messageInfo);
                    console.log("userInfo.id", _this.userInfo.id);
                    console.log("person_id", _this.messageInfo.person_id);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取留言详情
     */
    ChatDetailPage.prototype.getMessageInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMsgDetail, { record_id: this.record_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.messageInfo = d;
                    console.log('this.messageInfo', _this.messageInfo);
                    console.log("userInfo.id", _this.userInfo.id);
                    console.log("person_id", _this.messageInfo.person_id);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 留言回复 */
    ChatDetailPage.prototype.reply = function () {
        var _this = this;
        this.params.message_id = this.record_id;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.replyMessage, this.params, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.params.content = '';
                    _this.getMessageInfo();
                    _this.getMessageInfoList();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ChatDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-chat-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\chat-detail\chat-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>详情信息</ion-title>\n\n    <!--<ion-buttons end *ngIf="messageInfo.is_reply_type == \'0\' && messageInfo.person_id != userInfo.id">\n\n      <button ion-button icon-only (click)="reply($event,messageInfo.id)">\n\n        回复\n\n      </button>\n\n    </ion-buttons>-->\n\n    <!-- <span>{{messageInfo.person_id}}</span>\n\n    <span>{{userInfo.id}}</span> -->\n\n    <span end *ngIf="messageInfo.is_attention == \'false\' && messageInfo.person_id == userInfo.id"\n\n    style="float:right;font-size:1.4rem;width:80px;line-height:35px;text-align:center;color:white;"\n\n    (click)="attention(messageInfo.reply_person_id)">＋ 关注</span>\n\n    <span end *ngIf="messageInfo.is_attention == \'false\' && messageInfo.person_id != userInfo.id"\n\n    style="float:right;font-size:1.4rem;width:80px;line-height:35px;text-align:center;color:white;"\n\n    (click)="attention(messageInfo.person_id)">＋ 关注</span>\n\n    <span end *ngIf="messageInfo.is_attention == \'true\' && messageInfo.person_id == userInfo.id"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;color:white;"\n\n      (click)="cancelAttention(messageInfo.reply_person_id)">取消关注</span>\n\n     <span end *ngIf="messageInfo.is_attention == \'true\' && messageInfo.person_id != userInfo.id"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;color:white;"\n\n      (click)="cancelAttention(messageInfo.person_id)">取消关注</span>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <!--<ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n     <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n      <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n    </ion-avatar> -->\n\n    <!--<span class="textCtrl-title" style="line-height:35px;text-align:center;" (click)="toDetail(messageInfo.person_id)">{{messageInfo.person_name}}(留言人)</span>\n\n   <span style="font-size:1.4rem;color:#8e9093;display:inherit;">年龄:{{personInfo.age}}岁</span> -->\n\n    <!--<span\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">{{messageInfo.is_reply}}</span>-->\n\n      <!-- <span *ngIf="messageInfo.is_attention == \'false\' && messageInfo.person_id != userInfo.id"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:green"\n\n      (click)="attention(messageInfo.person_id)">＋ 关注</span>\n\n      <span *ngIf="messageInfo.is_attention == \'true\' && messageInfo.person_id != userInfo.id"\n\n        style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E"\n\n        (click)="cancelAttention(messageInfo.person_id)">取消关注</span>\n\n    </ion-item> -->\n\n\n\n  <!-- <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言时间\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{messageInfo.create_time}}</p>\n\n  </ion-item> -->\n\n\n\n  <!--<ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言标题\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(messageInfo.title)"></div>\n\n  </ion-item>-->\n\n\n\n  <!-- <ion-item class="item-content" style="border-bottom:none;">\n\n    <h3 class="ion-title textCtrl-title">\n\n      留言内容\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(messageInfo.content)"></div>\n\n  </ion-item> -->\n\n\n\n  <!-- <ng-container *ngIf="messageInfo.is_reply_type == \'1\'">\n\n    <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;"> -->\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n      <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n    </ion-avatar> -->\n\n      <!-- <h3 class="textCtrl-title" style="line-height:35px;text-align:center;float:left;">\n\n        {{messageInfo.object_person_name}}(留言对象)</h3>\n\n        <span *ngIf="messageInfo.is_attention == \'false\' && messageInfo.reply_person_id != userInfo.id"\n\n        style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:green"\n\n        (click)="attention(messageInfo.reply_person_id)">＋ 关注</span>\n\n        <span *ngIf="messageInfo.is_attention == \'true\' && messageInfo.reply_person_id != userInfo.id"\n\n          style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E"\n\n          (click)="cancelAttention(messageInfo.reply_person_id)">取消关注</span>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{messageInfo.reply_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(messageInfo.reply_content)"></div>\n\n    </ion-item>\n\n  </ng-container> -->\n\n  <ion-list>\n\n    <!--<button ion-item class="item item-2" (click)="goAppraise()">\n\n      <span class="textCtrl-title">相关评论（{{total}}）</span>\n\n    </button>-->\n\n    <ion-item class="textCtrl-content" *ngFor="let messageInfo of messageInfoList">\n\n      <div style="padding:0"><span class="textCtrl-content2" (click)="toDetail(messageInfo.person_id)" >{{messageInfo.nick_name}}</span><span class="appraise-time textCtrl-content">{{messageInfo.create_time}}</span></div>\n\n      <br>\n\n      <p class="item-appraise textCtrl-content" [innerHTML]="assembleHTML(messageInfo.content)"></p>\n\n    </ion-item>\n\n  </ion-list>\n\n\n\n</ion-content>\n\n<ion-footer color="primary">\n\n  <ion-toolbar>\n\n    <textarea style="font-size: 1.4rem;height:30px;width:95%;margin-left:5px;margin-top:10px;" name="content"\n\n     placeholder="说点儿什么吧" [(ngModel)]="params.content"></textarea>\n\n    <ion-buttons end>\n\n      <button (click)="reply()" ion-button icon-end color="royal">\n\n        回复\n\n        <ion-icon name="send"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\chat-detail\chat-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], ChatDetailPage);
    return ChatDetailPage;
}());

//# sourceMappingURL=chat-detail.js.map

/***/ }),

/***/ 915:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ChatDetailPageModule", function() { return ChatDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__chat_detail__ = __webpack_require__(1056);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ChatDetailPageModule = /** @class */ (function () {
    function ChatDetailPageModule() {
    }
    ChatDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__chat_detail__["a" /* ChatDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__chat_detail__["a" /* ChatDetailPage */]),
            ],
        })
    ], ChatDetailPageModule);
    return ChatDetailPageModule;
}());

//# sourceMappingURL=chat-detail.module.js.map

/***/ })

});
//# sourceMappingURL=127.js.map