webpackJsonp([15],{

/***/ 1030:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawyerMessagePageModule", function() { return LawyerMessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__lawyer_message__ = __webpack_require__(1173);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var LawyerMessagePageModule = /** @class */ (function () {
    function LawyerMessagePageModule() {
    }
    LawyerMessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__lawyer_message__["a" /* LawyerMessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__lawyer_message__["a" /* LawyerMessagePage */]),
            ],
        })
    ], LawyerMessagePageModule);
    return LawyerMessagePageModule;
}());

//# sourceMappingURL=lawyer-message.module.js.map

/***/ }),

/***/ 1173:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawyerMessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_worker_lawyer_show_message_lawyer_show_message__ = __webpack_require__(540);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_worker_lawyer_reply_message_lawyer_reply_message__ = __webpack_require__(541);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the LawyerMessagePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawyerMessagePage = /** @class */ (function () {
    function LawyerMessagePage(navCtrl, navParams, appService, appUtil, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.platform = 'ios';
        this.token = localStorage.getItem('changchun.token');
        this.hasmore = true;
        this.messages = [];
        this.params = {
            token: localStorage.getItem('changchun.token'),
            page: 1,
            size: 10,
            title: '' //咨询类型、内容    
        };
        if (this.appUtil.isPlatform('ios'))
            this.platform = 'ios';
        else if (this.appUtil.isPlatform('android'))
            this.platform = 'android';
    }
    LawyerMessagePage.prototype.ionViewDidLoad = function () {
        this.getLawyerMessageList();
    };
    LawyerMessagePage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     * 律师留言列表
     */
    LawyerMessagePage.prototype.getLawyerMessageList = function () {
        var _this = this;
        this.messages = JSON.parse(localStorage.getItem('changchun.lawyermessages')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_5__app_app_service__["a" /* AppGlobal */].API.getLawyerMessageList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    // console.log("获取律师留言列表异常");
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.messages = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.lawyermessages', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    LawyerMessagePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getLawyerMessageList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    LawyerMessagePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    LawyerMessagePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_5__app_app_service__["a" /* AppGlobal */].API.getLawyerMessageList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.messages = _this.messages.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param city
     */
    LawyerMessagePage.prototype.trackByMessageList = function (index, city) {
        return city.id;
    };
    //Modal打开login
    LawyerMessagePage.prototype.openMessageModal = function (id, myEvent) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_5__app_app_service__["a" /* AppGlobal */].API.getLawyerMessage, //1.url
        {
            token: this.token,
            message_id: id
        }, //2.params
        function (//2.params
            d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    if (d[0].is_reply == true) {
                        _this.presentShowMessageModal(d[0]);
                    }
                    else {
                        _this.presentReplyMessageModal(d[0]);
                    }
                }
            }
            else {
                _this.appService.alert('网络异常，请稍候重试');
            }
        } //3.callback function
        );
    };
    /**
     * 编辑
     * @param d
     * @param myEvent
     */
    LawyerMessagePage.prototype.presentReplyMessageModal = function (d, myEvent) {
        var _this = this;
        var replyMessageModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_worker_lawyer_reply_message_lawyer_reply_message__["a" /* LawyerReplyMessageComponent */], d);
        replyMessageModal.onDidDismiss(function (data) {
            // console.log("data:",data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        replyMessageModal.present({
            ev: myEvent
        });
    };
    /**
     * 查看
     * @param d
     * @param myEvent
     */
    LawyerMessagePage.prototype.presentShowMessageModal = function (d, myEvent) {
        var showMessageModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_worker_lawyer_show_message_lawyer_show_message__["a" /* LawyerShowMessageComponent */], d);
        showMessageModal.present({
            ev: myEvent
        });
    };
    LawyerMessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-lawyer-message',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\lawyer-message\lawyer-message.html"*/'\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>留言列表</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <div *ngIf=\'messages==undefined||messages==null||messages.length==0||messages.length==undefined\'>\n\n      <p style="text-align:center;margin-top:20%" class="textCtrl-content">暂无相关数据</p>\n\n      \n\n    </div>\n\n    <ng-container *ngIf=\'!(messages==undefined||messages==null||messages.length==0||messages.length==undefined)\'>\n\n\n\n      <ng-container *ngFor="let message of messages; let i=index; trackBy: trackByMessageList">\n\n        <ion-card (click)="openMessageModal(message.id,$event)" #ionCardItem>\n\n          <ion-card-header>\n\n            <span class="textCtrl-title">{{message.dispute_type}}</span>\n\n            <span class="appraise-time textCtrl-content">{{message.create_time}}</span>\n\n          </ion-card-header>\n\n\n\n          <ion-card-content [class.card-custom]="message.is_reply">\n\n            <ion-item no-padding>\n\n              <p [innerHTML]="assembleHTML(message.content)" class="textCtrl-content"></p>\n\n            </ion-item>\n\n          </ion-card-content>\n\n\n\n          <ng-container *ngIf="message.is_reply">\n\n            <ion-card-content>\n\n              <ion-item no-padding>\n\n                <p [innerHTML]="assembleHTML(message.reply_content)" class="textCtrl-content"><span>回复：</span></p>\n\n              </ion-item>\n\n            </ion-card-content>\n\n            <ion-row>\n\n              <ion-col col-9>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-reply-icon" name="checkmark-circle"></ion-icon>\n\n                  <div><span class="is-reply-span textCtrl-content">回复时间：&nbsp;&nbsp;</span><span class="appraise-time textCtrl-content">{{message.reply_time}}</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-3>\n\n                <button ion-button icon-left clear small>\n\n                  <!-- <ion-icon name="text"></ion-icon>\n\n                    <div>4 Comments</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n          <ng-container *ngIf="!message.is_reply">\n\n            <ion-row>\n\n              <ion-col col-4>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-not-reply-icon" name="close-circle"></ion-icon>\n\n                  <div><span class="is-not-reply-span textCtrl-content">尚未回复</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-1 offset-7>\n\n                <!--\n\n                <button (click)="deleteFlzx(ionCardItem,i,flzx.id,$event)" style="right: 18px;bottom: 0px;top: 7px;font-size:1.6rem;"\n\n                  ion-button clear small>\n\n                  <ion-icon name="ios-trash-outline"></ion-icon>\n\n                </button>\n\n              -->\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n        </ion-card>\n\n      </ng-container>\n\n    </ng-container>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\lawyer-message\lawyer-message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], LawyerMessagePage);
    return LawyerMessagePage;
}());

//# sourceMappingURL=lawyer-message.js.map

/***/ })

});
//# sourceMappingURL=15.js.map