webpackJsonp([21],{

/***/ 1024:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EditWorkEnterPageModule", function() { return EditWorkEnterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__edit_work_enter__ = __webpack_require__(1167);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EditWorkEnterPageModule = /** @class */ (function () {
    function EditWorkEnterPageModule() {
    }
    EditWorkEnterPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__edit_work_enter__["a" /* EditWorkEnterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__edit_work_enter__["a" /* EditWorkEnterPage */]),
            ],
        })
    ], EditWorkEnterPageModule);
    return EditWorkEnterPageModule;
}());

//# sourceMappingURL=edit-work-enter.module.js.map

/***/ }),

/***/ 1167:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EditWorkEnterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_code__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the EditWorkEnterPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EditWorkEnterPage = /** @class */ (function () {
    function EditWorkEnterPage(params, viewCtrl, alertCtrl, appUtil, navCtrl, navParams, appService, sanitizer, appCode) {
        this.params = params;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.appUtil = appUtil;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.sanitizer = sanitizer;
        this.appCode = appCode;
        this.org_name = localStorage.getItem('changchun.org_name') || '长春市总工会';
        this.token = null;
        this.info = {
            token: localStorage.getItem('changchun.token'),
            enter_name: '',
            code: '',
            description_name: '',
            entname_name: '',
            entcode_name: '',
            scale_name: '',
            ent_area_id: '',
            address_name: '',
            email_name: '',
            postcode_name: '',
            area_data: '',
            area_data1: '',
            phone_name: ''
        };
        //单位规模代码表和模式名
        this.scale_name_params = {
            list_name: 'ct_hr_ent_scale',
            schema: 'bfzxyw'
        };
        this.scale_name = []; //单位规模代码表数组
        this.area_data2 = []; //单位规模代码表数组
        this.area_datas = []; //单位规模代码表数组
        this.record_id = this.navParams.get('record_id');
        console.log("record_id", this.record_id);
        this.getEnterInfo();
    }
    EditWorkEnterPage.prototype.ionViewWillEnter = function () {
        this.getEnterScaleList();
        this.getAreaData();
    };
    /**
   * 文本处理
   * @param strHTML
   */
    EditWorkEnterPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 校验登录状态
     */
    EditWorkEnterPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            this.dismissModal(); //移除此模态框
            return false;
        }
        return true;
    };
    EditWorkEnterPage.prototype.getAreaData = function () {
        var _this = this;
        this.area_datas = JSON.parse(localStorage.getItem('changchun.area_data')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getAreaData, this.scale_name_params, function (d) {
            console.log(d);
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_datas = d;
                    _this.getPositionType(_this.info.area_data);
                    localStorage.setItem('changchun.area_data', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
  * 获取选择框选中的值
  * @param item
  * @param name
  */
    EditWorkEnterPage.prototype.selectChange = function (item, name) {
        if (document.getElementById(name) != undefined && document.getElementById(name) != null) {
            document.getElementById(name).style.display = "none";
        }
        if (name == "area_data") {
            this.getPositionType(item._value);
            this.info.area_data1 = '';
        }
    };
    /**
    * 根据类别job_type获取职位信息
    * @param parent
    */
    EditWorkEnterPage.prototype.getPositionType = function (parent) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getAreaDataTwo, { parent: parent }, function (d) {
            console.log("987:" + d);
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_data2 = d;
                    //localStorage.setItem('changchun.area_data', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 获取单位信息
    */
    EditWorkEnterPage.prototype.getEnterInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getEnterInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                    console.log(_this.info);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
      * 获取单位规模代码表
      */
    EditWorkEnterPage.prototype.getEnterScaleList = function () {
        var _this = this;
        this.scale_name = JSON.parse(localStorage.getItem('changchun.scale_name')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.scale_name_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.scale_name = d;
                    localStorage.setItem('changchun.countrys', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 关闭模态框
     * @param data
     */
    EditWorkEnterPage.prototype.dismissModal = function (data) {
        // data = { 'msg': '我已得到你传给我的qq号码，现在返回给你让你知道' };
        this.viewCtrl.dismiss(data);
    };
    /**
   * 保存
   */
    EditWorkEnterPage.prototype.onSubmit = function () {
        var _this = this;
        var params = {
            token: localStorage.getItem('changchun.token'),
            record_id: this.record_id,
            scale_name: this.info.scale_name,
            postcode_name: this.info.postcode_name,
            email_name: this.info.email_name,
            phone_name: this.info.phone_name,
            address_name: this.info.address_name,
            area_data: this.info.area_data,
            area_data1: this.info.area_data1,
            description_name: this.info.description_name
        };
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getEnterEdit, //1.url
        params, //2.params
        function (//2.params
            d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.dismissModal({ 'success': 1 });
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    console.log("未知返回参数");
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        } //3.callback function
        );
    };
    EditWorkEnterPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad EditWorkEnterPage');
    };
    EditWorkEnterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-edit-work-enter',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\edit-work-enter\edit-work-enter.html"*/'<!--\n\n  Generated template for the EditWorkEnterPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>编辑单位</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>所属工会\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa !important;" float-right>{{org_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>单位名称\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa !important;" float-right>{{info.enter_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>组织机构代码/统一社会信用代码\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa !important;" float-right>{{info.code}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title">\n\n    <ion-label>\n\n      <font style="color:red">*</font>单位规模\n\n    </ion-label>\n\n    <ion-select class="textCtrl-content-editable" name="scale_name" [(ngModel)]="info.scale_name" #nation okText="确定" cancelText="取消"\n\n      multiple="false" interface placeholder="请选择单位规模" interface="action-sheet">\n\n      <ng-container *ngFor="let item1 of scale_name">\n\n        <ng-container *ngIf=\'item1.code=="info.scale_name"\'>\n\n          <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ng-container>\n\n        <ng-container *ngIf=\'!(item1.code=="info.scale_name")\'>\n\n          <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ng-container>\n\n      </ng-container>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content textCtrl-title">\n\n      <ion-label>\n\n        <font style="color:red">*</font>单位地址（区总）\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="area_data" [(ngModel)]="info.area_data"\n\n      (ngModelChange)="selectChange(area_data,\'area_data\')" #area_data okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择单位地址" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of area_datas">\n\n            <ng-container *ngIf=\'item1.code=="info.area_data"\'>\n\n              <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n            <ng-container *ngIf=\'!(item1.code=="info.area_data")\'>\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n    <ion-item class="item-content textCtrl-title">\n\n        <ion-label>\n\n          <font style="color:red">*</font>单位地址（街道或镇）\n\n        </ion-label>\n\n        <ion-select class="textCtrl-content-editable" name="area_data1" [(ngModel)]="info.area_data1" \n\n         #area_data1 okText="确定" cancelText="取消"\n\n          multiple="false" interface placeholder="请选择单位地址" interface="action-sheet">\n\n          <ng-container *ngFor="let item1 of area_data2">\n\n              <ng-container *ngIf=\'item1.code=="info.area_data1"\'>\n\n                <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n              <ng-container *ngIf=\'!(item1.code=="info.area_data1")\'>\n\n                <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n            </ng-container>\n\n        </ion-select>\n\n      </ion-item>\n\n\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>详细地址\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写详细地址" [(ngModel)]="info.address_name" name="address_name"\n\n      style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>电子邮箱\n\n    </h3>\n\n    <input type="email" class="textCtrl-content-editable" placeholder="请填写电子邮箱" [(ngModel)]="info.email_name" name="email_name"\n\n      style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>邮政编码\n\n    </h3>\n\n    <input type="number" class="textCtrl-content-editable" placeholder="请填写邮政编码" [(ngModel)]="info.postcode_name" minlength="6"\n\n      maxlength="6" name="postcode_name" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>联系电话\n\n    </h3>\n\n    <input type="number" class="textCtrl-content-editable" placeholder="请填写联系电话" [(ngModel)]="info.phone_name" maxlength="11"\n\n      minlength="11" name="phone_name" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title1">\n\n      <h3>\n\n          <font style="color:red">*</font>单位介绍\n\n      </h3>\n\n    <textarea name="content" [(ngModel)]="info.description_name" name="description_name" cols="30" rows="10" placeholder="单位介绍，限512个字符以内"\n\n    class="textCtrl-content-editable" style="text-indent: 2rem;padding-top: 10px;padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: rgb(10, 10, 10);">\n\n      </textarea>\n\n  </ion-item>\n\n  <div style="height: 2.4em;">\n\n    <button ion-button block button-positive (click)="onSubmit()">保存</button>\n\n  </div>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\edit-work-enter\edit-work-enter.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_code__["a" /* AppCode */]])
    ], EditWorkEnterPage);
    return EditWorkEnterPage;
}());

//# sourceMappingURL=edit-work-enter.js.map

/***/ })

});
//# sourceMappingURL=21.js.map