webpackJsonp([29],{

/***/ 1015:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TuoDanPageModule", function() { return TuoDanPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__tuo_dan__ = __webpack_require__(1155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TuoDanPageModule = /** @class */ (function () {
    function TuoDanPageModule() {
    }
    TuoDanPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__tuo_dan__["a" /* TuoDanPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__tuo_dan__["a" /* TuoDanPage */]),
            ],
        })
    ], TuoDanPageModule);
    return TuoDanPageModule;
}());

//# sourceMappingURL=tuo-dan.module.js.map

/***/ }),

/***/ 1155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TuoDanPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





//import { window } from 'rxjs/operators/window';
/**
 * Generated class for the TuoDanPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TuoDanPage = /** @class */ (function () {
    function TuoDanPage(navCtrl, navParams, appService, appUtil, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.sanitizer = sanitizer;
        this.info = localStorage.getItem('changchun.tuoDanPersonalInfo') || [];
    }
    TuoDanPage.prototype.ionViewWillEnter = function () {
        this.loadFriendPersonalInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    TuoDanPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 加载脱单个人信息
     */
    TuoDanPage.prototype.loadFriendPersonalInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getFriendshipPersonalInfo, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                    localStorage.setItem('changchun.tuoDanPersonalInfo', JSON.stringify(d));
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 脱单个人信息详情
     */
    TuoDanPage.prototype.toDetail = function (id) {
        this.navCtrl.push('TuoDanPersonalPage', { record_id: id });
    };
    /**
     * 个人生活照
     */
    TuoDanPage.prototype.ownPhoto = function () {
        this.navCtrl.push('OwnPhotoPage');
    };
    /**拨号 */
    TuoDanPage.prototype.bohao = function () {
        window.location.href = 'tel:0431-12351';
    };
    /**
     * 拨打电话
     * @param phone
     */
    TuoDanPage.prototype.call = function (evt, phone) {
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        evt.cancelBubble = true;
        window.location.href = 'tel:' + phone + '';
    };
    /**
     * 我的活动
     */
    TuoDanPage.prototype.myActivity = function () {
        this.navCtrl.push('TdMyActivityPage');
    };
    /**
     * 我的留言
     */
    TuoDanPage.prototype.myMessage = function () {
        // this.navCtrl.push('TdMyMessagePage');
        this.navCtrl.push('ChatPage');
    };
    /**
     * 相互关注
     */
    TuoDanPage.prototype.attention = function () {
        this.navCtrl.push('TdAttentionPage');
    };
    /**
     * 活动信息
     */
    TuoDanPage.prototype.activityList = function () {
        this.navCtrl.push('TdActivityListPage');
    };
    /**
     * 交友信息
     */
    TuoDanPage.prototype.friendInfo = function () {
        this.navCtrl.push('TdFriendInfoPage');
    };
    TuoDanPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-tuo-dan',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\tuo-dan\tuo-dan.html"*/'<!--\n\n  Generated template for the TuoDanPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>会聚良缘</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list>\n\n    <ion-item class="item" (click)="toDetail(info.id)">\n\n      <div style="float:left;">\n\n        <div class="textCtrl-title item-title">基本信息<span style="color:green;">({{info.audit_status_value}})</span></div>\n\n        <div class="textCtrl-content item-row-content" *ngIf="info.audit_status == 2" >不通过原因： <div class="item-appraise textCtrl-content" *ngIf="info.audit_status == 2" \n\n          [innerHTML]="assembleHTML(info.audit_fail_reason)"></div></div>\n\n        <div class="textCtrl-content item-row-content">姓　　名：{{info.name}}</div>\n\n        <div class="textCtrl-content item-row-content">性　　别：{{info.gender_value}}</div>\n\n        <div class="textCtrl-content item-row-content">民　　族：{{info.nation_value}}</div>\n\n        <div class="textCtrl-content item-row-content">出生日期：{{info.birthday}}</div>\n\n        <!-- <div class="textCtrl-content item-row-content" (click)=call($event,info.mobile)>手机号码：{{info.mobile}}</div> -->\n\n        <div class="textCtrl-content item-row-content">婚姻状况：{{info.marriage_value}}</div>\n\n        <div class="textCtrl-content item-row-content">学　　历：{{info.education_value}}</div>\n\n        <!-- <div class="textCtrl-content item-row-content">交友状态：{{info.dating_status_value}}</div> -->\n\n        <!-- <div style="text-align:center;">\n\n            <button ion-button round outline>\n\n              修改\n\n            </button>\n\n          </div> -->\n\n      </div>\n\n      <div class="textCtrl-content" style="width:5%;float:right">\n\n        <ion-icon name="arrow-forward"></ion-icon>\n\n      </div>\n\n    </ion-item>\n\n\n\n\n\n    <!-- <button ion-item class="item" (click)="myActivity()">\n\n      <span class="textCtrl-title">我的活动</span>\n\n    </button> -->\n\n    <button ion-item class="item" (click)="ownPhoto()">\n\n      <span class="textCtrl-title">生活照</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="activityList()">\n\n      <span class="textCtrl-title">活动信息</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="attention()">\n\n      <span class="textCtrl-title">关注和粉丝</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="myMessage()">\n\n      <span class="textCtrl-title">我的留言</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="friendInfo()">\n\n      <span class="textCtrl-title">交友信息</span>\n\n    </button>\n\n\n\n  </ion-list>\n\n    <p style="text-align:center;" (click)="bohao()"><span style="color:blue;border-bottom:1px solid;">咨询电话：0431-12351</span></p>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\tuo-dan\tuo-dan.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], TuoDanPage);
    return TuoDanPage;
}());

//# sourceMappingURL=tuo-dan.js.map

/***/ })

});
//# sourceMappingURL=29.js.map