webpackJsonp([42],{

/***/ 1001:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "StepRankPageModule", function() { return StepRankPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__step_rank__ = __webpack_require__(1142);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var StepRankPageModule = /** @class */ (function () {
    function StepRankPageModule() {
    }
    StepRankPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__step_rank__["a" /* StepRankPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__step_rank__["a" /* StepRankPage */]),
            ],
        })
    ], StepRankPageModule);
    return StepRankPageModule;
}());

//# sourceMappingURL=step-rank.module.js.map

/***/ }),

/***/ 1142:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StepRankPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the StepRankPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var StepRankPage = /** @class */ (function () {
    function StepRankPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.title = ''; //标题
        this.personalInfo = [];
        this.rankSize = 0;
        this.type = this.navParams.get("type");
        if (this.type == 1) {
            this.title = "单位个人步数排行";
        }
        else if (this.type == 2) {
            this.title = "全市个人步数排行";
        }
        else if (this.type == 3) {
            this.title = "全市单位步数排行";
        }
        else if (this.type == 4) {
            this.title = "各城区县区开发区各产业步数排行";
        }
    }
    StepRankPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad StepRankPage');
        console.log("type", this.type);
        if (this.type == 1 || this.type == 2) {
            this.getPersonalJianbuInfo();
        }
        this.getJianbuInfoList();
    };
    /**
     * 获取个人排名及信息
     */
    StepRankPage.prototype.getPersonalJianbuInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPersonalJianbuInfo, { token: localStorage.getItem('changchun.token'), type: this.type }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.personalInfo = d;
                    console.log(_this.personalInfo);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取排名信息
     */
    StepRankPage.prototype.getJianbuInfoList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getJianbuInfoList, { token: localStorage.getItem('changchun.token'), type: this.type }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.list = d;
                    _this.rankSize = d.length;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    StepRankPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-step-rank',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\step-rank\step-rank.html"*/'<!--\n\n  Generated template for the StepRankPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background-color:#F0F0F0">\n\n\n\n  <ion-item style="padding-left:10px;" *ngIf="type == 1 && type == 2">\n\n    <!-- <ion-avatar item-left>\n\n      <img style="margin-left:30px;" src="../assets/imgs/tu4.png">\n\n    </ion-avatar> -->\n\n    <h3 class="textCtrl-title">{{personalInfo.name}}</h3>\n\n    <span class="textCtrl-content" style="font-size:1.4rem">第{{personalInfo.ranking}}名</span>\n\n    <span\n\n      style="float:right;color:green;font-weight:400;font-size:3rem;line-height:0%;">{{personalInfo.step_number}}</span>\n\n  </ion-item>\n\n\n\n\n\n  <div class="item item-divider"></div>\n\n\n\n  <ion-item style="padding-left:0;border:none;" *ngIf="rankSize == 0">\n\n    <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无排名信息</p>\n\n  </ion-item>\n\n\n\n  <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;" *ngFor="let info of list">\n\n    <!-- <ion-avatar item-left>\n\n      <h2 class="number">{{info.sn}}</h2>\n\n      <img style="display:inline-block" src="../assets/imgs/img1_01.jpg">\n\n    </ion-avatar> -->\n\n    <h3 class="textCtrl-title">{{info.name}}</h3>\n\n    <span class="textCtrl-content" style="font-size:1.4rem">第{{info.sn}}名</span>\n\n    <span style="float:right;color:green;font-weight:400;font-size:3rem;line-height:0%;">{{info.step_number}}</span>\n\n  </ion-item>\n\n\n\n  <!-- <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;" *ngFor="let info of list">\n\n    <h3 class="textCtrl-title">{{info.name}}</h3>\n\n    <span class="textCtrl-content" style="font-size:1.4rem">第{{info.sn}}名</span>\n\n    <span style="float:right;color:green;font-weight:400;font-size:3rem;line-height:0%;">{{info.step_number}}</span>\n\n  </ion-item> -->\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\step-rank\step-rank.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], StepRankPage);
    return StepRankPage;
}());

//# sourceMappingURL=step-rank.js.map

/***/ })

});
//# sourceMappingURL=42.js.map