webpackJsonp([45],{

/***/ 1139:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SignHistoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the SignHistoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SignHistoryPage = /** @class */ (function () {
    function SignHistoryPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.historyInfo = [];
        this.historyInfoLength = 0;
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token')
        };
    }
    SignHistoryPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SignHistoryPage');
        this.initList();
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    SignHistoryPage.prototype.trackByhistoryInfo = function (index, historyInfo) {
        return historyInfo.id;
    };
    /**
     * 获取信息
     */
    SignHistoryPage.prototype.loadInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.signHistoryList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.historyInfo = d;
                    _this.historyInfoLength = d.length;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    SignHistoryPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.loadInfo();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    SignHistoryPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    SignHistoryPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.signHistoryList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.historyInfo = _this.historyInfo.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    SignHistoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-sign-history',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\sign-history\sign-history.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>积分记录</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item class="item item-icon-right" style="background-color:#cbced2">\n\n        <span class="textCtrl-title">积分类型</span>\n\n        <span class="textCtrl-title" style="margin-left:20%;">积分变动</span>\n\n        <span class="textCtrl-title" style="margin-left:20%;">时间</span>\n\n      </ion-item>\n\n\n\n      <ion-item class="item item-icon-right" *ngIf="historyInfoLength == 0">\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无积分记录</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="item item-icon-right" *ngFor="let info of historyInfo trackBy:trackByhistoryInfo">\n\n        <span class="textCtrl-title">签到</span>\n\n        <span class="textCtrl-title" style="margin-left:30%;">{{info.integral_num}}</span>\n\n        <span class="item-note textCtrl-content">{{info.sign_date}}</span>\n\n        <!-- <ion-icon class="icon-1 textCtrl-content" name="arrow-forward"></ion-icon> -->\n\n      </ion-item>\n\n\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\sign-history\sign-history.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], SignHistoryPage);
    return SignHistoryPage;
}());

//# sourceMappingURL=sign-history.js.map

/***/ }),

/***/ 998:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SignHistoryPageModule", function() { return SignHistoryPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__sign_history__ = __webpack_require__(1139);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SignHistoryPageModule = /** @class */ (function () {
    function SignHistoryPageModule() {
    }
    SignHistoryPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__sign_history__["a" /* SignHistoryPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__sign_history__["a" /* SignHistoryPage */]),
            ],
        })
    ], SignHistoryPageModule);
    return SignHistoryPageModule;
}());

//# sourceMappingURL=sign-history.module.js.map

/***/ })

});
//# sourceMappingURL=45.js.map