webpackJsonp([46],{

/***/ 1138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SetMembercardPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the SetMembercardPasswordPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SetMembercardPasswordPage = /** @class */ (function () {
    function SetMembercardPasswordPage(navCtrl, navParams, appService, alertCtrl, actionSheetCtrl, appUtil, elementRef) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.alertCtrl = alertCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appUtil = appUtil;
        this.elementRef = elementRef;
        this.type = this.navParams.get("type");
        this.token = localStorage.getItem('changchun.token');
        this.code_time = 0;
        this.key = '';
        this.verification_code_show = '';
        this.title = "";
        this.params = {
            code_input: '',
            old_password: '',
            password: '',
            newpassword: ''
        };
    }
    SetMembercardPasswordPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SetMembercardPasswordPage');
        if (this.type == 1) {
            this.title = "设置密码";
        }
        else {
            this.title = "修改密码";
        }
        this.getRandomNumbers();
    };
    //创建验证码
    SetMembercardPasswordPage.prototype.getRandomNumbers = function () {
        var _this = this;
        var codeLength = 4; //验证码长度
        //所有候选组成验证码的字符，当然也可以用中文的
        //var selectChar: any[] = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
        //  'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z'
        //];
        var selectChar = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9];
        var codeRandom = "";
        for (var i = 0; i < codeLength; i++) {
            //var codeIndex = Math.floor(Math.random() * 62);
            var codeIndex = Math.floor(Math.random() * 10);
            codeRandom += selectChar[codeIndex]; //生成4位验证码
        }
        // this.verification_code_show = codeRandom;
        // console.log('*******verification_code_show*********' + this.verification_code_show);
        var code_time = new Date().getTime();
        var key = hex_md5(code_time + codeRandom.toUpperCase());
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getInputCode, {
            time: code_time,
            key: key,
            code: codeRandom.toUpperCase()
        }, function (rs) {
            if (rs.errcode < 0) {
                _this.appService.alert(rs.errmsg);
            }
            else {
                _this.code_time = code_time;
                _this.key = key;
                _this.verification_code_show = codeRandom;
            }
        });
    };
    SetMembercardPasswordPage.prototype.changeRandomNumber = function () {
        this.getRandomNumbers();
    };
    //设置修改密码
    SetMembercardPasswordPage.prototype.setPassword = function () {
        var _this = this;
        if (this.type == 2) {
            if (this.params.old_password == '') {
                this.appService.alert("请输入旧密码");
            }
        }
        if (this.params.password == '') {
            this.appService.alert("请输入密码");
            return;
        }
        if (this.params.password == '') {
            this.appService.alert("请输入确认密码");
            return;
        }
        if (this.params.password != this.params.newpassword) {
            this.appService.alert("两次密码不一致");
            return;
        }
        var key = hex_md5(this.code_time + this.params.code_input.toUpperCase());
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.setPassword, {
            token: this.token,
            type: this.type,
            password: this.params.password,
            old_password: this.params.old_password,
            key: key,
            originalKey: this.key,
            code_time: this.code_time,
            RandomNumbers: this.params.code_input
        }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    localStorage.removeItem('changchun.token');
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
            }
        });
    };
    SetMembercardPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-set-membercard-password',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\set-membercard-password\set-membercard-password.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <form #f="ngForm" >\n\n    <ion-item class="textCtrl-content" style="padding-left:0;margin-top:10px;" *ngIf="type == 2">\n\n      <ion-label style="width: 95px;">旧密码</ion-label>\n\n      <ion-input type="password" name="old_password" placeholder="请输入旧密码"  [(ngModel)]="params.old_password" required minLength="8" maxLength="20"></ion-input>\n\n    </ion-item>\n\n    <ion-item class="textCtrl-content" style="padding-left:0;margin-top:10px;" >\n\n      <ion-label style="width: 95px;">密码</ion-label>\n\n      <ion-input type="password" name="password" placeholder="请输入"  [(ngModel)]="params.password" required minLength="8" maxLength="20"></ion-input>\n\n    </ion-item>\n\n    <ion-item class="textCtrl-content" style="padding-left:0;margin-top:10px;" >\n\n      <ion-label style="width: 95px;">确认密码</ion-label>\n\n      <ion-input type="password" name="newpassword" placeholder="请确认密码"  [(ngModel)]="params.newpassword" required minLength="8" maxLength="20"></ion-input>\n\n    </ion-item>\n\n    <div style="width:70%;float:left">\n\n      <ion-item class="textCtrl-content" style="padding-left:0;margin-top: 10px;">\n\n        <ion-label style="width: 95px;">验证码</ion-label>\n\n        <ion-input name="code_input" [(ngModel)]="params.code_input" #code_input="ngModel" type="text" minlength="4" maxlength="4"\n\n             placeholder="请输入" required style="width: 40%;display: block;"></ion-input>\n\n      </ion-item>\n\n    </div>\n\n    <div style="width: 28%;float: left;">\n\n      <ion-input type="text" (click)="changeRandomNumber()" readonly name="code" #code [(ngModel)]="verification_code_show"\n\n      style="max-width:65%;text-align:center;padding-left:1.5rem;border-top:1px solid #999;border-bottom:1px solid #999;transform:rotate(-9deg);margin:7px 20px;border-left-width:0px;border-right-width:0px;border-radius:0px;">\n\n    </ion-input>\n\n    </div>\n\n    <div style="clear:both"></div>\n\n    <button disable-activated ion-button block button-positive color="primary" style="margin-top: 30px;" (click)="setPassword()" [disabled]="!f.valid">保存</button>\n\n  </form>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\set-membercard-password\set-membercard-password.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"]])
    ], SetMembercardPasswordPage);
    return SetMembercardPasswordPage;
}());

//# sourceMappingURL=set-membercard-password.js.map

/***/ }),

/***/ 997:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SetMembercardPasswordPageModule", function() { return SetMembercardPasswordPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__set_membercard_password__ = __webpack_require__(1138);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SetMembercardPasswordPageModule = /** @class */ (function () {
    function SetMembercardPasswordPageModule() {
    }
    SetMembercardPasswordPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__set_membercard_password__["a" /* SetMembercardPasswordPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__set_membercard_password__["a" /* SetMembercardPasswordPage */]),
            ],
        })
    ], SetMembercardPasswordPageModule);
    return SetMembercardPasswordPageModule;
}());

//# sourceMappingURL=set-membercard-password.module.js.map

/***/ })

});
//# sourceMappingURL=46.js.map