webpackJsonp([50],{

/***/ 1134:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceStationMapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(167);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_jquery__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_jquery___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_jquery__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_launch_navigator__ = __webpack_require__(511);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__ = __webpack_require__(510);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_geolocation__ = __webpack_require__(169);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var ServiceStationMapPage = /** @class */ (function () {
    function ServiceStationMapPage(toastCtrl, launchNavigator, platform, appAvailability, geolocation, inAppBrowser, http, loadingCtrl, navCtrl, navParams, appService) {
        this.toastCtrl = toastCtrl;
        this.launchNavigator = launchNavigator;
        this.platform = platform;
        this.appAvailability = appAvailability;
        this.geolocation = geolocation;
        this.inAppBrowser = inAppBrowser;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.back = false;
        this.map_level = 14;
        this.type = 0;
        this.flag = 0;
        this.params = {
            sw_lng: '',
            sw_lat: '',
            ne_lng: '',
            ne_lat: '',
            longitude: localStorage.getItem('longitude'),
            latitude: localStorage.getItem('latitude') //纬度 这个最后加了定位插件再传值
        };
        this.station = {
            id: '',
            name: '',
            img: '',
            address: ''
        };
        this.marker = [];
        this.stationsList = [];
        this.stationsList_navigate = [];
        window["MapPage"] = this;
        this.geolocation.getCurrentPosition().then(function (resp) {
            var latitude = resp.coords.latitude;
            var longitude = resp.coords.longitude;
            var geoc = new BMap.Geocoder();
            var convertor = new BMap.Convertor();
            new BMap.Point(parseFloat(latitude.toString()));
            convertor.translate([new BMap.Point(parseFloat(longitude.toString()), parseFloat(latitude.toString()))], 1, 5, function (data) {
                latitude = data.points[0].lat;
                longitude = data.points[0].lng;
                localStorage.setItem('latitude', latitude.toString());
                localStorage.setItem('longitude', longitude.toString());
            });
            geoc.getLocation(new BMap.Point(parseFloat(longitude.toString()), parseFloat(latitude.toString())), function (rs) {
                var address = rs.addressComponents;
                //localStorage.setItem("",address.city);
            });
        }).catch(function (error) {
            console.log('GPS已禁用，无法定位当前位置');
        });
    }
    ServiceStationMapPage.prototype.ionViewWillLeave = function () {
        this.type = 1;
        this.back = true;
        console.log('willleave');
    };
    /**
     *
     * @param address 高德地图根据地址位置获取坐标信息
     */
    ServiceStationMapPage.prototype.getAMapLocation = function (address) {
        var _this = this;
        var lat;
        var lng;
        AMap.plugin(["AMap.Geocoder"], function () {
            var myGeo = new AMap.Geocoder();
            myGeo.getLocation(address, function (status, result) {
                console.log('status', status);
                console.log('result', result);
                if (status === 'complete' && result.info === 'OK') {
                    console.log('**************************************');
                    console.log('111111', result.geocodes[0].location.lat);
                    console.log('222222', result.geocodes[0].location.lng);
                    lat = result.geocodes[0].location.lat;
                    lng = result.geocodes[0].location.lng;
                    console.log("this.desLat111", this.desLat);
                    console.log("this.desLng111", this.desLng);
                }
                else {
                    this.appService.alert("获取位置信息失败，请重试");
                }
            });
        });
        setTimeout(function () {
            _this.goMapAddress(address, lat, lng);
        }, 2000);
    };
    /**
     * 获取工会服务站列表
     * @param longitude 经度
     * @param latitude 纬度
     * @param map
     */
    ServiceStationMapPage.prototype.getStationList = function (longitude, latitude, map) {
        // console.log("lng:"+longitude);
        // console.log("lat:"+latitude);
        this.params.longitude = longitude;
        this.params.latitude = latitude;
        this.stationsList = JSON.parse(localStorage.getItem('changchun.mapList')) || [];
        __WEBPACK_IMPORTED_MODULE_4_jquery___default.a.ajax({
            //url: "http://gzptpx.ccgh.org.cn/app/api/station/list1.jsp",
            url: "http://app.ccgh.org.cn/api/station/list1.jsp",
            type: 'POST',
            timeout: 1000000,
            data: this.params,
            dataType: 'JSON',
            async: true,
            cache: false,
            success: function (data) {
                var myObj = window["MapPage"];
                myObj.stationsList = data;
                myObj.forEachStation(map);
            },
            error: function (json) {
                console.log(2);
            }
        });
    };
    /**
     * 切换
     */
    // change() {
    //   this.navCtrl.push("ServiceStationPage");
    // }
    ServiceStationMapPage.prototype.ionViewDidEnter = function () {
        console.log("ionViewDidLoad");
        this.back = false;
        this.addMap("125.332915", "43.849205", this.map_level);
    };
    /**
     * 地图添加标注点
     */
    ServiceStationMapPage.prototype.addMap = function (longitude, latitude, level) {
        var myObj = window["MapPage"];
        if (this.map1 == undefined) {
            this.map1 = new BMap.Map("allmap");
            this.addDragend(this.map1);
        }
        var map = this.map1;
        map.centerAndZoom(new BMap.Point(longitude, latitude), level);
        map.enableDragging();
        // console.log(this.flag);
        if (this.flag == 0) {
            this.flag = 1;
            map.addEventListener("tilesloaded", function () {
                var pt = map.getCenter();
                var cp = map.getBounds(); //返回map可视区域
                var sw = cp.getSouthWest();
                var ne = cp.getNorthEast();
                var level = myObj.getZoom(ne.lng, sw.lng, ne.lat, sw.lat);
                myObj.map_level = level;
                // console.log("tilesloaded");
                // console.log(myObj.map_level);
                if (!myObj.back) {
                    if (myObj.map_level <= 10) {
                        //myObj.appService.alert("请精确所选范围");
                        myObj.toastCtrl.create({
                            message: '当前范围较大，请您精确范围！',
                            duration: 2000,
                            position: 'bottom'
                        }).present();
                    }
                    else {
                        var flag = false;
                        if (myObj.show_id != 0 && myObj.show_id != undefined) {
                            flag = true;
                        }
                        if (!flag) {
                            myObj.toGetStationList(map);
                        }
                    }
                }
            });
        }
    };
    /**
     * 获取服务站地图列表
     * @param map
     */
    ServiceStationMapPage.prototype.toGetStationList = function (map) {
        var cp = map.getBounds(); //返回map可视区域
        var pt = map.getCenter();
        var sw = cp.getSouthWest();
        var ne = cp.getNorthEast();
        this.params.sw_lng = sw.lng;
        this.params.sw_lat = sw.lat;
        this.params.ne_lng = ne.lng;
        this.params.ne_lat = ne.lat;
        this.getStationList(pt.lng, pt.lat, map);
    };
    /**
     * 添加地图标注点
     * @param map
     * @param stationsList
     */
    ServiceStationMapPage.prototype.forEachStation = function (map) {
        // console.log("type:" + this.type);
        // console.log("length:" + this.stationsList.length);
        //循环获取到的服务站信息
        if (this.stationsList.length == 0 && this.type == 0) {
            //this.appService.alert("当前范围内没有工会服务站信息！");
            this.toastCtrl.create({
                message: '当前范围内没有工会服务站信息！',
                duration: 2000,
                position: 'bottom'
            }).present();
            return;
        }
        this.stationsList.forEach(function (element) {
            if ((element.latitude != null && element.latitude != 0.0) || (element.longitude != null && element.longitude != 0.0)) {
                var point = new BMap.Point(element.longitude, element.latitude);
                var content = '<div style="margin:0;line-height:20px;padding:2px;">'
                    + '地址：' + element.address + '<br/>'
                    + '</div>';
                //创建检索信息窗口对象
                var searchInfoWindow = new BMapLib.SearchInfoWindow(map, content, {
                    title: element.name,
                    width: '80%',
                    height: 60,
                    enableSendToPhone: false,
                    searchTypes: []
                });
                searchInfoWindow.addEventListener("close", function (e) {
                    __WEBPACK_IMPORTED_MODULE_4_jquery___default()('#station_' + element.id).hide();
                });
                var myObj = window["MapPage"];
                myObj.addMarker(map, point, searchInfoWindow, element.name, element.address, element.id);
            }
        });
        //this.addDragend(map);
    };
    /**
     * 添加拖拽事件
     * @param map
     */
    ServiceStationMapPage.prototype.addDragend = function (map) {
        var myObj = window["MapPage"];
        // map.addEventListener("tilesloaded", function () {
        //   console.log("tilesloaded");
        //   myObj.toMap(map);
        //   console.log("666***************");
        // });
        /**
         * 拖拽开始事件
         */
        map.addEventListener("dragstart", function () {
            console.log("dragstart");
            myObj.show_id = 0;
            map.clearOverlays();
        });
        /**
         * 拖拽结束事件
         */
        map.addEventListener("dragend", function () {
            // console.log("dragend");
            myObj.toMap(map);
        });
    };
    /**
     * 刷新展示标注点
     * @param map
     */
    ServiceStationMapPage.prototype.toMap = function (map) {
        var myObj = window["MapPage"];
        var pt = map.getCenter();
        var cp = map.getBounds(); //返回map可视区域
        var sw = cp.getSouthWest();
        var ne = cp.getNorthEast();
        var level = myObj.getZoom(ne.lng, sw.lng, ne.lat, sw.lat);
        // console.log("level_zoom:" + level);
        myObj.map_level = level;
        // if (level <= 10) {
        //   //myObj.appService.alert("请精确所选范围");
        //   myObj.toastCtrl.create({
        //     message: '当前范围较大，请您精确范围！',
        //     duration: 2000,
        //     position: 'bottom'
        //   }).present();
        // } else {
        myObj.addMap(pt.lng, pt.lat, myObj.map_level);
        // }
    };
    /**
     * @param map 添加标注
     * @param point
     * @param infoWindow
     */
    ServiceStationMapPage.prototype.addMarker = function (map, point, searchInfoWindow, name, address, id) {
        var myObj = window["MapPage"];
        // var myIcon = new BMap.Icon("http://lbsyun.baidu.com/jsdemo/img/fox.gif",new BMap.Size(100,100),{anchor:new BMap.Size(10,10)});
        var myIcon = new BMap.Icon("http://app.ccgh.org.cn/downloading/mark.png", new BMap.Size(30, 35), {
            // 指定定位位置
            //offset: new BMap.Size(10, 25),
            anchor: new BMap.Size(18, 38)
            // 当需要从一幅较大的图片中截取某部分作为标注图标时，需要指定大图的偏移位置   
            //imageOffset: new BMap.Size(0, 0 - 25) // 设置图片偏移  
        });
        var marker = new BMap.Marker(point, { icon: myIcon });
        this.marker.concat(marker);
        map.addOverlay(marker);
        //添加点击事件
        marker.addEventListener("click", function (e) {
            __WEBPACK_IMPORTED_MODULE_4_jquery___default()('#station_' + id).show();
            myObj.show_id = id;
            // searchInfoWindow.open(marker);
        });
    };
    /**
     * 导航
     * @param name
     * @param address
     */
    ServiceStationMapPage.prototype.goMapAddress = function (address, lat, lng) {
        var _this = this;
        var latitude = localStorage.getItem('changchun.latitude');
        var longitude = localStorage.getItem('changchun.longitude');
        if ((latitude == null || latitude == '0.0') && (longitude == null || longitude == '0.0')) {
            this.appService.alert('GPS已禁用，无法定位当前位置');
            return;
        }
        var targetSrc1 = 'http://api.map.baidu.com/direction?origin=latlng:' + latitude + ',' + longitude + '|name:您所在位置&destination=' + address + '&mode=driving&output=html';
        var targetSrc2 = 'http://uri.amap.com/navigation?from=&to=' + lng + ',' + lat + ',' + address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
        if (this.platform.is('ios')) {
            this.launchNavigatorForIos(address);
        }
        else if (this.platform.is('android')) {
            this.appAvailability.check('com.baidu.BaiduMap').then(function (yes) {
                _this.inAppBrowser.create(targetSrc1, '_system', {
                    clearcache: 'yes',
                    clearsessioncache: 'yes',
                    keyboardDisplayRequiresUserAction: 'no'
                });
            }, function (no) {
                console.log('this.desLng', lng);
                console.log('this.desLat', lat);
                // var targetSrc2 = 'http://uri.amap.com/navigation?from=116.478346,39.997361,startpoint&to=' + this.desLng + ',' + this.desLat + ',' + address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
                _this.inAppBrowser.create(targetSrc2, '_system', {
                    clearcache: 'yes',
                    clearsessioncache: 'yes',
                    keyboardDisplayRequiresUserAction: 'no'
                });
            }).catch(function (error) {
                _this.appService.alert("网络繁忙");
                console.log('Error getting location', error);
            });
        }
    };
    /**
     * IOS导航
     * @param address
     */
    ServiceStationMapPage.prototype.launchNavigatorForIos = function (address) {
        var _this = this;
        this.launchNavigator.navigate(address).then(function (resp) {
        }).catch(function (error) {
            _this.appService.alert("网络繁忙");
            console.log('Error getting location', error);
        });
    };
    ServiceStationMapPage.prototype.setZoom = function (points) {
        if (points.length > 0) {
            var maxLng = points[0].lng;
            var minLng = points[0].lng;
            var maxLat = points[0].lat;
            var minLat = points[0].lat;
            var res;
            for (var i = points.length - 1; i >= 0; i--) {
                res = points[i];
                if (res.lng > maxLng)
                    maxLng = res.lng;
                if (res.lng < minLng)
                    minLng = res.lng;
                if (res.lat > maxLat)
                    maxLat = res.lat;
                if (res.lat < minLat)
                    minLat = res.lat;
            }
            ;
            var cenLng = (parseFloat(maxLng) + parseFloat(minLng)) / 2;
            var cenLat = (parseFloat(maxLat) + parseFloat(minLat)) / 2;
            var zoom = this.getZoom(maxLng, minLng, maxLat, minLat);
            this.map1.centerAndZoom(new BMap.Point(cenLng, cenLat), zoom);
        }
        else {
            //没有坐标，显示全中国  
            this.map1.centerAndZoom(new BMap.Point(103.388611, 35.563611), 5);
        }
    };
    ServiceStationMapPage.prototype.getZoom = function (maxLng, minLng, maxLat, minLat) {
        var zoom = ["20", "50", "100", "200", "500", "1000", "2000", "5000", "10000", "20000", "25000", "50000", "100000", "200000", "500000", "1000000", "2000000", "5000000", "10000000"]; //级别18到3。  
        var pointA = new BMap.Point(maxLng, maxLat); // 创建点坐标A  
        var pointB = new BMap.Point(minLng, minLat); // 创建点坐标B  
        var distance = this.map1.getDistance(pointA, pointB).toFixed(2); //获取两点距离,保留小数点后两位  
        console.log("distance:" + distance);
        for (var i = 0, zoomLen = zoom.length; i < zoomLen; i++) {
            if (zoom[i] - distance > 0) {
                var level = 20 - i + 3;
                console.log(level >= 14 ? level - 1 : level);
                if (level >= 14 && level < 19)
                    return level - 1;
                else
                    return level;
                //return level >= 14 ? level - 1 : level;//之所以会多3，是因为地图范围常常是比例尺距离的10倍以上。所以级别会增加3。  
            }
        }
        ;
    };
    ServiceStationMapPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-station-map',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-station-map\service-station-map.html"*/'<!--\n\n  Generated template for the MapPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>工会服务站</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <div id="allmap"></div>\n\n  <section>\n\n\n\n    <ion-list>\n\n      <ion-item id="station_{{station.id}}" style="display: none;" class="item" *ngFor="let station of stationsList">\n\n        <ion-avatar item-left style="margin: 8px 8px 8px 8px">\n\n          <img src={{station.img}}>\n\n        </ion-avatar>\n\n        <p style="margin-top:0;font-size: 1.2rem;color: #000;width:80%;white-space:nowrap">{{station.name}}</p>\n\n        <!-- <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of station.star"></ion-icon>\n\n        </div> -->\n\n        <p style="font-size: 1rem;color: #666;width:80%;white-space:nowrap">地址：{{station.address}}</p>\n\n        <button ion-button float-right style="position:inherit;margin-top:-30px" (click)="getAMapLocation(station.address)">导航</button>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n  </section>\n\n  <!-- <div id="navigate" style="height:20px">\n\n    <input type="button" value="查看路线" />\n\n  </div> -->\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-station-map\service-station-map.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ToastController"],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_launch_navigator__["a" /* LaunchNavigator */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["LoadingController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], ServiceStationMapPage);
    return ServiceStationMapPage;
}());

//# sourceMappingURL=service-station-map.js.map

/***/ }),

/***/ 993:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceStationMapPageModule", function() { return ServiceStationMapPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_station_map__ = __webpack_require__(1134);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceStationMapPageModule = /** @class */ (function () {
    function ServiceStationMapPageModule() {
    }
    ServiceStationMapPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_station_map__["a" /* ServiceStationMapPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_station_map__["a" /* ServiceStationMapPage */]),
            ],
        })
    ], ServiceStationMapPageModule);
    return ServiceStationMapPageModule;
}());

//# sourceMappingURL=service-station-map.module.js.map

/***/ })

});
//# sourceMappingURL=50.js.map