webpackJsonp([53],{

/***/ 1130:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceEnterprisePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ServiceEnterprisePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceEnterprisePage = /** @class */ (function () {
    function ServiceEnterprisePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.entList = [];
        this.hasmore = true;
        this.service_id = this.navParams.get('service_id');
        this.params = {
            page: 1,
            size: 10,
            longitude: localStorage.getItem('longitude'),
            latitude: localStorage.getItem('latitude'),
            service_id: this.service_id
        };
    }
    ServiceEnterprisePage.prototype.ionViewDidLoad = function () {
        this.getEntList();
    };
    /**
     * 获取服务单位列表
     */
    ServiceEnterprisePage.prototype.getEntList = function () {
        var _this = this;
        this.entList = JSON.parse(localStorage.getItem('changchun.entList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getEntList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.entList = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.entList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ServiceEnterprisePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.page = 1;
            _this.hasmore = true;
            _this.getEntList();
            refresher.complete();
        }, 1000);
    };
    ServiceEnterprisePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getEntList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.entList = _this.entList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param entList
     */
    ServiceEnterprisePage.prototype.trackByEntList = function (index, entList) {
        return entList.id;
    };
    ServiceEnterprisePage.prototype.goEnterpriseDetail = function (ent_id) {
        this.navCtrl.push('ServiceEnterpriseDetailPage', {
            merchant_id: ent_id
        });
    };
    ServiceEnterprisePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-enterprise',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-enterprise\service-enterprise.html"*/'<!--\n\n  Generated template for the ServiceEnterprisePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>服务单位</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'entList.length==0||entList.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无服务单位</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let ent of entList trackBy:trackByEntList" (click)="goEnterpriseDetail(ent.id)">\n\n        <ion-avatar item-left>\n\n          <img src={{ent.img}}>\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{ent.name}}</h3>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of ent.star"></ion-icon>\n\n        </div>\n\n        <p class="textCtrl-content">地址：{{ent.address}}</p>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-enterprise\service-enterprise.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], ServiceEnterprisePage);
    return ServiceEnterprisePage;
}());

//# sourceMappingURL=service-enterprise.js.map

/***/ }),

/***/ 989:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceEnterprisePageModule", function() { return ServiceEnterprisePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_enterprise__ = __webpack_require__(1130);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceEnterprisePageModule = /** @class */ (function () {
    function ServiceEnterprisePageModule() {
    }
    ServiceEnterprisePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_enterprise__["a" /* ServiceEnterprisePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_enterprise__["a" /* ServiceEnterprisePage */]),
            ],
        })
    ], ServiceEnterprisePageModule);
    return ServiceEnterprisePageModule;
}());

//# sourceMappingURL=service-enterprise.module.js.map

/***/ })

});
//# sourceMappingURL=53.js.map