webpackJsonp([54],{

/***/ 1129:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceEnterpriseDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_app_availability__ = __webpack_require__(510);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_launch_navigator__ = __webpack_require__(511);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser_ngx__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__components_member_show_image_show_image__ = __webpack_require__(520);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var ServiceEnterpriseDetailPage = /** @class */ (function () {
    function ServiceEnterpriseDetailPage(launchNavigator, inAppBrowser, platform, appAvailability, navCtrl, navParams, appService, modalCtrl, sanitizer, appUtil) {
        this.launchNavigator = launchNavigator;
        this.inAppBrowser = inAppBrowser;
        this.platform = platform;
        this.appAvailability = appAvailability;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.merchant_id = this.navParams.get('merchant_id');
        this.info = [];
        this.myImg = '';
    }
    /**
     *
     * @param address 高德地图根据地址位置获取坐标信息
     */
    ServiceEnterpriseDetailPage.prototype.getAMapLocation = function (address) {
        AMap.plugin(["AMap.Geocoder"], function () {
            var myGeo = new AMap.Geocoder();
            myGeo.getLocation(address, function (status, result) {
                if (status === 'complete' && result.info === 'OK') {
                    this.desLat = result.geocodes[0].location.lat;
                    this.desLng = result.geocodes[0].location.lng;
                }
            });
        });
    };
    ServiceEnterpriseDetailPage.prototype.ionViewDidLoad = function () {
        this.getEntInfo();
    };
    /**
     * 获取单位信息
     */
    ServiceEnterpriseDetailPage.prototype.getEntInfo = function () {
        var _this = this;
        this.info = JSON.parse(localStorage.getItem('changchun.entInfo')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_8__app_app_service__["a" /* AppGlobal */].API.getEntInfo, { merchant_id: this.merchant_id }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                    _this.myImg = _this.sanitizer.bypassSecurityTrustStyle('url(' + _this.info[0].pics[0].src + ')');
                    localStorage.setItem('changchun.entInfo', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ServiceEnterpriseDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    /**
     * 打开图片显示模态框
     * @param myEvent
     * @param type 2是详情页面，1是服务单位页面
     */
    ServiceEnterpriseDetailPage.prototype.openShowImageModal = function (myEvent, type) {
        var imgModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_9__components_member_show_image_show_image__["a" /* ShowImageComponent */], { pics: this.info[0].pics, type: 1 });
        /*imgModal.onDidDismiss(data => {
           this.params.service_name = data;
           this.initList();
         });*/
        imgModal.present({
            ev: myEvent
        });
    };
    ServiceEnterpriseDetailPage.prototype.goMapAddress = function (name, address) {
        var _this = this;
        if (address == '') {
            this.appService.alert("该服务单位无详细地址，无法进行定位导航");
            return;
        }
        var latitude = localStorage.getItem('changchun.latitude');
        var longitude = localStorage.getItem('changchun.longitude');
        if ((latitude == null || latitude == '0.0') && (longitude == null || longitude == '0.0')) {
            this.appService.alert('GPS已禁用，无法定位当前位置');
            return;
        }
        var targetSrc1 = 'http://api.map.baidu.com/direction?origin=latlng:' + latitude + ',' + longitude + '|name:您所在位置&destination=' + address + '&mode=driving&region=北京&output=html&src=测试北京12351app';
        var targetSrc2 = 'http://uri.amap.com/navigation?from=&to=' + this.desLng + ',' + this.desLat + ',' + address + '&mode=car&policy=1&src=mypage&coordinate=gaode&callnative=1';
        if (this.platform.is('ios')) {
            this.launchNavigatorForIos(address);
        }
        else if (this.platform.is('android')) {
            this.appAvailability.check('com.baidu.BaiduMap').then(function (yes) {
                _this.inAppBrowser.create(targetSrc1, '_system', {
                    clearcache: 'yes',
                    clearsessioncache: 'yes',
                    keyboardDisplayRequiresUserAction: 'no'
                });
            }, function (no) {
                _this.getAMapLocation(address),
                    _this.inAppBrowser.create(targetSrc2, '_system', {
                        clearcache: 'yes',
                        clearsessioncache: 'yes',
                        keyboardDisplayRequiresUserAction: 'no'
                    });
            }).catch(function (error) {
                _this.appService.alert("网络繁忙");
                console.log('Error getting location', error);
            });
        }
    };
    /* ios导航 */
    ServiceEnterpriseDetailPage.prototype.launchNavigatorForIos = function (address) {
        var _this = this;
        this.launchNavigator.availableApps().then(function (data) {
            console.log('data', data);
            data = ["apple_maps:true"];
            _this.launchNavigator.navigate(address, {
                appSelection: {
                    dialogHeaderText: '选择地图',
                    cancelButtonText: '取消',
                    list: data
                }
            }).then(function (resp) {
            }).catch(function (error) {
                _this.appService.alert("网络繁忙");
                console.log('Error getting location', error);
            });
        });
        this.launchNavigator.navigate(address).then(function (resp) {
        }).catch(function (error) {
            _this.appService.alert("网络繁忙");
            console.log('Error getting location', error);
        });
    };
    ServiceEnterpriseDetailPage.prototype.call = function (phone) {
        if (phone == null || phone == '') {
            this.appService.alert("暂无联系电话！");
        }
        else {
            window.location.href = 'tel:' + phone + '';
        }
    };
    ServiceEnterpriseDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    ServiceEnterpriseDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-enterprise-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-enterprise-detail\service-enterprise-detail.html"*/'<!--\n\n  Generated template for the ServiceEnterpriseDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>服务单位详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content >\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content\n\n      pullingIcon="arrow-dropdown"\n\n      pullingText="下拉刷新"\n\n      refreshingSpinner="circles"\n\n      refreshingText="加载中..."\n\n    >\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section  *ngFor="let info of info">\n\n      <ion-item class="item-1" [style.background-image]="myImg" *ngIf="info.pics" >\n\n        <div class="item-div-1">\n\n          <h2 style="color:white;font-size:1.6rem" >{{info.name}}</h2>\n\n          <div style="padding:0"><ion-icon name="star" *ngFor="let item of info.star"></ion-icon></div>     \n\n        </div>\n\n      </ion-item>\n\n\n\n      <button ion-item class="item-content" (click)="goMapAddress(info.name,info.address)">\n\n        <ion-avatar item-left>              \n\n          <ion-icon class="address-icon" name="pin"></ion-icon>          \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title" style="margin:0 0 0 0;white-space:normal;">{{info.address}}</h3>   \n\n      </button>\n\n\n\n      <ion-item class="item-content">\n\n        <ion-avatar item-left>              \n\n          <ion-icon class="worktime-icon" name="clock"></ion-icon>          \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">工作时间</h3>\n\n        <p float-right class="textCtrl-content">{{info.worktime}}</p>   \n\n      </ion-item>\n\n\n\n      <ion-item class="item-content" (click)="call(info.phone)">\n\n        <ion-avatar item-left>              \n\n          <ion-icon class="phone-icon" name="chatbubbles"></ion-icon>          \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">电话</h3>\n\n        <p float-right class="textCtrl-content">{{info.phone}}</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="item-content item-content-end">\n\n        <ion-avatar item-left>              \n\n          <ion-icon class="mail-icon" name="mail"></ion-icon>          \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">邮编</h3>\n\n        <p float-right class="textCtrl-content">{{info.post_code}}</p>\n\n      </ion-item>\n\n      <ion-item class="address-content" >\n\n        <span class="textCtrl-title">单位简介</span>\n\n        <!-- <ion-icon float-right name="arrow-down" ></ion-icon> -->\n\n      </ion-item>\n\n      <ion-item >\n\n       <p class="enterprise_content textCtrl-content" style="white-space: normal;" [innerHTML]="assembleHTML(info.description)"></p>\n\n      </ion-item>    \n\n  </section>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-enterprise-detail\service-enterprise-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_5__ionic_native_launch_navigator__["a" /* LaunchNavigator */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Platform"],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_8__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_7__app_app_util__["a" /* AppUtil */]])
    ], ServiceEnterpriseDetailPage);
    return ServiceEnterpriseDetailPage;
}());

//# sourceMappingURL=service-enterprise-detail.js.map

/***/ }),

/***/ 988:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceEnterpriseDetailPageModule", function() { return ServiceEnterpriseDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_enterprise_detail__ = __webpack_require__(1129);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceEnterpriseDetailPageModule = /** @class */ (function () {
    function ServiceEnterpriseDetailPageModule() {
    }
    ServiceEnterpriseDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_enterprise_detail__["a" /* ServiceEnterpriseDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_enterprise_detail__["a" /* ServiceEnterpriseDetailPage */]),
            ],
        })
    ], ServiceEnterpriseDetailPageModule);
    return ServiceEnterpriseDetailPageModule;
}());

//# sourceMappingURL=service-enterprise-detail.module.js.map

/***/ })

});
//# sourceMappingURL=54.js.map