webpackJsonp([55],{

/***/ 1132:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_service_reserve_service_reserve__ = __webpack_require__(516);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_member_login_login__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_member_add_comment_add_comment__ = __webpack_require__(507);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_barcode_scanner__ = __webpack_require__(505);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_in_app_browser_ngx__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












/**
 * Generated class for the ServiceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceDetailPage = /** @class */ (function () {
    function ServiceDetailPage(inAppBrowser, barcodeScanner, navCtrl, navParams, appService, appUtil, modalCtrl, alertCtrl, sanitizer) {
        this.inAppBrowser = inAppBrowser;
        this.barcodeScanner = barcodeScanner;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.sanitizer = sanitizer;
        this.info = [];
        this.comments = [];
        this.service_id = this.navParams.get('service_id');
        this.token = localStorage.getItem('changchun.token');
        this.verifyInfo = [];
        this.type = this.navParams.get('type');
    }
    /**
     * 生命周期方法
     */
    ServiceDetailPage.prototype.ionViewDidLoad = function () {
        this.getDetailInfo();
        this.getCommentList();
    };
    /**
     * 获取项目信息
     */
    ServiceDetailPage.prototype.getDetailInfo = function () {
        var _this = this;
        // this.info = JSON.parse(localStorage.getItem('changchun.serviceDetail')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getBatchDetail, { service_id: this.service_id }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                    // localStorage.setItem('changchun.serviceDetail', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取评论列表
     */
    ServiceDetailPage.prototype.getCommentList = function () {
        var _this = this;
        this.comments = JSON.parse(localStorage.getItem('changchun.commentsList1')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCommentList, { service_id: this.service_id, page: 1, size: 2 }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.comments = d;
                    localStorage.setItem('changchun.commentsList1', JSON.stringify(d));
                }
            }
        });
    };
    ServiceDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    /**
     * 相关评价
     */
    ServiceDetailPage.prototype.goAppraise = function () {
        this.navCtrl.push('ServiceAppraisePage', { 'service_id': this.service_id });
    };
    /**
     * 服务单位
     */
    ServiceDetailPage.prototype.goEnterprise = function () {
        this.navCtrl.push('ServiceEnterprisePage', { 'service_id': this.service_id });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param comments
     */
    ServiceDetailPage.prototype.trackByCommentList = function (index, comments) {
        return comments.id;
    };
    /**
     * 打开预定模态框
     * @param myEvent
     */
    ServiceDetailPage.prototype.openServiceReserveModal = function (verifyInfo, info, myEvent) {
        var _this = this;
        if (this.checkLogin()) {
            var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_service_reserve_service_reserve__["a" /* ServiceReserveComponent */], { verifyInfo: verifyInfo, info: info });
            searchModal.onDidDismiss(function (data) {
                if (data != null && data != 'undefined') {
                    if (data.success === '1') {
                        _this.ionViewDidLoad();
                    }
                }
            });
            searchModal.present({
                ev: myEvent
            });
        }
    };
    ServiceDetailPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    /**
     * 立即预定
     */
    ServiceDetailPage.prototype.verify = function () {
        var _this = this;
        // if (this.checkLogin()) {
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.verifyHD, //1.url
        {
            //token: this.token,
            token: localStorage.getItem('changchun.token'),
            service_id: this.service_id
        }, //2.params
        function (//2.params
            d) {
            if (d != null) {
                if (d.errcode == 0) {
                    console.log("verify成功");
                    _this.verifyInfo = d;
                    _this.openServiceReserveModal(_this.verifyInfo, _this.info);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == 1) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == 2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    console.log("未知返回参数");
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        } //3.callback function
        );
        // }
    };
    //Modal打开login
    ServiceDetailPage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            //console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.ionViewDidLoad();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 扫一扫
     */
    ServiceDetailPage.prototype.scan = function () {
        var _this = this;
        if (this.is_scan) {
            return;
        }
        this.is_scan = true;
        this.barcodeScanner.scan().then(function (barcodeData) {
            if (!barcodeData.cancelled) {
                _this.is_scan = false;
                switch (barcodeData.format) {
                    case 'QR_CODE':
                        localStorage.setItem('scan_result_type', '二维码');
                        //alert(barcodeData.text);
                        _this.doCheck(barcodeData.text);
                        break;
                    case 'EAN_13':
                        localStorage.setItem('scan_result', barcodeData.text);
                        localStorage.setItem('scan_result_type', '条形码');
                        _this.navCtrl.push('ScanResultPage');
                        break;
                }
            }
        }).catch(function (err) {
            _this.is_scan = false;
            console.log('Error', err);
            if (err == 'Illegal access') {
                _this.appService.alert('访问摄像头的权限已被禁用，请前往设置开启');
            }
            else {
                _this.appService.alert("无法识别二维码");
            }
        });
        this.is_scan = false;
    };
    /**
     * json验证
     * @param str
     */
    ServiceDetailPage.prototype.isJSON = function (str) {
        if (typeof (str) == 'string') {
            try {
                var obj = JSON.parse(str);
                if (typeof (obj) == 'object' && obj) {
                    return true;
                }
                else {
                    return false;
                }
            }
            catch (e) {
                console.log('error：' + str + '!!!' + e);
                return false;
            }
        }
    };
    /**
     * 验证二维码
     * @param data
     */
    ServiceDetailPage.prototype.doCheck = function (data) {
        var _this = this;
        if (!this.isJSON(data)) {
            if (data.substring(0, 4) === 'http') {
                var alert1 = this.alertCtrl.create({
                    title: '温馨提示',
                    message: '非本应用二维码，可能存在风险，是否打开此链接？',
                    buttons: [
                        {
                            text: '取消',
                            role: 'cancel',
                            handler: function () {
                            }
                        },
                        {
                            text: '打开链接',
                            handler: function () {
                                _this.inAppBrowser.create(data, '_blank');
                            }
                        }
                    ]
                });
                alert1.present();
            }
            else {
                localStorage.setItem('scan_result', data);
                this.navCtrl.push("ScanResultPage");
            }
        }
        else {
            data = JSON.parse(data);
            if (data.code_type !== 'check_service' && data.code_type !== 'get_service' && data.code_type !== 'reserve_service') {
                localStorage.setItem('scan_result', JSON.stringify(data));
                this.navCtrl.push("ScanResultPage");
                return;
            }
            // if (localStorage.getItem('changchun.token')) {
            if (true) {
                if (data.code_type == 'check_service') {
                    this.appService.httpHdGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.takeService, { token: localStorage.getItem('changchun.token'), service_id: data.service_id, firm_id: data.firm_id }, function (d) {
                        if (d != null && d != undefined) {
                            if (d.errcode == 0) {
                                //提示是否评价
                                var alert1 = _this.alertCtrl.create({
                                    title: '温馨提示',
                                    message: '参加活动成功，去评价一下吧~',
                                    buttons: [
                                        {
                                            text: '稍后评价',
                                            role: 'cancel',
                                            handler: function () {
                                            }
                                        },
                                        {
                                            text: '现在评价',
                                            handler: function () {
                                                //this.inAppBrowser.create(data, '_blank');
                                                _this.openAddCommentModal(data.service_id);
                                            }
                                        }
                                    ]
                                });
                                alert1.present();
                            }
                            else if (d.errcode == -1) {
                                _this.appUtil.remindLogin();
                            }
                            else if (data.errcode == -2) {
                                _this.appService.alert(data.errmsg);
                            }
                        }
                    });
                }
                else if (data.code_type == 'get_service') {
                    this.appService.httpHdGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getService, { token: localStorage.getItem('changchun.token'), service_id: data.service_id, firm_id: data.firm_id }, function (d) {
                        if (d != null && d != undefined) {
                            if (d.errcode == 0) {
                                //提示是否评价
                                var alert1 = _this.alertCtrl.create({
                                    title: '温馨提示',
                                    message: '参加活动成功，去评价一下吧~',
                                    buttons: [
                                        {
                                            text: '稍后评价',
                                            role: 'cancel',
                                            handler: function () {
                                            }
                                        },
                                        {
                                            text: '现在评价',
                                            handler: function () {
                                                //this.inAppBrowser.create(data, '_blank');
                                                _this.openAddCommentModal(d.service_id);
                                            }
                                        }
                                    ]
                                });
                                alert1.present();
                            }
                            else if (d.errcode == -1) {
                                _this.appUtil.remindLogin();
                            }
                            else if (d.errcode == -2) {
                                _this.appService.alert(d.errmsg);
                            }
                        }
                    });
                }
                else if (data.code_type == 'reserve_service') {
                    this.appService.httpHdGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.reserveService, { token: localStorage.getItem('changchun.token'), service_id: data.service_id }, function (d) {
                        if (d != null && d != undefined) {
                            if (d.errcode == 0) {
                                _this.appService.alert('恭喜！您是第' + d.number + '位参加此活动的会员。');
                            }
                            else if (d.errcode == -1) {
                                _this.appUtil.remindLogin();
                            }
                            else if (d.errcode == -2) {
                                _this.appService.alert(d.errmsg);
                            }
                        }
                    });
                }
            }
            else {
                // this.confirmLogin();
            }
        }
    };
    /**
     * 确认登录
     */
    ServiceDetailPage.prototype.confirmLogin = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '您还没有登录，是否现在登录',
            buttons: [
                {
                    text: '稍后登录',
                    role: 'cancel',
                    handler: function () {
                        //this.navCtrl.push("HomePage");
                    }
                },
                {
                    text: '现在登录',
                    handler: function () {
                        //跳转至登录页面
                        // localStorage.clear();
                        localStorage.removeItem('changchun.token');
                        localStorage.removeItem('changchun.user');
                        localStorage.removeItem('changchun.remember');
                        localStorage.setItem('changchun.isFistLogin', '1');
                        _this.presentLoginModal();
                    }
                }
            ]
        });
        alert.present();
    };
    /**
     *
     * @param service_id 提示评价
     */
    ServiceDetailPage.prototype.openAddCommentModal = function (service_id) {
        if (this.checkLogin()) {
            var addCommentModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__components_member_add_comment_add_comment__["a" /* AddCommentComponent */], { 'service_id': service_id });
            addCommentModal.present();
        }
    };
    ServiceDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    ServiceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-detail\service-detail.html"*/'<!--\n\n  Generated template for the ServiceDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>服务详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item class="item">\n\n        <ion-avatar item-left>\n\n          <img src={{info.img}}>\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{info.name}}</h3>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of info.star"></ion-icon>\n\n        </div>\n\n        <p class="textCtrl-content">主办工会：{{info.org_name}}</p>\n\n      </ion-item>\n\n      <ion-item class="item item-2" *ngIf="type==1">\n\n        <h3 class="textCtrl-title">持续时间</h3>\n\n        <p class="textCtrl-content">{{info.start_at|timeHandlerPipe}} 至 {{info.end_at|timeHandlerPipe}}</p>\n\n      </ion-item>\n\n      <ion-item class="item item-2" *ngIf="type==3">\n\n        <h3 class="textCtrl-title">预定时间</h3>\n\n        <p class="textCtrl-content">2018-02-07 08：30 </p>\n\n      </ion-item>\n\n      <ion-item class="item item-left" float-left>\n\n        <h2  style="color:#188BFC;font-size:16px;" align="center">{{info.count_all==-1?\'无限制\':info.count_all}}</h2>\n\n        <h3  style="color:#188BFC;font-size:16px;" align="center">全部数量</h3>\n\n      </ion-item>\n\n      <ion-item class="item item-center" float-left>\n\n        <h2 style="color:#0EC424;font-size:16px;" align="center">{{info.reserved_count}}</h2>\n\n        <h3 style="color:#0EC424;font-size:16px;" align="center">已参与</h3>\n\n      </ion-item>\n\n      <ion-item class="item item-right" float-left>\n\n        <h2  style="color:#FBA224;font-size:16px;" align="center">{{info.count==-1?\'无限制\':info.count}}</h2>\n\n        <h3  style="color:#FBA224;font-size:16px;" align="center">剩余数量</h3>\n\n      </ion-item>\n\n\n\n      <ion-item class="item item-2">\n\n        <span class="textCtrl-title">服务介绍</span>\n\n      </ion-item>\n\n      <ion-item class="item item-2 item-service-content">\n\n        <p class="textCtrl-content" [innerHTML]="assembleHTML(info.description)"></p>\n\n      </ion-item>\n\n\n\n      <button ion-item class="item item-2" (click)="goAppraise()">\n\n        <span class="textCtrl-title">相关评价（{{info.comments}}）</span>\n\n      </button>\n\n      <ion-item class="textCtrl-content" *ngFor="let comment of comments trackBy:trackByCommentList">\n\n        <div style="padding:0"><span class="textCtrl-content">{{comment.member_name}}</span><span class="appraise-time textCtrl-content">{{comment.create_at|timeCountPipe}}</span></div>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of comment.star"></ion-icon>\n\n        </div>\n\n        <p class="item-appraise textCtrl-content" [innerHTML]="assembleHTML(comment.content)"></p>\n\n      </ion-item>\n\n\n\n      <!-- <button ion-item class="item item-2" (click)="goEnterprise()">\n\n        <span class="textCtrl-title">服务单位（{{info.merchants}}）</span>\n\n      </button> -->\n\n    </ion-list>\n\n  </section>\n\n</ion-content>\n\n\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive *ngIf="type==1&&!info.is_liveapply" (click)="verify()" [disabled]="info.count==0 && !info.is_square">立即预定</button>\n\n    <!-- 现场发放 -->\n\n    <button ion-button block button-positive *ngIf="type==1&&info.is_liveapply" (click)="scan()">扫一扫</button>\n\n    <button ion-button block button-positive *ngIf="type==3" (click)="goReserve()">取消预定</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-detail\service-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_10__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_9__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_11__angular_platform_browser__["c" /* DomSanitizer */]])
    ], ServiceDetailPage);
    return ServiceDetailPage;
}());

//# sourceMappingURL=service-detail.js.map

/***/ }),

/***/ 991:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceDetailPageModule", function() { return ServiceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_detail__ = __webpack_require__(1132);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ServiceDetailPageModule = /** @class */ (function () {
    function ServiceDetailPageModule() {
    }
    ServiceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_detail__["a" /* ServiceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_detail__["a" /* ServiceDetailPage */]),
            ],
        })
    ], ServiceDetailPageModule);
    return ServiceDetailPageModule;
}());

//# sourceMappingURL=service-detail.module.js.map

/***/ })

});
//# sourceMappingURL=55.js.map