webpackJsonp([64],{

/***/ 1120:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RecruitDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the RecruitDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RecruitDetailPage = /** @class */ (function () {
    function RecruitDetailPage(navCtrl, navParams, sanitizer, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizer = sanitizer;
        this.appService = appService;
        this.appUtil = appUtil;
        this.info = [];
        this.record_id = this.navParams.get('record_id');
    }
    RecruitDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad RecruitDetailPage');
        this.getJobInfo();
    };
    // ionViewWillEnter(){
    //   this.getJobInfo;
    // }
    /**
     * 获取招聘职位信息
     */
    RecruitDetailPage.prototype.getJobInfo = function () {
        var _this = this;
        console.log("record_id", this.record_id);
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getEntJobInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.info = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 文本处理
     * @param strHTML
     */
    RecruitDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    RecruitDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-recruit-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\recruit-detail\recruit-detail.html"*/'<!--\n\n  Generated template for the RecruitDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{info.name}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!-- <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n    <ion-avatar item-left style="position:relative;height:60px;width:60px;">\n\n      <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="personInfo.gender == 1"\n\n        src="../assets/imgs/m.png">\n\n      <img style="position:absolute;height:25px;width:25px;bottom:0px;right:0px;" *ngIf="personInfo.gender == 2"\n\n        src="../assets/imgs/w.png">\n\n    </ion-avatar>\n\n\n\n    <h3 class="textCtrl-title">{{personInfo.nickname}}</h3>\n\n    <span style="font-size:1.4rem;color:#8e9093;display:inherit;">年龄:{{personInfo.age}}岁</span>\n\n    <span style="font-size:1.4rem;color:#8e9093">手机号码:{{personInfo.mobile}}</span>\n\n    <span *ngIf="personInfo.is_attention == \'true\'"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E"\n\n      (click)="cancelAttention(personInfo.id)">取消关注</span>\n\n    <span *ngIf="personInfo.is_attention == \'false\'"\n\n      style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:green"\n\n      (click)="attention(personInfo.id)">＋ 关注</span>\n\n  </ion-item> -->\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位名称\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.ent_name}}</p>\n\n  </ion-item>\n\n\n\n  <!--<ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      职位类别\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.job_type}}</p>\n\n  </ion-item>-->\n\n\n\n  <ion-item class="item-content" text-wrap>\n\n    <h3 class="ion-title textCtrl-title">\n\n      职位\n\n    </h3>\n\n    <p class="textCtrl-content" text-wrap [innerHTML]="info.name">{{info.name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      月薪\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.salary}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      工作地点\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.area}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      性别要求\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.require_gender}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      年龄要求\n\n    </h3>\n\n    <p class="textCtrl-content" float-right *ngIf="info.require_age_min != 0 && info.require_age_max != 0">\n\n      {{info.require_age_min}}-{{info.require_age_max}}岁</p>\n\n    <p class="textCtrl-content" float-right *ngIf="info.require_age_min == 0 && info.require_age_max == 0">不限</p>\n\n  </ion-item>\n\n\n\n  <!-- <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      学历要求\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(info.education)"></div>\n\n  </ion-item> -->\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      学历要求\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.education}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      工作年限\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.work_year}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      联系电话\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.phone}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      职位介绍\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n      [innerHTML]="assembleHTML(info.introduction)"></div>\n\n  </ion-item>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\recruit-detail\recruit-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */]])
    ], RecruitDetailPage);
    return RecruitDetailPage;
}());

//# sourceMappingURL=recruit-detail.js.map

/***/ }),

/***/ 979:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecruitDetailPageModule", function() { return RecruitDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__recruit_detail__ = __webpack_require__(1120);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RecruitDetailPageModule = /** @class */ (function () {
    function RecruitDetailPageModule() {
    }
    RecruitDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__recruit_detail__["a" /* RecruitDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__recruit_detail__["a" /* RecruitDetailPage */]),
            ],
        })
    ], RecruitDetailPageModule);
    return RecruitDetailPageModule;
}());

//# sourceMappingURL=recruit-detail.module.js.map

/***/ })

});
//# sourceMappingURL=64.js.map