webpackJsonp([69],{

/***/ 1117:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PsychologicalEntrancePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_login_login__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the PsychologicalEntrancePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PsychologicalEntrancePage = /** @class */ (function () {
    function PsychologicalEntrancePage(navCtrl, navParams, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.token = null;
    }
    PsychologicalEntrancePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad PsychologicalEntrancePage');
    };
    /**
     * 咨询师团队
     */
    PsychologicalEntrancePage.prototype.adviseTeam = function () {
        if (this.checkLogin()) {
            this.navCtrl.push('PsychologicalTeamPage');
        }
    };
    /**
     * 咨询案例
     */
    PsychologicalEntrancePage.prototype.adviseCase = function () {
        this.navCtrl.push('PsychologicalCasePage');
    };
    /**
     * 我的留言
     */
    PsychologicalEntrancePage.prototype.msg = function () {
        if (this.checkLogin()) {
            this.navCtrl.push('PsychologicalMsgPage');
        }
    };
    /**
     * 校验用户登录状态
     */
    PsychologicalEntrancePage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
            return true;
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                            // this.navCtrl.pop();
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    /**
     * 登录模态框
     * @param myEvent
     */
    PsychologicalEntrancePage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    PsychologicalEntrancePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-psychological-entrance',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-entrance\psychological-entrance.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>心理辅导</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-item class="item item-icon-right"\n\n    style="height:30%;background: url(assets/imgs/xlzy.jpg) no-repeat;background-size: 100% 100%;">\n\n  </ion-item>\n\n\n\n  <ion-item class="item item-icon-right">\n\n    <div style="margin-left:2px;margin-right:2px">\n\n      <p class="desc">长春市总工会欢迎您。</p>\n\n      <p class="desc">为职工提供优质和高效的心理咨询解决方案。</p>\n\n      <p class="desc">您提交的留言，我们将有专人及时处理并回复。</p>\n\n      <p class="desc">长春市总工会竭诚为每一名会员提供热情周到的服务。</p>\n\n    </div>\n\n  </ion-item>\n\n\n\n  <!-- <ion-grid class="cy_four">\n\n    <ion-row style="margin-top:10px">\n\n      <ion-col style="padding-top:0;" (click)="adviseTeam()">\n\n        <div style="position:relative;font-size:0;">\n\n          <img src="assets/imgs/tu1.png" alt="">\n\n          <p style="position:absolute;top:30%;left:10%;margin:0;color:#3D323C;font-size:3rem;">咨询师团队</p>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row>\n\n      <ion-col style="padding-top:0;" (click)="adviseCase()">\n\n        <div style="position:relative;font-size:0;">\n\n          <img src="assets/imgs/tu2.png" alt="">\n\n          <p style="position:absolute;top:30%;left:10%;margin:0;color:#3D323C;font-size:3rem;">咨询案例</p>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row>\n\n      <ion-col>\n\n        <div style="position:relative;" (click)="msg()">\n\n          <img src="assets/imgs/tu3.png" alt="">\n\n          <p style="position:absolute;top:30%;left:10%;margin:0;color:#3D323C;font-size:3rem;">我的留言</p>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid> -->\n\n\n\n  <ion-list no-lines class="rk_out">\n\n    <ion-item style="background:none;">\n\n      <div class="rk_div" style="width:60%;" (click)="adviseTeam()">\n\n        <img src="assets/imgs/psy_team.png" style="border-radius:15px;" alt="" class="rk1">\n\n        <h2>咨询师团队</h2>\n\n      </div>\n\n      <div class="rk_div" style="width:40%;" (click)="adviseCase()">\n\n        <img src="assets/imgs/psy_case.png" style="border-radius:15px;" alt="" class="rk2">\n\n        <h2>咨询案例</h2>\n\n      </div>\n\n      <div style="clear:both;"></div>\n\n    </ion-item>\n\n\n\n    <ion-grid>\n\n      <ion-row>\n\n        <ion-col>\n\n          <div style="position:relative;" (click)="msg()">\n\n            <img src="assets/imgs/tu3.png" style="height:160px;width:100%;border-radius:15px;" alt="">\n\n            <p style="position:absolute;top:30%;left:10%;margin:0;color:#3D323C;font-size:3rem;">我的留言</p>\n\n          </div>\n\n        </ion-col>\n\n      </ion-row>\n\n    </ion-grid>\n\n\n\n  </ion-list>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-entrance\psychological-entrance.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], PsychologicalEntrancePage);
    return PsychologicalEntrancePage;
}());

//# sourceMappingURL=psychological-entrance.js.map

/***/ }),

/***/ 976:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PsychologicalEntrancePageModule", function() { return PsychologicalEntrancePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__psychological_entrance__ = __webpack_require__(1117);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PsychologicalEntrancePageModule = /** @class */ (function () {
    function PsychologicalEntrancePageModule() {
    }
    PsychologicalEntrancePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__psychological_entrance__["a" /* PsychologicalEntrancePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__psychological_entrance__["a" /* PsychologicalEntrancePage */]),
            ],
        })
    ], PsychologicalEntrancePageModule);
    return PsychologicalEntrancePageModule;
}());

//# sourceMappingURL=psychological-entrance.module.js.map

/***/ })

});
//# sourceMappingURL=69.js.map