webpackJsonp([7],{

/***/ 1041:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkerProjectAuditPageModule", function() { return WorkerProjectAuditPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__worker_project_audit__ = __webpack_require__(1184);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkerProjectAuditPageModule = /** @class */ (function () {
    function WorkerProjectAuditPageModule() {
    }
    WorkerProjectAuditPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__worker_project_audit__["a" /* WorkerProjectAuditPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__worker_project_audit__["a" /* WorkerProjectAuditPage */]),
            ],
        })
    ], WorkerProjectAuditPageModule);
    return WorkerProjectAuditPageModule;
}());

//# sourceMappingURL=worker-project-audit.module.js.map

/***/ }),

/***/ 1184:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkerProjectAuditPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_worker_show_worker_project_show_worker_project__ = __webpack_require__(524);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_worker_audit_worker_project_audit_worker_project__ = __webpack_require__(553);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_worker_record_worker_project_record_worker_project__ = __webpack_require__(554);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the WorkerProjectAuditPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkerProjectAuditPage = /** @class */ (function () {
    function WorkerProjectAuditPage(alertCtrl, navCtrl, navParams, appService, modalCtrl, appUtil, viewCtrl) {
        this.alertCtrl = alertCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.viewCtrl = viewCtrl;
        this.token = null;
        this.hasmore = true;
        this.projects = [];
        this.user = [];
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token'),
            project_name: '',
            activities_type: '-1',
            project_type: '0',
            audit_status: '0'
        };
        this.project_types_params = {
            list_name: 'ct_project_type',
            schema: 'weblingwu2017'
        };
        this.project_types = [];
    }
    WorkerProjectAuditPage.prototype.ionViewWillEnter = function () {
        //检测登录状态
        this.checkLogin();
        //获取代码表
        this.getProjectTypesCodeList();
        //列表初始化
        this.initList();
    };
    WorkerProjectAuditPage.prototype.ionViewDidLoad = function () {
    };
    WorkerProjectAuditPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    WorkerProjectAuditPage.prototype.getProjectList = function () {
        var _this = this;
        this.projects = JSON.parse(localStorage.getItem('changchun.worker-audit-projects')) || [];
        this.user = JSON.parse(localStorage.getItem('changchun.user')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getAuditProjectList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    console.log("获取AuditProjectList异常");
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                }
            }
            else {
                _this.appService.alert('网络错误');
            }
            _this.projects = d;
            _this.params.page += 1;
            for (var i = 0; i < _this.projects.length; i++) {
                _this.projects[i].is_show = false;
                if (_this.projects[i].project_logo != null && _this.projects[i].project_logo != '')
                    _this.projects[i].project_logo = __WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].imghost_weblingwu + _this.projects[i].project_logo + "&token=" + _this.token;
            }
            localStorage.setItem('changchun.worker-audit-projects', JSON.stringify(d));
        });
    };
    //获取活动类型代码表
    WorkerProjectAuditPage.prototype.getProjectTypesCodeList = function () {
        var _this = this;
        this.project_types = JSON.parse(localStorage.getItem('changchun.project_types')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.project_types_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.project_types = d;
                    localStorage.setItem('changchun.project_types', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    WorkerProjectAuditPage.prototype.initList = function () {
        var _this = this;
        this.params.page = 1;
        this.hasmore = true;
        setTimeout(function () {
            _this.getProjectList();
        }, 500);
    };
    //下拉刷新方法
    WorkerProjectAuditPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    WorkerProjectAuditPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getAuditProjectList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.projects = _this.projects.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    WorkerProjectAuditPage.prototype.trackByProjectList = function (index, city) {
        return city.id;
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    /*
    addProject(myEvent) {
      let addModal = this.modalCtrl.create(AddWorkerProjectComponent);
      addModal.onDidDismiss(data => {
        if (data != null && data != 'undefined') {
          if (data.success === '1') {//成功后的回调,刷新列表
            this.initList();
          }
        }
      });
      addModal.present({
        ev: myEvent
      });
    }
    */
    WorkerProjectAuditPage.prototype.clickProject = function (id) {
        for (var i = 0; i < this.projects.length; i++) {
            if (this.projects[i].id == id) {
                this.projects[i].is_show = !this.projects[i].is_show;
            }
        }
    };
    /**
    * 查看项目
    * @param d
    * @param myEvent
    */
    WorkerProjectAuditPage.prototype.presentShowProjectModal = function (id, myEvent) {
        if (event != null)
            event.stopPropagation();
        var showworkerprojectModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_worker_show_worker_project_show_worker_project__["a" /* ShowWorkerProjectComponent */], { project_id: id });
        showworkerprojectModal.onDidDismiss(function (data) {
        });
        showworkerprojectModal.present({
            ev: myEvent
        });
    };
    /**
    * 备案
    * @param d
    * @param myEvent
    */
    WorkerProjectAuditPage.prototype.recordProject = function (id, manage_org_name, name, myEvent) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        var recordProjectModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__components_worker_record_worker_project_record_worker_project__["a" /* RecordWorkerProjectComponent */], { project_id: id, manage_org_name: manage_org_name, name: name });
        recordProjectModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        recordProjectModal.present({
            ev: myEvent
        });
    };
    /**
    * 备案
    * @param d
    * @param myEvent
    */
    WorkerProjectAuditPage.prototype.auditProject = function (id, manage_org_name, name, myEvent) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        var auditProjectModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_worker_audit_worker_project_audit_worker_project__["a" /* AuditWorkerProjectComponent */], { project_id: id, manage_org_name: manage_org_name, name: name });
        auditProjectModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        auditProjectModal.present({
            ev: myEvent
        });
    };
    //退回
    WorkerProjectAuditPage.prototype.sendbackProject = function (id) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确实要退回该项目吗?',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.sendbackProject, //1.url
                        {
                            token: _this.token,
                            project_id: id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    //上报
    WorkerProjectAuditPage.prototype.declareProject = function (id) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确实要上报该项目吗?',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.declareProject, //1.url
                        {
                            token: _this.token,
                            project_id: id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    //子项目管理
    WorkerProjectAuditPage.prototype.projectBatch = function (project) {
        if (event != null)
            event.stopPropagation();
        this.navCtrl.push('WorkerProjectBatchPage', {
            project_id: project.id,
            project_code: project.project_code,
            batch_period: project.batch_period,
            is_success: project.is_success,
            org_id: project.org_id,
            sameorg: project.sameorg,
            report_status: project.report_status,
            audit_status: project.audit_status
        });
    };
    WorkerProjectAuditPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-worker-project-audit',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\worker-project-audit\worker-project-audit.html"*/'<!--\n\n  Generated template for the WorkerProjectPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>项目审核列表</ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar>\n\n    <ion-searchbar [(ngModel)]="params.project_name" placeholder="请输入项目名称" style="width:94%"></ion-searchbar>\n\n    <ion-icon name="search" (click)="initList()" style="position: absolute;right:11px;margin-top:-35px;color:#aaa;font-size:25px"\n\n      required>\n\n    </ion-icon>\n\n    <ion-row style="border-bottom:solid 0.55px #c3bfbfd1;border-top:solid 0.55px #c3bfbfd1;">\n\n      <ion-col col-6 style="border-right:0.5px solid #ecebeb">\n\n        <ion-select interface="popover" [(ngModel)]="params.activities_type" okText="确定" cancelText="取消" style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option value="-1">活动类型</ion-option>\n\n          <ion-option value="0">短期活动</ion-option>\n\n          <ion-option value="1">长期活动</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n      <ion-col col-6 style="border-right:0.5px solid #ecebeb">\n\n        <ion-select interface="popover" [(ngModel)]="params.project_type" okText="确定" cancelText="取消" style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option value="0">项目类型</ion-option>\n\n          <ion-option *ngFor="let item of project_types" value=\'{{item.code}}\'>{{item.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-toolbar>\n\n</ion-header>\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-list>\n\n    <ion-item *ngIf=\'projects.length==0||projects.length==underfind\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂时没有项目</p>\n\n    </ion-item>\n\n    <ion-item *ngFor="let project of projects trackBy:trackByProjectList" (click)="clickProject(project.id)">\n\n      <img src="{{project.project_logo || \'assets/imgs/default.png\'}}">\n\n      <div style="margin-left:70px;">\n\n        <h3 class="textCtrl-title">{{project.project_name}}</h3>\n\n        <p class="textCtrl-content">申报工会:{{project.org_name}}</p>\n\n        <p class="textCtrl-content">申报状态:{{project.report_status_value}}</p>\n\n        <p class="textCtrl-content">审核/备案状态:{{project.audit_status_value}}</p>\n\n      </div>\n\n      <div *ngIf="project.is_show" style="margin-left:68px;">\n\n        <button color="primary" style="margin-right:-2px;" ion-button (click)="projectBatch(project)">子项目管理</button>\n\n        <button color="primary" style="margin-right:-2px;" ion-button (click)="presentShowProjectModal(project.id,$event)">查看</button>\n\n        <ng-container *ngIf="user.is_manage==1&&user.manage_org_id==13&&project.current_org_id==13 && (project.audit_status==4 ||project.audit_status==1)">\n\n          <button color="primary" style="margin-right:-2px;" ion-button (click)="recordProject(project.id,project.manage_org_name,user.name,$event)">备案</button>\n\n        </ng-container>\n\n        <ng-container *ngIf="user.is_manage==1&&project.current_org_id!=13 && project.audit_status!=5  && project.audit_status!=6 && project.is_success!=0  && project.report_status!=3 && project.current_org_id==user.manage_org_id">\n\n          <button color="primary" style="margin-right:-2px;" ion-button (click)="auditProject(project.id,project.manage_org_name,user.name,$event)">审核</button>\n\n        </ng-container>\n\n        <ng-container *ngIf="user.is_manage==1&&(project.audit_status==3 ||project.audit_status==6) && project.report_status!=3 && project.current_org_id==user.manage_org_id">\n\n          <button color="primary" style="margin-right:-2px;" ion-button (click)="sendbackProject(project.id)">退回</button>\n\n        </ng-container>\n\n        <ng-container *ngIf="user.is_manage==1&&project.audit_status==2 && project.current_org_id!=13 && project.current_org_id==user.manage_org_id">\n\n          <button color="primary" style="margin-right:-2px;" ion-button (click)="declareProject(project.id)">上报</button>\n\n        </ng-container>\n\n      </div>\n\n    </ion-item>\n\n  </ion-list>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\worker-project-audit\worker-project-audit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], WorkerProjectAuditPage);
    return WorkerProjectAuditPage;
}());

//# sourceMappingURL=worker-project-audit.js.map

/***/ })

});
//# sourceMappingURL=7.js.map