webpackJsonp([74],{

/***/ 1109:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OwnPhotoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_member_show_fujian_show_fujian__ = __webpack_require__(508);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_member_add_own_photo_add_own_photo__ = __webpack_require__(518);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the OwnPhotoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var OwnPhotoPage = /** @class */ (function () {
    function OwnPhotoPage(navCtrl, navParams, appService, appUtil, popoverCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.popoverCtrl = popoverCtrl;
        this.modalCtrl = modalCtrl;
        this.infoLength = 0;
    }
    OwnPhotoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad OwnPhotoPage');
        this.initList();
    };
    /**
     * 更多弹窗
     * @param myEvent
     */
    OwnPhotoPage.prototype.presentPopover = function (myEvent) {
        var _this = this;
        var addOwnPhoto = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_member_add_own_photo_add_own_photo__["a" /* AddOwnPhotoComponent */]);
        addOwnPhoto.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        addOwnPhoto.present({
            ev: myEvent
        });
    };
    /**
     * 删除图片
     * @param id
     */
    OwnPhotoPage.prototype.deleteFujian = function (id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deletePhoto, { record_id: id, token: localStorage.getItem("changchun.token") }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.appService.alert(d.errmsg);
                    _this.initList();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //下拉刷新方法
    OwnPhotoPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            if (refresher)
                refresher.complete();
        }, 1000);
    };
    /**
     * 初始化页面
     */
    OwnPhotoPage.prototype.initList = function () {
        this.loadInfo();
    };
    /**
     * 查看附件
     * @param img
     */
    OwnPhotoPage.prototype.showFujian = function (img, type, create_time, pic_name) {
        this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_member_show_fujian_show_fujian__["a" /* ShowFujianComponent */], {
            img: img,
            type: type,
            create_time: create_time,
            pic_name: pic_name
        }).present();
    };
    /**
    * 加载信息
    */
    OwnPhotoPage.prototype.loadInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPersonalImg, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                    _this.infoLength = d.length;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    OwnPhotoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-own-photo',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\own-photo\own-photo.html"*/'<!--\n\n  Generated template for the OwnPhotoPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>我的生活照</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="presentPopover($event)">\n\n        <ion-icon name="more"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-item style="padding-left:0;border:none;" *ngIf="infoLength == 0">\n\n    <h3 style="font-size: 1.6rem; font-weight: bold;text-align:center;">您还没有相关照片</h3>\n\n  </ion-item>\n\n\n\n  <ion-list style="padding:10px 5px 10px 5px;" *ngFor="let img of info">\n\n\n\n    <ion-item-sliding #slidingItem>\n\n      <ion-item (click)="showFujian(img.url,img.is_head,img.create_time,img.pic_name)">\n\n        <ion-thumbnail class="ion-thumbnails" item-start>\n\n          <img src="{{img.url}}">\n\n        </ion-thumbnail>\n\n        <h2 class="textCtrl-title" *ngIf="img.is_head == \'1\'">头像</h2>\n\n        <h2 class="textCtrl-title" *ngIf="img.is_head == \'0\'">生活照</h2>\n\n        <!-- <p class="textCtrl-content">美</p> -->\n\n        <!-- <button ion-button clear item-end>查看</button> -->\n\n      </ion-item>\n\n      <ion-item-options side="right">\n\n        <button style="background-color: #f53d3d" ion-button expandable (click)="deleteFujian(img.id)">\n\n          删除\n\n        </button>\n\n      </ion-item-options>\n\n    </ion-item-sliding>\n\n  </ion-list>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\own-photo\own-photo.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PopoverController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], OwnPhotoPage);
    return OwnPhotoPage;
}());

//# sourceMappingURL=own-photo.js.map

/***/ }),

/***/ 968:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OwnPhotoPageModule", function() { return OwnPhotoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__own_photo__ = __webpack_require__(1109);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OwnPhotoPageModule = /** @class */ (function () {
    function OwnPhotoPageModule() {
    }
    OwnPhotoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__own_photo__["a" /* OwnPhotoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__own_photo__["a" /* OwnPhotoPage */]),
            ],
        })
    ], OwnPhotoPageModule);
    return OwnPhotoPageModule;
}());

//# sourceMappingURL=own-photo.module.js.map

/***/ })

});
//# sourceMappingURL=74.js.map