webpackJsonp([77],{

/***/ 1107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_barcode_scanner__ = __webpack_require__(505);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__ = __webpack_require__(166);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the NewsDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var NewsDetailPage = /** @class */ (function () {
    function NewsDetailPage(inAppBrowser, barcodeScanner, navCtrl, navParams, appService, appUtil, modalCtrl, alertCtrl, sanitizer) {
        this.inAppBrowser = inAppBrowser;
        this.barcodeScanner = barcodeScanner;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.sanitizer = sanitizer;
        this.info = [{ id: 0, title: "", content: "" }];
        //info = JSON.parse(localStorage.getItem('changchun.newsDetail')) || [];
        this.news_id = this.navParams.get('news_id');
    }
    NewsDetailPage.prototype.ionViewDidLoad = function () {
        this.getDetailInfo();
    };
    /**
     * 获取项目信息
     */
    NewsDetailPage.prototype.getDetailInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getNewsDetail, { news_id: this.news_id }, function (d) {
            if (d != null && d != undefined) {
                if (d[0].content != '' && d[0].content != undefined) {
                    d[0].content = d[0].content.replaceAll("http://12351.ccgh.org.cn", "https://12351.ccgh.org.cn");
                }
                _this.info = d;
                _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.newsPoint, { type: 2, token: localStorage.getItem('changchun.token'), news_id: _this.news_id, title: _this.info[0].title }, function (d) {
                    if (d != null && d != undefined) {
                    }
                });
                // localStorage.setItem('changchun.newsDetail', JSON.stringify(d));
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    NewsDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    NewsDetailPage.prototype.assembleHTML = function (strHTML) {
        // return this.sanitizer.bypassSecurityTrustHtml(strHTML);
        return this.appUtil.assembleHTML(strHTML);
    };
    NewsDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\news-detail\news-detail.html"*/'<!--\n\n  Generated template for the NewsDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>新闻详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item style="border-bottom:none;">\n\n        <h3 class="textCtrl-title" style="overflow:hidden;white-space: normal;\n\n        text-overflow:ellipsis; \n\n        display: -webkit-box;\n\n        -webkit-box-orient: vertical;\n\n        overflow: hidden;" >{{info[0].title}}</h3>\n\n      </ion-item>\n\n      \n\n      <p style="float:right;color:#8e9093;padding-right:10px;font-size:1.2rem;">{{info[0].time}}</p>\n\n\n\n      <ion-item class="item item-2 item-service-content" style="border-bottom:none;">\n\n        <p class="textCtrl-content"   [innerHTML]="info[0].content"></p>\n\n      </ion-item>\n\n\n\n      \n\n    </ion-list>\n\n  </section>\n\n</ion-content>\n\n\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\news-detail\news-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser_ngx__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5_ionic_angular_components_alert_alert_controller__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_8__angular_platform_browser__["c" /* DomSanitizer */]])
    ], NewsDetailPage);
    return NewsDetailPage;
}());

//# sourceMappingURL=news-detail.js.map

/***/ }),

/***/ 966:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsDetailPageModule", function() { return NewsDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news_detail__ = __webpack_require__(1107);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NewsDetailPageModule = /** @class */ (function () {
    function NewsDetailPageModule() {
    }
    NewsDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news_detail__["a" /* NewsDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__news_detail__["a" /* NewsDetailPage */]),
            ],
        })
    ], NewsDetailPageModule);
    return NewsDetailPageModule;
}());

//# sourceMappingURL=news-detail.module.js.map

/***/ })

});
//# sourceMappingURL=77.js.map