webpackJsonp([82],{

/***/ 1101:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyServiceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_service_reserve_service_reserve__ = __webpack_require__(516);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the MyServiceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyServiceDetailPage = /** @class */ (function () {
    function MyServiceDetailPage(navCtrl, navParams, appService, appUtil, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.info = [];
        this.comments = [];
        this.service_id = this.navParams.get('service_id');
        this.batch_id = this.navParams.get('batch_id');
        this.token = localStorage.getItem('changchun.token');
        this.type = this.navParams.get('type');
    }
    /**
     * 页面加载完成执行
     */
    MyServiceDetailPage.prototype.ionViewDidLoad = function () {
        this.getDetailInfo();
        this.getCommentList();
    };
    /**
     * 获取项目信息
     */
    MyServiceDetailPage.prototype.getDetailInfo = function () {
        var _this = this;
        this.info = JSON.parse(localStorage.getItem('changchun.serviceDetail')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.MyServiceDetail, { service_id: this.service_id, token: this.token }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    if (d.img == "") {
                        d.img = "assets/imgs/default.png";
                    }
                    _this.info = d;
                    localStorage.setItem('changchun.serviceDetail', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取评论列表
     */
    MyServiceDetailPage.prototype.getCommentList = function () {
        var _this = this;
        this.comments = JSON.parse(localStorage.getItem('changchun.commentsList1')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCommentList, { service_id: this.batch_id, page: 1, size: 2 }, function (d) {
            if (d.errcode == -1) {
                _this.appUtil.remindLogin();
            }
            else if (d.errcode == -2) {
                _this.appService.alert(d.errmsg);
            }
            else {
                _this.comments = d;
                localStorage.setItem('changchun.commentsList1', JSON.stringify(d));
            }
        });
    };
    /**
     * 刷新
     * @param refresher
     */
    MyServiceDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    /**
     * 相关评价
     */
    MyServiceDetailPage.prototype.goAppraise = function () {
        this.navCtrl.push('ServiceAppraisePage', { 'service_id': this.batch_id });
    };
    /**
     * 服务单位
     */
    MyServiceDetailPage.prototype.goEnterprise = function () {
        this.navCtrl.push('ServiceEnterprisePage', { 'service_id': this.batch_id });
    };
    MyServiceDetailPage.prototype.goReserve = function () {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.cancelReserveHD, //1.url
            {
                token: this.token,
                service_id: this.service_id
            }, //2.params
            function (//2.params
                d) {
                if (d != null) {
                    if (d.errcode == 0) {
                        console.log("verify成功");
                        _this.appService.alert(d.errmsg);
                        _this.ionViewDidLoad();
                        //this.myService.initList();
                    }
                    else if (d.errcode == -2) {
                        _this.appService.alert(d.errmsg);
                    }
                    else if (d.errcode == -1) {
                        _this.appUtil.remindLogin();
                    }
                    else {
                        console.log("未知返回参数");
                        _this.appService.alert('网络繁忙，请稍候重试');
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            } //3.callback function
            );
        }
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param comments
     */
    MyServiceDetailPage.prototype.trackByCommentList = function (index, comments) {
        return comments.id;
    };
    /**
     * 打开预定模态框
     * @param myEvent
     */
    MyServiceDetailPage.prototype.openServiceReserveModal = function (myEvent) {
        if (this.checkLogin()) {
            var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_service_reserve_service_reserve__["a" /* ServiceReserveComponent */]);
            searchModal.onDidDismiss(function (data) {
            });
            searchModal.present({
                ev: myEvent
            });
        }
    };
    /**
     * 校验登录
     */
    MyServiceDetailPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
     * 文本处理
     * @param strHTML
     */
    MyServiceDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    MyServiceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-service-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-service-detail\my-service-detail.html"*/'<!--\n\n  Generated template for the ServiceDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>服务详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item class="item">\n\n        <ion-avatar item-left>\n\n          <img src={{info.img}}>\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{info.name}}</h3>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of info.star"></ion-icon>\n\n        </div>\n\n        <p class="textCtrl-content">主办工会：{{info.org_name}}</p>\n\n        <p class="textCtrl-content">领取数量：{{info.apply_count}}</p>\n\n      </ion-item>\n\n\n\n      <ion-item class="item item-2">\n\n        <h3 class="textCtrl-title">预定时间</h3>\n\n        <p class="textCtrl-content">{{info.book_time|timeHandlerPipe}} </p>\n\n      </ion-item>\n\n\n\n      <!-- <ion-item class="item item-2" *ngIf="info.is_deleted==1">\n\n        <h3 class="textCtrl-title">取消预定时间</h3>          \n\n        <p class="textCtrl-content">{{info.cancel_time|timeHandlerPipe}}</p>    \n\n      </ion-item> -->\n\n\n\n      <ion-item class="item item-2" *ngIf="info.is_deleted==0">\n\n        <span class="textCtrl-title" *ngIf="info.verify_status==0">\n\n          <ion-icon ios="ios-text" md="md-text"></ion-icon>未审核<ion-icon ios="ios-arrow-round-forward" md="md-arrow-round-forward"></ion-icon>\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.verify_status==1">\n\n          <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>审核通过<ion-icon ios="ios-arrow-round-forward"\n\n            md="md-arrow-round-forward"></ion-icon>\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.verify_status==2">\n\n          <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>审核未通过<ion-icon ios="ios-arrow-round-forward"\n\n            md="md-arrow-round-forward"></ion-icon>\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.is_process==0">\n\n          <ion-icon ios="ios-text" md="md-text"></ion-icon>处理中\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.is_process==1">\n\n          <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>处理成功\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.is_process==2">\n\n          <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>处理失败\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="!info.is_send">\n\n          <ion-icon ios="ios-arrow-round-forward" md="md-arrow-round-forward">\n\n            <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>\n\n          </ion-icon>未参与\n\n        </span>\n\n        <span class="textCtrl-title" *ngIf="info.is_send">\n\n          <ion-icon ios="ios-arrow-round-forward" md="md-arrow-round-forward"></ion-icon>\n\n          <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>已参与\n\n        </span>\n\n      </ion-item>\n\n\n\n      <ion-item class="item item-2">\n\n        <span class="textCtrl-title">服务介绍</span>\n\n      </ion-item>\n\n      <ion-item class="item item-2 item-service-content">\n\n        <p class="textCtrl-content" style="white-space:normal;" [innerHTML]="assembleHTML(info.description)"></p>\n\n      </ion-item>\n\n\n\n      <button ion-item class="item item-2" (click)="goAppraise()">\n\n        <span class="textCtrl-title">相关评价（{{info.comments}}）</span>\n\n      </button>\n\n      <ion-item *ngFor="let comment of comments trackBy:trackByCommentList">\n\n        <div style="padding:0"><span class="textCtrl-content">{{comment.member_name}}</span><span class="appraise-time textCtrl-content">{{comment.create_at|timeCountPipe}}</span></div>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of comment.star"></ion-icon>\n\n        </div>\n\n        <p class="item-appraise textCtrl-content" [innerHTML]="appUtil.assembleHTML(comment.content)"></p>\n\n      </ion-item>\n\n\n\n      <button ion-item class="item item-2" (click)="goEnterprise()">\n\n        <span class="textCtrl-title">服务单位（{{info.merchants}}）</span>\n\n      </button>\n\n    </ion-list>\n\n  </section>\n\n</ion-content>\n\n\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="goReserve()" [disabled]="info.is_send||!info.is_cancelable">取消预定</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-service-detail\my-service-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], MyServiceDetailPage);
    return MyServiceDetailPage;
}());

//# sourceMappingURL=my-service-detail.js.map

/***/ }),

/***/ 960:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyServiceDetailPageModule", function() { return MyServiceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_service_detail__ = __webpack_require__(1101);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var MyServiceDetailPageModule = /** @class */ (function () {
    function MyServiceDetailPageModule() {
    }
    MyServiceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_service_detail__["a" /* MyServiceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_service_detail__["a" /* MyServiceDetailPage */]),
            ],
        })
    ], MyServiceDetailPageModule);
    return MyServiceDetailPageModule;
}());

//# sourceMappingURL=my-service-detail.module.js.map

/***/ })

});
//# sourceMappingURL=82.js.map