webpackJsonp([84],{

/***/ 1102:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyMessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the MyMessagePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyMessagePage = /** @class */ (function () {
    function MyMessagePage(navCtrl, navParams, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.token = null;
        this.hasmore = true;
        this.messages = [];
        this.params = {
            page: 1,
            size: 10,
            token: ''
        };
    }
    MyMessagePage.prototype.ionViewDidLoad = function () {
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.getMessageList();
    };
    MyMessagePage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    MyMessagePage.prototype.getMessageList = function () {
        var _this = this;
        this.messages = JSON.parse(localStorage.getItem('changchun.messages')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMessageList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    console.log("获取Message异常");
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                }
            }
            else {
                _this.appService.alert('网络错误');
            }
            _this.messages = d;
            _this.params.page += 1;
            localStorage.setItem('changchun.messages', JSON.stringify(d));
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    MyMessagePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getMessageList();
    };
    //下拉刷新方法
    MyMessagePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    MyMessagePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMessageList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.messages = _this.messages.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    MyMessagePage.prototype.trackByMessageList = function (index, city) {
        return city.id;
    };
    MyMessagePage.prototype.testSwipe = function (item) {
    };
    /**
     *
     * @param index
     * @param message_id
     */
    MyMessagePage.prototype.deleteMessage = function (slidingItem, index, message_id) {
        var _this = this;
        // console.log('---index:'+index);
        // console.log('---message_id:'+message_id);
        var token = this.token;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此消息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deleteMessage, //1.url
                        {
                            token: token,
                            message_id: message_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    console.log("未知返回参数");
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    MyMessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-message',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-message\my-message.html"*/'<!--\n\n  Generated template for the MyMessagePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>我的消息</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n      <ion-refresher-content\n\n        pullingIcon="arrow-dropdown"\n\n        pullingText="下拉刷新"\n\n        refreshingSpinner="circles"\n\n        refreshingText="加载中..."\n\n      >\n\n      </ion-refresher-content>\n\n    </ion-refresher>\n\n\n\n    <section>\n\n    <div *ngIf=\'messages==undefined||messages==null||messages.length==0||messages.length==underfind\'>\n\n      <p style="text-align:center;" class="textCtrl-content">暂无相关数据</p>\n\n    </div>\n\n    <ng-container *ngIf=\'!(token==null||token==undefined||token==="")\'>\n\n      <ion-list>\n\n        <ng-container *ngFor="let message of messages; let i=index; trackBy: trackByMessageList">\n\n          <ng-container  *ngIf="!message.is_readed">\n\n              <div class="ls-unreaded"></div>\n\n          </ng-container>\n\n          <ion-item-sliding #slidingItem>\n\n            <ion-item no-padding copy-clipboard>\n\n              <div padding-left>\n\n                <span class="textCtrl-title">系统消息</span>\n\n                <span class="appraise-time textCtrl-content" copy-clipboard>{{message.create_at}}</span>\n\n              </div>\n\n              <p padding-left class="textCtrl-content">{{message.content}}</p>\n\n            </ion-item>\n\n          <ion-item-options side="right" (ionSwipe)="testSwipe(item)">\n\n              <button primary ion-button expandable (click)="deleteMessage(slidingItem,i,message.id)">\n\n                删除\n\n              </button>\n\n            </ion-item-options>\n\n          </ion-item-sliding>\n\n        </ng-container>\n\n      </ion-list>\n\n    </ng-container>\n\n    </section>\n\n\n\n    <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n      <ion-infinite-scroll-content\n\n        loadingSpinner="bubbles"\n\n        loadingText="正在加载...">\n\n      </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n</ion-content>\n\n\n\n<!-- \n\n  ionic cordova plugin remove cordova-clipboard\n\n  <ion-item-sliding #slidingItem>\n\n            <ion-item no-padding copy-clipboard>\n\n              <div padding-left>\n\n                <span class="textCtrl-title">系统消息</span>\n\n                <span class="appraise-time textCtrl-content" copy-clipboard>{{message.create_at}}</span>\n\n              </div>\n\n              <p padding-left class="textCtrl-content">{{message.content}}</p>\n\n            </ion-item>\n\n          <ion-item-options side="right" (ionSwipe)="testSwipe(item)">\n\n              <button primary ion-button expandable (click)="deleteMessage(slidingItem,i,message.id)">\n\n                删除\n\n              </button>\n\n            </ion-item-options>\n\n          </ion-item-sliding>\n\n  <ion-view cache-view="false" view-title="我的消息" hide-tab-bar>\n\n    <ion-content>\n\n      <ion-refresher pulling-text="下拉刷新" on-refresh="doRefresh()" spinner="android">\n\n      </ion-refresher>\n\n      <ion-list>\n\n        <ion-item ng-repeat="message in messages" class="item-text-wrap" type="item-text-wrap">\n\n          <span>系统消息</span>\n\n          <div *ngIf="!message.is_readed" class="ls-unreaded"></div>\n\n          <span class="item-note">{{message.create_at|timeCount}}</span>\n\n          <p>{{message.content}}</p>\n\n          <ion-option-button class="button-assertive" ng-click="deleteMessage($index,message.id)">\n\n            删除\n\n          </ion-option-button>\n\n        </ion-item>\n\n      </ion-list>\n\n      <ion-infinite-scroll on-infinite="moreMessages()" spinner="lines" *ngIf="false && hasMore()">\n\n      </ion-infinite-scroll>\n\n    </ion-content>\n\n  </ion-view> -->\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-message\my-message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], MyMessagePage);
    return MyMessagePage;
}());

//# sourceMappingURL=my-message.js.map

/***/ }),

/***/ 961:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyMessagePageModule", function() { return MyMessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_message__ = __webpack_require__(1102);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__directives_directives_module__ = __webpack_require__(504);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var MyMessagePageModule = /** @class */ (function () {
    function MyMessagePageModule() {
    }
    MyMessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_message__["a" /* MyMessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_message__["a" /* MyMessagePage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_4__directives_directives_module__["a" /* DirectivesModule */]
            ],
        })
    ], MyMessagePageModule);
    return MyMessagePageModule;
}());

//# sourceMappingURL=my-message.module.js.map

/***/ })

});
//# sourceMappingURL=84.js.map