webpackJsonp([88],{

/***/ 1097:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyCancelledServicePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the MyCancelledServicePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyCancelledServicePage = /** @class */ (function () {
    function MyCancelledServicePage(navCtrl, navParams, appService, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.actives = [];
        this.items = [];
        this.project_id = this.navParams.get('project_id');
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token'),
            service_name: ''
        };
    }
    MyCancelledServicePage.prototype.ionViewDidLoad = function () {
        this.getCancelledList();
    };
    /**
     * 获取子项目列表
     */
    MyCancelledServicePage.prototype.getCancelledList = function () {
        var _this = this;
        this.actives = JSON.parse(localStorage.getItem('changchun.cancelledList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCancelledList, this.params, function (d) {
            _this.actives = d;
            _this.params.page += 1;
            localStorage.setItem('changchun.cancelledList', JSON.stringify(d));
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    MyCancelledServicePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getCancelledList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    MyCancelledServicePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.service_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    MyCancelledServicePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCancelledList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.actives = _this.actives.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param actives
     */
    MyCancelledServicePage.prototype.trackByActivesList = function (index, actives) {
        return actives.id;
    };
    MyCancelledServicePage.prototype.goDetail = function (project_id, batch_id) {
        this.navCtrl.push('MyServiceDetailPage', {
            'service_id': project_id,
            'batch_id': batch_id
        });
    };
    MyCancelledServicePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-cancelled-service',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-cancelled-service\my-cancelled-service.html"*/'<!--\n\n  Generated template for the ServiceBatchPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>已取消的服务</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content >\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content\n\n      pullingIcon="arrow-dropdown"\n\n      pullingText="下拉刷新"\n\n      refreshingSpinner="circles"\n\n      refreshingText="加载中..."\n\n    >\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list >   \n\n      <ion-item *ngIf=\'actives.length==0||actives.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关数据</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let cancel of actives trackBy:trackByActivesList" (click)="goDetail(cancel.id,cancel.batch_id)">                \n\n        <ion-avatar item-left>              \n\n          <img src={{cancel.img}}>            \n\n        </ion-avatar>        \n\n        <h3 class="textCtrl-title">{{cancel.name}}</h3>   \n\n        <div style="padding:0"><ion-icon name="star" *ngFor="let item of cancel.stars"></ion-icon></div>     \n\n        <p class="textCtrl-content">已参与：{{cancel.reserved_count}}</p>  \n\n        <p class="textCtrl-content">剩余数：{{cancel.count==-1?\'无限制\':cancel.count}}</p>           \n\n      </ion-item>             \n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n      <ion-infinite-scroll-content\n\n        loadingSpinner="bubbles"\n\n        loadingText="正在加载...">\n\n      </ion-infinite-scroll-content>\n\n    </ion-infinite-scroll>\n\n      \n\n</ion-content>\n\n\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-cancelled-service\my-cancelled-service.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"], __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */], __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], MyCancelledServicePage);
    return MyCancelledServicePage;
}());

//# sourceMappingURL=my-cancelled-service.js.map

/***/ }),

/***/ 956:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyCancelledServicePageModule", function() { return MyCancelledServicePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_cancelled_service__ = __webpack_require__(1097);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyCancelledServicePageModule = /** @class */ (function () {
    function MyCancelledServicePageModule() {
    }
    MyCancelledServicePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_cancelled_service__["a" /* MyCancelledServicePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_cancelled_service__["a" /* MyCancelledServicePage */]),
            ],
        })
    ], MyCancelledServicePageModule);
    return MyCancelledServicePageModule;
}());

//# sourceMappingURL=my-cancelled-service.module.js.map

/***/ })

});
//# sourceMappingURL=88.js.map