webpackJsonp([93],{

/***/ 1090:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_login_login__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LawPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawPage = /** @class */ (function () {
    function LawPage(navCtrl, navParams, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.token = null;
    }
    LawPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LawPage');
    };
    /**
     * 律师信息
     */
    LawPage.prototype.lawyer = function () {
        this.navCtrl.push('LawLawyerPage');
    };
    /**
     * 案例 type:1:小常识 2:法律案例
     */
    LawPage.prototype.lawCase = function (type) {
        // this.navCtrl.push('LawCasePage',{type:type});
        this.navCtrl.push('LawCaseTypePage', { type: type });
    };
    /**
     * 法律援助
     */
    LawPage.prototype.lawAssistance = function () {
        if (this.checkLogin()) {
            // this.navCtrl.push('LawCasePage',{type:2});
            this.navCtrl.push('LawAssistancePage');
        }
    };
    /**
     * 法律咨询
     */
    LawPage.prototype.lawAdvisory = function () {
        if (this.checkLogin())
            this.navCtrl.push('LawServicePage');
    };
    /**
     * 校验用户登录状态
     */
    LawPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
            return true;
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                            // this.navCtrl.pop();
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    /**
     * 登录模态框
     * @param myEvent
     */
    LawPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    LawPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law\law.html"*/'<!--\n\n  Generated template for the LawPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>维权服务</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item class="item item-icon-right"\n\n    style="height:30%;background: url(assets/imgs/wqfw.jpg) no-repeat;background-size: 100% 100%;">\n\n  </ion-item>\n\n\n\n  <ion-item class="item item-icon-right">\n\n    <div style="margin-left:2px;margin-right:2px">\n\n      <p class="desc">长春市总工会欢迎您。</p>\n\n      <p class="desc">为职工提供优质和高效的劳动法律服务。</p>\n\n      <p class="desc">您提交的留言，我们将有专人及时处理并回复。</p>\n\n      <p class="desc">长春市总工会竭诚为每一名会员提供热情周到的服务。</p>\n\n    </div>\n\n  </ion-item>\n\n\n\n  <ion-grid class="grid-one grid" class="cy_four">\n\n    <ion-row class="grid-one-row-1 row">\n\n      <ion-col style="padding-top:0;" class="grid-one-left-col" col-6 col-sm-6 (click)="lawyer()">\n\n        <div style="position:relative;font-size:0;">\n\n          <img src="assets/imgs/law_lawyer.png" style="border-radius:15px;" alt="">\n\n          <p style="position:absolute;top:70%;margin:0;margin-left:2px;color:#3D323C;font-size:1.8rem;">法律志愿者</p>\n\n        </div>\n\n      </ion-col>\n\n      <ion-col style="padding-top:0;" class="grid-one-left-col" col-6 col-sm-6 (click)="lawCase(1)">\n\n        <div style="position:relative;font-size:0;">\n\n          <img src="assets/imgs/law_case.png" style="border-radius:15px;" alt="">\n\n          <p style="position:absolute;top:70%;margin:0;margin-left:2px;color:#3D323C;font-size:1.8rem;">职工法律小常识</p>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row class="grid-one-row-2 row">\n\n      <ion-col class="grid-one-left-col" col-6 col-sm-6>\n\n        <div style="position:relative;"  (click)="lawCase(2)">\n\n          <img src="assets/imgs/law_assistance.png" style="border-radius:15px;" alt="">\n\n          <p style="position:absolute;top:70%;margin:0;margin-left:2px;color:#3D323C;font-size:1.8rem;">劳动法律案例</p>\n\n        </div>\n\n      </ion-col>\n\n      <ion-col class="grid-one-left-col" col-6 col-sm-6>\n\n        <div style="position:relative;" (click)="lawAdvisory()">\n\n          <img src="assets/imgs/law_advisory.png" style="border-radius:15px;" alt="">\n\n          <p style="position:absolute;top:70%;margin:0;margin-left:2px;color:#3D323C;font-size:1.8rem;">劳动法律服务</p>\n\n        </div>\n\n      </ion-col>\n\n    </ion-row>\n\n  </ion-grid>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law\law.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], LawPage);
    return LawPage;
}());

//# sourceMappingURL=law.js.map

/***/ }),

/***/ 949:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawPageModule", function() { return LawPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law__ = __webpack_require__(1090);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawPageModule = /** @class */ (function () {
    function LawPageModule() {
    }
    LawPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law__["a" /* LawPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law__["a" /* LawPage */]),
            ],
        })
    ], LawPageModule);
    return LawPageModule;
}());

//# sourceMappingURL=law.module.js.map

/***/ })

});
//# sourceMappingURL=93.js.map