webpackJsonp([96],{

/***/ 1088:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawLawyerDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_member_add_flzx_add_flzx__ = __webpack_require__(514);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_member_add_flyz_add_flyz__ = __webpack_require__(515);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_member_login_login__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the LawLawyerDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawLawyerDetailPage = /** @class */ (function () {
    function LawLawyerDetailPage(navCtrl, navParams, sanitizer, appUtil, appService, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.token = localStorage.getItem('changchun.token') || null;
        this.info = [];
        this.record_id = this.navParams.get('record_id');
    }
    LawLawyerDetailPage.prototype.ionViewWillEnter = function () {
        this.getLawyerInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    LawLawyerDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 留言
     */
    LawLawyerDetailPage.prototype.leaveMsg = function (myEvent, id) {
        if (this.checkLogin()) {
            var showFlzxModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_member_add_flzx_add_flzx__["a" /* AddFlzxComponent */], { lawyer_id: id });
            showFlzxModal.onDidDismiss(function (data) {
                console.log("data:", data);
                if (data != null && data != 'undefined') {
                    if (data.success === '1') {
                        // this.initList();
                    }
                }
            });
            showFlzxModal.present({
                ev: myEvent
            });
        }
    };
    /**
     * 申请法律援助
     */
    LawLawyerDetailPage.prototype.applyAssistance = function (myEvent, id) {
        if (this.checkLogin()) {
            var showAssistanceModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_member_add_flyz_add_flyz__["a" /* AddFlyzComponent */], { lawyer_id: id });
            showAssistanceModal.onDidDismiss(function (data) {
                console.log("data:", data);
                if (data != null && data != 'undefined') {
                    if (data.success === '1') {
                        // this.initList();
                    }
                }
            });
            showAssistanceModal.present({
                ev: myEvent
            });
        }
    };
    /**
     * 获取律师信息
     */
    LawLawyerDetailPage.prototype.getLawyerInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getLawyerInfoById, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 校验用户登录状态
     */
    LawLawyerDetailPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
            return true;
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    /**
     * 登录模态框
     * @param myEvent
     */
    LawLawyerDetailPage.prototype.presentLoginModal = function (myEvent) {
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    LawLawyerDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-lawyer-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-lawyer-detail\law-lawyer-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{info.name}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      姓名\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      所属工会\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.org_name}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      学历\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.education}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      工作单位\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.company}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      办公地址\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.address}}</p>\n\n  </ion-item>\n\n\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      联系方式\n\n    </h3>\n\n    <p class="textCtrl-content" float-right>{{info.mobile}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      法律志愿者简介\n\n    </h3>\n\n    <div class="item-appraise textCtrl-content" style="line-height: 25px;" [innerHTML]="assembleHTML(info.description)">\n\n    </div>\n\n  </ion-item>\n\n\n\n</ion-content>\n\n\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <!-- <button ion-button block button-positive style="width:98%;display:inline-block;margin-left: 1%;" (click)="leaveMsg($event,info.id)">+留言咨询</button> -->\n\n    <!-- <button ion-button block button-positive style="width:49%;display:inline-block;" (click)="applyAssistance($event,info.id)">+法律援助</button> -->\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-lawyer-detail\law-lawyer-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], LawLawyerDetailPage);
    return LawLawyerDetailPage;
}());

//# sourceMappingURL=law-lawyer-detail.js.map

/***/ }),

/***/ 947:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawLawyerDetailPageModule", function() { return LawLawyerDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_lawyer_detail__ = __webpack_require__(1088);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawLawyerDetailPageModule = /** @class */ (function () {
    function LawLawyerDetailPageModule() {
    }
    LawLawyerDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_lawyer_detail__["a" /* LawLawyerDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_lawyer_detail__["a" /* LawLawyerDetailPage */]),
            ],
        })
    ], LawLawyerDetailPageModule);
    return LawLawyerDetailPageModule;
}());

//# sourceMappingURL=law-lawyer-detail.module.js.map

/***/ })

});
//# sourceMappingURL=96.js.map