webpackJsonp([97],{

/***/ 1087:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawCasePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LawCasePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawCasePage = /** @class */ (function () {
    function LawCasePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.caseList = [];
        this.caseTypeList = [];
        this.hasmore = true;
        this.caseListCount = 0;
        this.type = this.navParams.get('type');
        this.detail_type = this.navParams.get('detail_type');
        this.title = '';
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token'),
            type: this.navParams.get('type'),
            detail_type: this.navParams.get('detail_type'),
            title: ""
        };
    }
    LawCasePage.prototype.ionViewDidLoad = function () {
        console.log(this.type);
        if (this.type == 1) {
            this.title = '职工法律小常识';
        }
        else {
            this.title = '劳动法律案例';
        }
        this.initList();
        // this.getCaseTypeList();
    };
    /**
     *
     * @param id
     */
    LawCasePage.prototype.toDetail = function (id) {
        this.navCtrl.push('HrActivityDetailPage', { record_id: id });
    };
    /**
   * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
   * @param index
   * @param news
   */
    LawCasePage.prototype.trackByCaseList = function (index, cases) {
        return cases.id;
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    LawCasePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getCaseList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    LawCasePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 获取下拉框分类信息
     */
    LawCasePage.prototype.getCaseTypeList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCaseTypeList, { parent: this.type }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.caseTypeList = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取活动信息
     */
    LawCasePage.prototype.getCaseList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCaseList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.caseList = d;
                    _this.caseListCount = d.length;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
            _this.params.page += 1;
        });
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    LawCasePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCaseList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.caseList = _this.caseList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 案例详情
     * @param case_id
     */
    LawCasePage.prototype.goDetail = function (case_id) {
        this.navCtrl.push('LawCaseDetailPage', { case_id: case_id, type: this.type });
    };
    LawCasePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-case',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case\law-case.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <!-- <ion-toolbar>\n\n    <section style="border-bottom:solid 0.55px #c3bfbfd1;">\n\n      <ion-row style="border-bottom:solid 0.55px #c3bfbfd1;border-top:solid 0.55px #c3bfbfd1;">\n\n        <ion-col col-12 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.detail_type" (ngModelChange)="initList()"  okText="确定" cancelText="取消" style="max-width:100%;" >\n\n            <ion-option value="0">详细分类</ion-option>\n\n            <ng-container *ngFor="let item1 of caseTypeList">\n\n              <ion-option value=\'{{item1.id}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ion-select>\n\n        </ion-col>\n\n      </ion-row>\n\n    </section>\n\n  </ion-toolbar> -->\n\n  <ion-searchbar  style="margin-top:5px;margin-bottom:5px;margin:0px;position:relative;width:94%" [(ngModel)]="params.title" show-cancel-button="never" autocomplete  placeholder="关键字搜索" mode="ios" ></ion-searchbar>\n\n  <div class="search-ion"><ion-icon style="position:absolute;right:11px;top:11px;color:#666666;font-weight:900;font-size:20px;" name="search-outline" clear-icon="undefined" cancel-button-icon="none" (click)="initList()"></ion-icon></div>\n\n  <ion-list no-lines >\n\n    <ion-item *ngIf=\'caseListCount==0\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关案例数据</p>\n\n    </ion-item>\n\n  </ion-list>\n\n  <!-- <ion-card *ngFor="let case of caseList">\n\n    <ion-card-header>\n\n      <span class="textCtrl-title">{{case.title}}</span>\n\n    </ion-card-header>\n\n\n\n    <ion-card-content style="line-height:4rem;">\n\n      <div class="textCtrl-content" style="line-height:25px;">{{case.create_time}}</div>\n\n    </ion-card-content>\n\n  </ion-card> -->\n\n\n\n  <section>\n\n    <ion-list style="padding:0 10px 0 10px">\n\n      <!-- <ion-item *ngIf=\'caseList.length==0||caseList.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关案例数据</p>\n\n      </ion-item> -->\n\n      <ion-item class="item" *ngFor="let case of caseList trackBy:trackByCaseList" (click)="goDetail(case.id)"\n\n        style="border-bottom:0.55px solid #c8c7cc;">\n\n        <h3 class="textCtrl-title" style="overflow:hidden;white-space: normal;\n\n        text-overflow:ellipsis; \n\n        display: -webkit-box;\n\n        -webkit-box-orient: vertical;\n\n        -webkit-line-clamp: 2;\n\n        overflow: hidden;">{{case.title}}</h3>\n\n        <p class="textCtrl-content" style="float:right">{{case.create_time}}</p>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case\law-case.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], LawCasePage);
    return LawCasePage;
}());

//# sourceMappingURL=law-case.js.map

/***/ }),

/***/ 946:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawCasePageModule", function() { return LawCasePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_case__ = __webpack_require__(1087);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawCasePageModule = /** @class */ (function () {
    function LawCasePageModule() {
    }
    LawCasePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_case__["a" /* LawCasePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_case__["a" /* LawCasePage */]),
            ],
        })
    ], LawCasePageModule);
    return LawCasePageModule;
}());

//# sourceMappingURL=law-case.module.js.map

/***/ })

});
//# sourceMappingURL=97.js.map