webpackJsonp([98],{

/***/ 1086:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawCaseTypePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LawCaseTypePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawCaseTypePage = /** @class */ (function () {
    function LawCaseTypePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.caseTypeList = [];
        this.hasmore = true;
        this.type = this.navParams.get('type');
        this.title = '';
    }
    LawCaseTypePage.prototype.ionViewDidLoad = function () {
        if (this.type == 1) {
            this.title = '职工法律小常识';
        }
        else {
            this.title = '劳动法律案例';
        }
        this.getCaseTypeList();
    };
    /**
     * 获取下拉框分类信息
     */
    LawCaseTypePage.prototype.getCaseTypeList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCaseTypeList, { parent: this.type }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.caseTypeList = d;
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**案例信息 */
    LawCaseTypePage.prototype.goCase = function (detail_type) {
        this.navCtrl.push('LawCasePage', { type: this.type, detail_type: detail_type });
    };
    LawCaseTypePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-case-type',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case-type\law-case-type.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list no-lines >\n\n    <ion-item *ngIf=\'caseTypeList.length==0\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无数据</p>\n\n    </ion-item>\n\n  </ion-list>\n\n  <ion-list style="margin-top: -40px;">\n\n    <button ion-item class="item" *ngFor="let item of caseTypeList" (click)="goCase(item.id)">\n\n      <span class="textCtrl-title">{{item.name}}</span>\n\n    </button>\n\n  </ion-list>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case-type\law-case-type.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], LawCaseTypePage);
    return LawCaseTypePage;
}());

//# sourceMappingURL=law-case-type.js.map

/***/ }),

/***/ 945:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawCaseTypePageModule", function() { return LawCaseTypePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_case_type__ = __webpack_require__(1086);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawCaseTypePageModule = /** @class */ (function () {
    function LawCaseTypePageModule() {
    }
    LawCaseTypePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_case_type__["a" /* LawCaseTypePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_case_type__["a" /* LawCaseTypePage */]),
            ],
        })
    ], LawCaseTypePageModule);
    return LawCaseTypePageModule;
}());

//# sourceMappingURL=law-case-type.module.js.map

/***/ })

});
//# sourceMappingURL=98.js.map