webpackJsonp([99],{

/***/ 1084:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LawCaseDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(36);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the LawCaseDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LawCaseDetailPage = /** @class */ (function () {
    function LawCaseDetailPage(navCtrl, navParams, appService, appUtil, modalCtrl, alertCtrl, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.sanitizer = sanitizer;
        this.info = [];
        this.case_id = this.navParams.get('case_id');
        this.type = this.navParams.get('type');
        this.title = '';
        if (this.type == 1) {
            this.title = '职工法律小常识详情';
        }
        else {
            this.title = '劳动法律案例详情';
        }
    }
    LawCaseDetailPage.prototype.ionViewDidLoad = function () {
        this.getDetailInfo();
    };
    /**
     * 获取详情信息
     */
    LawCaseDetailPage.prototype.getDetailInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCaseDetail, { case_id: this.case_id }, function (d) {
            if (d != null && d != undefined) {
                _this.info = d;
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 文本处理
     * @param strHTML
     */
    LawCaseDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    LawCaseDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-law-case-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case-detail\law-case-detail.html"*/'<!--\n\n  Generated template for the NewsDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n\n\n  <section>\n\n    <ion-list>\n\n\n\n      <ion-item style="padding:0 10px 0 10px">\n\n        <h3 class="textCtrl-title" style="overflow:hidden;white-space: normal;\n\n        text-overflow:ellipsis; \n\n        display: -webkit-box;\n\n        -webkit-box-orient: vertical;\n\n        -webkit-line-clamp: 2;\n\n        overflow: hidden;">{{info.title}}</h3>\n\n        <p class="textCtrl-content" style="float:right">{{info.create_time}}</p>\n\n      </ion-item>\n\n\n\n      <!-- <ion-item class="item item-2 item-service-content">\n\n        <p class="textCtrl-content" [innerHTML]="assembleHTML(info.content)"></p>\n\n      </ion-item> -->\n\n\n\n      <ion-item>\n\n        <p class="textCtrl-content" style="white-space: normal;line-height:1.5;"\n\n          [innerHTML]="assembleHTML(info.content)"></p>\n\n      </ion-item>\n\n\n\n    </ion-list>\n\n  </section>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\law-case-detail\law-case-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], LawCaseDetailPage);
    return LawCaseDetailPage;
}());

//# sourceMappingURL=law-case-detail.js.map

/***/ }),

/***/ 943:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LawCaseDetailPageModule", function() { return LawCaseDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__law_case_detail__ = __webpack_require__(1084);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LawCaseDetailPageModule = /** @class */ (function () {
    function LawCaseDetailPageModule() {
    }
    LawCaseDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__law_case_detail__["a" /* LawCaseDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__law_case_detail__["a" /* LawCaseDetailPage */]),
            ],
        })
    ], LawCaseDetailPageModule);
    return LawCaseDetailPageModule;
}());

//# sourceMappingURL=law-case-detail.module.js.map

/***/ })

});
//# sourceMappingURL=99.js.map