webpackJsonp([0],{

/***/ 1023:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddWorkEnterPageModule", function() { return AddWorkEnterPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__add_work_enter__ = __webpack_require__(1163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ion_multi_picker__ = __webpack_require__(1164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ion_multi_picker___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_3_ion_multi_picker__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var AddWorkEnterPageModule = /** @class */ (function () {
    function AddWorkEnterPageModule() {
    }
    AddWorkEnterPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__add_work_enter__["a" /* AddWorkEnterPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3_ion_multi_picker__["MultiPickerModule"],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__add_work_enter__["a" /* AddWorkEnterPage */]),
            ],
        })
    ], AddWorkEnterPageModule);
    return AddWorkEnterPageModule;
}());

//# sourceMappingURL=add-work-enter.module.js.map

/***/ }),

/***/ 1044:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var multi_picker_1 = __webpack_require__(1045);
__export(__webpack_require__(1045));
exports.MULTI_PICKER_DIRECTIVES = [
    multi_picker_1.MultiPicker
];
//# sourceMappingURL=directives.js.map

/***/ }),

/***/ 1045:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var forms_1 = __webpack_require__(26);
var ionic_angular_1 = __webpack_require__(5);
exports.MULTI_PICKER_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: core_1.forwardRef(function () { return MultiPicker; }),
    multi: true
};
var MultiPicker = (function () {
    function MultiPicker(_form, _item, _pickerCtrl) {
        this._form = _form;
        this._item = _item;
        this._pickerCtrl = _pickerCtrl;
        this._disabled = false;
        this._labelId = '';
        this._text = '';
        this._isOpen = false;
        this._isDependent = false;
        this._sequence = [];
        this._originSelectedIndexes = [];
        this.cancelText = 'Cancel';
        this.doneText = 'Done';
        this.resetText = 'Reset';
        this.multiPickerColumns = [];
        this.separator = ' ';
        this.placeholder = '';
        this.showReset = false;
        this.cssClass = '';
        this.ionChange = new core_1.EventEmitter();
        this.ionCancel = new core_1.EventEmitter();
        this._form.register(this);
        if (_item) {
            this.id = 'dt-' + _item.registerInput('multi-picker');
            this._labelId = 'lbl-' + _item.id;
            this._item.setElementClass('item-multi-picker', true);
            this._value = this._value || '';
        }
    }
    MultiPicker.prototype._click = function (ev) {
        if (ev.detail === 0) {
            return;
        }
        ev.preventDefault();
        ev.stopPropagation();
        this.open();
    };
    MultiPicker.prototype._keyup = function () {
        if (!this._isOpen) {
            this.open();
        }
    };
    MultiPicker.prototype.open = function () {
        var _this = this;
        if (this._disabled) {
            return;
        }
        var pickerOptions = {};
        if (this.cssClass) {
            pickerOptions.cssClass = this.cssClass;
        }
        var picker = this._pickerCtrl.create(pickerOptions);
        var cancel = { text: this.cancelText, role: 'multi-picker-cancel', handler: function () { _this.ionCancel.emit(null); } };
        var reset = { text: this.resetText, role: 'multi-picker-reset', handler: function (data) { _this.reset(); return false; } };
        var done = { text: this.doneText, handler: function (data) { _this.onChange(data); _this.ionChange.emit(data); } };
        pickerOptions.buttons = this.showReset ? [cancel, reset, done] : [cancel, done];
        this._isDependent = this.multiPickerColumns.some(function (col) { return col.options.some(function (opt) { return opt.parentVal; }); });
        this.generate(picker);
        if (this.multiPickerColumns.length > 1 && this._isDependent) {
            this.generateSequence();
            picker.ionChange.subscribe(function () {
                _this.validate(picker);
            });
        }
        picker.present(pickerOptions).then(function () {
            _this._pickerCmp = picker.instance;
            _this._pickerColumnCmps = _this._pickerCmp._cols.toArray();
            _this._pickerColumnCmps.forEach(function (col) { return col.lastIndex = -1; });
            for (var i = 0; i < picker.getColumns().length; i++) {
                _this.validate(picker);
            }
        });
        this._isOpen = true;
        picker.onDidDismiss(function () {
            _this._isOpen = false;
        });
    };
    MultiPicker.prototype.generateSequence = function () {
        var _this = this;
        var hasParentCol = this.multiPickerColumns.some(function (col) { return col.parentCol !== undefined; });
        if (!this._isDependent || !hasParentCol) {
            this.multiPickerColumns.forEach(function (col, index) { return _this._sequence.push(index); });
        }
        else {
            var name_1 = undefined;
            var alias_1 = undefined;
            for (var i = 0; i < this.multiPickerColumns.length; i++) {
                var index = this.multiPickerColumns.findIndex(function (col) { return col.parentCol === name_1 || (alias_1 && col.parentCol === alias_1); });
                name_1 = this.multiPickerColumns[index].name;
                alias_1 = this.multiPickerColumns[index].alias;
                if (index > -1) {
                    this._sequence.push(index);
                }
            }
        }
    };
    MultiPicker.prototype.generate = function (picker) {
        var _this = this;
        this._originSelectedIndexes = [];
        var values = this._value.toString().split(this.separator);
        this.multiPickerColumns.forEach(function (col, index) {
            var selectedOpt = col.options.find(function (option) { return option.value == values[index]; }) || col.options[0];
            var options = col.options;
            if (_this._isDependent) {
                options = options.filter(function (option) { return option.parentVal === selectedOpt.parentVal; });
            }
            var column = {
                name: col.name || index.toString(),
                options: options.map(function (option) { return { text: option.text, value: option.value, disabled: option.disabled || false }; }),
                columnWidth: col.columnWidth
            };
            var selectedIndex = column.options.findIndex(function (option) { return option.value == values[index]; });
            selectedIndex = selectedIndex === -1 ? 0 : selectedIndex;
            column.selectedIndex = selectedIndex;
            _this._originSelectedIndexes.push(selectedIndex);
            picker.addColumn(column);
        });
        this.divyColumns(picker);
    };
    MultiPicker.prototype.validate = function (picker) {
        var _this = this;
        var columns = picker.getColumns();
        var _loop_1 = function (j) {
            var i = this_1._sequence[j];
            var curCol = columns[i];
            var parentCol = this_1.getParentCol(i, columns);
            if (!parentCol)
                return "continue";
            var curOption = curCol.options[curCol.selectedIndex];
            if (parentCol.selectedIndex >= parentCol.options.length) {
                parentCol.selectedIndex = parentCol.options.length - 1;
            }
            var parentOption = parentCol.options[parentCol.selectedIndex] || {};
            var curParentVal = void 0;
            if (curOption) {
                curParentVal = this_1.getOptionParentValue(i, curOption);
            }
            if (curParentVal != parentOption.value) {
                curCol.options.splice(0, curCol.options.length);
                this_1.multiPickerColumns[i].options.forEach(function (option) {
                    if (option.parentVal == parentOption.value) {
                        curCol.options.push({ text: option.text, value: option.value, disabled: false });
                    }
                });
                var selectedIndex_1 = curCol.selectedIndex >= curCol.options.length ? curCol.options.length - 1 : curCol.selectedIndex;
                setTimeout(function () { return _this._pickerColumnCmps[i].setSelected(selectedIndex_1, 150); }, 0);
            }
        };
        var this_1 = this;
        for (var j = 0; j < this._sequence.length; j++) {
            _loop_1(j);
        }
    };
    MultiPicker.prototype.getOptionParentValue = function (colIndex, option) {
        return this.multiPickerColumns[colIndex].options.find(function (opt) { return opt.value == option.value; }).parentVal;
    };
    MultiPicker.prototype.getParentCol = function (childColIndex, columns) {
        var pos = this._sequence.findIndex(function (idx) { return idx === childColIndex; });
        if (pos > 0) {
            return columns[this._sequence[pos - 1]];
        }
        return null;
    };
    MultiPicker.prototype.divyColumns = function (picker) {
        var pickerColumns = picker.getColumns();
        var columns = [];
        pickerColumns.forEach(function (col, i) {
            columns.push(0);
            col.options.forEach(function (opt) {
                if (opt.text.replace(/[^\x00-\xff]/g, "01").length > columns[i]) {
                    columns[i] = opt.text.replace(/[^\x00-\xff]/g, "01").length;
                }
            });
        });
        if (columns.length === 2) {
            var width = Math.max(columns[0], columns[1]);
            if (!pickerColumns[0].columnWidth) {
                pickerColumns[0].columnWidth = width * 16 + "px";
            }
            if (!pickerColumns[1].columnWidth) {
                pickerColumns[1].columnWidth = width * 16 + "px";
            }
        }
        else if (columns.length === 3) {
            var width = Math.max(columns[0], columns[2]);
            if (!pickerColumns[1].columnWidth) {
                pickerColumns[1].columnWidth = columns[1] * 16 + "px";
            }
            if (!pickerColumns[0].columnWidth) {
                pickerColumns[0].columnWidth = width * 16 + "px";
            }
            if (!pickerColumns[2].columnWidth) {
                pickerColumns[2].columnWidth = width * 16 + "px";
            }
        }
        else if (columns.length > 3) {
            columns.forEach(function (col, i) {
                if (!pickerColumns[i].columnWidth) {
                    pickerColumns[i].columnWidth = col * 12 + "px";
                }
            });
        }
    };
    MultiPicker.prototype.setValue = function (newData) {
        if (newData === null || newData === undefined) {
            this._value = '';
        }
        else {
            this._value = newData;
        }
    };
    MultiPicker.prototype.getValue = function () {
        return this._value;
    };
    MultiPicker.prototype.checkHasValue = function (inputValue) {
        if (this._item) {
            this._item.setElementClass('input-has-value', !!(inputValue && inputValue !== ''));
        }
    };
    MultiPicker.prototype.updateText = function () {
        var _this = this;
        this._text = '';
        var values = this._value.toString().split(this.separator);
        this.multiPickerColumns.forEach(function (col, index) {
            var option = col.options.find(function (option) { return option.value.toString() === values[index]; });
            if (option) {
                _this._text += "" + option.text;
                if (index < _this.multiPickerColumns.length - 1) {
                    _this._text += "" + _this.separator;
                }
            }
        });
        this._text = this._text.trim();
    };
    Object.defineProperty(MultiPicker.prototype, "disabled", {
        get: function () {
            return this._disabled;
        },
        set: function (val) {
            this._disabled = val;
            this._item && this._item.setElementClass('item-multi-picker-disabled', this._disabled);
        },
        enumerable: true,
        configurable: true
    });
    MultiPicker.prototype.writeValue = function (val) {
        this.setValue(val);
        this.updateText();
        this.checkHasValue(val);
    };
    MultiPicker.prototype.ngAfterContentInit = function () {
        this.updateText();
    };
    MultiPicker.prototype.registerOnChange = function (fn) {
        var _this = this;
        this._fn = fn;
        this.onChange = function (val) {
            _this.setValue(_this.convertObjectToString(val));
            _this.updateText();
            _this.checkHasValue(val);
            fn(_this._value);
            _this.onTouched();
        };
    };
    MultiPicker.prototype.registerOnTouched = function (fn) { this.onTouched = fn; };
    MultiPicker.prototype.onChange = function (val) {
        this.setValue(this.convertObjectToString(val));
        this.updateText();
        this.onTouched();
    };
    MultiPicker.prototype.onTouched = function () { };
    MultiPicker.prototype.ngOnDestroy = function () {
        this._form.deregister(this);
    };
    MultiPicker.prototype.convertObjectToString = function (newData) {
        var _this = this;
        var value = "";
        this.multiPickerColumns.forEach(function (col, index) {
            value += "" + newData[col.name || index.toString()].value;
            if (index !== _this.multiPickerColumns.length - 1) {
                value += _this.separator;
            }
        });
        return value;
    };
    MultiPicker.prototype.reset = function () {
        var _this = this;
        if (!this._pickerColumnCmps)
            return;
        if (this._isDependent) {
            var index = this._sequence.find(function (index) { return _this._pickerColumnCmps[index].col.selectedIndex !== _this._originSelectedIndexes[index]; });
            if (index === undefined)
                return;
            this._originSelectedIndexes.forEach(function (index, i) { return _this._pickerColumnCmps[i].col.selectedIndex = index; });
            this._pickerColumnCmps[index].setSelected(this._originSelectedIndexes[index], 0);
        }
        else {
            this._originSelectedIndexes.forEach(function (index, i) { return _this._pickerColumnCmps[i].setSelected(index, 0); });
        }
    };
    return MultiPicker;
}());
MultiPicker.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ion-multi-picker',
                template: "<div class=\"multi-picker-placeholder\" *ngIf=\"placeholder && !_text\">{{placeholder}}</div>\n             <div class=\"multi-picker-text\" *ngIf=\"!placeholder || _text\">{{_text}}</div>\n             <button aria-haspopup=\"true\" type=\"button\" [id]=\"id\" ion-button=\"item-cover\" [attr.aria-labelledby]=\"_labelId\" [attr.aria-disabled]=\"_disabled\" class=\"item-cover\"></button>",
                host: {
                    '[class.multi-picke-disabled]': '_disabled'
                },
                providers: [exports.MULTI_PICKER_VALUE_ACCESSOR],
                encapsulation: core_1.ViewEncapsulation.None,
            },] },
];
MultiPicker.ctorParameters = function () { return [
    { type: ionic_angular_1.Form, },
    { type: ionic_angular_1.Item, decorators: [{ type: core_1.Optional },] },
    { type: ionic_angular_1.PickerController, decorators: [{ type: core_1.Optional },] },
]; };
MultiPicker.propDecorators = {
    'cancelText': [{ type: core_1.Input },],
    'doneText': [{ type: core_1.Input },],
    'resetText': [{ type: core_1.Input },],
    'multiPickerColumns': [{ type: core_1.Input },],
    'separator': [{ type: core_1.Input },],
    'placeholder': [{ type: core_1.Input },],
    'showReset': [{ type: core_1.Input },],
    'cssClass': [{ type: core_1.Input },],
    'ionChange': [{ type: core_1.Output },],
    'ionCancel': [{ type: core_1.Output },],
    '_click': [{ type: core_1.HostListener, args: ['click', ['$event'],] },],
    '_keyup': [{ type: core_1.HostListener, args: ['keyup.space',] },],
    'disabled': [{ type: core_1.Input },],
};
exports.MultiPicker = MultiPicker;
//# sourceMappingURL=multi-picker.js.map

/***/ }),

/***/ 1163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddWorkEnterPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_code__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the AddWorkEnterPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AddWorkEnterPage = /** @class */ (function () {
    function AddWorkEnterPage(params, viewCtrl, alertCtrl, appUtil, navCtrl, navParams, appService, appCode, events) {
        this.params = params;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.appUtil = appUtil;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appCode = appCode;
        this.events = events;
        this.org_name = localStorage.getItem('changchun.org_name') || '长春市总工会';
        this.token = null;
        this.add = {
            token: localStorage.getItem('changchun.token'),
            enter_name: '',
            code: '',
            description_name: '',
            entname_name: '',
            entcode_name: '',
            scale_name: '',
            ent_area_id: '',
            address_name: '',
            email_name: '',
            postcode_name: '',
            area_data: '',
            area_data1: '',
            phone_name: ''
        };
        //单位规模代码表和模式名
        this.scale_name_params = {
            list_name: 'ct_hr_ent_scale',
            schema: 'bfzxyw'
        };
        this.area_data_params = {
            list_name: 'ct_hr_ent_scale',
            schema: 'bfzxyw'
        };
        this.area_data1_params = {
            list_name: 'ct_hr_ent_scale',
            schema: 'bfzxyw'
        };
        this.area_data2 = []; //单位规模代码表数组
        this.scale_name = []; //单位规模代码表数组
        this.area_datas = []; //单位规模代码表数组
        this.add.enter_name = this.navParams.get('enter_name');
        this.add.code = this.navParams.get('code');
    }
    AddWorkEnterPage.prototype.ionViewWillEnter = function () {
        this.getEnterScaleList();
        this.getAreaData();
    };
    AddWorkEnterPage.prototype.getAreaData = function () {
        var _this = this;
        this.area_datas = JSON.parse(localStorage.getItem('changchun.area_data')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getAreaData, this.area_data_params, function (d) {
            console.log(d);
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_datas = d;
                    localStorage.setItem('changchun.area_data', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
  * 获取选择框选中的值
  * @param item
  * @param name
  */
    AddWorkEnterPage.prototype.selectChange = function (item, name) {
        if (document.getElementById(name) != undefined && document.getElementById(name) != null) {
            document.getElementById(name).style.display = "none";
        }
        if (name == "area_data") {
            this.getPositionType(item._value);
        }
    };
    /**
    * 根据类别job_type获取职位信息
    * @param parent
    */
    AddWorkEnterPage.prototype.getPositionType = function (parent) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getAreaDataTwo, { parent: parent }, function (d) {
            console.log("987:" + d);
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area_data2 = d;
                    //localStorage.setItem('changchun.area_data', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 校验登录状态
     */
    AddWorkEnterPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            this.dismissModal(); //移除此模态框
            return false;
        }
        return true;
    };
    /**
      * 获取单位规模代码表
      */
    AddWorkEnterPage.prototype.getEnterScaleList = function () {
        var _this = this;
        this.scale_name = JSON.parse(localStorage.getItem('changchun.scale_name')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.scale_name_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.scale_name = d;
                    localStorage.setItem('changchun.countrys', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 关闭模态框
     * @param data
     */
    AddWorkEnterPage.prototype.dismissModal = function (data) {
        // data = { 'msg': '我已得到你传给我的qq号码，现在返回给你让你知道' };
        this.viewCtrl.dismiss(data);
    };
    /**
   * 保存
   */
    AddWorkEnterPage.prototype.onSubmit = function () {
        var _this = this;
        if (this.add.description_name != '' && this.add.description_name != undefined
            && this.add.description_name.length > 256) {
            this.appService.alert("单位介绍不能超过256个字");
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_1__app_app_service__["a" /* AppGlobal */].API.getAddWorkerEnter, //1.url
        this.add, //2.params
        function (//2.params
            d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop().then(function () {
                        _this.events.publish('flag', true);
                    });
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    console.log("未知返回参数");
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        } //3.callback function
        );
    };
    AddWorkEnterPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'add-work-enter',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\add-work-enter\add-work-enter.html"*/'<!--\n\n  Generated template for the AddWorkEnterPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>新增单位</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>所属工会\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{org_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>单位名称\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{add.enter_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>组织机构代码/统一社会信用代码\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{add.code}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title">\n\n    <ion-label>\n\n      <font style="color:red">*</font>单位规模\n\n    </ion-label>\n\n    <ion-select class="textCtrl-content-editable" name="scale_name" [(ngModel)]="add.scale_name" #nation okText="确定" cancelText="取消"\n\n      multiple="false" interface placeholder="请选择单位规模" interface="action-sheet">\n\n      <ng-container *ngFor="let item1 of scale_name">\n\n        <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n      </ng-container>\n\n    </ion-select>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title">\n\n    <ion-label>\n\n      <font style="color:red">*</font>单位地址（区总）\n\n    </ion-label>\n\n    <ion-select class="textCtrl-content-editable" name="area_data" [(ngModel)]="add.area_data"\n\n    (ngModelChange)="selectChange(area_data,\'area_data\')" #area_data okText="确定" cancelText="取消"\n\n      multiple="false" interface placeholder="请选择单位地址" interface="action-sheet">\n\n      <ng-container *ngFor="let item1 of area_datas">\n\n          <ng-container *ngIf=\'item1.code=="add.area_data"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="add.area_data")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n    </ion-select>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title">\n\n      <ion-label>\n\n        <font style="color:red">*</font>单位地址（街道或镇）\n\n      </ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="area_data1" [(ngModel)]="add.area_data1" \n\n       #area_data1 okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择单位地址" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of area_data2">\n\n            <ng-container *ngIf=\'item1.code=="add.area_data1"\'>\n\n              <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n            <ng-container *ngIf=\'!(item1.code=="add.area_data1")\'>\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n  <!-- 行政区划 -->\n\n  <!-- <ion-item class="item-content textCtrl-title">\n\n    <ion-label>\n\n      <font style="color:red">*</font>行政区划</ion-label>\n\n    <ion-multi-picker class="textCtrl-content-editable" [(ngModel)]="add.ent_area_id" #ent_area_id item-content (ngModelChange)="selectChange()"\n\n      [cancelText]="\'取消\'" [doneText]="\'确定\'" placeholder="请选择区域" showReset=true resetText="重置" [multiPickerColumns]="area_data"></ion-multi-picker>\n\n  </ion-item> -->\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>详细地址\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写详细地址" [(ngModel)]="add.address_name" name="address_name"\n\n      style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>电子邮箱\n\n    </h3>\n\n    <input type="email" class="textCtrl-content-editable" placeholder="请填写电子邮箱" [(ngModel)]="add.email_name" name="email_name"\n\n      style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>邮政编码\n\n    </h3>\n\n    <input type="number" class="textCtrl-content-editable" placeholder="请填写邮政编码" [(ngModel)]="add.postcode_name" minlength="6"\n\n      maxlength="6" name="postcode_name" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>联系电话\n\n    </h3>\n\n    <input type="number" class="textCtrl-content-editable" placeholder="请填写联系电话" [(ngModel)]="add.phone_name" maxlength="11"\n\n      minlength="11" name="phone_name" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content textCtrl-title">\n\n    <textarea name="content" [(ngModel)]="add.description_name" name="description_name" cols="30" rows="10" placeholder="单位介绍，限512个字符以内"\n\n      class="textCtrl-content" style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n      </textarea>\n\n  </ion-item>\n\n\n\n  <div style="height: 2.4em;">\n\n    <button ion-button block button-positive (click)="onSubmit()">保存</button>\n\n  </div>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\add-work-enter\add-work-enter.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_code__["a" /* AppCode */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["Events"]])
    ], AddWorkEnterPage);
    return AddWorkEnterPage;
}());

//# sourceMappingURL=add-work-enter.js.map

/***/ }),

/***/ 1164:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(__webpack_require__(1044));
var module_1 = __webpack_require__(1165);
exports.MultiPickerModule = module_1.MultiPickerModule;
__export(__webpack_require__(1166));
//# sourceMappingURL=index.js.map

/***/ }),

/***/ 1165:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = __webpack_require__(0);
var directives_1 = __webpack_require__(1044);
var ionic_angular_1 = __webpack_require__(5);
var MultiPickerModule = (function () {
    function MultiPickerModule() {
    }
    return MultiPickerModule;
}());
MultiPickerModule.decorators = [
    { type: core_1.NgModule, args: [{
                exports: [directives_1.MULTI_PICKER_DIRECTIVES],
                declarations: [directives_1.MULTI_PICKER_DIRECTIVES],
                imports: [
                    ionic_angular_1.IonicModule
                ]
            },] },
];
MultiPickerModule.ctorParameters = function () { return []; };
exports.MultiPickerModule = MultiPickerModule;
//# sourceMappingURL=module.js.map

/***/ }),

/***/ 1166:
/***/ (function(module, exports, __webpack_require__) {

"use strict";

Object.defineProperty(exports, "__esModule", { value: true });
function convertEnumToColumn(enumType) {
    var col = [];
    col[0] = { options: [] };
    var keys = Object.keys(enumType);
    var length = keys.length / 2;
    for (var i = 0; i < length; i++) {
        col[0].options.push({
            text: keys[i + length],
            value: Number.parseInt(keys[i])
        });
    }
    return col;
}
exports.convertEnumToColumn = convertEnumToColumn;
//# sourceMappingURL=util.js.map

/***/ })

});
//# sourceMappingURL=0.js.map