webpackJsonp([103],{

/***/ 1081:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return JoinNoticePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_login_login__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the JoinNoticePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var JoinNoticePage = /** @class */ (function () {
    function JoinNoticePage(navCtrl, navParams, appService, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.token = localStorage.getItem('changchun.token');
        this.user = JSON.parse(localStorage.getItem('changchun.user')) || [];
    }
    JoinNoticePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad JoinNoticePage');
        if (this.token != null && this.token.trim() != '') {
            this.checkMembershipApplyInfo();
        }
    };
    /**
     * 选中改变
     */
    JoinNoticePage.prototype.selectChange = function () {
        console.log(this.selectedValue);
    };
    /**
     * 我要入会
     */
    JoinNoticePage.prototype.join = function () {
        var _this = this;
        if (this.token != null && this.token.trim() != '') {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您已是会员，是否进行会籍变更？',
                buttons: [
                    {
                        text: '否',
                        role: 'cancel',
                        handler: function () {
                            _this.navCtrl.parent.select(0);
                        }
                    },
                    {
                        text: '是',
                        handler: function () {
                            if (_this.hasChangeApply == 1) {
                                _this.appService.alert("您已申请会籍变更，请耐心等待审核！");
                                _this.navCtrl.parent.select(0);
                            }
                            else {
                                _this.navCtrl.push('MembershipChangePage');
                            }
                        }
                    }
                ]
            });
            alert_1.present();
        }
        else {
            this.navCtrl.push('CheckPage');
        }
    };
    /* 获取待审核的会籍变更申请信息 */
    JoinNoticePage.prototype.checkMembershipApplyInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMembershipChangeInfo, { member_id: this.user.member_id }, function (d) {
            if (d != null && d != undefined) {
                if (d.success == '1')
                    _this.hasChangeApply = 1; //未审核
                else
                    _this.hasChangeApply = 2; //已审核
            }
        });
    };
    /**
     * 校验登录
     */
    JoinNoticePage.prototype.checkLogin = function () {
        var _this = this;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_2 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            _this.navCtrl.parent.select(0);
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            //localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_2.present();
            return false;
        }
        return true;
    };
    /* 登录 */
    JoinNoticePage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    // this.initList();
                }
                else {
                    _this.navCtrl.parent.select(0);
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    JoinNoticePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-join-notice',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\join-notice\join-notice.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>入会须知</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item class="item item-icon-right">\n\n    <div style="margin-left:2px;margin-right:2px">\n\n      <p class="desc">中国工会是中国共产党领导的职工自愿结合的工人阶级群众组织，是党联系职工群众的桥梁和纽带，是国家政权的重要社会支柱，是会员和职工利益的代表。</p>\n\n      <p class="desc">凡在中国境内的企业、事业、机关单位中以工资收入为主要生活来源的体力劳动者和脑力劳动者，不分民族、种族、性别、职业、宗教信仰、教育程度，承认工会章程，都可以加入工会成为会员。</p>\n\n    </div>\n\n  </ion-item>\n\n\n\n  <!-- <ion-checkbox [(ngModel)]="selectedValue" (ionChange)="selectChange()" style="margin-left:45%;margin-top:10%;"></ion-checkbox>\n\n  <p>我同意</p> -->\n\n\n\n  <ion-item style="border-bottom:none;margin-left:35%;">\n\n    <ion-checkbox color="danger" checked  [(ngModel)]="selectedValue" (ionChange)="selectChange()"  slot="start"></ion-checkbox>\n\n    <ion-label>我同意</ion-label>\n\n  </ion-item>\n\n\n\n\n\n  <!-- <ion-item>\n\n    <input type="checkbox">我同意\n\n  </ion-item> -->\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive [disabled]="!selectedValue" (click)="join()">我要入会</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\join-notice\join-notice.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_alert_alert_controller__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], JoinNoticePage);
    return JoinNoticePage;
}());

//# sourceMappingURL=join-notice.js.map

/***/ }),

/***/ 940:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "JoinNoticePageModule", function() { return JoinNoticePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__join_notice__ = __webpack_require__(1081);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var JoinNoticePageModule = /** @class */ (function () {
    function JoinNoticePageModule() {
    }
    JoinNoticePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__join_notice__["a" /* JoinNoticePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__join_notice__["a" /* JoinNoticePage */]),
            ],
        })
    ], JoinNoticePageModule);
    return JoinNoticePageModule;
}());

//# sourceMappingURL=join-notice.module.js.map

/***/ })

});
//# sourceMappingURL=103.js.map