webpackJsonp([106],{

/***/ 1078:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return InsuranceDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_insurance_calculator_insurance_calculator__ = __webpack_require__(527);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the InsuranceDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var InsuranceDetailPage = /** @class */ (function () {
    function InsuranceDetailPage(navCtrl, navParams, appService, appUtil, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.userInfo = JSON.parse(localStorage.getItem('changchun.user'));
        this.subsidyInfo = [];
        this.subsidyInfoSize = 0;
        this.memberSubsidyInfo = [];
        this.memberSubsidyInfoSize = 0;
        this.type = "1";
    }
    InsuranceDetailPage.prototype.ionViewDidLoad = function () {
        //列表初始化
        this.getSubsidyInfoList();
        this.getMemberSubsidyInfoList();
    };
    /**
     * 计算
     * @param myEvent
     */
    InsuranceDetailPage.prototype.calculator = function (myEvent) {
        var calculator = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_insurance_calculator_insurance_calculator__["a" /* InsuranceCalculatorComponent */]);
        calculator.onDidDismiss(function (data) {
            if (data.success == 1) {
                // this.initList();
            }
        });
        calculator.present({
            ev: myEvent
        });
    };
    /**
     * 获取互助保障给付情况
     */
    InsuranceDetailPage.prototype.getSubsidyInfoList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getSubsidyInfoList, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.subsidyInfo = d;
                    _this.subsidyInfoSize = d.length;
                    console.log('subsidyInfoSize', _this.subsidyInfoSize);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取工会会员服务卡补贴查询
     */
    InsuranceDetailPage.prototype.getMemberSubsidyInfoList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMemberSubsidyInfoList, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.memberSubsidyInfo = d;
                    _this.memberSubsidyInfoSize = d.length;
                    console.log('memberSubsidyInfoSize', _this.memberSubsidyInfoSize);
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    InsuranceDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-insurance-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\insurance-detail\insurance-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>长春市总工会</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="calculator($event)">\n\n        <ion-icon name="calculator"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n  <ion-segment [(ngModel)]="type" mode="md">\n\n    <ion-segment-button value="1">\n\n      <div class="textCtrl-content">工会会员服务卡补贴</div>\n\n    </ion-segment-button>\n\n    <ion-segment-button value="2">\n\n      <div class="textCtrl-content">互助保障给付情况</div>\n\n    </ion-segment-button>\n\n  </ion-segment>\n\n</ion-header>\n\n\n\n<ion-content style="background:#F7F7F7;">\n\n  <!-- <ion-item no-lines class="hzbz user-info">\n\n    <h3>会员姓名：{{userInfo.name}}</h3>\n\n    <p>身份证号：{{userInfo.id_card}}</p>\n\n    <p>当前单位：{{userInfo.company}}</p>\n\n  </ion-item> -->\n\n\n\n  <section [ngSwitch]="type">\n\n    <ion-list *ngSwitchCase="1" style="padding:1.4rem;" no-lines>\n\n      <ion-item style="padding-left:0;border:none;" *ngIf="memberSubsidyInfoSize == 0">\n\n        <h3 style="font-size: 1.6rem;text-align:center;">暂无工会会员服务卡补贴信息</h3>\n\n      </ion-item>\n\n\n\n      <ion-item class="hzbz_item" *ngFor="let info of memberSubsidyInfo">\n\n        <ion-label>\n\n          <h3>{{info.project_name}}</h3>\n\n          <p>给付金额：{{info.pay_amount}}元</p>\n\n          <p>给付日期：{{info.pay_time}}</p>\n\n          <p>住院开始时间：{{info.begin_time}}</p>\n\n          <p>住院结束时间：{{info.end_time}}</p>\n\n        </ion-label>\n\n      </ion-item>\n\n\n\n    </ion-list>\n\n  </section>\n\n\n\n\n\n  <section [ngSwitch]="type">\n\n    <ion-list *ngSwitchCase="2" style="padding:1.4rem;" no-lines>\n\n      <ion-item style="padding-left:0;border:none;" *ngIf="subsidyInfoSize == 0">\n\n        <h3 style="font-size: 1.6rem;text-align:center;">暂无互助保障给付信息</h3>\n\n      </ion-item>\n\n\n\n      <ion-item class="hzbz_item" *ngFor="let info of subsidyInfo">\n\n        <ion-label>\n\n          <h3>{{info.project_name}}</h3>\n\n          <p>给付金额：{{info.pay_amount}}元</p>\n\n          <p>给付日期：{{info.pay_time}}</p>\n\n          <p *ngIf="info.pay_status == 1">给付状态：成功</p>\n\n          <p *ngIf="info.pay_status == 0">给付状态：失败</p>\n\n        </ion-label>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\insurance-detail\insurance-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"]])
    ], InsuranceDetailPage);
    return InsuranceDetailPage;
}());

//# sourceMappingURL=insurance-detail.js.map

/***/ }),

/***/ 937:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "InsuranceDetailPageModule", function() { return InsuranceDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__insurance_detail__ = __webpack_require__(1078);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var InsuranceDetailPageModule = /** @class */ (function () {
    function InsuranceDetailPageModule() {
    }
    InsuranceDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__insurance_detail__["a" /* InsuranceDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__insurance_detail__["a" /* InsuranceDetailPage */]),
            ],
        })
    ], InsuranceDetailPageModule);
    return InsuranceDetailPageModule;
}());

//# sourceMappingURL=insurance-detail.module.js.map

/***/ })

});
//# sourceMappingURL=106.js.map