webpackJsonp([109],{

/***/ 1076:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HrPersonalInfoPage; });
/* unused harmony export hrPersonalInfo */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_edit_common_item_edit_common_item__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_code__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the HrPersonalInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HrPersonalInfoPage = /** @class */ (function () {
    function HrPersonalInfoPage(navCtrl, navParams, modalCtrl, appService, appUtil, appCode) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.appCode = appCode;
        this.info = new hrPersonalInfo();
        this.record_id = this.navParams.get('record_id');
    }
    HrPersonalInfoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HrPersonalInfoPage');
        // this.setValue();
        this.loadInfo();
    };
    /**
     * 赋值
     */
    HrPersonalInfoPage.prototype.setValue = function (values) {
        for (var key in values) {
            this.info.setInfoValue(key, values[key]);
        }
    };
    /**
     * 获取选择框选中的值
     * @param item
     * @param name
     */
    HrPersonalInfoPage.prototype.selectChange = function (item, name) {
        if (document.getElementById(name) != undefined && document.getElementById(name) != null) {
            document.getElementById(name).style.display = "none";
        }
    };
    /**
     * 打开编辑某字段的模态框
     * @param inputType input类型：1.text，2.select
     * @param name input属性name名称
     * @param householder  1:户主；0：非户主
     */
    HrPersonalInfoPage.prototype.editBasicItem = function (item) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_edit_common_item_edit_common_item__["a" /* EditCommonItemComponent */], { data: item });
        modal.onDidDismiss(function (data) {
            // if (data != null && data.result == 'success') {
            //   this.info.setInfoValue(data.sub_item.name, data.sub_item.value);
            // }
        });
        modal.present();
    };
    /**
    * 加载信息
    */
    HrPersonalInfoPage.prototype.loadInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getHrPersonInfo, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.setValue(d);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 手机号格式验证
     */
    HrPersonalInfoPage.prototype.verifyPhone = function (phone) {
        var regex = /^1\d{10}$/;
        if (regex.test(phone) === false) {
            return false;
        }
        return true;
    };
    /**
     * 保存个人信息
     */
    HrPersonalInfoPage.prototype.submit = function () {
        var _this = this;
        console.log(this.info.resume.value);
        if (this.info.email.value.length > 32) {
            this.appService.alert("邮箱长度不能超过32位");
            return;
        }
        if (this.info.mobile.value != "" && this.info.mobile.value.length == 11) {
            if (!this.verifyPhone(this.info.mobile.value)) {
                this.appService.alert("请填写正确格式的手机号码");
                return;
            }
        }
        else {
            this.appService.alert("请填写正确格式的手机号码");
            return;
        }
        if (this.info.major.value.length > 32) {
            this.appService.alert("专业不能超过32个字");
            return;
        }
        if (this.info.resume.value.length > 512) {
            this.appService.alert("求职信息描述不能超过512个字");
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.updatePersonInfo, {
            record_id: this.record_id,
            token: localStorage.getItem('changchun.token'),
            email: this.info.email.value,
            mobile: this.info.mobile.value,
            major: this.info.major.value,
            resume: this.info.resume.value,
            work_year: this.info.work_year.value
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    HrPersonalInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-hr-personal-info',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-personal-info\hr-personal-info.html"*/'<!--\n\n  Generated template for the TuoDanPersonalPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>个人信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-item class="item">\n\n    <div style="float:left;">\n\n      <div class="textCtrl-title item-title">基本信息</div>\n\n      <div class="textCtrl-content item-row-content">所属工会：{{info.manage_org_name.value}}</div>\n\n      <div class="textCtrl-content item-row-content">姓　　名：{{info.name.value}}</div>\n\n      <div class="textCtrl-content item-row-content">证件号码：{{info.certificate_no.value}}</div>\n\n      <div class="textCtrl-content item-row-content">性　　别：{{info.gender_value.value}}</div>\n\n      <div class="textCtrl-content item-row-content">出生日期：{{info.birthday.value}}</div>\n\n      <div class="textCtrl-content item-row-content">民　　族：{{info.nation_value.value}}</div>\n\n      <div class="textCtrl-content item-row-content">学　　历：{{info.education.value}}</div>\n\n    </div>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" (click)="editBasicItem(info.email)">\n\n    <h3 class="ion-title textCtrl-title">\n\n      {{info.email.item_name}}\n\n    </h3>\n\n    <p class="textCtrl-content-editable" float-right>{{info.email.value}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" (click)="editBasicItem(info.mobile)">\n\n    <h3 class="ion-title textCtrl-title">\n\n      {{info.mobile.item_name}}\n\n    </h3>\n\n    <p class="textCtrl-content-editable" float-right>{{info.mobile.value}}</p>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content textCtrl-title">\n\n    <ion-label>{{info.work_year.item_name}}</ion-label>\n\n    <ion-select class="textCtrl-content-editable" name="work_year" [(ngModel)]="info.work_year.value"\n\n      (ngModelChange)="selectChange(work_year,\'work_year\')" #work_year okText="确定" cancelText="取消" multiple="false"\n\n      interface placeholder="请选择{{info.work_year.item_name}}" interface="action-sheet">\n\n      <ng-container *ngFor="let item1 of appCode.ct_work_year">\n\n        <ng-container *ngIf=\'item1.code=="info.work_year.value"\'>\n\n          <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ng-container>\n\n        <ng-container *ngIf=\'!(item1.code=="info.work_year.value")\'>\n\n          <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ng-container>\n\n      </ng-container>\n\n    </ion-select>\n\n  </ion-item>\n\n\n\n  <ion-item class="item-content" (click)="editBasicItem(info.major)">\n\n    <h3 class="ion-title textCtrl-title">\n\n      {{info.major.item_name}}\n\n    </h3>\n\n    <p class="textCtrl-content-editable" float-right>{{info.major.value}}</p>\n\n  </ion-item>\n\n\n\n  <!-- <ion-item class="item-content">\n\n    <textarea class="textCtrl-content" style="height:88px;width: 100%;border: none;margin-left: 0;padding-left:0;"\n\n      name="info.resume.value" [(ngModel)]="info.resume.value" placeholder="简历简介信息">{{info.resume.value}}</textarea>\n\n  </ion-item> -->\n\n\n\n  <ion-item class="item-content" (click)="editBasicItem(info.resume)">\n\n    <ion-label class="ion-title textCtrl-title"> {{info.resume.item_name}}</ion-label>\n\n    <ion-textarea class="textCtrl-content-editable" rows="6" cols="20" [(ngModel)]="info.resume.value"\n\n      placeholder="请填写简历简介信息，限512个字">\n\n      {{info.resume.value}}</ion-textarea>\n\n  </ion-item>\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="submit()">保存</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-personal-info\hr-personal-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_code__["a" /* AppCode */]])
    ], HrPersonalInfoPage);
    return HrPersonalInfoPage;
}());

var hrPersonalInfo = /** @class */ (function () {
    function hrPersonalInfo() {
        this.init();
    }
    /**
       * 赋值
       * @param key
       * @param value
       */
    hrPersonalInfo.prototype.setInfoValue = function (key, value) {
        eval("(" + "this." + key + ")").value = value;
    };
    hrPersonalInfo.prototype.init = function () {
        this.id = {
            input_type: 'text',
            item_name: '编号',
            name: 'id',
            value: ''
        };
        this.manage_org_name = {
            input_type: 'text',
            item_name: '所属工会',
            name: 'manage_org_name',
            value: ''
        };
        this.name = {
            input_type: 'text',
            item_name: '姓名',
            name: 'name',
            value: ''
        };
        this.certificate_no = {
            input_type: 'text',
            item_name: '证件号码',
            name: 'certificate_no',
            value: ''
        };
        this.gender_value = {
            input_type: '',
            item_name: '性别',
            name: 'gender_value',
            value: ''
        };
        this.birthday = {
            input_type: '',
            item_name: '出生日期',
            name: 'birthday',
            value: ''
        };
        this.nation_value = {
            input_type: '',
            item_name: '民族',
            name: 'nation_value',
            value: ''
        };
        this.education = {
            input_type: 'text',
            item_name: '学历',
            name: 'education',
            value: '大学本科'
        };
        this.email = {
            input_type: 'text',
            item_name: '邮箱',
            name: 'email',
            value: ''
        };
        this.mobile = {
            input_type: 'number',
            item_name: '手机号码',
            name: 'mobile',
            value: ''
        };
        this.work_year = {
            input_type: '',
            item_name: '工作年限',
            name: 'work_year',
            value: ''
        };
        this.major = {
            input_type: 'text',
            item_name: '专业',
            name: 'major',
            value: ''
        };
        this.resume = {
            input_type: 'text',
            item_name: '简历',
            name: 'resume',
            value: ''
        };
    };
    return hrPersonalInfo;
}());

//# sourceMappingURL=hr-personal-info.js.map

/***/ }),

/***/ 935:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HrPersonalInfoPageModule", function() { return HrPersonalInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__hr_personal_info__ = __webpack_require__(1076);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HrPersonalInfoPageModule = /** @class */ (function () {
    function HrPersonalInfoPageModule() {
    }
    HrPersonalInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__hr_personal_info__["a" /* HrPersonalInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__hr_personal_info__["a" /* HrPersonalInfoPage */]),
            ],
        })
    ], HrPersonalInfoPageModule);
    return HrPersonalInfoPageModule;
}());

//# sourceMappingURL=hr-personal-info.module.js.map

/***/ })

});
//# sourceMappingURL=109.js.map