webpackJsonp([11],{

/***/ 1034:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkEnterRecruitDetailPageModule", function() { return WorkEnterRecruitDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__work_enter_recruit_detail__ = __webpack_require__(1177);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkEnterRecruitDetailPageModule = /** @class */ (function () {
    function WorkEnterRecruitDetailPageModule() {
    }
    WorkEnterRecruitDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__work_enter_recruit_detail__["a" /* WorkEnterRecruitDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__work_enter_recruit_detail__["a" /* WorkEnterRecruitDetailPage */]),
            ],
        })
    ], WorkEnterRecruitDetailPageModule);
    return WorkEnterRecruitDetailPageModule;
}());

//# sourceMappingURL=work-enter-recruit-detail.module.js.map

/***/ }),

/***/ 1177:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkEnterRecruitDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the WorkEnterRecruitDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkEnterRecruitDetailPage = /** @class */ (function () {
    function WorkEnterRecruitDetailPage(navCtrl, navParams, sanitizer, appUtil, appService, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.org_name = localStorage.getItem('changchun.org_name') || '长春市总工会';
        this.token = localStorage.getItem('changchun.token') || null;
        this.info = [];
        this.record_id = this.navParams.get('record_id');
    }
    WorkEnterRecruitDetailPage.prototype.ionViewWillEnter = function () {
        this.getEnterInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    WorkEnterRecruitDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 获取单位信息
     */
    WorkEnterRecruitDetailPage.prototype.getEnterInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getEnterInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined || d.errcode == -1) {
                    _this.info = d;
                    localStorage.setItem('changchun.work_enter_name', d.enter_name);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 校验用户登录状态
     */
    WorkEnterRecruitDetailPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
   * 编辑单位
   * @param myEvent
   */
    WorkEnterRecruitDetailPage.prototype.editworkenter = function (id) {
        this.navCtrl.push('EditWorkEnterPage', { record_id: id });
    };
    /**
    * 职位信息
    */
    WorkEnterRecruitDetailPage.prototype.positioninfo = function (id) {
        this.navCtrl.push('WorkPositionPage', { record_id: id });
    };
    WorkEnterRecruitDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-work-enter-recruit-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-enter-recruit-detail\work-enter-recruit-detail.html"*/'<!--\n\n  Generated template for the WorkEnterRecruitDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>单位信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      所属工会\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{org_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位名称\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.enter_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      组织机构代码/统一社会信用代码\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.code}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位规模\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.scale_name_vale}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      详细地址\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.address_name1}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n      电子邮箱\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.email_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n     邮政编码\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.postcode_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content">\n\n    <h3 class="ion-title textCtrl-title">\n\n     联系电话\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.phone_name}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content  textCtrl-title">\n\n    <h3 class="ion-title textCtrl-title">\n\n      单位介绍\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="white-space: normal;color: #aaa;text-indent: 2rem;padding-top: 10px;" [innerHTML]="assembleHTML(info.description_name)"></p>\n\n  </ion-item>\n\n\n\n</ion-content>\n\n\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive style="width:49%;display:inline-block;" (click)="editworkenter(info.id)">编辑</button>\n\n    <button ion-button block button-positive style="width:49%;display:inline-block;" (click)="positioninfo(info.id)">职位信息</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-enter-recruit-detail\work-enter-recruit-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["AlertController"]])
    ], WorkEnterRecruitDetailPage);
    return WorkEnterRecruitDetailPage;
}());

//# sourceMappingURL=work-enter-recruit-detail.js.map

/***/ })

});
//# sourceMappingURL=11.js.map