webpackJsonp([110],{

/***/ 1075:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HrHomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the HrHomePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HrHomePage = /** @class */ (function () {
    function HrHomePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.info = {};
    }
    HrHomePage.prototype.ionViewWillEnter = function () {
        this.loadInfo();
    };
    /**
     * 个人信息详情
     */
    HrHomePage.prototype.toDetail = function (id) {
        // this.appService.alert('敬请期待');
        this.navCtrl.push('HrPersonalInfoPage', { record_id: id });
    };
    /**
     * 拨打电话
     * @param phone
     */
    HrHomePage.prototype.call = function (evt, phone) {
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        evt.cancelBubble = true;
        window.location.href = 'tel:' + phone + '';
    };
    /**
     * 招聘信息
     */
    HrHomePage.prototype.recruitmentList = function () {
        this.navCtrl.push('RecruitPage');
    };
    /**
     * 家政请求
     */
    HrHomePage.prototype.housekeepList = function () {
        this.navCtrl.push('HomemakingPage');
    };
    /**
     * 活动信息列表
     */
    HrHomePage.prototype.activityList = function () {
        // this.appService.alert('敬请期待');
        this.navCtrl.push('HrActivityPage');
    };
    /**
     * 求职信息列表
     */
    HrHomePage.prototype.position = function () {
        // this.appService.alert('敬请期待');
        this.navCtrl.push('ResumePage');
    };
    /**
     * 加载信息
     */
    HrHomePage.prototype.loadInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getHrPersonInfo, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.info = d;
                    // localStorage.setItem('changchun.hrPersonalInfo', JSON.stringify(d));
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    HrHomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-hr-home',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-home\hr-home.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>我要工作</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list>\n\n    <ion-item class="item" (click)="toDetail(info.id)">\n\n      <div style="float:left;">\n\n        <div class="textCtrl-content item-row-content">姓　　名：{{info.name}}</div>\n\n        <div class="textCtrl-content item-row-content">身份证号：{{info.certificate_no}}</div>\n\n        <div class="textCtrl-content item-row-content">性　　别：{{info.gender_value}}</div>\n\n        <div class="textCtrl-content item-row-content" (click)=call($event,info.mobile)>手机号码：{{info.mobile}}</div>\n\n        <!-- <div class="textCtrl-content item-row-content">学　　历：{{info.education}}</div> -->\n\n        <!-- <div style="text-align:center;">\n\n              <button ion-button round outline>\n\n                修改\n\n              </button>\n\n            </div> -->\n\n      </div>\n\n      <div class="textCtrl-content" style="width:5%;float:right">\n\n        <ion-icon name="arrow-forward"></ion-icon>\n\n      </div>\n\n    </ion-item>\n\n\n\n\n\n    <!-- <button ion-item class="item" (click)="myActivity()">\n\n        <span class="textCtrl-title">我的活动</span>\n\n      </button> -->\n\n    <button ion-item class="item" (click)="recruitmentList()">\n\n      <span class="textCtrl-title">招聘信息</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="housekeepList()">\n\n      <span class="textCtrl-title">家政请求</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="activityList()">\n\n      <span class="textCtrl-title">活动信息</span>\n\n    </button>\n\n    <button ion-item class="item" (click)="position()">\n\n      <span class="textCtrl-title">求职信息</span>\n\n    </button>\n\n\n\n  </ion-list>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\hr-home\hr-home.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], HrHomePage);
    return HrHomePage;
}());

//# sourceMappingURL=hr-home.js.map

/***/ }),

/***/ 934:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HrHomePageModule", function() { return HrHomePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__hr_home__ = __webpack_require__(1075);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HrHomePageModule = /** @class */ (function () {
    function HrHomePageModule() {
    }
    HrHomePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__hr_home__["a" /* HrHomePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__hr_home__["a" /* HrHomePage */]),
            ],
        })
    ], HrHomePageModule);
    return HrHomePageModule;
}());

//# sourceMappingURL=hr-home.module.js.map

/***/ })

});
//# sourceMappingURL=110.js.map