webpackJsonp([114],{

/***/ 1070:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomemakingDetailPage; });
/* unused harmony export HomemakingInfo */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_edit_common_item_edit_common_item__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_service__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the HomemakingDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var HomemakingDetailPage = /** @class */ (function () {
    function HomemakingDetailPage(navCtrl, navParams, modalCtrl, viewCtrl, appCode, appUtil, appService) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.appCode = appCode;
        this.appUtil = appUtil;
        this.appService = appService;
        this.homemakingInfo = new HomemakingInfo();
        this.housekeepPersonInfo = {};
        this.ct_salary_type = [
            { 'code': '1', 'name': '时薪' },
            { 'code': '2', 'name': '月薪' }
        ];
        this.ct_salary = [];
        /**
         * 时薪
         */
        this.ct_salary_hour = [
            { 'code': '1', 'name': '10元以下' },
            { 'code': '2', 'name': '10-20元' },
            { 'code': '3', 'name': '20-50元' },
            { 'code': '4', 'name': '50-100元' },
            { 'code': '5', 'name': '100元以上' }
        ];
        /**
         * 月薪
         */
        this.ct_salary_month = [
            { 'code': '1', 'name': '1000以下' },
            { 'code': '2', 'name': '1000-1500' },
            { 'code': '3', 'name': '1500-2000' },
            { 'code': '4', 'name': '2000-2500' },
            { 'code': '5', 'name': '2500-3000' },
            { 'code': '6', 'name': '3000-4000' },
            { 'code': '7', 'name': '4000-5000' },
            { 'code': '8', 'name': '5000-10000' },
            { 'code': '9', 'name': '10000-20000' },
            { 'code': '10', 'name': '20000以上' },
            { 'code': '11', 'name': '面议' }
        ];
        this.record_id = this.navParams.get('record_id');
        this.status = this.navParams.get('status');
        console.log("record_id", this.record_id);
        console.log("status", this.status);
        if (this.status == 1) {
            this.loadHousekeepPersonInfo();
        }
    }
    HomemakingDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad HomemakingDetailPage');
        this.loadInfo();
    };
    /**
     * 赋值
     */
    HomemakingDetailPage.prototype.setValue = function (values) {
        for (var key in values) {
            if (key == "id")
                continue;
            this.homemakingInfo.setInfoValue(key, values[key]);
            if (key == 'salary_type') {
                if (values[key] == '1') {
                    this.ct_salary = this.ct_salary_hour;
                }
                else if (values[key] == '2') {
                    this.ct_salary = this.ct_salary_month;
                }
            }
        }
    };
    // 加载受聘家政人员信息
    HomemakingDetailPage.prototype.loadHousekeepPersonInfo = function () {
        var _this = this;
        // getHousekeepPersonInfo
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getHousekeepPersonInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.housekeepPersonInfo = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 加载信息
    */
    HomemakingDetailPage.prototype.loadInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getHomemakingInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.setValue(d);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 保存
     */
    HomemakingDetailPage.prototype.submit = function () {
        var _this = this;
        if (this.homemakingInfo.title.value == "" || this.homemakingInfo.title.value.length > 32) {
            this.appService.alert("标题不能超过32个字");
            return;
        }
        if (this.homemakingInfo.work_area.value == "" || this.homemakingInfo.work_area.value == undefined) {
            this.appService.alert("工作地点不能为空");
            return;
        }
        if (this.homemakingInfo.salary_type.value == "" || this.homemakingInfo.salary_type.value == undefined) {
            this.appService.alert("薪水类别不能为空");
            return;
        }
        if (this.homemakingInfo.salary.value == "" || this.homemakingInfo.salary.value == undefined) {
            this.appService.alert("薪水不能为空");
            return;
        }
        if (this.homemakingInfo.work_hours.value == "" || this.homemakingInfo.work_hours.value == undefined) {
            this.appService.alert("每天工作时长不能为空");
            return;
        }
        if (this.homemakingInfo.job_content.value == "" || this.homemakingInfo.job_content.value.length > 128) {
            this.appService.alert("工作内容不能超过128个字");
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.updateHomemakingInfo, {
            token: localStorage.getItem('changchun.token'),
            record_id: this.record_id,
            title: this.homemakingInfo.title.value,
            work_hours: this.homemakingInfo.work_hours.value,
            salary_type: this.homemakingInfo.salary_type.value,
            salary: this.homemakingInfo.salary.value,
            work_area: this.homemakingInfo.work_area.value,
            content: this.homemakingInfo.job_content.value
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取选择框选中的值
     * @param item
     * @param name
     */
    HomemakingDetailPage.prototype.selectChange = function (item, name) {
        console.log(item);
        if (name == "salary_type") {
            if (item._value == '1') {
                this.ct_salary = this.ct_salary_hour;
            }
            else if (item._value == '2') {
                this.ct_salary = this.ct_salary_month;
            }
        }
        if (document.getElementById(name) != undefined && document.getElementById(name) != null) {
            document.getElementById(name).style.display = "none";
        }
    };
    /**
     * 打开编辑某字段的模态框
     * @param inputType input类型：1.text，2.select
     * @param name input属性name名称
     * @param householder  1:户主；0：非户主
     */
    HomemakingDetailPage.prototype.editBasicItem = function (item) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_edit_common_item_edit_common_item__["a" /* EditCommonItemComponent */], { data: item }, {});
        modal.onDidDismiss(function (data) {
        });
        modal.present();
    };
    /**
     * 处理文本
     * @param strHTML
     */
    HomemakingDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     * 关闭模态框
     * @param data
     */
    HomemakingDetailPage.prototype.dismissModal = function (data) {
        this.viewCtrl.dismiss(data);
    };
    HomemakingDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-homemaking-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\homemaking-detail\homemaking-detail.html"*/'<!--\n\n  Generated template for the HomemakingDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>家政请求</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <!-- 已受理 -->\n\n  <ng-container *ngIf="status == 1">\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n        <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      </ion-avatar> -->\n\n      <span class="textCtrl-title"\n\n        style="line-height:35px;text-align:center;">{{housekeepPersonInfo.apply_user}}(留言人)</span>\n\n      <!-- <span style="font-size:1.4rem;color:#8e9093;display:inherit;">年龄:{{personInfo.age}}岁</span> -->\n\n      <span\n\n        style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">已受理</span>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        申请时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.create_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        标题\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.title}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作时长\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.work_time}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        薪水类型\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.salary_type}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作薪水\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.salary}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作地点\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.area}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="border-bottom:none;">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(housekeepPersonInfo.job_content)"></div>\n\n    </ion-item>\n\n\n\n    <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n        <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      </ion-avatar> -->\n\n      <h3 class="textCtrl-title" style="line-height:35px;text-align:center;float:left;">\n\n        {{housekeepPersonInfo.name}}(受聘对象)</h3>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        手机号\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.mobile}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        居住地址\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.address}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        聘用时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{housekeepPersonInfo.hire_time}}</p>\n\n    </ion-item>\n\n    \n\n  </ng-container>\n\n  <!-- 未受理 -->\n\n  <ng-container *ngIf="status != 1">\n\n    <ion-item class="item-content" (click)="editBasicItem(homemakingInfo.title)">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{homemakingInfo.title.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{homemakingInfo.title.value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{homemakingInfo.work_hours.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="work_hours" [(ngModel)]="homemakingInfo.work_hours.value"\n\n        (ngModelChange)="selectChange(work_hours,\'work_hours\')" #work_hours okText="确定" cancelText="取消" multiple="false"\n\n        interface placeholder="请选择{{homemakingInfo.work_hours.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_work_hours">\n\n          <ng-container *ngIf=\'item1.code=="homemakingInfo.work_hours.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="homemakingInfo.work_hours.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{homemakingInfo.salary_type.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="salary_type" [(ngModel)]="homemakingInfo.salary_type.value"\n\n        (ngModelChange)="selectChange(salary_type,\'salary_type\')" #salary_type okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择{{homemakingInfo.salary_type.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of ct_salary_type">\n\n          <ng-container *ngIf=\'item1.code=="homemakingInfo.salary_type.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="homemakingInfo.salary_type.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{homemakingInfo.salary.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="salary" [(ngModel)]="homemakingInfo.salary.value"\n\n        (ngModelChange)="selectChange(salary,\'salary\')" #salary okText="确定" cancelText="取消" multiple="false" interface\n\n        placeholder="请选择{{homemakingInfo.salary.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item2 of ct_salary">\n\n          <ng-container *ngIf=\'item2.code=="homemakingInfo.salary.value"\'>\n\n            <ion-option selected value=\'{{item2.code}}\'>{{item2.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item2.code=="homemakingInfo.salary.value")\'>\n\n            <ion-option value=\'{{item2.code}}\'>{{item2.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{homemakingInfo.work_area.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="work_area" [(ngModel)]="homemakingInfo.work_area.value"\n\n        (ngModelChange)="selectChange(work_area,\'work_area\')" #work_area okText="确定" cancelText="取消" multiple="false"\n\n        interface placeholder="请选择{{homemakingInfo.work_area.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_area">\n\n          <ng-container *ngIf=\'item1.code=="homemakingInfo.work_area.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="homemakingInfo.work_area.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" (click)="editBasicItem(homemakingInfo.job_content)">\n\n      <ion-label class="ion-title textCtrl-title"> {{homemakingInfo.job_content.item_name}}</ion-label>\n\n      <ion-textarea class="textCtrl-content-editable" rows="6" cols="20" [(ngModel)]="homemakingInfo.job_content.value"\n\n        placeholder="请填写简历简介信息，限512个字">\n\n        {{homemakingInfo.job_content.value}}</ion-textarea>\n\n    </ion-item>\n\n  </ng-container>\n\n</ion-content>\n\n\n\n<ion-footer no-border *ngIf="status != \'1\'">\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="submit()">保存</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\homemaking-detail\homemaking-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_6__app_app_service__["b" /* AppService */]])
    ], HomemakingDetailPage);
    return HomemakingDetailPage;
}());

var HomemakingInfo = /** @class */ (function () {
    function HomemakingInfo() {
        this.init();
    }
    /**
       * 赋值
       * @param key
       * @param value
       */
    HomemakingInfo.prototype.setInfoValue = function (key, value) {
        eval("(" + "this." + key + ")").value = value;
    };
    HomemakingInfo.prototype.init = function () {
        this.user = {
            input_type: 'text',
            item_name: '姓名',
            name: 'user',
            value: ''
        };
        this.title = {
            input_type: 'text',
            item_name: '标题',
            name: 'title',
            value: ''
        };
        this.work_hours = {
            input_type: 'text',
            item_name: '工作时长',
            name: 'work_hours',
            value: ''
        };
        this.salary_type = {
            input_type: 'text',
            item_name: '薪水类型',
            name: 'salary_type',
            value: ''
        };
        this.salary = {
            input_type: 'text',
            item_name: '薪水(元)',
            name: 'salary',
            value: ''
        };
        this.work_area = {
            input_type: 'text',
            item_name: '工作地点',
            name: 'work_area',
            value: ''
        };
        this.job_content = {
            input_type: 'text',
            item_name: '工作内容',
            name: 'job_content',
            value: ''
        };
    };
    return HomemakingInfo;
}());

//# sourceMappingURL=homemaking-detail.js.map

/***/ }),

/***/ 929:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "HomemakingDetailPageModule", function() { return HomemakingDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__homemaking_detail__ = __webpack_require__(1070);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var HomemakingDetailPageModule = /** @class */ (function () {
    function HomemakingDetailPageModule() {
    }
    HomemakingDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__homemaking_detail__["a" /* HomemakingDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__homemaking_detail__["a" /* HomemakingDetailPage */]),
            ],
        })
    ], HomemakingDetailPageModule);
    return HomemakingDetailPageModule;
}());

//# sourceMappingURL=homemaking-detail.module.js.map

/***/ })

});
//# sourceMappingURL=114.js.map