webpackJsonp([120],{

/***/ 1063:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatiSignPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_dati_dati__ = __webpack_require__(506);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the DatiSignPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DatiSignPage = /** @class */ (function () {
    function DatiSignPage(navCtrl, navParams, viewCtrl, modalCtrl, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        //datiInfoArrey : Array<any> = [];
        this.datiInfo = {
            id: '',
            is_sign: '',
            is_user_name: '',
            is_org_name: '',
            is_phone: '',
            is_cert: '',
            is_other: '',
            name: '',
            webUserName: '',
            org_name: '',
            cert_no: '',
            address: '',
            phone: '',
            other: '',
            project_id: ''
        };
        this.token = localStorage.getItem('changchun.token');
        this.dati_id = this.navParams.get('dati_id');
        this.params = {
            dati_id: this.dati_id,
            token: this.token
        };
        //this.dati_id = this.navParams.get('record_id');
        console.log("232323->" + "record_id", this.dati_id);
        //this.getEnterInfo();
    }
    /**
     * 下拉刷新方法
     * @param refresher
     */
    DatiSignPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    DatiSignPage.prototype.ionViewDidLoad = function () {
        this.getDatiInfo();
        console.log(this.datiInfo);
    };
    DatiSignPage.prototype.openDatiModal = function (myEvent, project_id) {
        var _this = this;
        console.log("here is :" + this.datiInfo);
        console.log("here is 2:" + this.is_sign);
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.datiVerifyAttend, { project_id: project_id, token: this.token, is_latest: 1 }, function (d) {
                _this.errcode = d.errcode;
                _this.msg = d.errmsg;
                if (_this.errcode == -2) {
                    var alert_1 = _this.alertCtrl.create({
                        title: '温馨提示',
                        message: _this.msg,
                        buttons: [
                            {
                                text: '好的',
                                role: 'cancel',
                            }
                        ]
                    });
                    alert_1.present();
                }
                else {
                    _this.person_answer_id = d.person_answer_id;
                    var datiModal = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_dati_dati__["a" /* DatiComponent */], {
                        project_id: project_id,
                        person_answer_id: _this.person_answer_id
                    });
                    datiModal.onDidDismiss(function (data) {
                        _this.navCtrl.pop();
                    });
                    datiModal.present({
                        ev: myEvent
                    });
                }
            });
            return;
        }
    };
    /**
     * 校验用户是否登录
     */
    DatiSignPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
     * 获取问卷答题相关信息
     */
    DatiSignPage.prototype.getDatiInfo = function () {
        var _this = this;
        this.datiInfo = JSON.parse(localStorage.getItem('changchun.datiInfoSign')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.getDatiInfoSign, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.datiInfo = d;
                    localStorage.setItem('changchun.datiInfoSign', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
  * 保存
  */
    DatiSignPage.prototype.onSubmit = function (myEvent, project_id) {
        var _this = this;
        if (this.checkLogin()) {
            if (this.datiInfo.is_org_name == '1') {
                console.log("here1" + this.datiInfo.org_name);
                if (this.datiInfo.org_name == '' || this.datiInfo.org_name == undefined) {
                    this.appService.alert("单位信息不允许为空！");
                    return;
                }
                else if (this.datiInfo.org_name.length > 128) {
                    this.appService.alert("不能超过128个字");
                    return;
                }
            }
            if (this.datiInfo.is_cert == '1') {
                console.log("here2" + this.datiInfo.cert_no);
                if (!this.SetvalidateIdCard(this.datiInfo.cert_no)) {
                    this.appService.alert("身份证号码格式有误");
                    return;
                }
                if (this.datiInfo.cert_no == '' || this.datiInfo.cert_no == undefined) {
                    this.appService.alert("身份证号码不允许为空！");
                    return;
                }
                else if (this.datiInfo.cert_no.length != 18) {
                    this.appService.alert("身份证号码必须为18位");
                    return;
                }
            }
            if (this.datiInfo.is_phone == '1') {
                //通过正则表达式判断手机号码格式是否正确,根据电信，联通、移动手机号码规则可以到以下正则
                // 手机号码第一位是[1]开头，第二位[3,4,5,7,8]中的一位，第三位到第十一位则是[0-9]中的数字；
                //^1表示开头为1
                //[3|4|5|7|8] 表示3、4、5、7、8中的一位数值
                //[0-9]{9} 匹配包含0-9的数字
                console.log("heresdfsf" + this.datiInfo.phone);
                var reg = /^\d+$/;
                if (!(reg.test(this.datiInfo.phone))) {
                    console.log("here4232" + this.datiInfo.phone);
                    this.appService.alert("联系电话格式不正确！");
                    return;
                }
                console.log("here4" + this.datiInfo.phone);
                if (this.datiInfo.phone == '' || this.datiInfo.phone == undefined) {
                    this.appService.alert("联系电话不允许为空！");
                    return;
                }
                else if (this.datiInfo.phone.length > 11) {
                    this.appService.alert("联系电话最多为11位");
                    return;
                }
                else if (this.datiInfo.phone.length < 7) {
                    this.appService.alert("联系电话最少为7位");
                    return;
                }
            }
            if (this.datiInfo.is_other == '1') {
                console.log("here3" + this.datiInfo.other);
                if (this.datiInfo.other == '' || this.datiInfo.other == undefined) {
                    this.appService.alert("其他不允许为空！");
                    return;
                }
                else if (this.datiInfo.other.length > 128) {
                    this.appService.alert("其他最多为128位");
                    return;
                }
            }
            var params = {
                token: localStorage.getItem('changchun.token'),
                dati_id: this.dati_id,
                project_id: this.datiInfo.id,
                name: this.datiInfo.webUserName,
                phone: this.datiInfo.phone,
                cert_no: this.datiInfo.cert_no,
                org_name: this.datiInfo.org_name,
                other: this.datiInfo.other,
            };
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_4__app_app_service__["a" /* AppGlobal */].API.datiVerifySign, params, function (d) {
                if (d != null) {
                    _this.errcode = d.errcode;
                    _this.msg = d.errmsg;
                    if (_this.errcode == -2) {
                        var alert_2 = _this.alertCtrl.create({
                            title: '温馨提示',
                            message: _this.msg,
                            buttons: [
                                {
                                    text: '好的',
                                    role: 'cancel',
                                }
                            ]
                        });
                        alert_2.present();
                    }
                    else {
                        //this.dismissModal({ 'success': 1 });
                        _this.person_answer_id = d.person_answer_id;
                        var datiModal = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_dati_dati__["a" /* DatiComponent */], {
                            project_id: project_id,
                            person_answer_id: _this.person_answer_id
                        });
                        datiModal.onDidDismiss(function (data) {
                            _this.navCtrl.popTo('3');
                        });
                        datiModal.present({
                            ev: myEvent
                        });
                    }
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            });
            return;
        }
        /*this.appService.httpGet(
      
          AppGlobal.API.getEnterEdit,//1.url
          params,//2.params
          d => {
            if (d != null) {
              if (d.errcode == 0) {//成功
                this.appService.alert(d.errmsg);
              } else if (d.errcode == -1) {//alert 登录失效，请重新登录
                this.appUtil.remindLogin();
              } else if (d.errcode == -2) {//失败
                this.appService.alert(d.errmsg);
              } else {
                console.log("未知返回参数");
                this.appService.alert('网络繁忙，请稍候重试');
              }
            } else {
              this.appService.alert('网络繁忙，请稍候重试');
            }
          }//3.callback function
        );*/
    };
    /**
       * 关闭模态框
       * @param data
       */
    DatiSignPage.prototype.dismissModal = function (data) {
        // data = { 'msg': '我已得到你传给我的qq号码，现在返回给你让你知道' };
        this.viewCtrl.dismiss(data);
    };
    //判断身份证号格式是否是正确的
    DatiSignPage.prototype.SetvalidateIdCard = function (idCard) {
        console.log("852369");
        var regIdCard = /^(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$)|(^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[Xx])$)$/;
        //判断是否符合这个正则表达式
        if (regIdCard.test(idCard)) {
            console.log("8523692323232323");
            if (idCard.length == 18) {
                var idCardWi = new Array(7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2); //将前17位加权因子保存在数组里
                var idCardY = new Array(1, 0, 10, 9, 8, 7, 6, 5, 4, 3, 2); //这是除以11后，可能产生的11位余数、验证码，也保存成数组
                var idCardWiSum = 0; //用来保存前17位各自乘以加权因子后的总和
                for (var i = 0; i < 17; i++) {
                    idCardWiSum += idCard.substring(i, i + 1) * idCardWi[i];
                }
                var idCardMod = idCardWiSum % 11; //计算出校验码所在的数组的位置
                var idCardLast = idCard.substring(17); //得到最后一位身份证号码
                //如果等于2，则说明校验码是10，身份证号码最后一位应该是X
                if (idCardMod == 2) {
                    if (idCardLast == "X") {
                        return true; //验证通过
                    }
                    else {
                        return false; //身份证号码错误
                    }
                }
                else {
                    if (idCardLast == idCardY[idCardMod]) {
                        return true; //验证通过
                    }
                    else {
                        return false; //验证失
                    }
                }
            }
        }
        else {
            console.log("852369232w232321111113232323");
            return false;
        }
    };
    DatiSignPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-dati-sign',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\dati-sign\dati-sign.html"*/'<!--\n\n  Generated template for the ServiceStationDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color=\'primary\'>\n\n    <ion-title>{{datiInfo.name}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-item>\n\n    <div class="vote_name textCtrl-title">输入有效信息后方可进行答题</div>\n\n  </ion-item>\n\n  \n\n  <ion-item class="item-content" *ngIf="datiInfo.is_user_name==1" >\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>姓名\n\n    </h3>\n\n    <p class="textCtrl-content-editable" style="color:#aaa !important;" float-right>{{datiInfo.webUserName}}</p>\n\n  </ion-item>\n\n  <ion-item class="item-content" *ngIf="datiInfo.is_org_name==1" >\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>单位名称\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写单位名称" [(ngModel)]="datiInfo.org_name" name="org_name" maxlength="128" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content" *ngIf="datiInfo.is_cert==1" >\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>身份证\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写身份证号码" [(ngModel)]="datiInfo.cert_no" maxlength="18"\n\n      minlength="18"  pattern="([0-9])([0-9]|X)*"  name="cert_no" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content" *ngIf="datiInfo.is_phone==1" >\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>联系电话\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写联系电话" [(ngModel)]="datiInfo.phone" maxlength="11"\n\n      minlength="11" name="phone" pattern="([0-9])([0-9])*" style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  <ion-item class="item-content"  *ngIf="datiInfo.is_other==1" >\n\n    <h3 class="ion-title textCtrl-title">\n\n      <font style="color:red">*</font>其他\n\n    </h3>\n\n    <input type="text" class="textCtrl-content-editable" placeholder="请填写其他" [(ngModel)]="datiInfo.other" name="other" maxlength="128"\n\n      style="text-align:right;float:right;border:none" required clearInput/>\n\n  </ion-item>\n\n  \n\n  <div style="height: 2.4em;">\n\n    <button ion-button block button-positive (click)="onSubmit($Event,datiInfo.id)">保存</button>\n\n  </div>\n\n\n\n</ion-content>\n\n\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\dati-sign\dati-sign.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_6_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], DatiSignPage);
    return DatiSignPage;
}());

//# sourceMappingURL=dati-sign.js.map

/***/ }),

/***/ 922:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DatiSignPageModule", function() { return DatiSignPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__dati_sign__ = __webpack_require__(1063);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DatiSignPageModule = /** @class */ (function () {
    function DatiSignPageModule() {
    }
    DatiSignPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__dati_sign__["a" /* DatiSignPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__dati_sign__["a" /* DatiSignPage */]),
            ],
        })
    ], DatiSignPageModule);
    return DatiSignPageModule;
}());

//# sourceMappingURL=dati-sign.module.js.map

/***/ })

});
//# sourceMappingURL=120.js.map