webpackJsonp([122],{

/***/ 1061:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CouponsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the CouponsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CouponsPage = /** @class */ (function () {
    function CouponsPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.params = {
            page: 1,
            size: 10,
            token: localStorage.getItem('changchun.token')
        };
        this.token = localStorage.getItem('changchun.token');
        this.hasmore = true;
        this.coupons = [];
        // coupons: any = [];
        this.totalCount = 0;
    }
    CouponsPage.prototype.ionViewWillEnter = function () {
        this.initList();
    };
    CouponsPage.prototype.toDetail = function (id) {
        this.navCtrl.push('CouponsDetailPage', { 'couponId': id });
    };
    CouponsPage.prototype.getCoupon = function (id, event) {
        var _this = this;
        event.stopPropagation();
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCoupon, {
            token: localStorage.getItem('changchun.token'),
            couponId: id
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.initList();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -3) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    CouponsPage.prototype.getCouponsList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponList, this.params, function (d) {
            console.log("d", d);
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.coupons = d;
                    _this.totalCount = d.length;
                    _this.params.page += 1;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    CouponsPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    CouponsPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getCouponsList();
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    CouponsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.coupons = _this.coupons.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // this.appService.alert('没有数据啦！');
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    CouponsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-coupons',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\coupons\coupons.html"*/'<!--\n\n  Generated template for the HousekeepListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>普惠活动</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n        <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n          refreshingText="加载中...">\n\n        </ion-refresher-content>\n\n      </ion-refresher>\n\n\n\n<ion-list no-lines>\n\n  <ion-card *ngFor="let coupon of coupons" (click)="toDetail(coupon.id)" style="border-bottom: 0.55px solid #c8c7cc">\n\n    <ion-card-content>\n\n      \n\n      <ion-item no-padding>\n\n        <div class="subscript" *ngIf="coupon.coupon_status==1"><span>已领取</span></div>\n\n        <div class="subscript" *ngIf="coupon.coupon_status==2"><span>已过期</span></div>\n\n        <div class="subscript" *ngIf="coupon.coupon_status==3"><span>已领完</span></div>\n\n        <div class="subscript" *ngIf="coupon.coupon_status==4"><span>未开始</span></div>\n\n        <div style="display:inline-block;width:18%">\n\n          <img style="width:50px;height:50px;" src="{{coupon.img}}">\n\n        </div>\n\n        <div style="display:inline-block;position:absolute;width:60%;top:5px">\n\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.name.length<=12">{{coupon.name}}</span>\n\n          <span class="textCtrl-title" text-wrap *ngIf="coupon.name.length>12">{{coupon.name.substring(0,12)}}…</span>\n\n          <p class="textCtrl-content" text-wrap *ngIf="coupon.describe.length<=25">{{coupon.describe}}</p>\n\n          <p class="textCtrl-content" text-wrap *ngIf="coupon.describe.length>25">{{coupon.describe.substring(0,25)}}…</p>\n\n          <p class="textCtrl-content" text-wrap style="position:absolute;top:55px;">领取开始时间：{{coupon.coupon_begin_date}}</p> \n\n          <!-- <p class="textCtrl-content" text-wrap style="position:absolute;top:72px;">结束时间：{{coupon.coupon_end_date}}</p>           -->\n\n        </div>\n\n        <div style="display:inline-block;width:80%;" *ngIf="coupon.coupon_status==0">\n\n          <p style="position:absolute;top:35px;right:10px;float:right;font-size:1.2rem;border:0.55px solid #E13A3E;width:55px;line-height:25px;border-radius:15px;text-align:center;background:#E13A3E;color:white;" (click)="getCoupon(coupon.id,$event)">领取</p>\n\n        </div>\n\n      </ion-item>\n\n    </ion-card-content>\n\n  </ion-card>\n\n</ion-list>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\coupons\coupons.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], CouponsPage);
    return CouponsPage;
}());

//# sourceMappingURL=coupons.js.map

/***/ }),

/***/ 920:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CouponsPageModule", function() { return CouponsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__coupons__ = __webpack_require__(1061);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CouponsPageModule = /** @class */ (function () {
    function CouponsPageModule() {
    }
    CouponsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__coupons__["a" /* CouponsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__coupons__["a" /* CouponsPage */]),
            ],
        })
    ], CouponsPageModule);
    return CouponsPageModule;
}());

//# sourceMappingURL=coupons.module.js.map

/***/ })

});
//# sourceMappingURL=122.js.map