webpackJsonp([123],{

/***/ 1060:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CouponsDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_jquery__ = __webpack_require__(49);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_jquery___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_jquery__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the CouponsDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CouponsDetailPage = /** @class */ (function () {
    function CouponsDetailPage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.params = {
            record_id: '',
            token: localStorage.getItem('changchun.token')
        };
        this.token = localStorage.getItem('changchun.token');
        this.coupon = {};
        this.countdownSeconds = 0; //倒计时(秒)
        this.countdownSecondsStr = '';
        this.refresh = false;
        this.params.record_id = this.navParams.get("couponId");
        // this.getCouponDetail();
    }
    CouponsDetailPage.prototype.ionViewDidLoad = function () {
        this.getCouponDetail();
    };
    CouponsDetailPage.prototype.ionViewWillEnter = function () {
    };
    CouponsDetailPage.prototype.ionViewDidLeave = function () {
        this.endInter();
    };
    CouponsDetailPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        this.refresh = true;
        this.endInter();
        setTimeout(function () {
            _this.getCouponDetail();
            refresher.complete();
        }, 1000);
    };
    CouponsDetailPage.prototype.getCoupon = function () {
        var _this = this;
        event.stopPropagation();
        if (this.countdownSeconds > 0) {
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCoupon, {
            token: localStorage.getItem('changchun.token'),
            couponId: this.params.record_id
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.getCouponDetail();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -3) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //获取倒计时时显示的文字
    CouponsDetailPage.prototype.getCountdownSecondsStr = function (param) {
        var minutes = parseInt((param / 60).toString()) > 0 ? parseInt((param / 60).toString()).toString() + " 分" : '';
        var seconds = parseInt((param % 60).toString()) > 0 ? parseInt((param % 60).toString()).toString() + " 秒" : '';
        var str = minutes + seconds + '后可参与';
        return str;
    };
    //开始倒计时
    CouponsDetailPage.prototype.startInter = function () {
        //开始时间 - 当前时间 得到的秒数
        var that = this;
        that.inter = setInterval(function () {
            var nowTime = new Date();
            var beginTime = that.begin_time;
            var seconds = parseInt(((beginTime.getTime() - nowTime.getTime()) / 1000).toString());
            if (seconds != that.countdownSeconds) {
                that.countdownSeconds = seconds;
            }
            var countdownSecondsStr = that.getCountdownSecondsStr(that.countdownSeconds - 1);
            that.countdownSeconds = that.countdownSeconds - 1;
            that.countdownSecondsStr = countdownSecondsStr;
            if (that.countdownSeconds == 0) {
                clearInterval(that.inter);
            }
        }, 1000);
    };
    //结束倒计时
    CouponsDetailPage.prototype.endInter = function () {
        var that = this;
        clearInterval(that.inter);
        that.countdownSeconds = 0;
        that.countdownSecondsStr = '';
    };
    CouponsDetailPage.prototype.getCouponDetail = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.couponDetailInfo, this.params, function (d) {
            console.log("d", d);
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.refresh = false;
                    _this.coupon = d;
                    setTimeout(function () {
                        var describe_height = parseInt(__WEBPACK_IMPORTED_MODULE_4_jquery___default()('#describe').css("height"));
                        console.log("height1=" + describe_height);
                        if (describe_height < 200) {
                            console.log("in11");
                            __WEBPACK_IMPORTED_MODULE_4_jquery___default()('#describe_item').css("padding-bottom", 200 - describe_height + "px");
                        }
                    }, 100);
                    console.log("height=" + __WEBPACK_IMPORTED_MODULE_4_jquery___default()('#describe').css("height"));
                    var nowTime = new Date();
                    var beginTime = new Date(Date.parse(d.coupon_begin_date));
                    _this.begin_time = new Date(Date.parse(d.coupon_begin_date));
                    //开始时间 - 当前时间 得到的秒数
                    var seconds = parseInt(((beginTime.getTime() - nowTime.getTime()) / 1000).toString());
                    console.log('seconds', seconds);
                    //如果秒数 > 0 则未开始
                    if (seconds > 0) {
                        var countdownSecondsStr = _this.getCountdownSecondsStr(seconds);
                        _this.countdownSeconds = seconds;
                        _this.countdownSecondsStr = countdownSecondsStr,
                            _this.startInter();
                    }
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    CouponsDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-coupons-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\coupons-detail\coupons-detail.html"*/'<!--\n\n  Generated template for the ServiceDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>票券详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item class="item">\n\n        <ion-thumbnail item-left style="width:25%;">\n\n            <img src={{coupon.img}}> \n\n        </ion-thumbnail>\n\n        <h3 class="textCtrl-title">{{coupon.name}}</h3>\n\n      </ion-item>\n\n      <ion-item class="item item-2">\n\n        <!-- <h3 class="textCtrl-title">可使用时间</h3>\n\n        <p class="textCtrl-content">{{coupon.coupon_begin_date}} 至 {{coupon.coupon_end_date}}</p> -->\n\n        <h3 class="textCtrl-title">领取开始时间</h3>\n\n        <p class="textCtrl-content">{{coupon.coupon_begin_date}}</p>\n\n      </ion-item>\n\n      <!-- <ion-item class="item item-2" style="padding:0;" *ngIf="coupon.member_card != \'\'">\n\n        <ion-avatar item-left style="margin-right:0;margin-top:8px;">              \n\n          <ion-icon class="address-icon" name="ios-card-outline" style="margin-left:0;margin-top:-2px;"></ion-icon>          \n\n        </ion-avatar>   \n\n        <h3 class="textCtrl-title" style="margin-left:0;">云闪付获券卡号</h3>\n\n        <p class="textCtrl-content" style="margin-left:0;margin-top:5px;">{{coupon.member_card}}</p>\n\n      </ion-item> -->\n\n      <ion-item class="item item-2">\n\n        <h3 class="textCtrl-title">介绍</h3>\n\n      </ion-item>\n\n      <ion-item class="item item-2 item-service-content" id="describe_item">\n\n        <p id="describe" class="textCtrl-content" text-wrap>{{coupon.describe}}</p>\n\n      </ion-item>\n\n\n\n      <!-- <button ion-item class="item item-2" (click)="goEnterprise()">\n\n        <span class="textCtrl-title">服务单位（{{info.merchants}}）</span>\n\n      </button> -->\n\n    </ion-list>\n\n  </section>\n\n</ion-content>\n\n\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button  ion-button block button-positive *ngIf="coupon.coupon_status==0 && !refresh" (click)="getCoupon()" >{{countdownSeconds>0?countdownSecondsStr:\'领取\'}}</button>\n\n    <button ion-button block button-positive *ngIf="coupon.coupon_status==1" disabled>已领取</button>\n\n    <button ion-button block button-positive *ngIf="coupon.coupon_status==2" disabled>已过期</button>\n\n    <button ion-button block button-positive *ngIf="coupon.coupon_status==3" disabled>已领完</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\coupons-detail\coupons-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], CouponsDetailPage);
    return CouponsDetailPage;
}());

//# sourceMappingURL=coupons-detail.js.map

/***/ }),

/***/ 919:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CouponsDetailPageModule", function() { return CouponsDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__coupons_detail__ = __webpack_require__(1060);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CouponsDetailPageModule = /** @class */ (function () {
    function CouponsDetailPageModule() {
    }
    CouponsDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__coupons_detail__["a" /* CouponsDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__coupons_detail__["a" /* CouponsDetailPage */]),
            ],
        })
    ], CouponsDetailPageModule);
    return CouponsDetailPageModule;
}());

//# sourceMappingURL=coupons-detail.module.js.map

/***/ })

});
//# sourceMappingURL=123.js.map