webpackJsonp([126],{

/***/ 1057:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ChatMessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(26);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/**
 * Generated class for the ChatMessagePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ChatMessagePage = /** @class */ (function () {
    function ChatMessagePage(navParams, navCtrl, formBuilder) {
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.formBuilder = formBuilder;
        this.toUser = {
            _id: '534b8e5aaa5e7afc1b23e69b',
            pic: 'assets/imgs/img1_01.jpg',
            username: 'Venkman',
        };
        this.user = {
            _id: '534b8fb2aa5e7afc1b23e69c',
            pic: 'assets/imgs/jb1_49.png',
            username: 'Marty',
        };
        this.doneLoading = false;
        this.messages = [
            {
                _id: 1,
                date: new Date(),
                userId: this.user._id,
                username: this.user.username,
                pic: this.user.pic,
                text: 'OH CRAP!!'
            },
            {
                _id: 2,
                date: new Date(),
                userId: this.toUser._id,
                username: this.toUser.username,
                pic: this.toUser.pic,
                text: 'what??'
            },
            {
                _id: 3,
                date: new Date(),
                userId: this.toUser._id,
                username: this.toUser.username,
                pic: this.toUser.pic,
                text: 'Pretty long message with lots of content'
            },
            {
                _id: 4,
                date: new Date(),
                userId: this.user._id,
                username: this.user.username,
                pic: this.user.pic,
                text: 'Pretty long message with even way more of lots and lots of content'
            },
            {
                _id: 5,
                date: new Date(),
                userId: this.user._id,
                username: this.user.username,
                pic: this.user.pic,
                text: '哪尼??'
            },
            {
                _id: 6,
                date: new Date(),
                userId: this.toUser._id,
                username: this.toUser.username,
                pic: this.toUser.pic,
                text: 'yes!'
            }
        ];
        this.messageForm = formBuilder.group({
            message: new __WEBPACK_IMPORTED_MODULE_2__angular_forms__["FormControl"]('')
        });
        this.chatBox = '';
    }
    ChatMessagePage.prototype.ionViewDidLoad = function () {
        var modelData = '用户名：' + this.navParams.get('record_id');
        console.log(modelData);
    };
    // 发送消息
    ChatMessagePage.prototype.send = function (message) {
        if (message && message !== '') {
            // this.messageService.sendMessage(chatId, message);
            var messageData = {
                toId: this.toUser._id,
                _id: 6,
                date: new Date(),
                userId: this.user._id,
                username: this.toUser.username,
                pic: this.toUser.pic,
                text: message
            };
            this.messages.push(messageData);
            this.scrollToBottom();
            // setTimeout(() => {
            //   const replyData =
            //   {
            //     toId: this.toUser._id,
            //     _id: 6,
            //     date: new Date(),
            //     userId: this.toUser._id,
            //     username: this.toUser.username,
            //     pic: this.toUser.pic,
            //     text: 'Just a quick reply'
            //   };
            //   this.messages.push(replyData);
            //   this.scrollToBottom();
            // }, 1000);
        }
        this.chatBox = '';
    };
    ChatMessagePage.prototype.scrollToBottom = function () {
        var _this = this;
        setTimeout(function () {
            _this.content.scrollToBottom();
        }, 100);
    };
    ChatMessagePage.prototype.viewProfile = function (message) {
        console.log(message);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["ViewChild"])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Content"]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["Content"])
    ], ChatMessagePage.prototype, "content", void 0);
    ChatMessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-chat-message',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\chat-message\chat-message.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>某某</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <div *ngFor="let message of messages" class="message-wrapper" on-hold="onMessageHold($event, $index, message)">\n\n    <!-- 判断消息是发送 -->\n\n    <div *ngIf="user._id !== message.userId">\n\n      <img (click)="viewProfile(message)" class="profile-pic left" [src]="toUser.pic"\n\n        onerror="onProfilePicError(this)" />\n\n      <!--  wave-->\n\n      <div class="chat-bubble left slide-left">\n\n        <div class="message" [innerHTML]="message.text" autolinker> </div>\n\n        <div class="message-detail">\n\n          <span (click)="viewProfile(message)" class="bold">{{toUser.username}}</span>,\n\n          <span>{{message.date | moment:"ago" | lowercase}}</span>\n\n        </div>\n\n      </div>\n\n    </div>\n\n\n\n    <!-- 判断消息是发送 -->\n\n    <div *ngIf="user._id === message.userId">\n\n      <img (click)="viewProfile(message)" class="profile-pic right" [src]="user.pic"\n\n        onerror="onProfilePicError(this)" />\n\n      <div class="chat-bubble right slide-right">\n\n        <div class="message" [innerHTML]="message.text" autolinker></div>\n\n        <div class="message-detail">\n\n          <span (click)="viewProfile(message)" class="bold">{{user.username}}</span>,\n\n          <span>{{message.date | moment:"ago" | lowercase}}</span>\n\n        </div>\n\n      </div>\n\n    </div>\n\n    <div class="cf"></div>\n\n  </div>\n\n</ion-content>\n\n\n\n<!-- 底部固定的输入框 -->\n\n<ion-footer>\n\n  <form [formGroup]="messageForm" (submit)="send(chatBox)" novalidate>\n\n    <ion-item>\n\n      <ion-input formControlName="message" [(ngModel)]="chatBox" placeholder="请输入...">\n\n      </ion-input>\n\n      <button ion-button clear (click)="send(chatBox)" item-end>\n\n        <ion-icon class="footer-btn" name="send"></ion-icon>\n\n      </button>\n\n    </ion-item>\n\n  </form>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\chat-message\chat-message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_2__angular_forms__["FormBuilder"]])
    ], ChatMessagePage);
    return ChatMessagePage;
}());

//# sourceMappingURL=chat-message.js.map

/***/ }),

/***/ 916:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ChatMessagePageModule", function() { return ChatMessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__chat_message__ = __webpack_require__(1057);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ChatMessagePageModule = /** @class */ (function () {
    function ChatMessagePageModule() {
    }
    ChatMessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__chat_message__["a" /* ChatMessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__chat_message__["a" /* ChatMessagePage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], ChatMessagePageModule);
    return ChatMessagePageModule;
}());

//# sourceMappingURL=chat-message.module.js.map

/***/ })

});
//# sourceMappingURL=126.js.map