webpackJsonp([128],{

/***/ 1054:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CardPackagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
///<reference path="../../../service/my-qr-code.d.ts"/> 




/**
 * Generated class for the CardPackagePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var CardPackagePage = /** @class */ (function () {
    function CardPackagePage(navCtrl, navParams, appService, alertCtrl, actionSheetCtrl, appUtil, elementRef) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.alertCtrl = alertCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appUtil = appUtil;
        this.elementRef = elementRef;
        this.time = 0;
        this.token = localStorage.getItem('changchun.token');
        this.is_time = false;
        this.user = { name: '', jing_card: '' };
        this.havePassWord = false;
        this.params = {
            //page: 1,
            //size: 10,
            token: ''
        };
    }
    CardPackagePage.prototype.makeCode = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getQrcode, { app_issuing_num: localStorage.getItem('changchun.app_issuing_num') }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    localStorage.removeItem('changchun.token');
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    clearInterval(_this.inte);
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else if (d.errcode == 0) {
                    // var json = JSON.parse(d.content);
                    _this.time = d.diff_time;
                    _this.content = JSON.stringify(d.content);
                    if (!_this.is_time) {
                        var i_1 = 0;
                        _this.inte = setInterval(function () {
                            if (_this.time == 0) {
                                _this.makeCode();
                                i_1++;
                                _this.time = 0;
                            }
                            else {
                                _this.time = _this.time - 1;
                            }
                        }, 1000);
                    }
                    var element = document.getElementById("qrcode");
                    var childNodes = element.getElementsByTagName('img');
                    for (var j = childNodes.length - 1; j >= 0; j--) {
                        // element.removeChild(childNodes[i]);
                    }
                    _this.qrcode.makeCode(_this.content);
                    _this.is_time = true;
                }
            }
            else {
                clearInterval(_this.inte);
                return;
            }
        });
    };
    CardPackagePage.prototype.ionViewWillLeave = function () {
        clearInterval(this.inte);
        this.is_time = false;
    };
    CardPackagePage.prototype.ionViewDidLoad = function () {
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.getUserInfo();
        this.qrcode = new QRCode(document.getElementById("qrcode"), {
            width: 200,
            height: 200
        });
        // this.makeCode();
    };
    CardPackagePage.prototype.ionViewWillEnter = function () {
        console.log("enter----------");
        this.checkPassword();
        this.makeCode();
    };
    CardPackagePage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    CardPackagePage.prototype.checkPassword = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.checkPassword, { token: this.token }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    localStorage.removeItem('changchun.token');
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else {
                    if (d.is_set == 0) {
                        _this.havePassWord = false;
                    }
                    else if (d.is_set == 1) {
                        _this.havePassWord = true;
                    }
                }
            }
        });
    };
    CardPackagePage.prototype.action = function (event) {
        var _this = this;
        if (this.havePassWord) {
            event.stopPropagation();
            var actionSheet = this.actionSheetCtrl.create({
                title: '操作',
                buttons: [
                    {
                        text: '修改密码',
                        handler: function () {
                            _this.navCtrl.push('SetMembercardPasswordPage', { type: 2 });
                        }
                    }, {
                        text: '解除绑定会员卡',
                        handler: function () {
                            var alert = _this.alertCtrl.create({
                                title: '温馨提示',
                                message: '您确定要解除绑定会员卡？',
                                buttons: [
                                    {
                                        text: '取消',
                                        role: 'cancel',
                                        handler: function () {
                                            // this.navCtrl.parent.select(0);
                                        }
                                    },
                                    {
                                        text: '确定',
                                        handler: function () {
                                            _this.setBindingStatus(2);
                                        }
                                    }
                                ]
                            });
                            alert.present();
                        }
                    }, {
                        text: '取消',
                        role: 'cancel',
                        handler: function () {
                        }
                    }
                ]
            });
            actionSheet.present();
        }
        else {
            event.stopPropagation();
            var actionSheet = this.actionSheetCtrl.create({
                title: '操作',
                buttons: [
                    {
                        text: '设置密码',
                        handler: function () {
                            _this.navCtrl.push('SetMembercardPasswordPage', { type: 1 });
                        }
                    }, {
                        text: '解除绑定会员卡',
                        handler: function () {
                            var alert = _this.alertCtrl.create({
                                title: '温馨提示',
                                message: '您确定要解除绑定会员卡？',
                                buttons: [
                                    {
                                        text: '取消',
                                        role: 'cancel',
                                        handler: function () {
                                            // this.navCtrl.parent.select(0);
                                        }
                                    },
                                    {
                                        text: '确定',
                                        handler: function () {
                                            _this.setBindingStatus(2);
                                        }
                                    }
                                ]
                            });
                            alert.present();
                        }
                    }, {
                        text: '取消',
                        role: 'cancel',
                        handler: function () {
                        }
                    }
                ]
            });
            actionSheet.present();
        }
    };
    CardPackagePage.prototype.setBindingStatus = function (type) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.setBingStatus, { token: this.token, type: type }, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    localStorage.removeItem('changchun.token');
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                    return;
                }
                else {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
            }
        });
    };
    CardPackagePage.prototype.getUserInfo = function () {
        var _this = this;
        this.user = JSON.parse(localStorage.getItem('changchun.user')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getUserInfo, this.params, function (d) {
            _this.user = d;
            if (_this.user.name && _this.user.name.length == 2) {
                _this.user.name = _this.user.name.substring(0, 1) + "*";
            }
            else if (_this.user.name && _this.user.name.length == 3) {
                _this.user.name =
                    _this.user.name.substring(0, 1) +
                        "*" +
                        _this.user.name.substring(2, 3); //截取第一个和第三个字符
            }
            else if (_this.user.name && _this.user.name.length > 3) {
                _this.user.name =
                    _this.user.name.substring(0, 1) +
                        "*" +
                        "*" +
                        _this.user.name.substring(3, _this.user.name.length); //截取第一个和大于第4个字符
            }
            // 身份证号脱敏显示，显示前6位和后4位，中间使用"*"代替
            localStorage.setItem('changchun.user', JSON.stringify(d));
        });
    };
    //刷新时需要初始化
    CardPackagePage.prototype.initList = function () {
        this.getUserInfo();
    };
    //下拉刷新方法
    CardPackagePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    CardPackagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-card-package',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\card-package\card-package.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>长春工会电子会员卡</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content style="background:#F7F7F7;">\n\n\n\n\n\n\n\n  <ion-list style="padding:1.6rem;" no-lines>\n\n      <img style="height:200px;width: 98%;" alt="长春九台农商银行" src="assets/imgs/member_card_background.png">\n\n      <p  class="name">姓&emsp;&emsp;名：&emsp;{{user.name}}</p>\n\n      <p  class="card">卡&emsp;&emsp;号：&emsp;{{user.jing_card.substring(0,4)+\'**********\' + user.jing_card.slice(user.jing_card.length-3)}}</p>\n\n      <div style="text-align: right;padding-right: 20px;padding-top: 20px;font-size: 18px;" (click)="action($event)">\n\n        <ion-icon name="settings"></ion-icon>\n\n      </div>\n\n      <div style="width: 100%;">\n\n        <div class="qrcode" id="qrcode">\n\n        </div>\n\n      </div>\n\n  </ion-list>\n\n  <div style="color:gray;text-align: center;font-size: 30rpx;">{{time}}s后自动<a href="javascript:void(0);" (click)="makeCode()">刷新</a></div>\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n  <!-- <ion-slides pager style="height:200px;">\n\n  <ion-slide>\n\n        <img src="assets/imgs/img1_01.jpg" alt="" style="width:100%;height:200px;">\n\n    </ion-slide>\n\n  <ion-slide>\n\n        <img src="assets/imgs/img1_02.jpg" alt="" style="width:100%;height:200px;">\n\n    </ion-slide>\n\n  <ion-slide >\n\n        <img src="assets/imgs/img1_03.jpg" alt="" style="width:100%;height:200px;">\n\n    </ion-slide>\n\n</ion-slides>\n\n\n\n<ion-grid style="text-align:center;background:white;margin:8px 0px;">\n\n    <ion-row >\n\n      <ion-col>\n\n          <img src="assets/imgs/tb1_03.png" alt="" class="tub">\n\n          <p class="tub_word">我要入会</p>\n\n      </ion-col>\n\n      <ion-col>\n\n          <img src="assets/imgs/tb2_03.png" alt="" class="tub">\n\n          <p class="tub_word">法律咨询</p>\n\n      <ion-col >\n\n      </ion-col>\n\n          <img src="assets/imgs/tb3_03.png" alt="" class="tub">\n\n          <p class="tub_word">心理辅导</p>\n\n      </ion-col>\n\n      <ion-col>\n\n          <img src="assets/imgs/tb1_03.png" alt="" class="tub">\n\n          <p class="tub_word">我要入会</p>\n\n      </ion-col>\n\n    </ion-row>\n\n    <ion-row style="margin-top:20px;">\n\n        <ion-col>\n\n            <img src="assets/imgs/tb4_03.png" alt="" class="tub">\n\n            <p class="tub_word">工会服务站</p>\n\n        </ion-col>\n\n        <ion-col >\n\n            <img src="assets/imgs/tb5_03.png" alt="" class="tub">\n\n          <p class="tub_word">健步走</p>\n\n        </ion-col>\n\n        <ion-col>\n\n            <img src="assets/imgs/tb6_06.png" alt="" class="tub">\n\n            <p class="tub_word">签到</p>\n\n        </ion-col>\n\n        <ion-col>\n\n            <img src="assets/imgs/tb1_03.png" alt="" class="tub">\n\n            <p class="tub_word">我要入会</p>\n\n        </ion-col>\n\n      </ion-row>\n\n  </ion-grid>\n\n\n\n\n\n  <ion-list no-lines style="margin-bottom:10px;">\n\n    <ion-item >\n\n      <img src="assets/imgs/toutiao_33.png" alt="" style="float:left;width:38px;">\n\n      <div class="notice_div" >\n\n          <div class="notice_w">\n\n           <p> 全市企业民主管理</p>\n\n           <span>4小时前</span>\n\n          </div>\n\n          <div class="notice_w" >\n\n             <p>全市企业民主管理知识网上有奖竞答正式启动</p>\n\n             <span>7小时前</span>\n\n          </div>\n\n          <img src="assets/imgs/reddian_33.png" alt="" style="position:absolute;right:16px;top:50%;margin-top:-5px;width:10px;">\n\n          <img src="assets/imgs/jt_36.png" alt="" style="position:absolute;right:0;top:50%;width:8px;margin-top:-4px;">\n\n      </div>\n\n    </ion-item>\n\n  </ion-list>\n\n\n\n  <ion-list no-lines class="rk_out">\n\n        <ion-item style="background:none;">\n\n            <div class="rk_div" style="width:60%;">\n\n                <img src="assets/imgs/jb1_49.png" alt="" class="rk1" >\n\n                <h2>普惠活动</h2>\n\n                <p>限时领取活动好礼</p>\n\n            </div>\n\n            <div class="rk_div" style="width:40%;">\n\n                    <img src="assets/imgs/jb2_51.png" alt="" class="rk2">\n\n                    <h2>报名活动</h2>\n\n                    <p>预约活动、现场领取</p>\n\n            </div>\n\n            <div style="clear:both;"></div>\n\n        </ion-item> \n\n </ion-list>\n\n\n\n<div style="padding-left:16px;margin-bottom:10px;font-size:0;">\n\n     <img src="assets/imgs/qmcy_03.png" alt=""style="width:67px;" >\n\n</div> -->\n\n\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\card-package\card-package.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ActionSheetController"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["ElementRef"]])
    ], CardPackagePage);
    return CardPackagePage;
}());

//# sourceMappingURL=card-package.js.map

/***/ }),

/***/ 913:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CardPackagePageModule", function() { return CardPackagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__card_package__ = __webpack_require__(1054);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__directives_directives_module__ = __webpack_require__(504);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};





var CardPackagePageModule = /** @class */ (function () {
    function CardPackagePageModule() {
    }
    CardPackagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__card_package__["a" /* CardPackagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_4__directives_directives_module__["a" /* DirectivesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__card_package__["a" /* CardPackagePage */]),
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */]
            ],
        })
    ], CardPackagePageModule);
    return CardPackagePageModule;
}());

//# sourceMappingURL=card-package.module.js.map

/***/ })

});
//# sourceMappingURL=128.js.map