webpackJsonp([130],{

/***/ 1051:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AttendSurveyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the AttendSurveyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AttendSurveyPage = /** @class */ (function () {
    function AttendSurveyPage(navParams, appService, navCtrl, appUtil) {
        this.navParams = navParams;
        this.appService = appService;
        this.navCtrl = navCtrl;
        this.appUtil = appUtil;
        this.project_id = this.navParams.get('survey_id');
        this.surveyInfoList = [];
        this.token = window.localStorage.getItem('changchun.token');
        this.project_name = "";
        this.personSurveyInfo = "";
        this.params = {
            project_id: this.project_id,
            token: this.token
        };
    }
    AttendSurveyPage.prototype.ionViewDidLoad = function () {
        this.getSurveyInfoShowList();
        this.getPersonSurveyInfo();
    };
    /**
     * 获取调研记录详细信息
     */
    AttendSurveyPage.prototype.getSurveyInfoShowList = function () {
        var _this = this;
        this.surveyInfoList = JSON.parse(localStorage.getItem('changchun.surveyInfoList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getSurveyInfoShowList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.surveyInfoList = d;
                    _this.project_name = _this.surveyInfoList[0].project_name;
                    localStorage.setItem('changchun.surveyInfoList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取调研记录表的信息
     */
    AttendSurveyPage.prototype.getPersonSurveyInfo = function () {
        var _this = this;
        this.personSurveyInfo = JSON.parse(localStorage.getItem('changchun.personSurveyInfo')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPersonSurveyInfo, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.personSurveyInfo = d;
                    localStorage.setItem('changchun.personSurveyInfo', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 文本处理
     * @param strHTML
     */
    AttendSurveyPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    AttendSurveyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-attend-survey',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\attend-survey\attend-survey.html"*/'<!--\n\n  Generated template for the AttendDatiPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>调研结果详情</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content style="background-color:#f0f0f0">\n\n  <ion-item>\n\n    <div class="vote_name textCtrl-title">{{project_name}}</div>\n\n    <div class="prompt textCtrl-title">参加调研时间：{{personSurveyInfo.answer_date}}\n\n    </div>\n\n  </ion-item>\n\n\n\n  <div class="item item-divider"></div>\n\n\n\n  <ng-container *ngFor="let question of surveyInfoList;">\n\n    <!-- 单选或者判断题 -->\n\n    <ion-list *ngIf="(question.type==1||question.type==3)">\n\n      <ion-item>\n\n        <div class="textCtrl-title" style="white-space:normal;" [innerHTML]="assembleHTML(question.content)"></div>\n\n        <!-- <div class="textCtrl-title">({{question.score}}分)</div> -->\n\n        <div class="textCtrl-title">\n\n          <span style="font-size:1.6rem;color:red" *ngIf="question.is_right==-1">答题超时</span>\n\n        </div>\n\n      </ion-item>\n\n      <ion-item radio-group *ngFor="let option of question.options">\n\n        <!-- <div ><input type="radio" name="option_id" value={{option.option_id}}  [(ngModel)]="radio.option_id" > -->\n\n        <div>\n\n          <input type="radio" disabled checked="true" *ngIf="option.is_checked==1">\n\n          <input type="radio" disabled *ngIf="option.is_checked!=1">\n\n          <span class="textCtrl-title" style="white-space:normal;">{{option.question_content}}</span>\n\n          <!-- <span *ngIf="option.is_correct==1" style="color:green;font-size:1.4rem">（正确答案）</span> -->\n\n        </div>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n    <div class="item item-divider"></div>\n\n\n\n    <!-- 多选题 -->\n\n    <ion-list *ngIf="(question.type==2)">\n\n      <ion-item>\n\n        <div class="textCtrl-title" style="white-space:normal;" [innerHTML]="assembleHTML(question.content)"></div>\n\n        <!-- <div class="textCtrl-title">({{question.score}}分)</div> -->\n\n        <div class="textCtrl-title">\n\n          <span style="font-size:1.6rem;color:red" *ngIf="question.is_right==-1">答题超时</span>\n\n        </div>\n\n      </ion-item>\n\n      <ion-item *ngFor="let option of question.options">\n\n        <div>\n\n          <input name="" type="checkbox" disabled checked="true" *ngIf="option.is_checked==1">\n\n          <input name="" type="checkbox" disabled *ngIf="option.is_checked!=1">\n\n          <span class="textCtrl-title" style="white-space:normal;">{{option.question_content}}</span>\n\n          <!-- <span *ngIf="option.is_correct==1" style="color:green;font-size:1.4rem">（正确答案）</span> -->\n\n        </div>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n    <div class="item item-divider"></div>\n\n\n\n    <!-- 简答题 -->\n\n    <ion-list *ngIf="(question.type==4)">\n\n      <ion-item>\n\n        <div class="textCtrl-title" style="white-space:normal;" [innerHTML]="assembleHTML(question.content)"></div>\n\n        <!-- <div class="textCtrl-title">({{question.score}}分)</div> -->\n\n        <div class="textCtrl-title">\n\n          <span style="font-size:1.6rem;color:red" *ngIf="question.is_right==-1">答题超时</span>\n\n        </div>\n\n      </ion-item>\n\n      <ion-item class="item-content" style="padding-left:10px;">\n\n        <ion-textarea class="textCtrl-content-editable" [innerHTML]="assembleHTML(question.question_content)" rows="6"\n\n          cols="20" style="border:solid 0.55px #e4e2e2">\n\n        </ion-textarea>\n\n      </ion-item>\n\n    </ion-list>\n\n\n\n    <div class="item item-divider"></div>\n\n\n\n  </ng-container>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\attend-survey\attend-survey.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], AttendSurveyPage);
    return AttendSurveyPage;
}());

//# sourceMappingURL=attend-survey.js.map

/***/ }),

/***/ 910:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AttendSurveyPageModule", function() { return AttendSurveyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__attend_survey__ = __webpack_require__(1051);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AttendSurveyPageModule = /** @class */ (function () {
    function AttendSurveyPageModule() {
    }
    AttendSurveyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__attend_survey__["a" /* AttendSurveyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__attend_survey__["a" /* AttendSurveyPage */]),
            ],
        })
    ], AttendSurveyPageModule);
    return AttendSurveyPageModule;
}());

//# sourceMappingURL=attend-survey.module.js.map

/***/ })

});
//# sourceMappingURL=130.js.map