webpackJsonp([133],{

/***/ 1064:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AnswerPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_dati_dati__ = __webpack_require__(506);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the AnswerPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AnswerPage = /** @class */ (function () {
    function AnswerPage(navCtrl, navParams, alertCtrl, appService, modalCtrl, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.activity = "1";
        this.token = localStorage.getItem('changchun.token');
        this.datiList = [];
        this.isAttendDatiList = [];
        this.hasmore = true;
        this.hasmoreAttend = true;
        this.params = {
            page: 1,
            size: 10,
            is_attend: 2,
            token: this.token
        };
        this.params1 = {
            page: 1,
            size: 10,
            is_attend: 1,
            token: this.token
        };
    }
    AnswerPage.prototype.ionViewDidLoad = function () {
        // this.getDatiList();
        // this.getAttendDatiList();
    };
    AnswerPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.params1.page = 1;
        this.getDatiList();
        this.getAttendDatiList();
    };
    /**
    * 下拉刷新方法
    * @param refresher
    */
    AnswerPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    AnswerPage.prototype.doInfinite = function (infiniteScroll, type) {
        var _this = this;
        if (type == 1) {
            if (this.hasmore == false) {
                infiniteScroll.complete();
                return;
            }
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDatiList, this.params, function (d) {
                if (d.length > 0) {
                    //concat():在原来的基础上追加新的数据
                    _this.datiList = _this.datiList.concat(d);
                    _this.params.page += 1;
                }
                else {
                    _this.hasmore = false;
                    console.log("没有数据啦！");
                }
                infiniteScroll.complete();
            });
        }
        else {
            if (this.hasmoreAttend == false) {
                infiniteScroll.complete();
                return;
            }
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDatiList, this.params1, function (d) {
                if (d.length > 0) {
                    //concat():在原来的基础上追加新的数据
                    _this.isAttendDatiList = _this.isAttendDatiList.concat(d);
                    _this.params1.page += 1;
                }
                else {
                    _this.hasmoreAttend = false;
                    console.log("没有数据啦！");
                }
                infiniteScroll.complete();
            });
        }
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    AnswerPage.prototype.initList = function () {
        this.params.page = 1;
        this.params1.page = 1;
        this.hasmore = true;
        this.hasmoreAttend = true;
        this.getDatiList();
        this.getAttendDatiList();
    };
    AnswerPage.prototype.getDatiList = function () {
        var _this = this;
        this.datiList = JSON.parse(localStorage.getItem('changchun.datiList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDatiList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.datiList = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.datiList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    AnswerPage.prototype.getAttendDatiList = function () {
        var _this = this;
        this.isAttendDatiList = JSON.parse(localStorage.getItem('changchun.isAttendDatiList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDatiList, this.params1, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.isAttendDatiList = d;
                    _this.params1.page += 1;
                    localStorage.setItem('changchun.isAttendDatiList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    AnswerPage.prototype.trackByDatiList = function (index, datiList) {
        return datiList.id;
    };
    AnswerPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        //console.log('token=='+this.token);
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    AnswerPage.prototype.openDatiModal = function (myEvent, project_id, person_answer_id, num, answer_right_count, totalSeconds, totalScore, coupon_id) {
        var _this = this;
        //myEvent.stopPropagation();//组织item的click事件
        if (this.checkLogin()) {
            var datiModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_dati_dati__["a" /* DatiComponent */], {
                project_id: project_id,
                person_answer_id: person_answer_id,
                index: num,
                answer_right_count: answer_right_count,
                totalSeconds: totalSeconds,
                totalScore: totalScore,
                coupon_id: 0,
                is_second: 1
            });
            datiModal.onDidDismiss(function (data) {
                if (data.success === '1') {
                    _this.ionViewWillEnter();
                }
            });
            datiModal.present({
                ev: myEvent
            });
        }
    };
    AnswerPage.prototype.goDatiInfo = function (dati_id) {
        if (this.checkLogin) {
            this.navCtrl.push('DatiInfoPage', { dati_id: dati_id });
        }
    };
    AnswerPage.prototype.goAttendDati = function (dati_id) {
        if (this.checkLogin) {
            this.navCtrl.push('AttendDatiPage', { dati_id: dati_id });
        }
    };
    AnswerPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-answer',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\answer\answer.html"*/'<!--\n\n  Generated template for the ServiceSurveyPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n    <ion-navbar color="primary">\n\n      <ion-title>我要答题</ion-title>\n\n    </ion-navbar>\n\n  \n\n  \n\n    <ion-segment [(ngModel)]="activity" mode="md">\n\n      <ion-segment-button value="1">\n\n        <div style="font-size:1.6rem">当前答题活动</div>\n\n      </ion-segment-button>\n\n      <ion-segment-button value="2">\n\n        <div style="font-size:1.6rem">已参加的答题活动</div>\n\n      </ion-segment-button>\n\n    </ion-segment>\n\n  </ion-header>\n\n  \n\n  \n\n  <ion-content>\n\n    <ion-refresher (ionRefresh)="doRefresh($event)">\n\n      <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n      </ion-refresher-content>\n\n    </ion-refresher>\n\n    <section [ngSwitch]="activity">\n\n      <ion-list *ngSwitchCase="1">\n\n        <ion-item *ngIf=\'datiList.length==0||datiList.length==underfind\'>\n\n          <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无答题活动</p>\n\n        </ion-item>\n\n        <ion-item class="item" *ngFor="let dati of datiList" (click)="goDatiInfo(dati.id)">\n\n          <ion-avatar item-left>\n\n            <img src=\'assets/imgs/dati.png\'>\n\n          </ion-avatar>\n\n          <h3 class="textCtrl-title" style="white-space: normal;">{{dati.name}}</h3>\n\n          <p class="textCtrl-content">开始时间：{{dati.start_time}}</p>\n\n          <p class="textCtrl-content">结束时间：{{dati.end_time}}</p>\n\n        </ion-item>\n\n      </ion-list>\n\n      <ion-infinite-scroll (ionInfinite)="doInfinite($event,1)" *ngSwitchCase="1">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </section>\n\n  \n\n    <section [ngSwitch]="activity">\n\n      <ion-list *ngSwitchCase="2">\n\n        <ion-item *ngIf=\'isAttendDatiList.length==0||isAttendDatiList.length==underfind\'>\n\n          <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无答题活动</p>\n\n        </ion-item>\n\n        <ng-container *ngFor="let dati of isAttendDatiList">\n\n          <ion-item class="item" *ngIf="dati.is_finish==1" (click)="goAttendDati(dati.id)">\n\n            <ion-avatar item-left>\n\n              <img src=\'assets/imgs/dati.png\'>\n\n            </ion-avatar>\n\n            <h3 class="textCtrl-title" style="white-space: normal;"> {{dati.name}}</h3>\n\n            <p class="textCtrl-content">答题时间：{{dati.answer_time|date:\'yyyy-MM-dd \'}}</p>\n\n            <div style="float:right;" *ngIf="dati.is_finish==1">\n\n              <button ion-button outline item-end icon-left>\n\n                <ion-icon name="ios-folder-outline"></ion-icon>\n\n                查看\n\n              </button>\n\n            </div>\n\n            <!-- <h3 class="textCtrl-title"> 已参与的答题</h3>   \n\n            <p class="textCtrl-content">开始时间：2018-03-22 08:00:00</p>  \n\n            <p class="textCtrl-content">结束时间：2018-03-29 08:00:00</p>            -->\n\n          </ion-item>\n\n          <ion-item class="item" *ngIf="dati.is_finish!=1" (click)="openDatiModal($Event,dati.id,dati.person_answer_id,dati.num,dati.answer_right_count,dati.totalSeconds,dati.totalScore,dati.coupon_id)">\n\n            <ion-avatar item-left>\n\n              <img src=\'assets/imgs/dati.png\'>\n\n            </ion-avatar>\n\n            <h3 class="textCtrl-title" style="white-space: normal;"> {{dati.name}}</h3>\n\n            <p class="textCtrl-content">答题时间：{{dati.answer_time|date:\'yyyy-MM-dd \'}}</p>\n\n            <div style="float:right;" *ngIf="dati.is_finish!=1">\n\n              <button ion-button outline item-end icon-left>\n\n                <ion-icon name="ios-create-outline"></ion-icon>\n\n                继续答题\n\n              </button>\n\n            </div>\n\n            <!-- <h3 class="textCtrl-title"> 已参与的答题</h3>   \n\n              <p class="textCtrl-content">开始时间：2018-03-22 08:00:00</p>  \n\n              <p class="textCtrl-content">结束时间：2018-03-29 08:00:00</p>            -->\n\n          </ion-item>\n\n        </ng-container>\n\n\n\n\n\n        <!-- <ng-container *ngFor="let dati of isAttendDatiList">\n\n          \n\n        </ng-container>\n\n   -->\n\n      </ion-list>\n\n      <ion-infinite-scroll (ionInfinite)="doInfinite($event,2)" *ngSwitchCase="2">\n\n        <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </section>\n\n  \n\n  \n\n  </ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\answer\answer.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */]])
    ], AnswerPage);
    return AnswerPage;
}());

//# sourceMappingURL=answer.js.map

/***/ }),

/***/ 923:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AnswerPageModule", function() { return AnswerPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__answer__ = __webpack_require__(1064);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AnswerPageModule = /** @class */ (function () {
    function AnswerPageModule() {
    }
    AnswerPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__answer__["a" /* AnswerPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__answer__["a" /* AnswerPage */]),
            ],
        })
    ], AnswerPageModule);
    return AnswerPageModule;
}());

//# sourceMappingURL=answer.module.js.map

/***/ })

});
//# sourceMappingURL=133.js.map