webpackJsonp([4],{

/***/ 1042:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkerProjectCompanyPageModule", function() { return WorkerProjectCompanyPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__worker_project_company__ = __webpack_require__(1185);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkerProjectCompanyPageModule = /** @class */ (function () {
    function WorkerProjectCompanyPageModule() {
    }
    WorkerProjectCompanyPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__worker_project_company__["a" /* WorkerProjectCompanyPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__worker_project_company__["a" /* WorkerProjectCompanyPage */]),
            ],
        })
    ], WorkerProjectCompanyPageModule);
    return WorkerProjectCompanyPageModule;
}());

//# sourceMappingURL=worker-project-company.module.js.map

/***/ }),

/***/ 1185:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkerProjectCompanyPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the WorkerProjectCompanyPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkerProjectCompanyPage = /** @class */ (function () {
    function WorkerProjectCompanyPage(alertCtrl, navCtrl, navParams, appService, appUtil, viewCtrl) {
        this.alertCtrl = alertCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.viewCtrl = viewCtrl;
        this.token = localStorage.getItem('changchun.token');
        this.firms = [];
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10,
            token: this.token,
            batch_id: '',
            project_id: '',
            firm_name: ''
        };
        this.user = [];
        this.params.batch_id = this.navParams.get("batch_id");
        this.params.project_id = this.navParams.get("project_id");
        this.report_status = this.navParams.get("report_status");
        this.org_id = this.navParams.get("org_id");
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.initList();
    }
    WorkerProjectCompanyPage.prototype.ionViewWillEnter = function () {
        this.initList();
    };
    WorkerProjectCompanyPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    //刷新时需要初始化页数和是否还有数据的标志
    WorkerProjectCompanyPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getBatchFirmList();
    };
    //下拉刷新方法
    WorkerProjectCompanyPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    WorkerProjectCompanyPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getBatchFirmList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.firms = _this.firms.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    WorkerProjectCompanyPage.prototype.trackByFirmList = function (index, city) {
        return city.id;
    };
    //子项目管理
    WorkerProjectCompanyPage.prototype.getBatchFirmList = function () {
        var _this = this;
        this.firms = JSON.parse(localStorage.getItem('changchun.worker-firms')) || [];
        this.user = JSON.parse(localStorage.getItem('changchun.user')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getBatchFirmList, //1.url
        this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    localStorage.setItem('changchun.worker-firms', JSON.stringify(d));
                    _this.firms = d;
                    _this.params.page += 1;
                    for (var i = 0; i < _this.firms.length; i++) {
                        _this.firms[i].is_show = false;
                        if (_this.firms[i].img != null && _this.firms[i].img != '')
                            _this.firms[i].img = __WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].imghost_weblingwu + _this.firms[i].img + "&token=" + _this.token;
                    }
                }
            }
            else {
                _this.appService.alert('网络错误');
            }
        } //3.callback function
        );
    };
    WorkerProjectCompanyPage.prototype.clickFirm = function (id) {
        for (var i = 0; i < this.firms.length; i++) {
            if (this.firms[i].id == id) {
                this.firms[i].is_show = !this.firms[i].is_show;
            }
        }
    };
    /**
     * 添加服务单位
     * @param myEvent
     */
    WorkerProjectCompanyPage.prototype.addFirm = function (myEvent) {
        if (event != null)
            event.stopPropagation();
        this.navCtrl.push('WorkerProjectCompanyAddPage', {
            batch_id: this.params.batch_id,
            project_id: this.params.project_id,
            report_status: this.report_status,
            org_id: this.org_id
        });
    };
    /**
     * 查看服务单位
     * @param myEvent
     */
    WorkerProjectCompanyPage.prototype.showFirm = function (id, myEvent) {
        if (event != null)
            event.stopPropagation();
        this.navCtrl.push('ServiceStationDetailPage', {
            station_id: id
        });
    };
    //删除服务单位
    WorkerProjectCompanyPage.prototype.deleteFirm = function (id, firm_name) {
        var _this = this;
        if (event != null)
            event.stopPropagation();
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确实要删除子项目服务单位：' + firm_name + '吗?',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deleteBatchFirm, //1.url
                        {
                            token: _this.token,
                            id: id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    WorkerProjectCompanyPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-worker-project-company',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\worker-project-company\worker-project-company.html"*/'<!--\n\n  Generated template for the WorkerProjectBatchPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>服务单位管理</ion-title>\n\n    <ion-buttons end *ngIf="user.is_manage==1&&((report_status!=2&&user.manage_org_id==org_id)||user.manage_org_id==13)">\n\n      <button ion-button icon-only (click)="addFirm($event)">\n\n        <ion-icon name="add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n  <ion-toolbar>\n\n    <ion-searchbar [(ngModel)]="params.firm_name" placeholder="请输入服务单位名称" style="width:94%"></ion-searchbar>\n\n    <ion-icon name="search" (click)="initList()" style="position: absolute;right:11px;margin-top:-35px;color:#aaa;font-size:25px"\n\n      required>\n\n    </ion-icon>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <ion-list>\n\n    <ion-item *ngIf=\'firms.length==0||firms.length==undefined\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">该子项目暂时没有服务单位</p>\n\n    </ion-item>\n\n    <ion-item-sliding #slidingItem *ngFor="let firm of firms trackBy:trackByFirmList">\n\n      <ion-item (click)="clickFirm(firm.id)">\n\n        <img src="{{firm.img || \'assets/imgs/default.png\'}}">\n\n        <div style="margin-left:70px;">\n\n          <h3 class="textCtrl-title">{{firm.firm_name}}</h3>\n\n          <p class="textCtrl-content" style="font-size:1.2rem !important">联系人:{{firm.contact}}</p>\n\n          <p class="textCtrl-content" style="font-size:1.2rem !important">联系电话:{{firm.phone}}</p>\n\n        </div>\n\n        <div style="margin-left:68px;" *ngIf="firm.is_show">\n\n          <button color="primary" style="margin-right:-2px;" ion-button (click)="showFirm(firm.firm_id,$event)">查看</button>\n\n          <ng-container *ngIf="user.is_manage==1&&((report_status!=2&&user.manage_org_id==org_id)||user.manage_org_id==13)">\n\n            <button color="primary" style="margin-right:-2px;" ion-button (click)="deleteFirm(firm.id,firm.firm_name)">删除</button>\n\n          </ng-container>\n\n        </div>\n\n      </ion-item>\n\n      <ion-item-options side="right">\n\n        <button style="background-color: #f53d3d" ion-button expandable (click)="deleteFirm(firm.id,firm.firm_name)" *ngIf="user.is_manage==1&&((report_status!=2&&user.manage_org_id==org_id)||user.manage_org_id==13)">\n\n          删除\n\n        </button>\n\n      </ion-item-options>\n\n    </ion-item-sliding>    \n\n  </ion-list>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\worker-project-company\worker-project-company.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], WorkerProjectCompanyPage);
    return WorkerProjectCompanyPage;
}());

//# sourceMappingURL=worker-project-company.js.map

/***/ })

});
//# sourceMappingURL=4.js.map