webpackJsonp([40],{

/***/ 1007:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "SurveyInfoPageModule", function() { return SurveyInfoPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__survey_info__ = __webpack_require__(1147);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var SurveyInfoPageModule = /** @class */ (function () {
    function SurveyInfoPageModule() {
    }
    SurveyInfoPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__survey_info__["a" /* SurveyInfoPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__survey_info__["a" /* SurveyInfoPage */]),
            ],
        })
    ], SurveyInfoPageModule);
    return SurveyInfoPageModule;
}());

//# sourceMappingURL=survey-info.module.js.map

/***/ }),

/***/ 1147:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SurveyInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_member_survey_survey__ = __webpack_require__(521);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the SurveyInfoPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SurveyInfoPage = /** @class */ (function () {
    function SurveyInfoPage(navCtrl, navParams, modalCtrl, appService, appUtil, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.surveyInfo = [];
        this.token = localStorage.getItem('changchun.token');
        this.survey_id = this.navParams.get('survey_id');
    }
    /**
     * 下拉刷新方法
     * @param refresher
     */
    SurveyInfoPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.ionViewDidLoad();
            refresher.complete();
        }, 1000);
    };
    SurveyInfoPage.prototype.ionViewDidLoad = function () {
        this.getSurveyInfo();
    };
    /**
     * 开启模态框
     * @param myEvent
     * @param project_id
     */
    SurveyInfoPage.prototype.openSurveyModal = function (myEvent, project_id) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.surveyVerifyAttend, { project_id: project_id, token: this.token }, function (d) {
                _this.errcode = d.errcode;
                _this.msg = d.errmsg;
                if (_this.errcode == -2) {
                    var alert_1 = _this.alertCtrl.create({
                        title: '温馨提示',
                        message: _this.msg,
                        buttons: [
                            {
                                text: '好的',
                                role: 'cancel',
                            }
                        ]
                    });
                    alert_1.present();
                }
                else {
                    _this.person_answer_id = d.person_answer_id;
                    var surveyModal = _this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_member_survey_survey__["a" /* SurveyComponent */], {
                        project_id: project_id,
                        person_answer_id: _this.person_answer_id
                    });
                    surveyModal.onDidDismiss(function (data) {
                        _this.navCtrl.pop();
                    });
                    surveyModal.present({
                        ev: myEvent
                    });
                }
            });
            return;
        }
    };
    /**
     * 校验用户是否登录
     */
    SurveyInfoPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            this.appUtil.remindLogin();
            return false;
        }
        return true;
    };
    /**
     * 获取调研问卷相关信息
     */
    SurveyInfoPage.prototype.getSurveyInfo = function () {
        var _this = this;
        this.surveyInfo = JSON.parse(localStorage.getItem('changchun.surveyInfo')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getSurveyInfo, {
            survey_id: this.survey_id,
            token: this.token
        }, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.surveyInfo = d;
                    localStorage.setItem('changchun.surveyInfo', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    SurveyInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-survey-info',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\survey-info\survey-info.html"*/'<!--\n\n  Generated template for the ServiceStationDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color=\'primary\'>\n\n    <ion-title>{{surveyInfo.name}}</ion-title>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="begin-icon" ios="ios-time" md="md-time"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">活动开始时间</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.start_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="end-icon" ios="ios-timer" md="md-timer"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">活动结束时间</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.end_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">共有单选题</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.radioCount}}题</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">共有多选题</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.checkboxCount}}题</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="count-icon" ios="ios-clipboard" md="md-clipboard"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">共有简答题</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.cotentCount}}题</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="gender-icon" ios="ios-transgender" md="md-transgender"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">性别限制</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.require_gender}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content ">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="age-icon" ios="ios-person" md="md-person"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">年龄限制</h3>\n\n      <p class="textCtrl-content" float-right *ngIf="surveyInfo.require_age_min!=0||surveyInfo.require_age_max!=0">{{surveyInfo.require_age_min}}-{{surveyInfo.require_age_max}}岁</p>\n\n      <p class="textCtrl-content" float-right *ngIf="surveyInfo.require_age_min==0&&surveyInfo.require_age_max==0">不限</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="gender-icon" ios="ios-navigate" md="md-navigate"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">现居地限制</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.require_area}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <ion-avatar item-left>\n\n        <ion-icon class="gender-icon" ios="ios-paper" md="md-paper"></ion-icon>\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title" style="margin:0 0 0 0;display: inline; ">学历限制</h3>\n\n      <p class="textCtrl-content" float-right>{{surveyInfo.require_education}}</p>\n\n    </ion-item>\n\n\n\n  </section>\n\n\n\n\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive (click)="openSurveyModal($Event,surveyInfo.id)">开始调研</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\survey-info\survey-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"]])
    ], SurveyInfoPage);
    return SurveyInfoPage;
}());

//# sourceMappingURL=survey-info.js.map

/***/ })

});
//# sourceMappingURL=40.js.map