webpackJsonp([52],{

/***/ 1135:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceProjectsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__ = __webpack_require__(509);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_member_login_login__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







/**
 * Generated class for the ServiceProjectsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceProjectsPage = /** @class */ (function () {
    function ServiceProjectsPage(alertCtrl, navCtrl, navParams, appService, modalCtrl, appUtil) {
        this.alertCtrl = alertCtrl;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.categorys = [];
        this.sorts = [];
        this.search_types = [];
        this.actives = [];
        this.hasmore = true;
        this.token = null;
        this.type_url = 0;
        this.category_params = {
            list_name: 'ct_project_category',
            schema: 'weblingwu2017'
        };
        this.params = {
            page: 1,
            size: 10,
            category: '0',
            search_sort: '',
            search_type: '',
            service_name: '',
            type: 0,
            token: '',
        };
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        this.type = this.navParams.get('type');
        this.type_url = this.navParams.get('type_url');
        this.params.type = this.type;
        if (this.navParams.get('service_name') != null && this.navParams.get('service_name') != "undefined" && this.navParams.get('service_name') != "") {
            this.params.service_name = this.navParams.get('service_name');
        }
        this.source = this.navParams.get('source');
        console.log("this.source", this.source);
        this.merchant_id = this.navParams.get('merchant_id');
    }
    ServiceProjectsPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        // this.getServiceList();
        //下拉框初始化
        this.sorts = [{ name: '默认排序', code: 0 }, { name: '最新发布', code: 1 }, { name: '开始时间', code: 2 }];
        this.params.search_sort = this.sorts[0].code;
        this.search_types = [{ name: '当前全部', code: 0 }, { name: '我能参与', code: 1 }, { name: '历史活动', code: 2 }];
        this.params.search_type = this.search_types[0].code;
        if (this.navParams.get('category') != undefined) {
            this.params.category = this.navParams.get('category');
        }
        else {
            this.params.category = '0';
        }
        this.getCategory();
        //项目列表初始化
        this.initList();
    };
    //获取活动类别代码表
    ServiceProjectsPage.prototype.getCategory = function () {
        var _this = this;
        this.categorys = JSON.parse(localStorage.getItem('changchun.categorys')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.category_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.categorys = d;
                    localStorage.setItem('changchun.categorys', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取商家服务列表
     */
    ServiceProjectsPage.prototype.getMerchantServiceList = function () {
        var _this = this;
        var params = {
            page: 1,
            size: 10,
            token: '',
            service_name: this.params.service_name,
            merchant_id: this.merchant_id
        };
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMerchantServiceList, params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.actives = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.activesList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取项目列表
     */
    ServiceProjectsPage.prototype.getServiceList = function () {
        var _this = this;
        console.log(123);
        this.actives = JSON.parse(localStorage.getItem('changchun.activesList')) || [];
        // if (this.params.search_type == '1') {
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getServiceList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.actives = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.activesList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
        // } else {
        //   this.appService.httpGet(AppGlobal.API.getServiceList, this.params, d => {
        //     this.loading.hide();
        //     if (d != null && d != undefined) {
        //       if (d.errcode == -1) {
        //         this.appUtil.remindLogin();
        //       } else if (d.errcode == -2) {
        //         this.appService.alert(d.errmsg);
        //       } else {
        //         this.actives = d;
        //         this.params.page += 1;
        //         localStorage.setItem('changchun.activesList', JSON.stringify(d));
        //       }
        //     } else {
        //       this.appService.alert('网络繁忙，请稍候重试');
        //     }
        //   })
        // }
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    ServiceProjectsPage.prototype.openServiceSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__["a" /* ServiceSearchComponent */]);
        searchModal.onDidDismiss(function (data) {
            _this.params.service_name = data.search_name;
            _this.initList();
        });
        searchModal.present({
            ev: myEvent
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    ServiceProjectsPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        if (this.source == 'merchant') {
            this.getMerchantServiceList();
        }
        else {
            this.getServiceList();
        }
    };
    //下拉刷新方法
    ServiceProjectsPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.service_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //上滑加载方法
    ServiceProjectsPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getServiceList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.actives = _this.actives.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    ServiceProjectsPage.prototype.trackByActivesList = function (index, actives) {
        return actives.id;
    };
    /**
     * 跳转至详情页面
     * @param is_project
     * @param project_id
     */
    ServiceProjectsPage.prototype.goDetail = function (is_project, project_id) {
        console.log("is_project:" + is_project);
        if (!is_project) {
            this.navCtrl.push('ServiceDetailPage', {
                'service_id': project_id,
                'is_project': is_project,
                'type': 1
            });
        }
        else {
            this.navCtrl.push('ServiceBatchPage', {
                'project_id': project_id,
                'is_project': is_project,
                'search_type': this.params.search_type
            });
        }
    };
    //Modal打开login
    ServiceProjectsPage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    // this.ionViewDidLoad();
                    _this.ionViewWillEnter();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    /**
     * 校验登录
     */
    ServiceProjectsPage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
    };
    ServiceProjectsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-projects',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-projects\service-projects.html"*/'<!--\n\n  Generated template for the ActiveListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title *ngIf="type_url != 1">活动项目</ion-title>\n\n    <ion-title *ngIf="type_url == 1">限时活动</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <!--<ion-searchbar *ngIf="show" (ionInput)="getItems($event)" placeholder="活动名称" [(ngModel)]="search_name"></ion-searchbar>-->\n\n\n\n  <section *ngIf="source != \'merchant\'">\n\n    <div>\n\n      <ion-row>\n\n        <ion-col col-4 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.category" okText="确定" cancelText="取消" style="max-width:100%;"\n\n            (ngModelChange)="initList()">\n\n            <ion-option selected="" value=\'0\'>全部分类</ion-option>\n\n            <ion-option *ngFor="let item1 of categorys" value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ion-select>\n\n        </ion-col>\n\n        <ion-col col-4 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.search_sort" okText="确定" cancelText="取消" style="max-width:100%;"\n\n            (ngModelChange)="initList()">\n\n            <ion-option *ngFor="let item2 of sorts" value=\'{{item2.code}}\'>{{item2.name}}</ion-option>\n\n          </ion-select>\n\n        </ion-col>\n\n        <ion-col col-4>\n\n          <ion-select interface="popover" [(ngModel)]="params.search_type" okText="确定" cancelText="取消" style="max-width:100%;"\n\n            (ngModelChange)="initList()">\n\n            <ion-option *ngFor="let item3 of search_types" value=\'{{item3.code}}\'>{{item3.name}}</ion-option>\n\n          </ion-select>\n\n        </ion-col>\n\n      </ion-row>\n\n    </div>\n\n  </section>\n\n\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'actives.length==0||actives.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂时没有服务</p>\n\n      </ion-item>\n\n      <ion-item style="padding-left:10px;" *ngFor="let service of actives trackBy:trackByActivesList" (click)="goDetail(service.is_project,service.id)">\n\n        <ion-avatar item-left>\n\n          <img src={{service.img}}>\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{service.name}}</h3>\n\n        <!-- <div *ngIf="!service.is_project && service.activities_type!=2" style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of service.star"></ion-icon>\n\n        </div> -->\n\n        <p class="textCtrl-content" *ngIf="!service.is_project && service.activities_type!=2">已参与：{{service.reserved_count}}</p>\n\n        <p class="textCtrl-content" *ngIf="!service.is_project && service.activities_type!=2">剩余数：{{service.count==-1?\'无限制\':service.count}}</p>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-projects\service-projects.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_6__app_app_util__["a" /* AppUtil */]])
    ], ServiceProjectsPage);
    return ServiceProjectsPage;
}());

//# sourceMappingURL=service-projects.js.map

/***/ }),

/***/ 994:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceProjectsPageModule", function() { return ServiceProjectsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_projects__ = __webpack_require__(1135);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceProjectsPageModule = /** @class */ (function () {
    function ServiceProjectsPageModule() {
    }
    ServiceProjectsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_projects__["a" /* ServiceProjectsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_projects__["a" /* ServiceProjectsPage */]),
            ],
        })
    ], ServiceProjectsPageModule);
    return ServiceProjectsPageModule;
}());

//# sourceMappingURL=service-projects.module.js.map

/***/ })

});
//# sourceMappingURL=52.js.map