webpackJsonp([56],{

/***/ 1131:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceBatchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__ = __webpack_require__(509);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ServiceBatchPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceBatchPage = /** @class */ (function () {
    function ServiceBatchPage(navCtrl, navParams, appService, modalCtrl, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.actives = [];
        this.items = [];
        this.project_id = this.navParams.get('project_id');
        this.hasmore = true;
        this.search_type = this.navParams.get('search_type');
        this.params = {
            page: 1,
            size: 10,
            project_id: this.project_id,
            service_name: '',
            search_type: this.search_type
        };
    }
    ServiceBatchPage.prototype.ionViewDidLoad = function () {
        this.getBatchList();
    };
    /**
     * 获取子项目列表
     */
    ServiceBatchPage.prototype.getBatchList = function () {
        var _this = this;
        this.actives = JSON.parse(localStorage.getItem('changchun.batchActivesList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getBatchList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.actives = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.batchActivesList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    ServiceBatchPage.prototype.openServiceSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__["a" /* ServiceSearchComponent */]);
        searchModal.onDidDismiss(function (data) {
            _this.params.service_name = data;
            _this.initList();
        });
        searchModal.present({
            ev: myEvent
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    ServiceBatchPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getBatchList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    ServiceBatchPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.service_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    ServiceBatchPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getBatchList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.actives = _this.actives.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param actives
     */
    ServiceBatchPage.prototype.trackByActivesList = function (index, actives) {
        return actives.id;
    };
    ServiceBatchPage.prototype.goDetail = function (project_id) {
        this.navCtrl.push('ServiceDetailPage', {
            'service_id': project_id,
            'type': 1
        });
    };
    ServiceBatchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-batch',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-batch\service-batch.html"*/'<!--\n\n  Generated template for the ServiceBatchPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>会员活动子项目列表</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'actives.length==0||actives.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂未发布活动</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let batch of actives trackBy:trackByActivesList" (click)="goDetail(batch.id)">\n\n        <ion-avatar item-left>\n\n          <img src={{batch.img}}>\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title">{{batch.name}}</h3>\n\n        <div style="padding:0">\n\n          <ion-icon name="star" *ngFor="let item of batch.star"></ion-icon>\n\n        </div>\n\n        <p class="textCtrl-content">已参与：{{batch.reserved_count}}</p>\n\n        <p class="textCtrl-content">剩余数：{{batch.count==-1?\'无限制\':batch.count}}</p>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-batch\service-batch.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */]])
    ], ServiceBatchPage);
    return ServiceBatchPage;
}());

//# sourceMappingURL=service-batch.js.map

/***/ }),

/***/ 990:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceBatchPageModule", function() { return ServiceBatchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_batch__ = __webpack_require__(1131);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ServiceBatchPageModule = /** @class */ (function () {
    function ServiceBatchPageModule() {
    }
    ServiceBatchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_batch__["a" /* ServiceBatchPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_batch__["a" /* ServiceBatchPage */]),
            ],
        })
    ], ServiceBatchPageModule);
    return ServiceBatchPageModule;
}());

//# sourceMappingURL=service-batch.module.js.map

/***/ })

});
//# sourceMappingURL=56.js.map