webpackJsonp([57],{

/***/ 1127:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ServiceAppraisePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ServiceAppraisePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ServiceAppraisePage = /** @class */ (function () {
    function ServiceAppraisePage(navCtrl, navParams, appService, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.commentsList = [];
        this.hasmore = true;
        this.service_id = this.navParams.get('service_id');
        this.params = {
            page: 1,
            size: 10,
            service_id: this.service_id
        };
    }
    ServiceAppraisePage.prototype.ionViewDidLoad = function () {
        this.getCommentList();
    };
    /**
     * 获取评论列表
     */
    ServiceAppraisePage.prototype.getCommentList = function () {
        var _this = this;
        this.commentsList = JSON.parse(localStorage.getItem('changchun.commentsList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCommentList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.commentsList = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.commentsList', JSON.stringify(d));
                }
            }
        });
    };
    /**
     * 刷新
     * @param refresher
     */
    ServiceAppraisePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.page = 1;
            _this.hasmore = true;
            _this.getCommentList();
            refresher.complete();
        }, 1000);
    };
    ServiceAppraisePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCommentList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.commentsList = _this.commentsList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param commentsList
     */
    ServiceAppraisePage.prototype.trackByCommentList = function (index, commentsList) {
        return commentsList.id;
    };
    ServiceAppraisePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-service-appraise',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-appraise\service-appraise.html"*/'<!--\n\n  Generated template for the ServiceAppraisePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>相关评价</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'commentsList.length==0||commentsList.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关数据</p>\n\n      </ion-item>\n\n      <ion-item no-padding *ngFor="let comment of commentsList trackBy:trackByCommentList">\n\n        <div padding-left><span class="textCtrl-content">{{comment.member_name}}</span><span class="appraise-time textCtrl-content">{{comment.create_at|timeCountPipe}}</span></div>\n\n        <div padding-left>\n\n          <ion-icon name="star" *ngFor="let item of comment.star"></ion-icon>\n\n        </div>\n\n        <p padding-left class="textCtrl-content" [innerHTML]="appUtil.assembleHTML(comment.content)"></p>\n\n\n\n      </ion-item>\n\n\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\service-appraise\service-appraise.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */]])
    ], ServiceAppraisePage);
    return ServiceAppraisePage;
}());

//# sourceMappingURL=service-appraise.js.map

/***/ }),

/***/ 986:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ServiceAppraisePageModule", function() { return ServiceAppraisePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__service_appraise__ = __webpack_require__(1127);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__ = __webpack_require__(503);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




var ServiceAppraisePageModule = /** @class */ (function () {
    function ServiceAppraisePageModule() {
    }
    ServiceAppraisePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__service_appraise__["a" /* ServiceAppraisePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_3__pipes_pipes_module__["a" /* PipesModule */],
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__service_appraise__["a" /* ServiceAppraisePage */]),
            ],
        })
    ], ServiceAppraisePageModule);
    return ServiceAppraisePageModule;
}());

//# sourceMappingURL=service-appraise.module.js.map

/***/ })

});
//# sourceMappingURL=57.js.map