webpackJsonp([59],{

/***/ 1126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ResumePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_add_position_add_position__ = __webpack_require__(519);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ResumePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ResumePage = /** @class */ (function () {
    function ResumePage(navCtrl, navParams, popoverCtrl, appService, appUtil, modalCtrl, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.popoverCtrl = popoverCtrl;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.viewCtrl = viewCtrl;
        this.jobLength = 0;
    }
    ResumePage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ResumePage');
    };
    ResumePage.prototype.ionViewWillEnter = function () {
        this.initList();
    };
    /**
     * 职位信息，编辑、查看
     * @param id
     * @param type 1：查看；2：编辑
     */
    ResumePage.prototype.detail = function (id, type) {
        this.navCtrl.push('ResumeDetailPage', { record_id: id, type: type });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    ResumePage.prototype.initList = function () {
        this.getPersonJobList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    ResumePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 拨打电话
     * @param phone
     */
    ResumePage.prototype.call = function ($event, phone) {
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        window.location.href = 'tel:' + phone + '';
    };
    /**
     * 更多弹窗
     * @param myEvent
     */
    ResumePage.prototype.presentPopover = function (myEvent) {
        var _this = this;
        var addPosition = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_add_position_add_position__["a" /* AddPositionComponent */]);
        addPosition.onDidDismiss(function (data) {
            if (data != null && data != 'undefined') {
                // this.viewCtrl.dismiss({ 'success': '1' });
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        addPosition.present({
            ev: myEvent
        });
    };
    /**
     * 获取职位信息
     */
    ResumePage.prototype.getPersonJobList = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPersonJobList, { token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.personJobList = d;
                    _this.jobLength = d.length;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /* 删除 */
    ResumePage.prototype.delete = function (id) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.deletePersonJob, { token: localStorage.getItem('changchun.token'), record_id: id }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.initList();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ResumePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-resume',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\resume\resume.html"*/'<!--\n\n  Generated template for the ResumePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>求职信息</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="presentPopover($event)">\n\n        <ion-icon name="more"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-item style="padding-left:0;border:none;" *ngIf="jobLength == 0">\n\n    <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无求职信息</p>\n\n  </ion-item>\n\n\n\n  <!-- <ion-card *ngFor="let personJobInfo of personJobList">\n\n    <ion-card-header>\n\n      <span class="textCtrl-title">{{personJobInfo.name}}</span>\n\n    </ion-card-header>\n\n\n\n    <ion-card-content style="line-height:2rem;">\n\n      <div class="textCtrl-content">职位类别：{{personJobInfo.job_type}}</div>\n\n      <div class="textCtrl-content">月　　薪：{{personJobInfo.salary}}</div>\n\n      <div class="textCtrl-content">工作地点：{{personJobInfo.area}}</div>\n\n      <div class="textCtrl-content">发布状态：{{personJobInfo.status}}</div>\n\n    </ion-card-content>\n\n  </ion-card> -->\n\n\n\n  <ion-list style="padding:0 10px 0 10px">\n\n    <ng-container *ngFor="let personJobInfo of personJobList">\n\n      <ion-item-sliding #slidingItem>\n\n        <ion-item style="padding-left:10px;" (click)="detail(personJobInfo.id,1)">\n\n          <h3 class="textCtrl-title" style="margin-top:10px;font-weight:600;margin-bottom:15px;">{{personJobInfo.name}}\n\n          </h3>\n\n          <!--<span style="font-size:1.4rem;color:#8e9093;display:inherit;">职位类别：{{personJobInfo.job_type}}</span>-->\n\n          <span style="font-size:1.4rem;color:#8e9093;display:inherit;">月　　薪：{{personJobInfo.salary}}</span>\n\n          <span style="font-size:1.4rem;color:#8e9093;display:inherit;">工作地点：{{personJobInfo.area}}</span>\n\n          <span style="font-size:1.4rem;color:#8e9093">发布状态：{{personJobInfo.status}}</span>\n\n        </ion-item>\n\n        <ion-item-options side="right">\n\n          <button style="background-color: #ffc900" ion-button expandable (click)="detail(personJobInfo.id,2)">\n\n            编辑\n\n          </button>\n\n          <button style="background-color: #f53d3d" ion-button expandable (click)="delete(personJobInfo.id)">\n\n            删除\n\n          </button>\n\n        </ion-item-options>\n\n      </ion-item-sliding>\n\n    </ng-container>\n\n  </ion-list>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\resume\resume.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["PopoverController"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"]])
    ], ResumePage);
    return ResumePage;
}());

//# sourceMappingURL=resume.js.map

/***/ }),

/***/ 985:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ResumePageModule", function() { return ResumePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__resume__ = __webpack_require__(1126);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ResumePageModule = /** @class */ (function () {
    function ResumePageModule() {
    }
    ResumePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__resume__["a" /* ResumePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__resume__["a" /* ResumePage */]),
            ],
        })
    ], ResumePageModule);
    return ResumePageModule;
}());

//# sourceMappingURL=resume.module.js.map

/***/ })

});
//# sourceMappingURL=59.js.map