webpackJsonp([61],{

/***/ 1123:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ResumeDetailPage; });
/* unused harmony export positionInfo */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the ResumeDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ResumeDetailPage = /** @class */ (function () {
    function ResumeDetailPage(navParams, viewCtrl, appCode, appUtil, appService) {
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.appCode = appCode;
        this.appUtil = appUtil;
        this.appService = appService;
        this.position = new positionInfo();
        //职业
        this.position_types = [];
        this.getPositionType(this.position.job_type.value);
        this.record_id = this.navParams.get('record_id');
        this.type = this.navParams.get('type'); //1：查看；2：编辑
    }
    ResumeDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ResumeDetailPage');
        this.getPositionInfo();
    };
    /**
    * 赋值
    */
    ResumeDetailPage.prototype.setValue = function (values) {
        for (var key in values) {
            if (key == 'job_type') {
                this.getPositionType(values[key]);
            }
            if (key == 'work_area') {
                this.position.setInfoValue(key, values[key].split(","));
            }
            else {
                this.position.setInfoValue(key, values[key]);
            }
        }
    };
    /**
     * 获取选择框选中的值
     * @param item
     * @param name
     */
    ResumeDetailPage.prototype.selectChange = function (item, name) {
        if (name == 'job_type') {
            this.getPositionType(item._value);
        }
    };
    /**
     * 根据类别job_type获取职位信息
     * @param parent
     */
    ResumeDetailPage.prototype.getPositionType = function (parent) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPositionType, { parent: parent }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.position_types = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 获取求职信息
     */
    ResumeDetailPage.prototype.getPositionInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.positionInfo, { record_id: this.record_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.setValue(d);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 职位名称特殊字符校验
     * @param name
     */
    ResumeDetailPage.prototype.verifyName = function (name) {
        var pass = false;
        if (/^[^'\\"]*$/.test(name)) {
            pass = true;
        }
        return pass;
    };
    /**
    * 新增职位信息
    */
    ResumeDetailPage.prototype.submit = function () {
        var _this = this;
        // if (this.position.job_type.value == '0' || this.position.job_type.value == '') {
        //   this.appService.alert('请选择职位类别');
        //   return;
        // }
        if (this.position.position_type.value != '' && this.position.position_type.value != undefined) {
            if (!this.verifyName(this.position.position_type.value)) {
                this.appService.alert("职位含有非法字符！");
                return;
            }
        }
        if (this.position.position_type.value == '' || this.position.position_type.value == '' || this.position.position_type.value == undefined) {
            this.appService.alert('请填写职位');
            return;
        }
        if (this.position.month_salary.value == '0' || this.position.month_salary.value == '') {
            this.appService.alert('请选择职位月薪');
            return;
        }
        if (this.position.issue_type.value == '0' || this.position.issue_type.value == '') {
            this.appService.alert('请选择职位发布状态');
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.editPosition, {
            token: localStorage.getItem('changchun.token'),
            record_id: this.record_id,
            job_type: this.position.job_type.value,
            position_type: this.position.position_type.value,
            month_salary: this.position.month_salary.value,
            issue_type: this.position.issue_type.value,
            area: this.position.work_area.value
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.viewCtrl.dismiss(d);
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    ResumeDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-resume-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\resume-detail\resume-detail.html"*/'<!--\n\n  Generated template for the ResumeDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>求职信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-content *ngIf="type == 1">\n\n\n\n    <!--<ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.job_type_value.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.job_type_value.value}}</p>\n\n    </ion-item>-->\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.position_type_value.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" text-wrap>{{position.position_type_value.value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.month_salary_value.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.month_salary_value.value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.issue_type_value.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.issue_type_value.value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="border-bottom:none;">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.work_area_value.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.work_area_value.value}}</p>\n\n    </ion-item>\n\n\n\n    <div class="item item-divider"></div>\n\n\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.audit_status_val.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.audit_status_val.value}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" *ngIf="position.audit_status.value == 2">\n\n      <h3 class="ion-title textCtrl-title">\n\n        {{position.audit_fail_reason.item_name}}\n\n      </h3>\n\n      <p class="textCtrl-content-editable" float-right>{{position.audit_fail_reason.value}}</p>\n\n    </ion-item>\n\n\n\n\n\n\n\n\n\n  </ion-content>\n\n\n\n\n\n  <ion-content *ngIf="type == 2">\n\n\n\n    <!--<ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{position.job_type.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="job_type" [(ngModel)]="position.job_type.value"\n\n        (ngModelChange)="selectChange(job_type,\'job_type\')" #job_type okText="确定" cancelText="取消" multiple="false"\n\n        interface placeholder="请选择{{position.job_type.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_friendship_job">\n\n          <ng-container *ngIf=\'item1.code=="position.job_type.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="position.job_type.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>-->\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{position.position_type.item_name}}</ion-label>\n\n      <!-- <ion-select class="textCtrl-content-editable" name="position_type" [(ngModel)]="position.position_type.value"\n\n        (ngModelChange)="selectChange(position_type,\'position_type\')" #position_type okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择{{position.position_type.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of position_types">\n\n          <ng-container *ngIf=\'item1.code=="position.position_type.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="position.position_type.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select> -->\n\n      <ion-label>\n\n        <input type="text" class="textCtrl-content-editable" placeholder="请输入职位" [(ngModel)]="position.position_type.value" name="position_type" maxLength="128"\n\n          style="text-align:right;float:right;border:none" required clearInput/>\n\n      </ion-label>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{position.month_salary.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="month_salary" [(ngModel)]="position.month_salary.value"\n\n        (ngModelChange)="selectChange(month_salary,\'month_salary\')" #month_salary okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择{{position.month_salary.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_hr_month_salary">\n\n          <ng-container *ngIf=\'item1.code=="position.month_salary.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="position.month_salary.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{position.issue_type.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="issue_type" [(ngModel)]="position.issue_type.value"\n\n        #issue_type okText="确定" cancelText="取消" multiple="false" interface\n\n        placeholder="请选择{{position.issue_type.item_name}}" interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_issue_type">\n\n          <ng-container *ngIf=\'item1.code=="position.issue_type.value"\'>\n\n            <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n          <ng-container *ngIf=\'!(item1.code=="position.issue_type.value")\'>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <!-- <ion-item class="item-content textCtrl-title">\n\n          <ion-label>{{position.work_area.item_name}}</ion-label>\n\n          <ion-select class="textCtrl-content-editable" name="work_area" [(ngModel)]="position.work_area.value"\n\n            (ngModelChange)="selectChange(work_area,\'work_area\')" #work_area okText="确定" cancelText="取消" multiple="false"\n\n            interface placeholder="请选择{{position.work_area.item_name}}" interface="action-sheet">\n\n            <ng-container *ngFor="let item1 of appCode.ct_area">\n\n              <ng-container *ngIf=\'item1.code=="position.work_area.value"\'>\n\n                <ion-option selected value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n              <ng-container *ngIf=\'!(item1.code=="position.work_area.value")\'>\n\n                <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n              </ng-container>\n\n            </ng-container>\n\n          </ion-select>\n\n        </ion-item> -->\n\n\n\n\n\n    <ion-item class="item-content textCtrl-title">\n\n      <ion-label>{{position.work_area.item_name}}</ion-label>\n\n      <ion-select class="textCtrl-content-editable" name="work_area" [(ngModel)]="position.work_area.value" #work_area\n\n        okText="确定" cancelText="取消" multiple="true" interface placeholder="请选择{{position.work_area.item_name}},默认不限"\n\n        interface="action-sheet">\n\n        <ng-container *ngFor="let item1 of appCode.ct_area">\n\n          <ng-container>\n\n            <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n          </ng-container>\n\n        </ng-container>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n  </ion-content>\n\n\n\n  <ion-footer no-border *ngIf="type == 2">\n\n    <ion-toolbar>\n\n      <button ion-button block button-positive (click)="submit()">保存</button>\n\n    </ion-toolbar>\n\n  </ion-footer>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\resume-detail\resume-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ViewController"],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */]])
    ], ResumeDetailPage);
    return ResumeDetailPage;
}());

var positionInfo = /** @class */ (function () {
    function positionInfo() {
        this.init();
    }
    /**
       * 赋值
       * @param key
       * @param value
       */
    positionInfo.prototype.setInfoValue = function (key, value) {
        eval("(" + "this." + key + ")").value = value;
    };
    positionInfo.prototype.init = function () {
        this.job_type = {
            input_type: 'text',
            item_name: '职位类别',
            name: 'job_type',
            value: ''
        };
        this.position_type = {
            input_type: 'text',
            item_name: '职位',
            name: 'position_type',
            value: ''
        };
        this.month_salary = {
            input_type: 'text',
            item_name: '职位月薪',
            name: 'month_salary',
            value: ''
        };
        this.issue_type = {
            input_type: 'text',
            item_name: '发布状态',
            name: 'issue_type',
            value: ''
        };
        this.work_area = {
            input_type: 'text',
            item_name: '工作地点',
            name: 'work_area',
            value: ''
        };
        this.job_type_value = {
            input_type: 'text',
            item_name: '职位类别',
            name: 'job_type_value',
            value: ''
        };
        this.position_type_value = {
            input_type: 'text',
            item_name: '职位',
            name: 'position_type_value',
            value: ''
        };
        this.month_salary_value = {
            input_type: 'text',
            item_name: '职位月薪',
            name: 'month_salary_value',
            value: ''
        };
        this.issue_type_value = {
            input_type: 'text',
            item_name: '发布状态',
            name: 'issue_type_value',
            value: ''
        };
        this.work_area_value = {
            input_type: 'text',
            item_name: '工作地点',
            name: 'work_area_value',
            value: ''
        };
        this.audit_status = {
            input_type: 'text',
            item_name: '审核状态',
            name: 'audit_status',
            value: '0'
        };
        this.audit_status_val = {
            input_type: 'text',
            item_name: '审核状态',
            name: 'audit_status_val',
            value: ''
        };
        this.audit_fail_reason = {
            input_type: 'text',
            item_name: '不通过原因',
            name: 'audit_fail_reason',
            value: ''
        };
    };
    return positionInfo;
}());

//# sourceMappingURL=resume-detail.js.map

/***/ }),

/***/ 982:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ResumeDetailPageModule", function() { return ResumeDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__resume_detail__ = __webpack_require__(1123);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ResumeDetailPageModule = /** @class */ (function () {
    function ResumeDetailPageModule() {
    }
    ResumeDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__resume_detail__["a" /* ResumeDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__resume_detail__["a" /* ResumeDetailPage */]),
            ],
        })
    ], ResumeDetailPageModule);
    return ResumeDetailPageModule;
}());

//# sourceMappingURL=resume-detail.module.js.map

/***/ })

});
//# sourceMappingURL=61.js.map