webpackJsonp([63],{

/***/ 1122:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RecruitPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the RecruitPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RecruitPage = /** @class */ (function () {
    // jobTypes: Array<any> = [];//职位类别
    // requireEducation: Array<any> = [];//学历要求
    // workYear: Array<any> = [];//工作年限
    function RecruitPage(navCtrl, navParams, appService, appUtil, appCode) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.appCode = appCode;
        this.jobs = [];
        this.hasmore = true;
        this.params = {
            page: 1,
            size: 10,
            job_type: '',
            education: '',
            work_year: '',
            searchQuery: '',
            token: localStorage.getItem('changchun.token')
        };
    }
    RecruitPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad RecruitPage');
    };
    RecruitPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        //下拉框初始化
        this.params.job_type = this.appCode.job_type[0].code;
        this.params.education = this.appCode.education[0].code;
        this.params.work_year = this.appCode.work_year[0].code;
        //列表初始化
        this.initList();
    };
    /**
     * 获取招聘职位信息列表
     */
    RecruitPage.prototype.getJobList = function () {
        var _this = this;
        this.jobs = JSON.parse(localStorage.getItem('changchun.entJobList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getEntJobList, this.params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.jobs = d;
                    console.log(_this.jobs.length);
                    _this.params.page += 1;
                    localStorage.setItem('changchun.entJobList', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 招聘信息详情页
     * @param id 招聘信息id
     */
    RecruitPage.prototype.toDetail = function (id) {
        console.log("***********************************");
        this.navCtrl.push('RecruitDetailPage', { record_id: id });
    };
    /**
     * 刷新时需要初始化页数和是否还有数据的标志
     */
    RecruitPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getJobList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    RecruitPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载更多
     * @param infiniteScroll
     */
    RecruitPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getEntJobList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.jobs = _this.jobs.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    RecruitPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-recruit',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\recruit\recruit.html"*/'<!--\n\n  Generated template for the RecruitPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <!-- <ion-navbar color="primary">\n\n    <ion-title>招聘信息</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar> -->\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>招聘信息</ion-title>\n\n  </ion-navbar>\n\n\n\n  <ion-toolbar>\n\n    <ion-searchbar [(ngModel)]="params.searchQuery" placeholder="请输入职位名称" style="width:94%;"></ion-searchbar>\n\n    <ion-icon name="search" (click)="initList()"\n\n      style="position: absolute;right:11px;margin-top:-35px;color:#aaa;font-size:25px" required>\n\n    </ion-icon>\n\n  </ion-toolbar>\n\n\n\n</ion-header>\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section style="border-bottom:solid 0.55px #c3bfbfd1;">\n\n    <ion-row style="border-bottom:solid 0.55px #c3bfbfd1;border-top:solid 0.55px #c3bfbfd1;">\n\n      <ion-col col-6 style="border-right:0.5px solid #ecebeb">\n\n        <ion-select interface="popover" [(ngModel)]="params.education" okText="确定" cancelText="取消"\n\n          style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option *ngFor="let item2 of appCode.education" value=\'{{item2.code}}\'>{{item2.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n      <ion-col col-6>\n\n        <ion-select interface="popover" [(ngModel)]="params.work_year" okText="确定" cancelText="取消"\n\n          style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option *ngFor="let item3 of appCode.work_year" value=\'{{item3.code}}\'>{{item3.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n    </ion-row>\n\n  </section>\n\n\n\n  <!-- <section>\n\n    <ion-card *ngFor="let entJobInfo of entJobList">\n\n      <ion-card-header>\n\n        <span class="textCtrl-title">{{entJobInfo.name}}</span>\n\n      </ion-card-header>\n\n\n\n      <ion-card-content style="line-height:2rem;">\n\n        <div class="textCtrl-content">职位类别：{{entJobInfo.job_type}}</div>\n\n        <div class="textCtrl-content">职　　位：{{entJobInfo.job}}</div>\n\n        <div class="textCtrl-content">月　　薪：{{entJobInfo.salary}}</div>\n\n        <div class="textCtrl-content">工作地点：{{entJobInfo.area}}</div>\n\n        <div class="textCtrl-content">发布状态：{{entJobInfo.status}}</div>\n\n      </ion-card-content>\n\n    </ion-card>\n\n  </section> -->\n\n  <ion-item style="padding-left:0;border:none;" *ngIf="jobs.length == 0">\n\n    <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无招聘信息</p>\n\n  </ion-item>\n\n  <ion-card *ngFor="let job of jobs" (click)="toDetail(job.id)">\n\n    <ion-card-header>\n\n      <span class="textCtrl-title" style="font-weight:600" text-wrap [innerHTML]="job.name">{{job.name}}</span>\n\n      <span style="float:right">{{job.salary}}</span>\n\n    </ion-card-header>\n\n    <ion-card-content style="line-height:2rem;">\n\n      <div>\n\n        <span class="textCtrl-content" class="display:inherit">\n\n          {{job.ent_name}}\n\n        </span>\n\n      </div>\n\n      <div style="padding-top:10px;">\n\n        <span class="span" style="width:35%;">{{job.area}}</span>\n\n        <span class="span" style="width:20%;">{{job.work_year}}</span>\n\n        <span class="span" style="width:35%;">{{job.education}}</span>\n\n      </div>\n\n    </ion-card-content>\n\n  </ion-card>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\recruit\recruit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */]])
    ], RecruitPage);
    return RecruitPage;
}());

//# sourceMappingURL=recruit.js.map

/***/ }),

/***/ 981:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RecruitPageModule", function() { return RecruitPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__recruit__ = __webpack_require__(1122);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RecruitPageModule = /** @class */ (function () {
    function RecruitPageModule() {
    }
    RecruitPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__recruit__["a" /* RecruitPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__recruit__["a" /* RecruitPage */]),
            ],
        })
    ], RecruitPageModule);
    return RecruitPageModule;
}());

//# sourceMappingURL=recruit.module.js.map

/***/ })

});
//# sourceMappingURL=63.js.map