webpackJsonp([65],{

/***/ 1121:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PsychologicalTeamPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the PsychologicalTeamPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PsychologicalTeamPage = /** @class */ (function () {
    function PsychologicalTeamPage(navCtrl, navParams, appService, appUtil, appCode) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.appCode = appCode;
        this.hasmore = true;
        this.counselorListLength = 0;
        this.params = {
            page: 1,
            size: 10,
            area: '',
            education: '',
            searchQuery: '',
            gender: '',
            token: localStorage.getItem('changchun.token')
        };
        this.ct_area = [
            { 'code': '0', 'name': '区域' },
            { 'code': '220102', 'name': '南关区' },
            { 'code': '220103', 'name': '宽城区' },
            { 'code': '220104', 'name': '朝阳区' },
            { 'code': '220105', 'name': '二道区' },
            { 'code': '220106', 'name': '绿园区' },
            { 'code': '220112', 'name': '双阳区' },
            { 'code': '220122', 'name': '农安县' },
            { 'code': '220181', 'name': '九台市' },
            { 'code': '220182', 'name': '榆树市' },
            { 'code': '220183', 'name': '德惠市' },
            { 'code': '220161', 'name': '经开区' },
            { 'code': '220162', 'name': '高新区' },
            { 'code': '220163', 'name': '净月区' },
            { 'code': '220164', 'name': '汽开区' },
            { 'code': '220165', 'name': '莲花山' }
        ];
        this.gender = [
            { 'code': '0', 'name': '性别' },
            { 'code': '1', 'name': '男' },
            { 'code': '2', 'name': '女' }
        ];
    }
    PsychologicalTeamPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad TdFriendInfoPage');
    };
    PsychologicalTeamPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        //下拉框初始化
        this.params.education = this.appCode.education[0].code;
        this.params.gender = this.gender[0].code;
        this.params.area = this.ct_area[0].code;
        //列表初始化
        this.loadCounselor();
    };
    /**
     * 详情信息页
     */
    PsychologicalTeamPage.prototype.toDetail = function (id) {
        this.navCtrl.push('PsychologicalTeamDetailPage', { record_id: id });
    };
    /**
     * 加载心理咨询师信息列表
     */
    PsychologicalTeamPage.prototype.loadCounselor = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCounselorList, this.params, function (d) {
            if (d != null) {
                console.log(1);
                if (d.errcode == undefined) {
                    _this.counselorList = d;
                    _this.counselorListLength = d.length;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 列表 刷新
     * @param refresher
     */
    PsychologicalTeamPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    //追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    PsychologicalTeamPage.prototype.trackBycounselorList = function (index, counselorList) {
        return counselorList.id;
    };
    /**
      * 刷新时需要初始化页数和是否还有数据的标志
      */
    PsychologicalTeamPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.loadCounselor();
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    PsychologicalTeamPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        //心理咨询师列表
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCounselorList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.counselorList = _this.counselorList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
        });
        infiniteScroll.complete();
    };
    /**
     * 根据条件搜索
     */
    PsychologicalTeamPage.prototype.search = function () {
        console.log(this.params.searchQuery);
    };
    PsychologicalTeamPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-psychological-team',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-team\psychological-team.html"*/'<!--\n\n  Generated template for the TdFriendInfoPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>心理咨询师信息</ion-title>\n\n  </ion-navbar>\n\n\n\n  <ion-toolbar>\n\n    <ion-searchbar [(ngModel)]="params.searchQuery" placeholder="请输入心理咨询师名称" style="width:94%"></ion-searchbar>\n\n    <ion-icon name="search" (click)="initList()"\n\n      style="position: absolute;right:11px;margin-top:-35px;color:#aaa;font-size:25px" required>\n\n    </ion-icon>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n\n\n\n\n<ion-content>\n\n\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section style="border-bottom:solid 0.55px #c3bfbfd1;">\n\n    <ion-row style="border-bottom:solid 0.55px #c3bfbfd1;border-top:solid 0.55px #c3bfbfd1;">\n\n      <ion-col col-4 style="border-right:0.5px solid #ecebeb">\n\n        <ion-select interface="popover" [(ngModel)]="params.area" okText="确定" cancelText="取消"\n\n          style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option *ngFor="let item1 of ct_area" value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n      <ion-col col-4 style="border-right:0.5px solid #ecebeb">\n\n        <ion-select interface="popover" [(ngModel)]="params.education" okText="确定" cancelText="取消"\n\n          style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option *ngFor="let item2 of appCode.education" value=\'{{item2.code}}\'>{{item2.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n      <ion-col col-4>\n\n        <ion-select interface="popover" [(ngModel)]="params.gender" okText="确定" cancelText="取消"\n\n          style="max-width:100%;" (ngModelChange)="initList()">\n\n          <ion-option *ngFor="let item3 of gender" value=\'{{item3.code}}\'>{{item3.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-col>\n\n    </ion-row>\n\n  </section>\n\n\n\n\n\n  <ion-list no-lines style="margin-top:10px;">\n\n    <ion-item *ngIf=\'counselorListLength==0\'>\n\n      <p style="text-align:center;font-size:1.4rem;color:#8e9093">无符合条件的心理咨询师信息</p>\n\n    </ion-item>\n\n    <ion-item style="padding-left:10px;border-bottom:solid 0.55px #dcdadafa;" *ngFor="let counselor of counselorList trackBy:trackBycounselorList"\n\n      (click)="toDetail(counselor.id)">\n\n      <ion-avatar item-left style="position:relative;height:60px;width:60px;">\n\n        <img style="display:inline-block;position:absolute;" src="{{counselor.photo_url}}">\n\n      </ion-avatar>\n\n      <h3 class="textCtrl-title">{{counselor.name}}</h3>\n\n      <span style="font-size:1.4rem;color:#8e9093;">{{counselor.org_name}}</span>\n\n    </ion-item>\n\n  </ion-list>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-team\psychological-team.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */]])
    ], PsychologicalTeamPage);
    return PsychologicalTeamPage;
}());

//# sourceMappingURL=psychological-team.js.map

/***/ }),

/***/ 980:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PsychologicalTeamPageModule", function() { return PsychologicalTeamPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__psychological_team__ = __webpack_require__(1121);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PsychologicalTeamPageModule = /** @class */ (function () {
    function PsychologicalTeamPageModule() {
    }
    PsychologicalTeamPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__psychological_team__["a" /* PsychologicalTeamPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__psychological_team__["a" /* PsychologicalTeamPage */]),
            ],
        })
    ], PsychologicalTeamPageModule);
    return PsychologicalTeamPageModule;
}());

//# sourceMappingURL=psychological-team.module.js.map

/***/ })

});
//# sourceMappingURL=65.js.map