webpackJsonp([68],{

/***/ 1115:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PsychologicalMsgDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the PsychologicalMsgDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PsychologicalMsgDetailPage = /** @class */ (function () {
    function PsychologicalMsgDetailPage(navCtrl, navParams, appService, appUtil, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.sanitizer = sanitizer;
        this.messageInfo = [];
        this.record_id = this.navParams.get('record_id');
        this.status = this.navParams.get('status');
    }
    PsychologicalMsgDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ChatDetailPage');
        this.getMessageInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    PsychologicalMsgDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 获取留言详情
     */
    PsychologicalMsgDetailPage.prototype.getMessageInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPsyMsgDetail, { record_id: this.record_id, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.messageInfo = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 编辑保存
     */
    PsychologicalMsgDetailPage.prototype.editSubmit = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.EditPsyMsg, {
            record_id: this.record_id,
            token: localStorage.getItem('changchun.token'),
            is_public: this.messageInfo.is_public_value,
            title: this.messageInfo.title,
            content: this.messageInfo.content
        }, function (d) {
            if (d != null) {
                if (d.errcode == 0) {
                    _this.appService.alert(d.errmsg);
                    _this.navCtrl.pop();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    PsychologicalMsgDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-psychological-msg-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-msg-detail\psychological-msg-detail.html"*/'<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>详情信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n\n\n  <ng-container *ngIf="messageInfo.is_reply_value == 1">\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n        <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      </ion-avatar> -->\n\n      <span class="textCtrl-title" style="line-height:35px;text-align:center;">{{messageInfo.apply_user}}(留言人)</span>\n\n      <!-- <span style="font-size:1.4rem;color:#8e9093;display:inherit;">年龄:{{personInfo.age}}岁</span> -->\n\n      <span\n\n        style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">{{messageInfo.is_reply}}</span>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        是否公开\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{messageInfo.is_public}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        留言时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{messageInfo.create_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        留言标题\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(messageInfo.title)"></div>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="border-bottom:none;">\n\n      <h3 class="ion-title textCtrl-title">\n\n        留言内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(messageInfo.content)"></div>\n\n    </ion-item>\n\n  </ng-container>\n\n\n\n  <ng-container *ngIf="messageInfo.is_reply_value == 0">\n\n\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n        <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      </ion-avatar> -->\n\n      <span class="textCtrl-title" style="line-height:35px;text-align:center;">{{messageInfo.apply_user}}(留言人)</span>\n\n      <span\n\n        style="float:right;font-size:1.4rem;width:80px;line-height:35px;border-radius:20px;text-align:center;background:#E13A3E">{{messageInfo.is_reply}}</span>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content" style="padding-left:10px;">\n\n      <ion-label>是否公开</ion-label>\n\n      <ion-select name="is_public" [(ngModel)]="messageInfo.is_public_value" #message_dispute_type okText="确定" cancelText="取消"\n\n        multiple="false" interface placeholder="请选择是否公开" interface="action-sheet">\n\n        <ion-option value="0">否</ion-option>\n\n        <ion-option value="1">是</ion-option>\n\n      </ion-select>\n\n    </ion-item>\n\n\n\n    <div class="item-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;padding-left:10px;">\n\n      <textarea name="title" [(ngModel)]="messageInfo.title" cols="30" rows="2" placeholder="请填写咨询标题，限32个字符以内"\n\n        class="textCtrl-content"\n\n        style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n            </textarea>\n\n    </div>\n\n\n\n    <div class="item-content" style="border-bottom:0.55px solid #c8c7cc;padding:8px 0px 8px 0;overflow:hidden;padding-left:10px;">\n\n      <textarea name="content" [(ngModel)]="messageInfo.content" cols="30" rows="10" placeholder="简单描述咨询内容，限256个字符以内"\n\n        class="textCtrl-content"\n\n        style="padding-left:0;width:100%;max-width:100%;;max-height:160px;border: none;color: #999;">\n\n          </textarea>\n\n    </div>\n\n  </ng-container>\n\n\n\n  <ng-container *ngIf="messageInfo.is_reply_value == 1">\n\n    <div class="item item-divider" style="background-color:#d0cece;height:5px;"></div>\n\n    <ion-item style="padding-left:10px;border-bottom:0.55px solid #dcdadafa;">\n\n      <!-- <ion-avatar item-left style="position:relative;height:40px;width:40px;">\n\n        <img style="display:inline-block;position:absolute;" src="../assets/imgs/img1_01.jpg">\n\n      </ion-avatar> -->\n\n      <h3 class="textCtrl-title" style="line-height:35px;text-align:center;float:left;">\n\n        {{messageInfo.to_user}}(留言对象)</h3>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复时间\n\n      </h3>\n\n      <p class="textCtrl-content" float-right>{{messageInfo.reply_time}}</p>\n\n    </ion-item>\n\n\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        回复内容\n\n      </h3>\n\n      <div class="item-appraise textCtrl-content" style="line-height: 25px;"\n\n        [innerHTML]="assembleHTML(messageInfo.reply_content)"></div>\n\n    </ion-item>\n\n  </ng-container>\n\n</ion-content>\n\n\n\n<ion-footer no-border>\n\n  <ion-toolbar>\n\n    <button ion-button block button-positive *ngIf="messageInfo.is_reply_value == 0" (click)="editSubmit()">保存</button>\n\n  </ion-toolbar>\n\n</ion-footer>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-msg-detail\psychological-msg-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */]])
    ], PsychologicalMsgDetailPage);
    return PsychologicalMsgDetailPage;
}());

//# sourceMappingURL=psychological-msg-detail.js.map

/***/ }),

/***/ 974:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PsychologicalMsgDetailPageModule", function() { return PsychologicalMsgDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__psychological_msg_detail__ = __webpack_require__(1115);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PsychologicalMsgDetailPageModule = /** @class */ (function () {
    function PsychologicalMsgDetailPageModule() {
    }
    PsychologicalMsgDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__psychological_msg_detail__["a" /* PsychologicalMsgDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__psychological_msg_detail__["a" /* PsychologicalMsgDetailPage */]),
            ],
        })
    ], PsychologicalMsgDetailPageModule);
    return PsychologicalMsgDetailPageModule;
}());

//# sourceMappingURL=psychological-msg-detail.module.js.map

/***/ })

});
//# sourceMappingURL=68.js.map