webpackJsonp([70],{

/***/ 1116:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PsychologicalCounselingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__components_member_add_xlfd_add_xlfd__ = __webpack_require__(533);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_show_xlfd_show_xlfd__ = __webpack_require__(534);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__components_member_edit_xlfd_edit_xlfd__ = __webpack_require__(535);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/**
 * Generated class for the PsychologicalCounselingPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var PsychologicalCounselingPage = /** @class */ (function () {
    function PsychologicalCounselingPage(navCtrl, navParams, appService, appUtil, alertCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.platform = 'ios';
        this.token = null;
        this.hasmore = true;
        this.xlfds = [];
        this.params = {
            type: 0,
            page: 1,
            size: 10,
            psychologist_id: -1,
            title: '',
            psychologist_id_name: '',
            token: ''
        };
        if (this.appUtil.isPlatform('ios'))
            this.platform = 'ios';
        else if (this.appUtil.isPlatform('android'))
            this.platform = 'android';
    }
    PsychologicalCounselingPage.prototype.ionViewDidLoad = function () {
        console.log("in xlfd pages");
        //检测登录状态
        this.checkLogin();
        //列表初始化
        this.getXlfdList();
    };
    PsychologicalCounselingPage.prototype.assembleHTML = function (strHTML) {
        return this.appUtil.assembleHTML(strHTML);
    };
    /**
     * 校验登录
     */
    PsychologicalCounselingPage.prototype.checkLogin = function () {
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            // console.log('------------尚未登录');
            this.appUtil.remindLogin();
            return false;
            //跳转至登录页面
        }
        return true;
    };
    /**
     * 法律咨询列表
     */
    PsychologicalCounselingPage.prototype.getXlfdList = function () {
        var _this = this;
        this.xlfds = JSON.parse(localStorage.getItem('changchun.xlfds')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getXlfdList, this.params, function (d) {
            if (d != null) {
                if (d.errcode == -2) {
                    // console.log("获取Flzx异常");
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    //跳转至登录页面
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.xlfds = d;
                    _this.params.page += 1;
                    localStorage.setItem('changchun.xlfds', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    //刷新时需要初始化页数和是否还有数据的标志
    PsychologicalCounselingPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.getXlfdList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    PsychologicalCounselingPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    PsychologicalCounselingPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getXlfdList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.xlfds = _this.xlfds.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                // console.log("没有数据啦！")
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param city
     */
    PsychologicalCounselingPage.prototype.trackByXlfdList = function (index, city) {
        return city.id;
    };
    /**
     * 删除咨询信息
     * @param index
     * @param record_id
     */
    PsychologicalCounselingPage.prototype.deleteXlfd = function (slidingItem, index, record_id) {
        var _this = this;
        if (event != null)
            event.stopPropagation(); //禁止事件冒泡
        // console.log('---index:'+index);
        // console.log('---record_id:'+record_id);
        var token = this.token;
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此信息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.deleteXlfd, //1.url
                        {
                            token: token,
                            message_id: record_id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    _this.appService.alert(d.errmsg);
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                }
                                else if (d.errcode == -1) {
                                    //跳转至登录页面
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    _this.appService.alert('网络异常，请稍候重试');
                                }
                            }
                            else {
                                _this.appService.alert('网络异常，请稍候重试');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    //Modal打开login
    PsychologicalCounselingPage.prototype.openXlfdModal = function (id, myEvent) {
        var _this = this;
        if (this.checkLogin()) {
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_6__app_app_service__["a" /* AppGlobal */].API.getXlfd, //1.url
            {
                token: this.token,
                message_id: id
            }, //2.params
            function (//2.params
                d) {
                if (d != null) {
                    if (d.errcode == -2) {
                        _this.appService.alert(d.errmsg);
                        // console.log("删除失败");
                    }
                    else if (d.errcode == -1) {
                        //跳转至登录页面
                        _this.appUtil.remindLogin();
                    }
                    else {
                        if (d[0].is_reply == true) {
                            _this.presentShowXlfdModal(d[0]);
                        }
                        else {
                            _this.presentEditXlfdModal(d[0]);
                        }
                    }
                }
                else {
                    _this.appService.alert('网络异常，请稍候重试');
                }
            } //3.callback function
            );
        }
        else {
            this.appUtil.remindLogin();
        }
    };
    /**
     * 编辑
     * @param d
     * @param myEvent
     */
    PsychologicalCounselingPage.prototype.presentEditXlfdModal = function (d, myEvent) {
        var _this = this;
        var editXlfdModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__components_member_edit_xlfd_edit_xlfd__["a" /* EditXlfdComponent */], d);
        editXlfdModal.onDidDismiss(function (data) {
            console.log("data111:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        editXlfdModal.present({
            ev: myEvent
        });
    };
    /**
     * 查看
     * @param d
     * @param myEvent
     */
    PsychologicalCounselingPage.prototype.presentShowXlfdModal = function (d, myEvent) {
        var showXlfdModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_show_xlfd_show_xlfd__["a" /* ShowXlfdComponent */], d);
        /*showXlfdModal.onDidDismiss(data => {
          // console.log("data:",data);
          if(data!=null&&data!='undefined'){
            if(data.success==='1'){//成功后的回调,刷新列表
              this.initList();
            }
          }
        });*/
        showXlfdModal.present({
            ev: myEvent
        });
    };
    /**
     * 新增心理辅导
     * @param myEvent
     */
    PsychologicalCounselingPage.prototype.addXlfd = function (myEvent) {
        var _this = this;
        var addXlfdModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__components_member_add_xlfd_add_xlfd__["a" /* AddXlfdComponent */]);
        addXlfdModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        addXlfdModal.present({
            ev: myEvent
        });
    };
    PsychologicalCounselingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-psychological-counseling',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-counseling\psychological-counseling.html"*/'<!--\n\n  Generated template for the SlFlzxPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>心理辅导</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="addXlfd($event)">\n\n        <ion-icon name="md-add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <div *ngIf=\'xlfds==undefined||xlfds==null||xlfds.length==0||xlfds.length==underfind\'>\n\n      <p style="text-align:center;margin-top:20%" class="textCtrl-content">暂无相关数据</p>\n\n    </div>\n\n    <ng-container *ngIf=\'!(xlfds==undefined||xlfds==null||xlfds.length==0||xlfds.length==underfind)\'>\n\n\n\n      <ng-container *ngFor="let xlfd of xlfds; let i=index; trackBy: trackByXlfdList">\n\n        <ion-card (click)="openXlfdModal(xlfd.id,$event)" #ionCardItem>\n\n          <ion-card-header>\n\n            <span class="textCtrl-title">{{xlfd.title}}</span>\n\n            <span class="appraise-time textCtrl-content">{{xlfd.create_time}}</span>\n\n          </ion-card-header>\n\n\n\n          <ion-card-content [class.card-custom]="xlfd.is_reply">\n\n            <ion-item no-padding>\n\n              <p [innerHTML]="assembleHTML(xlfd.content)" class="textCtrl-content"></p>\n\n            </ion-item>\n\n          </ion-card-content>\n\n\n\n          <ng-container *ngIf="xlfd.is_reply">\n\n            <ion-card-content>\n\n              <ion-item no-padding>\n\n                <p [innerHTML]="assembleHTML(xlfd.reply_content)" class="textCtrl-content"><span>回复：</span></p>\n\n              </ion-item>\n\n            </ion-card-content>\n\n            <ion-row>\n\n              <ion-col col-9>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-reply-icon" name="checkmark-circle"></ion-icon>\n\n                  <div><span class="is-reply-span textCtrl-content">回复时间：&nbsp;&nbsp;</span><span class="appraise-time textCtrl-content">{{xlfd.reply_time}}</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-3>\n\n                <button ion-button icon-left clear small>\n\n                  <!-- <ion-icon name="text"></ion-icon>\n\n                    <div>4 Comments</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n          <ng-container *ngIf="!xlfd.is_reply">\n\n            <ion-row>\n\n              <ion-col col-4>\n\n                <button ion-button icon-left clear small>\n\n                  <ion-icon class="is-not-reply-icon" name="close-circle"></ion-icon>\n\n                  <div><span class="is-not-reply-span textCtrl-content">尚未回复</span></div>\n\n                </button>\n\n              </ion-col>\n\n              <ion-col col-1 offset-7>\n\n                <button (click)="deleteXlfd(ionCardItem,i,xlfd.id,$event)" style="right: 18px;bottom: 0px;top: 7px;font-size:1.6rem;"\n\n                  ion-button clear small>\n\n                  <ion-icon name="ios-trash-outline"></ion-icon>\n\n                  <!-- <div>删除</div> -->\n\n                </button>\n\n              </ion-col>\n\n            </ion-row>\n\n          </ng-container>\n\n\n\n        </ion-card>\n\n      </ng-container>\n\n    </ng-container>\n\n  </section>\n\n\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)" *ngIf="hasmore">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\psychological-counseling\psychological-counseling.html"*/,
        })
        // TODO:
        // 废弃
        ,
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_6__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["AlertController"],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_modal_modal_controller__["a" /* ModalController */]])
    ], PsychologicalCounselingPage);
    return PsychologicalCounselingPage;
}());

//# sourceMappingURL=psychological-counseling.js.map

/***/ }),

/***/ 975:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "PsychologicalCounselingPageModule", function() { return PsychologicalCounselingPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__psychological_counseling__ = __webpack_require__(1116);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var PsychologicalCounselingPageModule = /** @class */ (function () {
    function PsychologicalCounselingPageModule() {
    }
    PsychologicalCounselingPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__psychological_counseling__["a" /* PsychologicalCounselingPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__psychological_counseling__["a" /* PsychologicalCounselingPage */]),
            ],
        })
    ], PsychologicalCounselingPageModule);
    return PsychologicalCounselingPageModule;
}());

//# sourceMappingURL=psychological-counseling.module.js.map

/***/ })

});
//# sourceMappingURL=70.js.map