webpackJsonp([76],{

/***/ 1108:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return NewsListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_util__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the NewsListPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var NewsListPage = /** @class */ (function () {
    function NewsListPage(navCtrl, navParams, appService, modalCtrl, appUtil) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.appUtil = appUtil;
        this.news = [];
        this.items = [];
        this.project_id = this.navParams.get('project_id');
        this.hasmore = true;
        this.params = {
            cid: 11,
            pageno: 1,
            limit: 10,
            project_id: this.project_id,
            service_name: ''
        };
    }
    NewsListPage.prototype.ionViewDidLoad = function () {
        this.newsPoint();
        this.getNewsList();
    };
    //埋点
    NewsListPage.prototype.newsPoint = function () {
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.newsPoint, { type: 1, token: localStorage.getItem('changchun.token') }, function (d) {
            if (d != null && d != undefined) {
            }
        });
    };
    /**
     * 获取子项目列表
     */
    NewsListPage.prototype.getNewsList = function () {
        var _this = this;
        this.news = JSON.parse(localStorage.getItem('changchun.newsList')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getNewsList, this.params, function (d) {
            if (d != null && d != undefined) {
                for (var i = 0; i < d.length; i++) {
                    if (d[i].pic_url.startsWith('http://')) {
                        d[i].pic_url = d[i].pic_url.replace('http://', 'https://');
                    }
                }
                _this.news = d;
                _this.params.pageno += 1;
                localStorage.setItem('changchun.newsList', JSON.stringify(d));
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    NewsListPage.prototype.initList = function () {
        this.params.pageno = 1;
        this.hasmore = true;
        this.getNewsList();
    };
    /**
     * 下拉刷新方法
     * @param refresher
     */
    NewsListPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.service_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    NewsListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getNewsList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                for (var i = 0; i < d.length; i++) {
                    if (d[i].pic_url.startsWith('http://')) {
                        d[i].pic_url = d[i].pic_url.replace('http://', 'https://');
                    }
                }
                _this.news = _this.news.concat(d);
                _this.params.pageno += 1;
            }
            else {
                _this.hasmore = false;
                // this.appService.alert('没有数据啦！');
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
     * @param index
     * @param news
     */
    NewsListPage.prototype.trackBynewsList = function (index, news) {
        return news.id;
    };
    NewsListPage.prototype.goDetail = function (news_id) {
        this.navCtrl.push('NewsDetailPage', {
            'news_id': news_id,
            'type': 1
        });
    };
    NewsListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-news-list',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\news-list\news-list.html"*/'<!--\n\n  Generated template for the NewsListPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<!--\n\n  Generated template for the ServiceBatchPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title>工会要闻</ion-title>\n\n    <ion-buttons end>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles"\n\n      refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <section>\n\n    <ion-list style="padding:0 10px 0 10px">\n\n      <ion-item *ngIf=\'news.length==0||news.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂未发布头条新闻</p>\n\n      </ion-item>\n\n      <ion-item class="item" *ngFor="let new of news trackBy:trackBynewsList" (click)="goDetail(new.id)"\n\n        style="border-bottom:0.55px solid #c8c7cc;">\n\n        <ion-avatar item-left style="position:relative;height:60px;width:100px;">\n\n          <img style="display:inline-block;position:absolute;" src="{{new.pic_url}}">\n\n        </ion-avatar>\n\n        <h3 class="textCtrl-title" style="overflow:hidden;white-space: normal;\n\n        text-overflow:ellipsis; \n\n        display: -webkit-box;\n\n        -webkit-box-orient: vertical;\n\n        -webkit-line-clamp: 2;\n\n        overflow: hidden;">{{new.index_title}}</h3>\n\n        <p class="textCtrl-content" style="float:right">{{new.time}}</p>\n\n      </ion-item>\n\n    </ion-list>\n\n  </section>\n\n\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\news-list\news-list.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_util__["a" /* AppUtil */]])
    ], NewsListPage);
    return NewsListPage;
}());

//# sourceMappingURL=news-list.js.map

/***/ }),

/***/ 967:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "NewsListPageModule", function() { return NewsListPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__news_list__ = __webpack_require__(1108);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var NewsListPageModule = /** @class */ (function () {
    function NewsListPageModule() {
    }
    NewsListPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__news_list__["a" /* NewsListPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__news_list__["a" /* NewsListPage */]),
            ],
        })
    ], NewsListPageModule);
    return NewsListPageModule;
}());

//# sourceMappingURL=news-list.module.js.map

/***/ })

});
//# sourceMappingURL=76.js.map