webpackJsonp([8],{

/***/ 1035:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkPositionPageModule", function() { return WorkPositionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__work_position__ = __webpack_require__(1178);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkPositionPageModule = /** @class */ (function () {
    function WorkPositionPageModule() {
    }
    WorkPositionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__work_position__["a" /* WorkPositionPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__work_position__["a" /* WorkPositionPage */]),
            ],
        })
    ], WorkPositionPageModule);
    return WorkPositionPageModule;
}());

//# sourceMappingURL=work-position.module.js.map

/***/ }),

/***/ 1178:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkPositionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_app_code__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_worker_add_work_position_add_work_position__ = __webpack_require__(543);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_worker_edit_work_position_edit_work_position__ = __webpack_require__(523);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__components_worker_audit_work_position_audit_work_position__ = __webpack_require__(544);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the WorkPositionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkPositionPage = /** @class */ (function () {
    function WorkPositionPage(navCtrl, navParams, appService, appUtil, appCode, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.appCode = appCode;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.hasmore = true;
        this.positionListLength = 0;
        this.counselor = [];
        this.token = null;
        this.params = {
            page: 1,
            size: 10,
            searchQuery: '',
            job_type: '',
            job: '',
            salary: '',
            area: '',
            record_id: '',
            token: localStorage.getItem('changchun.token')
        };
        //职位类型代码表和模式名
        this.job_type_params = {
            list_name: 'ct_hr_job_type',
            schema: 'bfzxyw'
        };
        //职位代码表和模式名
        this.job_params = {
            list_name: 'ct_hr_job_name',
            schema: 'bfzxyw'
        };
        //月薪代码表和模式名
        this.salary_params = {
            list_name: 'ct_hr_month_salary',
            schema: 'bfzxyw'
        };
        //工作地点代码表和模式名
        this.area_params = {
            list_name: 'ct_area_changchun',
            schema: 'unionist'
        };
        this.job_type = []; //职位类型代码表数组
        this.jobs = []; //职位代码表数组
        this.salary = []; //职位代码表数组
        this.area = []; //职位代码表数组
        this.params.record_id = this.navParams.get('record_id');
        console.log("record_id", this.record_id);
        this.params.job_type = '0';
        this.params.job = '0';
        this.params.salary = '0';
        this.params.area = '0';
    }
    WorkPositionPage.prototype.ionViewWillEnter = function () {
        this.params.page = 1;
        this.hasmore = true;
        //列表初始化
        this.getJobTypeList();
        this.getSalaryList();
        this.getAreaList();
        this.loadEnterlist();
    };
    /**
    * 获取选择框选中的值
    * @param item
    * @param name
    */
    WorkPositionPage.prototype.selectChange = function (item, name) {
        if (document.getElementById(name) != undefined && document.getElementById(name) != null) {
            document.getElementById(name).style.display = "none";
        }
        if (name == "job_type") {
            this.getPositionType(item._value);
        }
    };
    /**
    * 根据类别job_type获取职位信息
    * @param parent
    */
    WorkPositionPage.prototype.getPositionType = function (parent) {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPositionType, { parent: parent }, function (d) {
            if (d != null) {
                if (d.errcode == undefined) {
                    _this.jobs = d;
                    _this.params.job = '0';
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 详情信息页
     */
    WorkPositionPage.prototype.toDetail = function (id) {
        this.navCtrl.push('WorkPositionDetailPage', { record_id: id });
    };
    /**
     * 加载单位信息列表
     */
    WorkPositionPage.prototype.loadEnterlist = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPositionList, this.params, function (d) {
            if (d != null) {
                console.log(1);
                if (d.errcode == undefined) {
                    console.log(2);
                    _this.positionList = d;
                    _this.positionListLength = d.length;
                    _this.params.page += 1;
                    console.log(_this.positionList);
                }
                else if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
      * 修改职位
      * @param myEvent
      */
    WorkPositionPage.prototype.editworkenter = function (id) {
        var _this = this;
        var auditWorkPosition = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_worker_edit_work_position_edit_work_position__["a" /* EditWorkPositionComponent */], { record_id: id });
        auditWorkPosition.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success == 1) {
                    _this.initList();
                }
            }
        });
        auditWorkPosition.present({});
    };
    /**
     * 列表 刷新
     * @param refresher
     */
    WorkPositionPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    /**
      * 刷新时需要初始化页数和是否还有数据的标志
      */
    WorkPositionPage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.loadEnterlist();
    };
    /**
     * 上滑加载方法
     * @param infiniteScroll
     */
    WorkPositionPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        //职位信息列表
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getPositionList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.positionList = _this.positionList.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
        });
        infiniteScroll.complete();
    };
    /**
       * 获取职位类型规模代码表
       */
    WorkPositionPage.prototype.getJobTypeList = function () {
        var _this = this;
        this.job_type = JSON.parse(localStorage.getItem('changchun.job_type')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.job_type_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.job_type = d;
                    localStorage.setItem('changchun.job_type', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
        * 获取职位代码表
        */
    WorkPositionPage.prototype.getJobList = function () {
        var _this = this;
        this.jobs = JSON.parse(localStorage.getItem('changchun.jobs')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.job_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.jobs = d;
                    localStorage.setItem('changchun.job', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
        * 获取月薪代码表
        */
    WorkPositionPage.prototype.getSalaryList = function () {
        var _this = this;
        this.salary = JSON.parse(localStorage.getItem('changchun.salary')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.salary_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.salary = d;
                    localStorage.setItem('changchun.salary', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
        * 获取工作地点代码表
        */
    WorkPositionPage.prototype.getAreaList = function () {
        var _this = this;
        this.area = JSON.parse(localStorage.getItem('changchun.area')) || [];
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getCodeList, this.area_params, function (d) {
            if (d != null && d != undefined) {
                if (d.errcode == -1) {
                    _this.appUtil.remindLogin();
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.area = d;
                    localStorage.setItem('changchun.area', JSON.stringify(d));
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
   *
   * @param index
   * @param message_id
   */
    WorkPositionPage.prototype.deletePosition = function (id) {
        var _this = this;
        // console.log('---index:'+index);
        // console.log('---message_id:'+message_id);
        console.log('delete:', __WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDeletePosition);
        var alert = this.alertCtrl.create({
            title: '温馨提示',
            message: '确定删除此消息',
            buttons: [
                {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('取消');
                    }
                },
                {
                    text: '确定',
                    handler: function () {
                        console.log('确定');
                        _this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getDeletePosition, //1.url
                        {
                            token: _this.params.token,
                            record_id: id
                        }, //2.params
                        function (//2.params
                            d) {
                            if (d != null) {
                                if (d.errcode == 0) {
                                    console.log("消息删除成功");
                                    _this.initList();
                                }
                                else if (d.errcode == -2) {
                                    _this.appService.alert(d.errmsg);
                                    console.log("删除消息失败");
                                }
                                else if (d.errcode == -1) {
                                    _this.appUtil.remindLogin();
                                }
                                else {
                                    console.log("未知返回参数");
                                    _this.appService.alert('网络错误');
                                }
                            }
                            else {
                                _this.appService.alert('网络错误');
                            }
                        } //3.callback function
                        );
                    }
                }
            ]
        });
        alert.present();
    };
    /**
     * 根据条件搜索
     */
    WorkPositionPage.prototype.search = function () {
        console.log(this.params.searchQuery);
    };
    /**
   * 新增职位
   * @param myEvent
   */
    WorkPositionPage.prototype.addWorkEnter = function (myEvent) {
        var _this = this;
        var addWorkPosition = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_worker_add_work_position_add_work_position__["a" /* AddWorkPositionComponent */], { ent_id: this.params.record_id });
        addWorkPosition.onDidDismiss(function (data) {
            console.log("data:", data);
            // { 'success': '1' }
            if (data != null && data != 'undefined') {
                if (data.success === 1) {
                    _this.initList();
                }
            }
        });
        addWorkPosition.present({
            ev: myEvent
        });
    };
    /**
  * 审核职位信息
  * @param myEvent
  */
    WorkPositionPage.prototype.auditPosition = function (id) {
        var _this = this;
        var auditWorkPosition = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_8__components_worker_audit_work_position_audit_work_position__["a" /* AuditWorkPositionComponent */], { record_id: id });
        auditWorkPosition.onDidDismiss(function (data) {
            console.log("data:", data);
            // { 'success': '1' }
            if (data != null && data != 'undefined') {
                if (data.success === 1) {
                    _this.initList();
                }
            }
        });
        auditWorkPosition.present({
            ev: id
        });
    };
    WorkPositionPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad WorkPositionPage');
    };
    WorkPositionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-work-position',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-position\work-position.html"*/'<!--\n\n  Generated template for the WorkPositionPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>职位信息</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="addWorkEnter($event)">\n\n        <ion-icon name="md-add"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-navbar>\n\n\n\n\n\n</ion-header>\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <ion-toolbar>\n\n    <section style="border-bottom:solid 0.55px #c3bfbfd1;">\n\n      <ion-row style="border-bottom:solid 0.55px #c3bfbfd1;border-top:solid 0.55px #c3bfbfd1;">\n\n        <!-- <ion-col col-3 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.job_type" (ngModelChange)="selectChange(job_type,\'job_type\')" #job_type\n\n            okText="确定" cancelText="取消" style="max-width:100%;" (ngModelChange)="initList()">\n\n            <ion-option value="0">职位类型</ion-option>\n\n            <ng-container *ngFor="let item1 of appCode.ct_friendship_job">\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n\n\n          </ion-select>\n\n        </ion-col> -->\n\n        <!-- <ion-col col-3 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.job" (ngModelChange)="selectChange(job,\'job\')" #job okText="确定" cancelText="取消"\n\n            style="max-width:100%;" (ngModelChange)="initList()">\n\n            <ion-option value="0">职位</ion-option>\n\n            <ng-container *ngFor="let item1 of jobs">\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ion-select>\n\n        </ion-col> -->\n\n        <ion-col col-6 style="border-right:0.5px solid #ecebeb">\n\n          <ion-select interface="popover" [(ngModel)]="params.salary" okText="确定" cancelText="取消" style="max-width:100%;" (ngModelChange)="initList()">\n\n            <ion-option value="0">月薪</ion-option>\n\n            <ng-container *ngFor="let item1 of salary">\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ion-select>\n\n        </ion-col>\n\n        <ion-col col-6>\n\n          <ion-select interface="popover" [(ngModel)]="params.area" okText="确定" cancelText="取消" style="max-width:100%;" (ngModelChange)="initList()">\n\n            <ion-option value="0">工作地址</ion-option>\n\n            <ng-container *ngFor="let item1 of area">\n\n              <ion-option value=\'{{item1.code}}\'>{{item1.name}}</ion-option>\n\n            </ng-container>\n\n          </ion-select>\n\n        </ion-col>\n\n      </ion-row>\n\n    </section>\n\n  </ion-toolbar>\n\n  <section>\n\n    <div *ngIf=\'positionListLength == 0\'>\n\n      <p style="text-align:center;" class="textCtrl-content">暂无相关数据</p>\n\n    </div>\n\n    <ion-list no-lines style="margin-top:10px;">\n\n      <ion-item-sliding #slidingItem *ngFor="let counselor of positionList">\n\n        <ion-item style="padding-left:10px;border-bottom:solid 0.55px #dcdadafa;" (click)="toDetail(counselor.id)">\n\n          <h3 class="textCtrl-title">{{counselor.job}}</h3>\n\n          <p class="textCtrl-content">月薪：{{counselor.salary}}</p>\n\n          <p class="textCtrl-content">工作地点：{{counselor.area}}</p>\n\n          <p class="textCtrl-content">工作年限：{{counselor.require_work_year}}</p>\n\n          <p class="textCtrl-content">审核状态：{{counselor.audit_status}}</p>\n\n        </ion-item>\n\n        <ion-item-options side="right">\n\n          <button style="background-color: #357FF5" ion-button expandable (click)="editworkenter(counselor.id)">\n\n            编辑\n\n          </button>\n\n          <button style="background-color: #f53d3d" ion-button expandable (click)="deletePosition(counselor.id)">\n\n            删除\n\n          </button>\n\n          <button style="background-color: #3df58a" ion-button expandable (click)="auditPosition(counselor.id)">\n\n            审核\n\n          </button>\n\n        </ion-item-options>\n\n      </ion-item-sliding>\n\n    </ion-list>\n\n  </section>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-position\work-position.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4__app_app_code__["a" /* AppCode */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_7_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], WorkPositionPage);
    return WorkPositionPage;
}());

//# sourceMappingURL=work-position.js.map

/***/ })

});
//# sourceMappingURL=8.js.map