webpackJsonp([81],{

/***/ 1103:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyServicePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__ = __webpack_require__(509);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__ = __webpack_require__(27);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__components_member_add_comment_add_comment__ = __webpack_require__(507);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__components_member_login_login__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8_ionic_angular_components_alert_alert_controller__ = __webpack_require__(37);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









/**
 * Generated class for the MyServicePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MyServicePage = /** @class */ (function () {
    function MyServicePage(navCtrl, navParams, appService, appUtil, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.appUtil = appUtil;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.actives = [];
        this.items = [];
        this.project_id = this.navParams.get('project_id');
        this.hasmore = true;
        this.token = null;
        this.type = this.navParams.get('type') == undefined ? 0 : this.navParams.get('type');
        this.type_url = 0;
        this.params = {
            page: 1,
            size: 10,
            service_name: '',
            token: localStorage.getItem('changchun.token'),
        };
        this.type_url = this.navParams.get('type_url');
    }
    /**
     * 生命周期函数
     */
    MyServicePage.prototype.ionViewDidLoad = function () {
        if (this.checkLogin()) {
            this.getMyServiceList();
        }
    };
    /**
     * 获取我的服务列表
     */
    MyServicePage.prototype.getMyServiceList = function () {
        var _this = this;
        if (this.type == 0 || this.type == 3) {
            this.actives = JSON.parse(localStorage.getItem('changchun.myServiceList')) || [];
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.MyServiceList, this.params, function (d) {
                _this.actives = d;
                _this.params.page += 1;
                localStorage.setItem('changchun.myServiceList', JSON.stringify(d));
            });
        }
        if (this.type == 1) {
            this.actives = JSON.parse(localStorage.getItem('changchun.myUnusedList')) || [];
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMyUnusedList, this.params, function (d) {
                _this.actives = d;
                _this.params.page += 1;
                localStorage.setItem('changchun.myUnusedList', JSON.stringify(d));
            });
        }
        if (this.type == 2) {
            this.actives = JSON.parse(localStorage.getItem('changchun.myUncommentList')) || [];
            this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.getMyUncommentList, this.params, function (d) {
                _this.actives = d;
                _this.params.page += 1;
                localStorage.setItem('changchun.myUncommentList', JSON.stringify(d));
            });
        }
    };
    /**
    * 追踪对象的id，列表重新加载时进行选择性刷新，在列表大数据情况下提高性能。
    * @param index
    * @param actives
    */
    MyServicePage.prototype.trackByActivesList = function (index, actives) {
        return actives.id;
    };
    /**
     * 打开搜索模态框
     * @param myEvent
     */
    MyServicePage.prototype.openServiceSearchModal = function (myEvent) {
        var _this = this;
        var searchModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_3__components_member_service_search_service_search__["a" /* ServiceSearchComponent */]);
        searchModal.onDidDismiss(function (data) {
            _this.params.service_name = data.search_name;
            console.log('service_name', _this.params.service_name);
            _this.initList();
        });
        searchModal.present({
            ev: myEvent
        });
    };
    /**
    * 刷新时需要初始化页数和是否还有数据的标志
    */
    MyServicePage.prototype.initList = function () {
        this.params.page = 1;
        this.hasmore = true;
        this.checkLogin();
        this.getMyServiceList();
    };
    /**
     * 刷新
     * @param refresher
     */
    MyServicePage.prototype.doRefresh = function (refresher) {
        var _this = this;
        setTimeout(function () {
            _this.params.service_name = '';
            _this.initList();
            refresher.complete();
        }, 1000);
    };
    MyServicePage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        if (this.hasmore == false) {
            infiniteScroll.complete();
            return;
        }
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_2__app_app_service__["a" /* AppGlobal */].API.MyServiceList, this.params, function (d) {
            if (d.length > 0) {
                //concat():在原来的基础上追加新的数据
                _this.actives = _this.actives.concat(d);
                _this.params.page += 1;
            }
            else {
                _this.hasmore = false;
                console.log("没有数据啦！");
            }
            infiniteScroll.complete();
        });
    };
    /**
     * 服务详情
     * @param project_id
     * @param batch_id
     */
    MyServicePage.prototype.goDetail = function (project_id, batch_id) {
        if (this.checkLogin()) {
            this.navCtrl.push('MyServiceDetailPage', {
                'service_id': project_id,
                'batch_id': batch_id
            });
        }
    };
    MyServicePage.prototype.checkLogin = function () {
        var _this = this;
        this.token = localStorage.getItem('changchun.token');
        this.params.token = this.token;
        if (this.token != null && this.token.trim() != '') {
        }
        else {
            var alert_1 = this.alertCtrl.create({
                title: '温馨提示',
                message: '您还没有登录，是否现在登录',
                buttons: [
                    {
                        text: '稍后登录',
                        role: 'cancel',
                        handler: function () {
                            //this.navCtrl.push("HomePage");
                        }
                    },
                    {
                        text: '现在登录',
                        handler: function () {
                            //跳转至登录页面
                            // localStorage.clear();
                            localStorage.removeItem('changchun.token');
                            localStorage.removeItem('changchun.user');
                            localStorage.removeItem('changchun.remember');
                            localStorage.setItem('changchun.isFistLogin', '1');
                            _this.presentLoginModal();
                        }
                    }
                ]
            });
            alert_1.present();
            return false;
        }
        return true;
    };
    MyServicePage.prototype.openAddCommentModal = function (myEvent, service_id) {
        var _this = this;
        myEvent.stopPropagation(); //组织item的click事件
        if (this.checkLogin()) {
            var addCommentModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_6__components_member_add_comment_add_comment__["a" /* AddCommentComponent */], { 'service_id': service_id });
            addCommentModal.onDidDismiss(function (data) {
                if (data != null && data != 'undefined') {
                    if (data.success === '1') {
                        _this.initList();
                    }
                }
            });
            addCommentModal.present({
                ev: myEvent
            });
        }
    };
    //Modal打开login
    MyServicePage.prototype.presentLoginModal = function (myEvent) {
        var _this = this;
        var LoginModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__components_member_login_login__["a" /* LoginComponent */]);
        LoginModal.onDidDismiss(function (data) {
            console.log("data:", data);
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    _this.initList();
                }
            }
        });
        LoginModal.present({
            ev: myEvent
        });
    };
    MyServicePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-my-service',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-service\my-service.html"*/'<!--\n\n  Generated template for the MyServicePage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar color="primary">\n\n    <ion-title *ngIf="type==3">我的服务</ion-title>\n\n    <ion-title *ngIf="type==0">我的足迹</ion-title>\n\n    <ion-title *ngIf="type==1">未参与的服务</ion-title>\n\n    <ion-title *ngIf="type==2">待评价的服务</ion-title>\n\n    <ion-buttons end>\n\n      <button ion-button icon-only (click)="openServiceSearchModal($event)">\n\n        <ion-icon name="search"></ion-icon>\n\n      </button>\n\n    </ion-buttons>\n\n\n\n  </ion-navbar>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content>\n\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="下拉刷新" refreshingSpinner="circles" refreshingText="加载中...">\n\n    </ion-refresher-content>\n\n  </ion-refresher>\n\n\n\n  <!--\n\n  <section>\n\n    <ion-list>\n\n      <ion-item>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关数据</p>\n\n      </ion-item>\n\n      <ng-container>\n\n        <ion-item style="padding-left:10px;" class="item" (click)="goDetail(1,2)">\n\n          <ion-avatar item-left>\n\n            <img src="assets/imgs/reply.png">\n\n          </ion-avatar>\n\n          <h3 class="textCtrl-title" style="overflow: hidden;text-overflow: ellipsis;">2</h3>\n\n          <div style="padding:0"></div>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-basket" md="md-basket"></ion-icon>申请数量：2\n\n          </p>\n\n          <p class="textCtrl-content">已取消</p>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>已参与\n\n          </p>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>未参与\n\n          </p>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>处理中\n\n          </p>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>处理失败\n\n          </p>\n\n          <--<div style="float:right;" (click)="openAddCommentModal($event,service.id)">--\n\n          <div style="float:right;" (click)="openAddCommentModal($event,1)">\n\n            <button ion-button outline item-end icon-left>\n\n              <ion-icon name="ios-create-outline"></ion-icon>\n\n              评价\n\n            </button>\n\n          </div>\n\n          <-- \n\n                <button *ngIf="!service.is_comment&&service.is_send" style="top:initial;padding: 0 18px;font-size: 12px;line-height:26px;" (click)="openAddCommentModal($event,service.id)">\n\n                  评价 \n\n                </button>\n\n              --\n\n        </ion-item>\n\n      </ng-container>\n\n    </ion-list>\n\n  </section>\n\n-->\n\n  <section>\n\n    <ion-list>\n\n      <ion-item *ngIf=\'actives.length==0||actives.length==underfind\'>\n\n        <p style="text-align:center;font-size:1.4rem;color:#8e9093">暂无相关数据</p>\n\n      </ion-item>\n\n      <ng-container *ngIf=\'!(token==null||token==="")\'>\n\n        <ion-item style="padding-left:10px;" class="item" *ngFor="let service of actives trackBy:trackByActivesList"\n\n          (click)="goDetail(service.id,service.batch_id)">\n\n          <ion-avatar item-left>\n\n            <img src={{service.img}}>\n\n          </ion-avatar>\n\n          <h3 class="textCtrl-title" style="overflow: hidden;text-overflow: ellipsis;">{{service.name}}</h3>\n\n          <div style="padding:0"></div>\n\n          <p class="textCtrl-content">\n\n            <ion-icon ios="ios-basket" md="md-basket"></ion-icon>申请数量：{{service.apply_count}}\n\n          </p>\n\n          <p class="textCtrl-content" *ngIf="service.is_deleted==1">已取消</p>\n\n          <p class="textCtrl-content" *ngIf="service.is_deleted==0&&service.is_process==1&&service.is_send">\n\n            <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>已参与\n\n          </p>\n\n          <p class="textCtrl-content" *ngIf="service.is_deleted==0&&service.is_process==1&&!service.is_send">\n\n            <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>未参与\n\n          </p>\n\n          <p class="textCtrl-content" *ngIf="service.is_deleted==0&&service.is_process==0">\n\n            <ion-icon ios="ios-checkmark-circle" md="md-checkmark-circle"></ion-icon>处理中\n\n          </p>\n\n          <p class="textCtrl-content" *ngIf="service.is_deleted==0&&service.is_process==2">\n\n            <ion-icon ios="ios-close-circle" md="md-close-circle"></ion-icon>处理失败\n\n          </p>\n\n          <div style="float:right;" *ngIf="!service.is_comment&&service.is_send" (click)="openAddCommentModal($event,service.id)">\n\n            <button ion-button outline item-end icon-left>\n\n              <ion-icon name="ios-create-outline"></ion-icon>\n\n              评价\n\n            </button>\n\n          </div>\n\n          <!-- \n\n          <button *ngIf="!service.is_comment&&service.is_send" style="top:initial;padding: 0 18px;font-size: 12px;line-height:26px;" (click)="openAddCommentModal($event,service.id)">\n\n            评价 \n\n          </button>\n\n        -->\n\n        </ion-item>\n\n      </ng-container>\n\n    </ion-list>\n\n  </section>\n\n  <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n    <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载...">\n\n    </ion-infinite-scroll-content>\n\n  </ion-infinite-scroll>\n\n\n\n</ion-content>'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\member\my-service\my-service.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_2__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_5__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular_components_modal_modal_controller__["a" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_8_ionic_angular_components_alert_alert_controller__["a" /* AlertController */]])
    ], MyServicePage);
    return MyServicePage;
}());

//# sourceMappingURL=my-service.js.map

/***/ }),

/***/ 962:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MyServicePageModule", function() { return MyServicePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__my_service__ = __webpack_require__(1103);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MyServicePageModule = /** @class */ (function () {
    function MyServicePageModule() {
    }
    MyServicePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__my_service__["a" /* MyServicePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__my_service__["a" /* MyServicePage */]),
            ],
        })
    ], MyServicePageModule);
    return MyServicePageModule;
}());

//# sourceMappingURL=my-service.module.js.map

/***/ })

});
//# sourceMappingURL=81.js.map