webpackJsonp([9],{

/***/ 1033:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WorkPositionDetailPageModule", function() { return WorkPositionDetailPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__work_position_detail__ = __webpack_require__(1176);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var WorkPositionDetailPageModule = /** @class */ (function () {
    function WorkPositionDetailPageModule() {
    }
    WorkPositionDetailPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["NgModule"])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__work_position_detail__["a" /* WorkPositionDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["IonicPageModule"].forChild(__WEBPACK_IMPORTED_MODULE_2__work_position_detail__["a" /* WorkPositionDetailPage */]),
            ],
        })
    ], WorkPositionDetailPageModule);
    return WorkPositionDetailPageModule;
}());

//# sourceMappingURL=work-position-detail.module.js.map

/***/ }),

/***/ 1176:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WorkPositionDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_app_util__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_app_service__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_ionic_angular__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_worker_edit_work_position_edit_work_position__ = __webpack_require__(523);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the WorkPositionDetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var WorkPositionDetailPage = /** @class */ (function () {
    function WorkPositionDetailPage(navCtrl, navParams, sanitizer, appUtil, appService, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.sanitizer = sanitizer;
        this.appUtil = appUtil;
        this.appService = appService;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.org_name = localStorage.getItem('changchun.org_name') || '长春市总工会';
        this.token = localStorage.getItem('changchun.token') || null;
        this.info = [];
        this.params = {
            page: 1,
            size: 10,
            searchQuery: '',
            record_id: '',
            token: localStorage.getItem('changchun.token')
        };
        this.record_id = this.navParams.get('record_id');
    }
    WorkPositionDetailPage.prototype.ionViewWillEnter = function () {
        this.getPositionInfo();
    };
    /**
     * 文本处理
     * @param strHTML
     */
    WorkPositionDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    /**
     * 获取职位信息
     */
    WorkPositionDetailPage.prototype.getPositionInfo = function () {
        var _this = this;
        this.appService.httpGet(__WEBPACK_IMPORTED_MODULE_3__app_app_service__["a" /* AppGlobal */].API.getPositionInfo, { token: localStorage.getItem('changchun.token'), record_id: this.record_id }, function (d) {
            if (d != null) {
                if (d.errcode == undefined || d.errcode == -1) {
                    _this.info = d;
                }
                else if (d.errcode == -2) {
                    _this.appService.alert(d.errmsg);
                }
                else {
                    _this.appService.alert('网络繁忙，请稍候重试');
                }
            }
            else {
                _this.appService.alert('网络繁忙，请稍候重试');
            }
        });
    };
    /**
     * 校验用户登录状态
     */
    /*  checkLogin() {
       this.token = localStorage.getItem('changchun.token');
       if (this.token != null && this.token.trim() != '') {
         return true;
       } else {
         let alert = this.alertCtrl.create({
           title: '温馨提示',
           message: '您还没有登录，是否现在登录',
           buttons: [
             {
               text: '稍后登录',
               role: 'cancel',
               handler: () => {
                 //this.navCtrl.push("HomePage");
               }
             },
             {
               text: '现在登录',
               handler: () => {
                 //跳转至登录页面
                 localStorage.clear();
                 this.presentLoginModal();
               }
             }
           ]
         });
         alert.present();
         return false;
       }
     }
      /**
      * 修改职位
      * @param myEvent
      */
    WorkPositionDetailPage.prototype.editworkenter = function () {
        var showFlzxModal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__components_worker_edit_work_position_edit_work_position__["a" /* EditWorkPositionComponent */], { record_id: this.record_id });
        showFlzxModal.onDidDismiss(function (data) {
            console.log("data:", data);
            // { 'success': '1' }
            if (data != null && data != 'undefined') {
                if (data.success === '1') {
                    //this.initList();
                }
            }
        });
        showFlzxModal.present({});
    };
    WorkPositionDetailPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad WorkPositionDetailPage');
    };
    WorkPositionDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["Component"])({
            selector: 'page-work-position-detail',template:/*ion-inline-start:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-position-detail\work-position-detail.html"*/'<!--\n\n  Generated template for the WorkPositionDetailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>职位信息</ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        单位名称\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.name}}</p>\n\n    </ion-item>\n\n    <!-- <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        职位类别\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.job_type_value}}</p>\n\n    </ion-item> -->\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        职位\n\n      </h3>\n\n      <p class="textCtrl-content-editable" text-wrap style="color:#aaa;display: inline-block;"  float-right>{{info.job}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n        <h3 class="ion-title textCtrl-title">\n\n          月薪\n\n        </h3>\n\n        <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.salary}}</p>\n\n      </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        性别\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.require_gender}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        年龄要求\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.require_age}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作地点\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.area}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        学历要求\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.education_name}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        工作年限\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.require_work_year}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        发布状态\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.status}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content">\n\n      <h3 class="ion-title textCtrl-title">\n\n        审核状态\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.audit_status}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content" *ngIf="info.audit_status_id == 2">\n\n      <h3 class="ion-title textCtrl-title">\n\n        审核不通过原因\n\n      </h3>\n\n      <p class="textCtrl-content-editable" style="color:#aaa;" float-right>{{info.audit_fail_reason}}</p>\n\n    </ion-item>\n\n    <ion-item class="item-content textCtrl-title">\n\n        <h3 class="ion-title textCtrl-title">\n\n           职位介绍\n\n        </h3>\n\n        <p class="textCtrl-content-editable" style="white-space: normal;text-indent: 2rem;padding-top: 10px;" [innerHTML]="assembleHTML(info.introduction)"></p>\n\n    </ion-item>\n\n</ion-content>\n\n\n\n\n\n'/*ion-inline-end:"D:\project\changchun\ccszgh\changchun_app\src\pages\worker\work-position-detail\work-position-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["NavParams"],
            __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_2__app_app_util__["a" /* AppUtil */],
            __WEBPACK_IMPORTED_MODULE_3__app_app_service__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["ModalController"],
            __WEBPACK_IMPORTED_MODULE_4_ionic_angular__["AlertController"]])
    ], WorkPositionDetailPage);
    return WorkPositionDetailPage;
}());

//# sourceMappingURL=work-position-detail.js.map

/***/ })

});
//# sourceMappingURL=9.js.map